(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    789094,      16284]
NotebookOptionsPosition[    777734,      16107]
NotebookOutlinePosition[    778070,      16122]
CellTagsIndexPosition[    778027,      16119]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox["(*",
   FontSize->16], 
  StyleBox[" ",
   FontSize->16], 
  RowBox[{
   StyleBox["step",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["one",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["is",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["to",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["define",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["the",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   RowBox[{
    StyleBox["functions",
     FontSize->16], 
    StyleBox[":",
     FontSize->16], 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox[
      RowBox[{"(", "i", ")"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["the",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["variables",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["we",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["have",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["are",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"{", 
       RowBox[{
       "ka0", ",", "ka", ",", "al", ",", "z", ",", "wbar", ",", "dl"}], "}"}],
      
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"(", "ii", ")"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"{", 
       RowBox[{"cbar", ",", "what"}], "}"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["satisfy",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["the",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["condition",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["that",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     RowBox[{
      StyleBox["{",
       FontSize->16], 
      RowBox[{
       StyleBox[
        RowBox[{
         RowBox[{
          RowBox[{"V", "'"}], "[", "cbar", "]"}], "==", "0"}],
        FontSize->16], 
       StyleBox[",",
        FontSize->16], 
       RowBox[{
        StyleBox[
         RowBox[{"R", "[", 
          RowBox[{"what", "-", "cbar"}], "]"}],
         FontSize->16], 
        StyleBox["\[Equal]",
         FontSize->16], " ", 
        StyleBox["what",
         FontSize->16]}]}], 
      StyleBox["}",
       FontSize->16]}], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"(", "iii", ")"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["we",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["want",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["the",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["condtion",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["that",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"{", 
       RowBox[{"what", "<", "wbar"}], "}"}],
      FontSize->16]}]}]}]}]], "Input",
 CellChangeTimes->{{3.790095438409688*^9, 3.790095452227538*^9}, {
  3.790691608502685*^9, 3.790691632130638*^9}, {3.790691674667235*^9, 
  3.7906917311290207`*^9}},
 FontSize->14,ExpressionUUID->"e3abb377-4f34-4a26-9bb3-1b3f17d555a3"],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.790095833069718*^9, 3.790095834051873*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"0697cf6f-4e11-4798-aa35-c40d962915fd"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rfunction", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"w", "+", "z"}], "]"}]}], "-", 
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", "z", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"wbar", "+", "z"}], "]"}]}], "-", 
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", "z", "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"w", "-", "wbar"}], ")"}], "/", "dl"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "[", "c_", "]"}], ":=", 
  RowBox[{"ka0", " ", 
   RowBox[{"Sqrt", "[", "c", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vm", "[", "c_", "]"}], ":=", 
  RowBox[{"ka", " ", 
   RowBox[{"Sqrt", "[", "c", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "[", "w_", "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"w", "+", "z"}], "]"}]}], "-", 
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", "z", "]"}]}]}], ",", 
       RowBox[{"w", "\[LessEqual]", " ", "wbar"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"wbar", "+", "z"}], "]"}]}], "-", 
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", "z", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"w", "-", "wbar"}], ")"}], "/", "dl"}]}], ",", 
       RowBox[{"w", ">", "wbar"}]}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cbar", "=", 
   FractionBox[
    SuperscriptBox["ka0", "2"], "4"]}], ";", 
  RowBox[{"what", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["al", "2"], "-", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["al", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["ka0", "2"]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"al", "-", 
             RowBox[{"2", " ", 
              SqrtBox["z"]}]}], ")"}], "2"]}], ")"}]}]], "-", 
      RowBox[{"2", " ", "al", " ", 
       SqrtBox["z"]}]}], ")"}]}]}], ";", 
  RowBox[{"wbar", "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["al", "2"], " ", 
      SuperscriptBox["dl", "2"]}], "4"], "-", "z"}]}], ";", 
  RowBox[{
   RowBox[{"Rcons", "[", "w_", "]"}], ":=", 
   RowBox[{
    RowBox[{"al", " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"wbar", "+", "z"}], "]"}]}], "-", 
    RowBox[{"al", " ", 
     RowBox[{"Sqrt", "[", "z", "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"w", "-", "wbar"}], ")"}], "/", "dl"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.790095496359337*^9, 3.7900954989274387`*^9}, {
   3.790095567687798*^9, 3.7900955700745373`*^9}, {3.790381739594186*^9, 
   3.790381743796664*^9}, {3.7903819936488123`*^9, 3.790381994980735*^9}, {
   3.790382228735558*^9, 3.790382230061713*^9}, {3.7903838942632637`*^9, 
   3.790383907071496*^9}, {3.790384106925129*^9, 3.7903841087089643`*^9}, {
   3.790691810645774*^9, 3.790691828778401*^9}, {3.7906923207922573`*^9, 
   3.7906923230698557`*^9}, {3.790692719605242*^9, 3.7906927263839197`*^9}, {
   3.8259354517893867`*^9, 3.8259354519663677`*^9}, {3.82594628743398*^9, 
   3.8259463004884453`*^9}, {3.831298746016275*^9, 3.83129874936368*^9}, {
   3.831477754179347*^9, 3.831477757613297*^9}, 3.831662338704935*^9, {
   3.8316638114159803`*^9, 3.831663811816039*^9}, 3.831666468787483*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"77270bce-0bdb-4437-90be-c519eb3042e1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"w", "/.", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"w", "-", "c"}], "\[Equal]", "wbar"}], "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Rcons", "[", 
           RowBox[{"w", "-", "c"}], "]"}], "\[Equal]", "w"}], ",", "c"}], 
        "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", "w"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.831663822512021*^9, 3.831663831066162*^9}, {
  3.831663874984909*^9, 3.831663876856236*^9}, {3.831666393596092*^9, 
  3.8316664429816732`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"a84ca57a-5c67-486e-9bc4-938fd7216261"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"al", " ", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["al", "2"], " ", 
       SuperscriptBox["dl", "2"]}]]}], "-", 
    RowBox[{"2", " ", "al", " ", 
     SqrtBox["z"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.8316638772972183`*^9, {3.83166639714085*^9, 3.831666453535247*^9}, 
   3.83166648921482*^9, 3.831678131133963*^9, 3.864748690115427*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"06efddf8-8284-4fa0-865d-ef1b71538be7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"wthreshold", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"al", " ", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["al", "2"], " ", 
         SuperscriptBox["dl", "2"]}]]}], "-", 
      RowBox[{"2", " ", "al", " ", 
       SqrtBox["z"]}]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.831666445902378*^9, 3.831666449712679*^9}, {
   3.831666496552946*^9, 3.831666497404023*^9}, 3.8316781368669558`*^9},
 CellLabel->"In[7]:=",ExpressionUUID->"113a6582-14da-40bf-80ec-fabe99affbfd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dl", "=", 
   RowBox[{"8", "/", "10"}]}], ";", 
  RowBox[{"al", "=", 
   RowBox[{"30", "/", "10"}]}], ";", 
  RowBox[{"z", "=", "1"}], ";", 
  RowBox[{"ka0", "=", 
   RowBox[{"1", "/", "2"}]}], ";", 
  RowBox[{"ka", "=", 
   RowBox[{"52", "/", "100"}]}], ";"}]], "Input",
 CellChangeTimes->{3.832812109186975*^9},
 CellLabel->"In[8]:=",ExpressionUUID->"32f9c098-6b0d-4fab-994d-bc513bc43bcb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"V", "'"}], "[", "cbar", "]"}], "\[Equal]", "1"}], ",", 
           " ", 
           RowBox[{"FullSimplify", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"R", "[", 
               RowBox[{"what", "-", "cbar"}], "]"}], "\[Equal]", "what"}], 
             ",", 
             RowBox[{
              RowBox[{"what", "-", "cbar"}], "<", "wbar"}]}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Rfunction", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "w"}], "]"}], "\[Equal]", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Rfunction", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", "w"}], "]"}]}], "/.", 
          RowBox[{"w", "\[Rule]", " ", "wbar"}]}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"cbar", ",", "what", ",", "wbar"}], "}"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.790095661329261*^9, 3.7900956745790358`*^9}, {
   3.790095744343912*^9, 3.790095758839444*^9}, {3.790096392186795*^9, 
   3.7900964007857037`*^9}, {3.790382155611133*^9, 3.790382162925975*^9}, 
   3.7903824550585318`*^9, {3.790383934520392*^9, 3.7903839439976273`*^9}, {
   3.7906918446277733`*^9, 3.790691854938236*^9}, {3.7906922877228117`*^9, 
   3.7906922913802032`*^9}, 3.7906923335994596`*^9, {3.790692409135474*^9, 
   3.7906924095512667`*^9}, {3.790692584320462*^9, 3.790692613871773*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"9277d4ca-7a21-4ac4-982d-5455d9e1874c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7906918555176373`*^9, 3.790692165648045*^9, {3.79069228811585*^9, 
   3.7906923338704557`*^9}, 3.7906924099459257`*^9, {3.790692709730451*^9, 
   3.790692731652095*^9}, 3.790703360968564*^9, 3.79146531532342*^9, {
   3.793547586899818*^9, 3.793547611253688*^9}, 3.8093702712551537`*^9, 
   3.809370624799337*^9, 3.825930174674087*^9, 3.825935349959258*^9, 
   3.825935462414361*^9, 3.825946048624878*^9, 3.82594627277162*^9, 
   3.825947429559046*^9, 3.8312987617544327`*^9, 3.8314777661823072`*^9, 
   3.831477869044115*^9, 3.8647487000431557`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"e24329f0-36b1-4610-bf3b-f56b4e377b08"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"cbar", "=", 
   FractionBox[
    SuperscriptBox["ka0", "2"], "4"]}], ";", 
  RowBox[{"what", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["al", "2"], "-", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["al", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["ka0", "2"]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"al", "-", 
             RowBox[{"2", " ", 
              SqrtBox["z"]}]}], ")"}], "2"]}], ")"}]}]], "-", 
      RowBox[{"2", " ", "al", " ", 
       SqrtBox["z"]}]}], ")"}]}]}], ";", 
  RowBox[{"wbar", "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["al", "2"], " ", 
      SuperscriptBox["dl", "2"]}], "4"], "-", "z"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7906932402042522`*^9, 3.790693253478148*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"2c95d298-c196-4c3c-aae2-b7bad8eb4abe"],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{"step", " ", 
    RowBox[{"two", ":", " ", 
     RowBox[{"find", " ", "the", " ", "right", " ", "variables"}], ":", " ", 
     RowBox[{"ignore", " ", "for", " ", "this", " ", "set", " ", "of", " ", 
      RowBox[{"variables", ".", " "}]}]}]}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.7906923939344597`*^9, 3.790692403361343*^9}, {
  3.831663856933206*^9, 3.831663864127408*^9}},
 FontSize->24,ExpressionUUID->"d208dee4-f6f7-4ff8-bcfa-b4c5d543c57b"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"step", " ", 
   RowBox[{"three", ":", " ", 
    RowBox[{"code", " ", "for", " ", "the", " ", "market"}], ":", 
    " "}]}]}]], "Input",
 CellChangeTimes->{{3.790693563759635*^9, 3.790693568033255*^9}, {
   3.790693682507518*^9, 3.7906936887937927`*^9}, 3.790694786847752*^9},
 FontSize->24,ExpressionUUID->"0b9d1c49-6618-493b-a9a9-d3fd9280e745"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wupper0", "=", "wthreshold"}], ";", 
  RowBox[{"wupper", "=", 
   RowBox[{"R", "[", 
    RowBox[{"R", "[", "wthreshold", "]"}], "]"}]}], ";", 
  RowBox[{"grid", "=", 
   RowBox[{"1", "/", "2000"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wealth", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"w", ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", 
       RowBox[{"wupper", "+", "grid"}], ",", "grid"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stationc", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"ParallelTable", "[", 
     RowBox[{
      RowBox[{"c", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"R", "[", 
           RowBox[{
            RowBox[{"wealth", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "-", "c"}], "]"}], "\[Equal]", 
          RowBox[{"wealth", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", "c"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.790694061796821*^9, {3.790694148498254*^9, 3.790694178364464*^9}, {
   3.790694224199555*^9, 3.790694225546218*^9}, {3.790694542229471*^9, 
   3.79069455099522*^9}, {3.790698521995987*^9, 3.790698522753693*^9}, {
   3.790699111531294*^9, 3.790699117354129*^9}, {3.79070029791369*^9, 
   3.790700304111444*^9}, {3.7914652965377493`*^9, 3.7914652967633657`*^9}, 
   3.809371535506916*^9, {3.809434553330241*^9, 3.8094345646263647`*^9}, {
   3.8094349123001432`*^9, 3.809434912775724*^9}, {3.809435893313754*^9, 
   3.8094358959809217`*^9}, {3.809532009061171*^9, 3.8095320091684217`*^9}, {
   3.8259312606930313`*^9, 3.8259312656538343`*^9}, {3.825935477361133*^9, 
   3.82593547801051*^9}, {3.825945886669218*^9, 3.825945917379307*^9}, {
   3.825945956890678*^9, 3.825945957113895*^9}, {3.825946001946751*^9, 
   3.8259460098264503`*^9}, {3.825946250440955*^9, 3.825946253683467*^9}, {
   3.8259464228777733`*^9, 3.825946429985901*^9}, {3.825947438147447*^9, 
   3.825947438376308*^9}, {3.825947988583398*^9, 3.825947988732452*^9}, {
   3.82594881971518*^9, 3.825948822800399*^9}, {3.825948879494957*^9, 
   3.825948880002679*^9}, {3.8259619633555307`*^9, 3.825961967525128*^9}, {
   3.83166235230016*^9, 3.831662356811249*^9}, {3.8316665393755207`*^9, 
   3.831666555362514*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"a6319ae0-3234-4684-a2c6-73f71e8d7715"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Pm0", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"Vm", "[", 
      RowBox[{"N", "[", 
       RowBox[{"stationc", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pm", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"Vm", "[", 
      RowBox[{"N", "[", 
       RowBox[{"stationc", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.790694214320671*^9, {3.7906943870792027`*^9, 3.790694387225093*^9}, {
   3.790694579060524*^9, 3.790694587643269*^9}, {3.790695478932633*^9, 
   3.790695480190255*^9}, {3.794740956139229*^9, 3.794740966963997*^9}, 
   3.809370692030346*^9, {3.8094345819832897`*^9, 3.809434583889629*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"0653687c-e14d-4959-b3be-c8d01a5a39bf"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{" ", 
   RowBox[{
    RowBox[{
    "i", " ", "can", " ", "try", " ", "to", " ", "improve", " ", "this", " ", 
     
     RowBox[{"code", ".", " ", "in"}], " ", "particular"}], ",", " ", 
    RowBox[{
    "how", " ", "to", " ", "get", " ", "the", " ", "continuation", " ", 
     RowBox[{"payoff", "."}]}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.809371709395399*^9, 
  3.809371725731642*^9}},ExpressionUUID->"0d537f9c-cc77-448f-b2ca-\
10db0d2d0ec6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"N", "[", 
         RowBox[{"Max", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Vm", "[", 
                RowBox[{"wealth", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                   "/", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                 "}"}], ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Pm", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                  RowBox[{"Pm", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
              "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], "]"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", 
          RowBox[{
           RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], "]"}], 
      ",", 
      RowBox[{"Pm", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Table", "[", 
            RowBox[{"j", ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "1", ",", 
               RowBox[{
                RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], 
            "]"}], "]"}], "+", "1"}], ";;", 
         RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.809370714498567*^9, 3.809434599394375*^9, {3.8094347918647947`*^9, 
   3.8094348090290527`*^9}, {3.809435432137146*^9, 3.809435447106366*^9}, 
   3.809435720006789*^9, {3.809435902012557*^9, 3.809435913827083*^9}, {
   3.8259353236593723`*^9, 3.825935332328053*^9}, 3.831662490441975*^9, 
   3.831662550433709*^9, {3.83166659325959*^9, 3.831666596149219*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"72620991-4cf1-4d23-a70e-ffeb999ece31"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Pm0", ",", "Pm", ",", "Pmplus"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.79474122696809*^9, {3.809370716935583*^9, 3.809370719031357*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"93bd79c7-91cd-46f8-a38b-d75e84278598"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxU3GlYjP37P/AQspaEEEpJCEnIEm97CEkIUVFE2vdN077XzDQ1S1GWyB43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       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxU3GlYjP37P/AQspaEEEpJCEnIEm97CEkIUVFE2vdN077XzDQ1S1GWyB43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       "]]}, 
     {RGBColor[0, 1, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxU1mlYjfv7NvAQMkeGzIVShMxjnMbKWCRJaBCpkDSPq3mu1WrNhZRNKgmZ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       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 1, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, {}, {}, {}, {}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 1, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, {}, {}, {}, {}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 2102.}, {0, 0.26005199480103974`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.793548240430541*^9, {3.7947412211018353`*^9, 3.7947412277496967`*^9}, 
   3.809370719511879*^9, 3.809371597877398*^9, 3.809434951492854*^9, 
   3.809435505355898*^9, 3.8094357943135233`*^9, 3.8094359940995693`*^9, 
   3.809543937126803*^9, 3.825935370501018*^9, 3.8259355282942133`*^9, 
   3.825945896260357*^9, 3.82594608202286*^9, 3.825946324966899*^9, 
   3.825946719534679*^9, 3.825947533057411*^9, 3.825948007912428*^9, 
   3.8259492171500387`*^9, 3.8259630769582767`*^9, 3.831299895349791*^9, 
   3.831479567834529*^9, 3.831666835435606*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"44622d01-7a2c-4a92-9fb9-7c484dd51594"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"While", "[", 
  RowBox[{
   RowBox[{"n", "<", "25"}], ",", 
   RowBox[{
    RowBox[{"Pm", "=", "Pmplus"}], ";", 
    RowBox[{"Pmplus", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ParallelTable", "[", 
         RowBox[{
          RowBox[{"N", "[", 
           RowBox[{"Max", "[", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Vm", "[", 
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                   "}"}], ".", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Pm", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Pm", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                "}"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{
             RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], "]"}], 
        ",", 
        RowBox[{"Pm", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{"Length", "[", 
             RowBox[{"Table", "[", 
              RowBox[{"j", ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], 
              "]"}], "]"}], "+", "1"}], ";;", 
           RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"n", "++"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.790291698683403*^9, 3.790291732605658*^9}, {
   3.790291807061018*^9, 3.790291808039125*^9}, {3.790296395097989*^9, 
   3.790296446428836*^9}, {3.790296492136756*^9, 3.790296501095367*^9}, {
   3.790299719525784*^9, 3.7902997207470913`*^9}, 3.790388778043735*^9, 
   3.790694514867934*^9, 3.790694604886298*^9, {3.790700291252369*^9, 
   3.79070029186865*^9}, 3.790704892064015*^9, {3.793547645341612*^9, 
   3.793547647278363*^9}, {3.8093707253548203`*^9, 3.8093707265397*^9}, {
   3.809371553299848*^9, 3.809371553465785*^9}, 3.809434617922124*^9, 
   3.809434822930552*^9, {3.8094349269146967`*^9, 3.809434927021648*^9}, 
   3.809435720020382*^9, {3.809435763698614*^9, 3.8094357664076*^9}, {
   3.809435950694153*^9, 3.80943595350795*^9}, {3.809437175486364*^9, 
   3.809437179437503*^9}, 3.8095320341374702`*^9, {3.825935412859721*^9, 
   3.8259354154651814`*^9}, {3.8259463279537086`*^9, 
   3.8259463281938343`*^9}, {3.825947451101733*^9, 3.8259474523612823`*^9}, {
   3.831662573063154*^9, 3.831662573870648*^9}, {3.831662606859694*^9, 
   3.831662607629587*^9}, {3.831666614993408*^9, 3.8316666175921*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"9cab481c-0e57-4420-bc8f-0fd59d773558"],

Cell[BoxData[
 RowBox[{"Beep", "[", "]"}]], "Input",
 CellChangeTimes->{{3.80943602894236*^9, 3.809436029926618*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"2e59aa0a-442e-4dc6-b903-d44a8bd9f5e4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{"Pmplus", "-", "Pm"}], "]"}], ",", 
   RowBox[{"Min", "[", 
    RowBox[{"Pmplus", "-", "Pm"}], "]"}], ",", 
   RowBox[{"Max", "[", 
    RowBox[{"Pmplus", "-", "Pm0"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.790694629397284*^9, 3.790694631631122*^9}, {
  3.7907048348887033`*^9, 3.790704841654791*^9}, {3.8094371602741957`*^9, 
  3.8094371617841177`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"6c6dc40f-c0e9-4b96-8a14-9b183dadf333"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.961374595171362`*^-6", ",", 
   RowBox[{"-", "2.8640423366255163`*^-12"}], ",", "0.010427593619339343`"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.790693980563959*^9, 3.790694748668707*^9, 3.7906992443146687`*^9, 
   3.7907006663956003`*^9, {3.790704815039692*^9, 3.790704842928009*^9}, 
   3.7907049945605307`*^9, 3.790705268457554*^9, 3.7907054169251223`*^9, 
   3.7935567211947603`*^9, 3.809371003185431*^9, 3.809371333707741*^9, 
   3.809435794493741*^9, 3.8094371289525127`*^9, 3.809437162301593*^9, 
   3.809437421187335*^9, 3.809536486387435*^9, 3.809552208072858*^9, 
   3.825935418669138*^9, 3.825946192103177*^9, 3.825946390253643*^9, 
   3.825946819150763*^9, 3.825948226009741*^9, 3.825957443972011*^9, 
   3.826012404619664*^9, 3.83131868767337*^9, 3.8315412226340837`*^9, 
   3.83167219814471*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"eb219fb6-dc5f-4dbf-a82a-0bf23f3f3cdb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Pmplus", "[", 
     RowBox[{"[", 
      RowBox[{"1", ";;", "20"}], "]"}], "]"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.809371573322298*^9, 3.809371575557253*^9}, {
  3.809437138314526*^9, 3.8094371422250137`*^9}, {3.825935424365745*^9, 
  3.825935424472844*^9}, {3.825935492221937*^9, 3.825935492330402*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"97727eb6-65cd-44a3-b287-5bc2046fe3d1"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[1, 0, 0], PointSize[0.012833333333333334`], AbsoluteThickness[
     1.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQAWIQDQEf7BlQgcPsd9ffhhg1QMU5HL5Y6r12CuyA8gUc
0vNepMpl9EH5Ig7L/Y3kTl2cCOVLONxnO1CfYTwFypdxaOpMSdf3mAblKzgc
ZEr6Lys2A8pXcpifcPLmnHUzoXwVh7+3bgcHq8yG8tUcGqROLn1cPwfK13Aw
ZVJ7+vTYXChfyyGI6dlNte/zoHwdh+ed4lsD+BdA+XoO24TaDt6ZBeMbODwS
UIu8r7gQyjd0+HbUs9pqIYxv5OC+X4q/Rn4RlG/swHPqW2jJTBjfxOEIQ+C9
Fr7F9gAFB1I7
      "]]}, {
     {RGBColor[1, 0, 0], PointSize[0.012833333333333334`], AbsoluteThickness[
      1.6]}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.012833333333333334`], AbsoluteThickness[
      1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 20.}, {0, 0.03722014631103002}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.831541222880157*^9, 3.8316721994998817`*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"90f50799-3987-4206-a16f-2fc311a15714"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{" ", 
   RowBox[{
    RowBox[{
    "the", " ", "first", " ", "two", " ", "shall", " ", "be", " ", "close", 
     " ", "to", " ", "zero"}], ",", " ", 
    RowBox[{
    "the", " ", "last", " ", "one", " ", "shall", " ", "be", " ", "above", 
     " ", 
     RowBox[{"zero", "."}]}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.7906940420069933`*^9, 3.790694056657172*^9}, {
  3.790694639907015*^9, 3.790694651157647*^9}},
 EmphasizeSyntaxErrors->True,
 CellLabel->"In[27]:=",ExpressionUUID->"804cb319-eb5b-44b8-be76-6b175d11ea29"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Pm0", ",", "Pmplus"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.809437558493527*^9, 3.8094375608873787`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"bc1c183b-3c64-467d-8201-a7ef89b6c70e"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxU3GlYjP37P/AQspaEEEpJCEnIEm97CEkIUVFE2vdN077XzDQ1S1GWyB43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       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxU13dczX3cBvAkZEfIVoQQdyJFxpWo7EpIQlsa2lPjtHed3emEhpCVsrfs
ELLJykp2NlnPeV7P5/PHc/9zv973r2/fc/2uc90v9NwC7D3V1dTUJmiqqf3v
v//vn+Zpav//HxS+v/POwVhA/10TXyaOeTPdLp2shVVrmjwHeueSe2DLAuOB
F6+JyL3xuG11vPc4Kbk/EjM8Vv1nIyfr4qS6278BvRTkwShyuXBvXUUBWR9/
6u8vXKhfSB4GQd8Lm57FryMbwER92IsX59aTR8JevfHesO8byIZ4maGzz7Zr
MXkM9ndPPflAyTbCU61hSx/rlZDH4tvZWWsnlbCNYX2ib9eYQaXkceh08dui
0AL2eJxRs3uU3GUj2QQG5S+HtiSwJ8Cx5PGyoI9sU/S7Nn3IyOVlZDOY+/1u
KT3Dnoh3abNq743YRJ4Egej6Q91stjmSrS/1VH/HnoyMPLF3/LzN5ClwHlSR
ZL6dPRXaN7buGdxuC3kaftUbf5/jwgYypwX1MT9AFgDNZ3uduNqpnJ5b4MLh
Jst+rmSBBZz/hPzO28PPp2PjiCDXyW220vPpKFdrOipdRFazhHT8uajZZfzc
Eg/SFhZ0/8TPZ+DBJv8nZVO30fMZWD157AJlBlltJrbIPi62u8HPZyL5RvOh
in7b6bkVBv6y9NjoThZYwd5Qf/fdbfzcGo82zkq1+MjPreE30iq0eMIOem4D
9cTCuTeiyQIbjHFaH7bnGD+fBaeTK4df+cfPZ+Hp4DYrEyx20vPZyFr45W1u
IlkwG1vn7Purdpqfz0F5q4pDMeoV9HwOKjv/ONnFgqw2F8VtSzdpx/Pzucgd
oOfqfJSfz0OZfvrfSz/4+TwYXC1J3jB+Fz2fj+p93zStAsmC+Rhv3XOh9nZ+
vgDCuTfrg1/w8wVIL/M7Wta1kp7bwtjuRWAfQzJskR7/rP8EG7LAFptGm2zs
7EGutoV46N07z+P5vB1alaVtyivk83ZYnVV7o34/n7eDz9iib1ev8Xk75G5c
n5/0ls/bY+TP2JLW7arovD2eBm2dPk6PLLDHykZz66Xm5Gp7bB6k+cZuEVlt
IdpVeE/5sobPL8ThVK00j3Q+vxCn7HaLykv4/ELs3q72aPNhPu8Ag5T2k9xu
8HkHjGxtdq3PWz7vAMvE7jpyjd103gH3ZyePbulPVluEq5p7u3UzIWMR5lzo
6d08lyxYhJzAU14bPPj8IrSSHnTUj+Hzi7E2dqn+VgmfX4zxccWuX7fx+cW4
mTxzpPYpPr8YZtvLS77c5fNLEDP8mmvVBz6/BKk+5Qaz2+6h80swZFfXLmf6
k6uX4PKHO0OHjiOrOeL3KJeTs2aR4YgJCfIVS1byeUfcuuRqaRnG5x3hLDbr
/DGTzy+FsK3TpfhiPr8UxW6+y9vv5/NL0ak5b4HfJT6/FN3kTlMqGvi8EzLT
O6ud+srnndBHb6F5RYe9dN4JUl33TyGDyNVO+PrcyMR4PFltGcrbHit/aEPG
MtScTKpYvpzPL8PjxxP9K4L4/DLU9kvLakrh88540iH5Zwcln3eG5yfjo10q
+Lwz9J4GV/w9yeedMfZj+z2XbvH55RBoKqSJr/j8cryeEHe+1x8+vxyK6wfO
Z2jto/PLce5Rr9UvhpDVVmBQ/eY//5mSsQJ+7hmHfGaTBSvQ2nXq+djlfH4F
Mn0nnokM5PMr8XXWlh/WSXx+JXol7lXvKOfzK+HbvHLjpXI+vxInP28ZHnSE
z7vA2nax94fLZF0XbNi9qe/CBv59LjjZMrH15k9kFxfUXkw8/lBjP/1+F1he
f9O2qw652AWHtKvf644gV7sg4ddY3/7m5AYXKOcmR6rPI6u5Qst6TWntCrKu
K3bWqackB5Lhih6XBPdGJ5JdXPGw5kT+WQnf74r3vbcOn7mJ73dF9Z+hcdv3
8/2q3z99TUnzeb7fFU/v3N5ofI/vd4PC3FptzWu+3w2726UdzvvF97vhudu4
4eJOB+h+N7j10SmPH0AWuGG64wfxyjHkYjfMzzENHj+NXO0GXbOjvX4sIDe4
4UFhXUuJC1nNHZq3WlpPCSLruqPFMvj3iQQy3HF99o2z/4n5fndMzRSbFpXy
/e744vZq2cfdfL87PAaeTjI9zfe7I7TLqsu+N/h+dzSk31ib+Izv90Dymu1L
JJ/5fg/syPM5VtD6IN3vAUdPL4VYm+zigd9fbsQGDyELPODk5N568jhysQc2
lKS3+TmdXO2B0ZEKryp7coMHZiyefG6pG1nNE/E1L2zeBpF1PaFm0vTYL4Hv
90T5spaODUK+3xPGQf38Zhbz/Z6Yv3hw9027+H5PpBSFNb07zvd7wv6KZMzI
K3y/JwZs2+Oy6CHf74V7onsVfm/5fi/kO97UTPrF93uh59djL1M7HKL7vfBw
xWWtpD5kgRe6hF874WVALvZCaNGdh6am5Gov9HcvELaxIjd4YcSS9b2uOJDV
VmFHTbupSe5k3VVYnbns0tBgMlYh9Yj67kMCvn8V+m/SvmORx/evwoOzKZ0v
rOf7V+Hg9IAnU3bw/aswfvxCSclhvn8VhnWeceRnDd/vjeC3HiMt7/D93jCo
lYVkvOD7vdH5dOcdJz7z/d4o7rnma1Orw3S/Nx4tcG3W1CIXe6Nxwb3r3QaS
q71hPKBPSR9DcoM3nJV9t/WcRFZbjYoOG1t3sCHrrkayod2DN4vIWI0NsyZ6
HHMnu6yGhd+nuowgvn+16u8PA/Tt4/n+1dCKXfxfxxy+fzV8vZ/83aPk+1ej
44yzJ+zL+X4fTPd4Uta4j+/3gfqgs6Lw03y/D6otFGip4/t9sLiH1gu/R3y/
DyrL7t+884bv90FkS/kNk598vw8yDkaFS9oeoft90KbdEo3H2mQ1X/xK2/Jg
iB5Z1xfigd3bLRtDhi/+7JyYm2JOdvHFFIuj93fYkAW+2LyyXc+Li8jFvpjQ
p2bjQzdytS+s9oStaQjg+32R8MTgxL0Yvt8Po1q5L7iewff7YecX8zmn5Hy/
H6SDN14o2cj3+2FGU6+4sEq+3w9fQ5bssTjG9/tBMOvmi44X+X4/zGk8c/Di
bb7fD0ZdfwTEPOP7/TG7ZfzXIc18vz+Sfy7MPPWb7/dH9bl7opXtj9L9/jhR
cWXN+55kgT8MOhxfFjaYXOyPdH0H709jyNX+yKhe38vDnNzgj031az9etyar
rcHJhL+Zpg5k3TVoCkp1kbmQsQa9bbplP/fj+9egJcVLahjF969BonjV2aAU
vn8N3O7dF+8S8f1roHzZye3xer5/DQ7r/1qssY3vD0C6UZOt/n6+PwBOC51G
W57i+wMwVdl/46IrfH8AVjSULFpez/cHYEOX1z+XNfL9AZjSeqv7ok98fwDG
St5Nn/OX7w9A7dXwqeM7HKP7A6H9c/LfHr3IWoEYGXlE670eWTcQy3Od7E6N
JhsFwsnSaVDuRDIC4fDr3jL7mWTbQFxNW/qxix3ZJRAVmzY7nXAmBwbiafeU
zQHeZEEgVjRPLekVShYGYl127o0D8eTiQGw4Zzxibha5MhA3n4f8vCcnVwdi
cNi8sV6l5LpAvD4mt3qzk9wQCHFom5seh8jNgfgTpXn+1hnOHwSRedrI6XWc
PwjvSzeUb7/P+YNgYDwqueNLzh8EdJ05z/UT5w/Cx3qtR5V/OH8QrC7GNf/W
PE75gzAj1THLsgc5MAhx188mxA8iC1Q/f81y3d6RZGEQNhxZfvOJCbk4CJPv
9yztYkGuDMJ8g+9qY+eSq4PguGWO07wl5LogKBxz0lzdyA1BmNvtQJdAf3Jz
EBoPe7SPiiSrBePinrOy2CSyVjCcRr/uFZVL1g3G4daBEp8CslEwot+3Pbus
jIxgbB7zL9l6F9k2GKWVW++OPMz5gyEedTNQ4yznD4bFifyx965y/mA4VtaX
7azn/MEwlwxtiXzB+YOxIaObr3kz5w/Gvft5W360cP5gnCx9WFfV5gTlD8YK
YxtdLy1yQzAG9Mk0696P3BwMbyu7KweGktVCEP3qzZjFRmStELjfWRfyZRJZ
NwQmiXP+ZswkG4VgwFSrdn1syQiBfca0ohInsm0I9u7T+D3Uk+wSgvbtt1ws
CyAHhmBuwMmpA6PJghBMiz59QZhMFoag1sv+0a9ccnEIyhO+nfAoIFeGIDg+
zOPCRnJ1iOpvbEULh1Vw/hAMdrjnEX2Q84fgVdio57WnOH8Ixi46YNH/MucP
xa4fQX/d73D+UMwvid+58QnnD4Xjh9Dpj95w/lB0m+11pvc3zh8K2U31R0PV
qil/KFY15aWZtyG7hMJ4XM3e+R3IgaHoa3xwmUtXsiAU+zY6lgT0IAtDobT4
sXBtH3JxKLSOD9iUPJBcGQpBV/m3zCHk6lAMX3y/t9CAXBeKqt6rn4lGkxtU
58Ufh4uMyc2hGNWnz6dsU7JaGHwuXTdLn0zWCkNE7pKhAguybhjevLl/JsyK
bBQGl0U1et5zyAjDvEmLNjnacv4wGLcecspqEecPg/Xs+KnjnDh/GHqcfPah
30rOH4YzDg+/tPLg/GEY3qr7vUZvzh+GyM1bTC/6c/4w2B7VNNwazPnDsG+h
94yUCM4fhlqjwk6uMZw/DGEd+g0xT+D8qrx/rz3USuX84Qgcqpj5PJPzh0N3
kaHW/jzOH441B9/KU6WcPxzXlwuzFhZw/nDMrnUZMXAD5w+Hutk/48ZSzh+O
HtqTa3du4fzh2LBjULfgHZw/HBNtPzwYV8X5w1HWM6/u0z7OHw6TpckLqw5z
/nCMWm332u8E5w+HIHJ+z2FnOH84psZvj31Qw/nDYeiguVt0mfOH42Jg6dUZ
1zl/BM5NX+D79Tbnj0DZB0f/jfc5fwTWe2hlLGjg/BHYpF1l1fKc80dAcfFO
Qekrzh+BfYrXJjbvOX8EVli+93vzifNHIGXlvic53zl/BIqC9huN+c35I/Cw
56HgS2onKb/qfm/t755tyJUROO4TsEqtA7k6Akurys4pupDrIvCqj/Gp0drk
hgj8eTgkpFqH3ByB8vNaYfb9yWqRKNWzu/lUl6wVif7mT6oChpJ1I+FhYHyw
ZQTZKBJtdSd4JY8hIxKLPgx82Gkc2TYSRt1GNohMyS6RmF45fX7PyeTASGAu
bslBFqgcUxKmM5MsjESh+RI12SzOr7r/9/InWvM5fyRsx27zy7Tn/KrPO0DP
ovUSzv+/nj43ahnnj4Tz29Dd71Zy/kis6Pzad6UH54+CTfkKYZ0354/Ct25n
vaf5c/4odFqS47UjiPNHwfvDuvBe4Zw/Co1pWV0E0Zw/Cn6rHtW/jOP8Km9o
mD0vifNH4cTEsru70jh/FMzP3pzcPZvzR+GN4E/bECHnj8Khc4/e1kk5fxT2
xVp5GhZw/ihsCc6Tp63n/FGoF4VaPynh/FHw2pHXYrqZ80dh5yv19OxtnD8a
XSeuTmio4PzReLFxWKdxezh/NBSvV5xOPMD5o5GT01Bcd4TzRyOjsS5lQDXn
j8auvDbXvM9w/mictSsqqKrh/NHYcHf38R+1nD8aA6+trZp6jfNHY7ailU3S
Lc4fjR1V6tPP3uP80VDv8HZdm0ecPxoLCi4en/GU80fj29MBmxMbOX80xg2M
6nz8NeePxhs3z6Lv7zn/WszfLtQy+sz518JG54bRqu+cfy16uh0euu4X518L
/duZ86/+4/xrET1r2phWGqco/1oU9bB1HKtJdlmLzoWSXi6dyIFr4T6wsCZb
iyxYC2/NoSYHe5CFa7E6I/3Zk97k4rW4OL3Ir8MAcuVaGNXOcTfSI1evxYG5
3aIXDSXXrcW2wHttokaQG9Zi7+MtzoWjyc1r8aY879DhsWS1GEwc3jf/nglZ
KwZCtw7jvk8k68bAttF/hPZUslEMppUqphtOJyMG+qfWq8+04vwxcF6Wu915
NuePQV3Nxp7B8zl/DN4LTo9Nsef8MSgqGf0hfzHnj8HBkRXrtzpx/hiUWpUd
P7iC88fgcVNqw1k3zh+DJ+Nj91334vwxGHahjf0jH84fgxFa/0JeruH8MWjq
sOb1+2DOH4t3g5ybv4Zz/lg8qhjj/Sua88ci0yxO+jeO88cipcTIVC2J88ci
6/bl1FZpnD8Wzy5taNMqi/PHAgcnR/7N5fyxqJxabNUi5vyxsMr99v2rnPPH
4uaepg0flJw/Fjbu+V4vN3D+WCT/ay96WMr5Y1HubyG+sZnzx0JR/Tv0/DbO
Hwu/haklhyo4fyxSm+4s27ab88dhcs9rG5T7OX8cbEd0vJB+mPPHIeTxUUHY
cc4fh88ZPZ+4nOL8cSgeMj9ozjnOH4cpulpjx1/k/HFoUO6b2u8K54+DUlbu
1Oo654/D224ZLo23OH8cZv33Z/+Fe5w/DtumBFtuf8j543B1Tmuj7CecPw7b
o75n+L7g/HHwmFiWO+sV549Dp0kjSoa+4/xx6HDtWnCrj5w/Hq/LEiX3v3D+
eMi1Y+bs/cH54xFmY9Qr6zfnj8cWHJG6qp2m/PGwyxytmKBBto2H0WOj5vaa
ZJd4HOzrcf5+R3JgPBZrRd/Y0ZUsiMfE9TvOx2iThfEQnDXfMluHXBwPh+kv
1uv0I1eqfl4/88yzgeTqeDSO3RFdMZhcFw//J/tuhg8jN8RD/bvDn6kjyc3x
OGRyfGHbMWQ1AUJbep26NJasKcBe0wNj8kzIWgJo5tqI7CeSewswvr3Z2R5T
yLoCOI66X38TZAMBfC17r5fMIBsJ0HPsfmt7G7KZAAek9sFd5/L7E+BedZn7
xQVkGwGK51ZkJy/k9ynAwDO/PKcuITsK8LnYwOebE79fAUyXCop3rCB7C6AI
GGDh5sbvWwD1E1btdbzIkQIsemD/+MJqfv8CnAy/EbvWn5yuyjvQa7NhEPch
wN3pL4MehJIVAmw1sYnPjOR+BHi6q26aaQy5XAC9HUUfn8VzXwL8fBl+OjeJ
fFCAb3oRs83SuD/V++yVv7shk1wjwJrSfFl6LvcpwG7LeOUYMfmuAJOTHINu
yLhfAdLaLBZGFJCbBNjpEhLZdz33LYBOhkGHo8XkH6rPIxOMcy7j/hOQ03VW
799buP8EqN+Rj1Zu5/4TMNa/lb3pLu4/ATu8DDve2M39J6D6fdb0Nfu5/wSs
G/Cood1h7j8Bh1MyQouPcf8JUDos0zI7yf0nIO307pgrZ7j/BGhrvbrqXsP9
J6Cw79Ci75e4/wSkh4hGZV3l/hNQttV81IAb3H8C1opkOhW3uX/Vc7XppVPq
uf8EnP39/FTtQ+4/AefkV+c4PeH+E7B+0637jc+5/wQsf98vOLiJ+0/A+M/t
X/5+w/0nYFxNX8fUD9x/AhY3T9bt8pn7T4DjotFXZd+4/wRolVg/69fC/Sfg
+vemviV/uP8EnPeb+0G/1RnqPwEnslx7lmuQ7ybAebi7yUhNckMCZv4zeL6t
I7kpAVNnJr0e2ZXcnICf6b9Obu1O/pGAsH/uu4f3Iqslom7H128b+5A1E6HV
FPl30ACyViJORao/U+qSeyeiu09tUA99sm4i/jySquUMJxskQqf20zWNUWSj
RGx8VFSwdgzZLBHxd3qXN48lIxGPB93N9jQh2yTCSNLse8+MbJuIrV/KXs6Z
THZMxAzFw9HHppFdEuG2StlxjCXZOxFNiW2vrLciByYiasDDzp1mkyMTYfL4
VnXUPLIgEZ4bjsoabcnpifDpPtLT3oEsTMS8og95R5eQFYno9HNYzrBl5OJE
zP65eU3eCnJ5IuQD0rS+u5IrE+G4492x5Z7kg4kICn6qOO1Nrk6Et9tliYEf
uSYR487daZUdwP0n4tOWmMkfgrn/RBj0/GBhF879J+JZRuSQ3VHcfyL27zj9
tVss95+I4BZ1wyAB95+IMW2RejWJ+0/Cl7yO0w3TuP8kPP9stD89k/tPgthv
oNXzHO4/Ca4x99Onirj/JAQUPijPl3L/SfC13xrenM/9J+Hlu1F9bAq5/yQM
v7zXacMG7j8JD7+5Gn0p4f6TYP7dYvWsTdx/EsykmVrry7n/JMybkrzpw3bu
Pwmb53bXnr6L+09CaMMgV8lu7j8JExPi+z7bx/0noTbNNNL4EPefhNmrt05P
OMr9J2HIUr0NV05w/0nQmPrgct/T3H8SDt+ZcNvrHPefhBUIvFp1gftPQt2Z
wf6/arn/JNjU/4iYUcf9JyF8jvXl7BvcfxL0798cePM295+EstV7Ovet5/6T
kBSYvXXlQ+4/CVGHN6aWNXD/qs9X2fH7y2fcfxKMu+2/PvIl95+EcZkZHfxf
c/9JWDku5d/Od9x/Mu4+k9W9a+b+k3Em9H7I6C/cfzJs9Paa+X3n/pNxa2u/
VVtbuP9kaNi3mdD4h/tPhsD1e8LgVmep/2T4hZRHLNcgmyXj2sv9c/PbkZGM
FYrv7+s6kG2SUdLQsq19F7JtMmKbxlxDN7JjMqr10vdG9CC7JCN4mMHvnTpk
72TcfK7e4VlfcmAy3n3Y0lpnIDkyGc/nn983W48sSIbEOjgxVp+cnoylfbff
rBhOFiZjYKuot49HkhXJuNLtHLTGkItVeW3Ph00bSy5PxquWiD3+48mVyTgw
cl5UoSn5YDIixt+S10wiVyfDbl6V9pcp5Jpk7Fr2IG6QBbkuGSnVh0bMnkG+
m4zfnf4oQqzJDckI2d574rrZ5KZk/GppO+fMPHJzMmqt6va/sSX/SMaslrGS
bg5ktRRcWVg+13QJWTMFF6T5Bs5OZK0UZHda01ewnNw7BeFRcyZtdCHrpiDZ
TjP8rDvZIAXPRn/Ue+nF/afg3F2X7HY+3H8KShsj64f7c/+q+w1/DLQO5P5T
YPRqwTzPEO4/BYqPs9onhXP/KTBYkfq7KIr7T8Gkc2mdjsZw/yn4Wtioeyee
+09Bw591+z8mcv8pWJlTLuuYyv2nYNkgua1+BvefgsXGOmcmZ3P/qs8zycDQ
IY/7T4FG56pLPmLuPwU/I76WCWTcfwo6hxxrlCm4/xQURHWbuK2Q+09Bo+3f
zGMbuP8U/IvLqqsr4f5T0L372PNPy7j/FHj4Cf983sL9q54frtunsZ37T0Gg
/x55jwruPwWm9xN2Dani/lPgbHy2Yexe7j8FXewWHJ92gPtPRfbQhh1zD3P/
qWhr+mml4zHuPxXrNq/R8qjm/lOxPt31/JrT3H8q5kt3FESe4/5TcehZ3NWE
C9x/KiKOLp2ZWcv9p0IeNvCj6Cr3n4pLe2bvVlzn/lOR17Pv7KJb3H8q+oRK
D5Xd5f5TMV3vv0Vb73P/qbj/X8mWnY+4/1T0D5qmU/WE+09Fk8EW2Z7n3H8q
FlqOi9/3kvtX5T/54tn+19x/KpaNtxh34B33n4ob+55c3t/M/afi2JcZDvs/
c/+puCXrkLT3G/efilaNXzV2/+T+U9H7xO3Ru35z/6kwDqxK2v6P+0/Fkh+5
1ZvVz1H/qcg8HCsqaUOuS4Us45feOk3y3VTcGegxTdaR3JCK7+ubzuZ0ITel
Yt7rlTNSu5GbVT9/cZU8tgf5RyoKgi2bQ3TIamk4VlWu59OXrJmGJfMfbVo5
gKyVhlNDZzUv1CX3ToN7y9t71kPIumnYv2ykt/kwskEaxiWOvTB6BNkoDXPM
bAMHGZLN0nD7+oYnWv+RkYbdhReTWxmTbdJQL81+3zyebJuGwfW7JjWYkh3T
0NZvwecrk8guaWie1ZB1dArZOw21Xk7HtoIcmIYV4cNd5JbkyDTc6RXYL9GK
LEhD9YCyPv6zyOlpONm7+v6SuWRhGnwmXc+xWEBWpMHZfNfykfbk4jR0+Dqu
u/YicnkapBt6mP1aQq5Mg5Wv698nTuSDaTDTO1NWs5xcrXofm3bKK1y4/zR8
rvp7SOLO/adh65Mq80gv7j8NF0yPTnJezf2n4fr8I4Jpftx/GiYOiXyqF8D9
p2GvZ4uGRjD3nwbNG9O8X4Ry/+lIzdS8ejaC+0/HzvfhPTdHc//pWL+tPiol
lvtPx7HC9YYeAu4/HTliB+fpSdx/OnQ/Dz4zKJX7V/28tfPW3+ncfzp8LZ6e
u5vF/aejaLBF/N5c7j8d2pZG8/NE3H86gpyT/VdLuf901GUsiLXM5/7T0X+c
9vL+Su4/HY32+tu/rOP+07Hum7Kqtoj7T8cGh4T6jaXcfzoMT463i97E/afj
RdxOe9ty7j8dfxy+nx+6nftPx2afUMuWndx/OuZKJ8y4Usn9q/IUntYq3cP9
p6MpXLM2dD/3n45PS+bWWR3i/tNxYMjq/b2Pcv/pGNY24cSr49y/6vftmHnv
0EnuPx3ZN8a/yDjD/as+f8FTs6Xnuf907Hj6OXr4Re5fZe+t4q+13H86DDwv
Tz99lfvPwJOtL0/kXef+M3A+MvDlslvcfwbSTs05Pfwu969yV6Otn+q5/wyo
D8t6fvQh95+BzKc69akN3H8Gpo5Zpm/7jPvPQPTTqIjejdx/Bq4f8Fjf0MT9
Z+BwtfXo8jfcfwbiyidtW/Oe+89A/1dqfUw+cv8ZSFw3/EHLZ+4/A4tfnKo/
8Y37z8D7yHark39y/xkIqHw/y+Y395+B79tvHer4j/vPQNsAN98rrc5T/xkI
PrNZJNQgKzIgq9nbx74duTgDGq+tPnXvQC7PwPPKoiM3OpErM6BvWp4s6Uo+
mIFlIc1p9t3J1RmYbzIntltPck0GqscoFFd1yHUZ2PB3TuucvuS7GZh87/34
2QPIDRmQb/1a3FaX3JSBt08Pzz01mNysuv+xbWXsUPIP1ft0bCk2MyCrZSLc
97rw00iyZiZGWDaN2DGarJWJm/NOBXoakXtnQvLebO+AcWTdTPStWZB6y4Rs
kAnbwVaTc8zIRpnYaJb41NKcbJaJVfe7fvw5hYxMWFdf+rQLZJtMmPW20vG0
JNtmopfuPs8+VmTHTGj10C66bEN2yYTXzFMzEuaQvTNh+tKzYdx8cmAmjn3r
GdxoS47MRGstBx/FQrIgE5qL66JnLSanZyLHutfCFkfuPxP1G1wLty3j/jNh
c3uuudMK7j8T794EL2/vyv1nYkFm+pcD7tx/JoYd69Li6cX9Z+LCVYfV2qu5
/0zczvRQVPty/5kYfnvUS7813H8mpied39w7iPvPRNGhWsszIdx/JqbN1Wkf
EM79q/oaPL5/nyjuPxPaFddGnl7L/Wfi7PJ2C/ziuP8s/JYEPeyRwP1nIQRj
rY8lcf9Z+PP1xxuPVO4/C08ski50zOD+s/Dv4J/s3VncfxbWTw7e55jL/Wdh
pVbMlz9C7j8L1odO9Ngo4f6zoGFVf8Vazv1noazAJ/mNgvvPwqfwGI28Qu5f
9fPppyyMN3D/WdDdcWDVzWLuX+Vkyezwjdx/Fl6ZiO7pbOb+s3BEu/uFg+Xc
fxYu5G/rtnQ795+Fbz7hjT92cv9ZeDvF30ZRyf2rPo/Rjp8T9nD/WRioXux1
ax/3nwWDE97mIQe5/yw49fvPUesI95+FPrW1jjuPcf9ZONG8q3RWNfefBaO4
ATYvTnH/WfhQYHlDcJb7z0K/stKgfjXcfxZGL34m33eR+8/CSM2JkgWXuf8s
5G3ce6npKvefhY6tJwYnXOf+s7HtbMrTPre4/2xcXGtbUnWH+8+Gc+CFMzb1
3H82FiXXbn/8gPvPRskgnZ7hj7n/bBScnlbe8Sn3n41XdpWaJc+5/2xEGZ5V
n/CS+1c9t/TofPEV958NjfiPr5a/5f6zYfelKujje+4/Gx9CK/slf+T+s2F/
qFVEry/cfzZWXAgMLv/G/WcjJ1n94cSf3H82CiMPHLr4i/vPRmhzxshlf7n/
bARYV+u/Uauh/rNR0RKYEt2arMjGhLp+xe3bkouz0SFDoaXQJJdn46D41veh
HcmV2dCdXVS2pzP5YDbUXmzYDy1ydTa0Ej8Ou9ydXJONXpeEXkt7kuuyUakx
8utzHfLdbIwx6fExoC+5IRuZZ5Y8bOlPbsrGg/bdO6YMIjdno2pnF1mXweQf
2Rj21KSnQp+slgPjwZMu6Q4na+bg8cT7r8pHkLVy0GX0Co2xhuTeOZjw9XLE
wTFk3Rwkj5oxdNpYskEO9l1yrDw7jmyUg4NCm9tzJpDNcnDBqHefa2Zk5GB0
wtjpi83JNjkYs+va9/opZNsclDsPfb4CZMccSOp3Hn86neySg39rijW8ZpK9
cyBfpMxpsiYH5uBb9nh139nkyBw8aMp78nYuWZCDgUmBOmsWkNNzUFq3xuCD
Hfefg/SVImWAA/efgx27LaM/LOb+c6Df+dOIgKXcfw769DSb834Z95+D0LyO
9/1WcP858CjeNeqNC/evur/xyUdvd+4/B8HqTzUaPbn/HIydeuSHmzf3nwNB
W4vUxz7cfw5ux1aNWObP/aven/nPU7cDuP8cxO/Lb2UfzP3noCr4tG9tKPef
ix7qO3dYRXD/uRjXa35GdRT3nwuR6Yh9E2O4/1zc+/mkaHcc95+LtJgtf0Ym
cP+5CFuj/qY0ifvPhcmbqoS+qdx/LoyTNHJF6dx/LkY/WqenmcX956LwnodX
XA73n4t27SaN/JLH/ediRfXFiNVi7j8X123P+z2Scv+56FRV+sI+n/vPRaDM
5fy5Au4/F+Fm5WsmreP+c7FUR+3Mzg3cfy4O7/07UbeE+8/FZfdSmXgj96/6
fF3nb9DYzP3n4srChBth5dx/LkoV2S8at3H/uRjT6dmeJTu5/1z0jtAsO7+L
+8+FPD5hjelu7j8XT7MGVW/ey/3nwnlPmKznAe4/V/Xn9+V9kw9x/7nQadta
59MR7j8Xs537KFce5/5z0dbb935tNfefi8Wfz5ZNPM3952FNvH7jprPcfx7k
IXdedKvh/vNQ7fo8MPYi958HF3c7p6Za7j8PV44v7rvwKvefB8NDzZ7HrnH/
eag4PbLV8Jvcfx6utQtIEt7m/vNge+3E3p93uf88LB59qp3bfe4/D+2bDedf
fMj956Go1QMz4wbuPw/9lbGzCp5y/3mYmP9xkdoL7j8PP1+1eef1kvvPw95d
+Q9rX3H/eZhd/6nK+C33nwfdMZf/5r/n/vMgLr2473cz95+H2yaNC10/c/95
sDkyyPXsV+4/D5vdbV8Z/OD+8yD5rLYwu4X7V71PpxXGH35z/3no+8Q9yO4f
95+HUz5R5XtaXaD+87DysNq0nhrku6q+CrovCW9LbshDV4nj8jua5KY8zB8j
O2vakdychy7519fldyb/yMOK4BD3713JakL4+vQoX9ydrCHE/Xsd7ff1IGsK
0efNwBvaOuROQqxIvfg2qA9ZS4hK80m+V/uRewixrtvak4YDyb2FCLTxLsrQ
JfdXeWKHLy8Gk3WFaGvtajh9KFlfiL4LrPasH042EOLhhLrHP0aQDVU/X1jb
xsGQbCTERAncK8aQxwshU/NYrTmWbCaEzzZjK7dx5MlCzJSEhRwxIUOI1t8f
O/QwI88QItrkqLb/JLKNEKkdArqenUyeK4Tj2QuX+08j2wrxRblnWqgF2UGI
t+JFhpcsyY5CDG9tdUHPiuwshOmIsC6RNmQXIWylbZ5dnk32EMJ7yGiXIfPI
3kJcMZSsilxA9hPiiWe6xmU7cqAQu2TJ7noO5FAhOq/YsDhsMTlS9b7nO5yq
cSTHCDH53HGN/svIAiGuh6+4vGY5OVmIohB0OLmSnK7K12nXWG03crYQUfZ7
Xnp4kIVCnBx68Os+L7JUiL/Gk/+1XU1WCJE8qTFziS95nRB+27smbPEnF6ve
t9sr7+8B5DIh1AcNabIKJpcLsbvp13lZKHmH6vvx9KLgeTi5UojeVo6njKPI
e4UYnbYqR7CWfFAI4xvzZl6JJR9VfX+GnLPpJyBXC+G6Ok/NO5F8RogchYF8
bzK5RohVen6ZamnkWiFqwgKM5mbwPoVImnJgZ34W+aYqXzefmKc5vFfVntT1
u48Wkh8IsbHP8ZURYt6vEIcfLtI7KSU/F+Jc9rTyDvm8ZyHaf09/sLCA/FaI
eTG7AtYV8r6F6LF56qvn68lfhKo/Pxz+bljMexfCql9Ydmgp+bcQTvr9W46U
8f5FeNHt2F31Lbx/EVwnHnGZtZX3L0Ko2avTedt5/yIU7ctT3trJ+xdBK67y
S99K3r8I6QP3WLjs5v2LMOjp7Tab9vL+RbDrstDx1X7evwhnAi3iRx/i/Ytw
3FE4KegI71+EuQ6XU/ce4/2LcHHLiPXfT/D+RbA4Hz910inevwht7z1OiTnD
+xeh+XZqyvFzvH8RKmzW66hd4P2LsGVd/DKLS7x/EdqY+UxNvMz7F0HN/eKu
U1d5/yL81c76qH6d9y/CmD0FddNv8v5Fqv8/lI5KvM37FyG/Uel38i7vXwQn
sa6r2n3evwivzTaXTn3I+xdh8s2jx2Ie8/5FcLsTl3X4Ce9fBN8hL658f8b7
F6FgXOvm8Y28fxGyjNtXBDXx/kUIdCz+svM171+EXv02a79+y/sXIfLyyQND
P/D+Rbgx8I6660fevwhH3vbqv+4z718E2/9mltz+yvsX4fyQIZ+0fvD+Reha
uaj9nBbev+rnR40TJP/m/Ytgv1rv7rG/vH8RrMJm/PmmdpH2L4KyPm35f63J
5SJ02qa+aVUb8g4Rar3k24vakStF0OgW1PNOe/JeEfSSTq/p0ol8UIQJwmEe
M7uQj6r6fXHn7lotcrXq+3iuo+nu7uQzIkhWvOna1INcI8Jv7UrhAB1yrep9
xo1sse9DrhPhuprP6bR+5JsimA6NsTs6gHxXhNN61YeaB5EfiPDk7DQf/cHk
BhF+nb/d1lGf/FyEOYtbfLOGkZtEqB4W3/e4Afmt6v6HV881jyQ3izAyYUuP
IaPJX1T7k0Xfc/iP/EOEPOsD8tSx5N8iOKw0u3tgHFlNjDTPpMomE7KGGIOu
3Y/vY0bWFGNJi8uGWZPIncSocFZPiJpM1hIj5uVRm61TyT3EaBv1bM1dkHuL
USL74dnOktxfjAk9ZplPmEnWFaOLV76bhzVZX4x2uTYB4llkAzG0fW0sq+eQ
DcXQ+7tk9bt5ZCMxFulcyu5rSx4vxnr//KnW9mQzMVo/NxGEOJAni6EbmHuk
aDEZYix80dfnkiN5hhjrmsoufXMi24ih1UlDd/By8lwxOp2s2zd3JdlWjGez
FulHuJIdxPgrGxtY4k52FOPSJB3dS55kZzH8tzzc+mUV2UUMF9/0NgN9yB5i
VB+W7rPyI3uLocCBZQFryH5ihC7sWJYfSA4Uo+z+uIATweRQMar8Lxq/DCVH
ijFuU/eQLhHkGDGGN45yNIkiC8RYYz53kvNacrLqff68F5IYS04XY4YkP6w8
npwthve2lSuvJJCFYsS96rP5cxJZqrpP9Ze93qlkhRim80btmZJOXidG8aCB
ndwyycVi9NGysU3N5v2LAY+nU7fl8v7FqLv8ZutlIe9fDI3kBq2PYt6/GH6z
qz5ry3j/Yjx6+CdhQj7vX4yT02s6LS3g/YtRuWae5tpC3r8Yd+8POr9uPe9f
jDkna8KPF/H+xdj33Gfj4xLevxiS4sgytTLevxhFS39H6W3m/YsREaumP72c
9y+GKCyv1G0b718M8y17vibu4P2r9hESMWBjBe9f9X0xfdHndCXvX/V8brs3
T3fz/sX41LZJqL6P9y+GzwFRx8EHeP9ilG7rssziEO9fjL4jVse7HOH9q95v
xPbI+GO8fwn8bz222nCC9y/Bm3it10dP8v4l+FFh7Xb/NO9fgrPyvF0/z/L+
JYha9emaTg3vXwKzedEXTC7y/iUYGDhWvrCW9y/BjC96ZkFXeP8SnPu5aFdu
He9fgup1d35tv877l2Dh18oBF27y/iUo03nbo/E271+CF9qSJ+r3eP8SzP+2
K2nQfd6/BMPPz/1l/pD3L0FNZoiN42PevwT5FmN8Q5/w/iXo2pTqLnzG+5fg
VHja2B0veP8SOD6deOv8S96/BNJ+5fOfveL9S2Df9cH6v294/xKINj8+1ec9
71/1vs8dPTa+mfcvwTDb2NwFn3j/EujqjTLx+cL7l+B597qq5G+8f1WeX2Ea
RT94/6r3t33Y6EMtvH8JLn16M+rGb96/BCHKq2rv/vL+VedX39/ettUl2r8E
KXp9Ruu2JidL4JooTp7Yhpyu+v1Wdrvt25GzJfg+dOV+3/ZkoQShN84KkzuS
pRL8/ptrsb4zWSFBmsOZmn1dyeskWBwTMOxKN3KxBK/6Kp0atcllErS/Ns/z
b09yuQQnzaVWvXqTd6je35fwv6P7kislqBD+y57Zn7xXgohS00/OA8kHJWh7
0GBMqC75qATNyx4gazC5WoL+PZ1HluqTz0hw2qvq9cFh5BrV97vuRcJVA3Kt
BCOvqDe/GEmuk2DQ3W4mvw3JN1X53frbdf+PfFf1fXs8aobBWPIDCV4emdVl
6jhygwSDXeN3LTQhP5dgm8nt4atNyU0SaK9bEhE3kfxWAqfPnTZIzMnNEryV
/yssn0L+IsG6R2ZBx6aRf0hQNfDUgOsW5N8SPNlSVtJoSVaTYuH5V79bZpI1
pCg/p/yvqw1ZU4r3b6onDplN7iTF3ijPfqZzyVpSqO0S3Zw9n9xDCtvz8z1X
2JJ7S7GtZdPlIHtyfynSYos7pziQdaV4K7AeqlhM1pdiuXFZj+2OZAMpnh05
cf+YE9lQiq4zNkbXOZONpGh5t+Tj0xXk8VLMudc47asL2UyK8YOXerVzJ0+W
IvjJAY8+nmRI4WjYyXzUKvIMKc73WPlq8mqyjRQmWw8FzPclz5Wi6ov+lZX+
ZFsp7v/dqhEUQHaQ4sslO+3EILKjFHXOQ1vEIWRnKRorRh/aGEZ2kWLu0RDb
vRFkDyn2rFWrPhNF9pYitOFBu1tryX5SpNd3M3gRSw6UQri4XPdrPDlUiltT
tn7USCRHSmEdPqCwRzI5Roqkp50H6Kfy/qW45poUMS6d9y/FqLrUbdMzef9S
mLXV22+XzfuXwu6ek9Ill/cvRWq/KUsChLx/KfIL697Ginn/UrQaOnBZtpT3
L8WP+DGlSjnvXwrvoA6nyhW8fyl+HT58eL+S9y9Fv3422WfW8f6l+DD3yITr
G3j/UrhqDjj8uJj3L8UA9fBe70p5/1JI31yZ01LG+5fiX7CRU7stvH8plllu
tOixlfevet8aRup623n/Ujx2elw4eifvX4o/Lw91mbSL96/6/s+ucbKq4v1L
8aqftsB+D+9fiqyvpXEr9vH+pcj1FSz2OcD7l8K/69524Yd4/1LEB1iJE47w
/qV40wvfso/x/qU4mrN1nOIE71/Vn2PW7I0nef+qPf18N6niNO9fiu0f7mkc
Osv7lyJn35Ly0+d5/zJ8PR0w9MoF3r8MI4QjY+5e4v3LYJ8t3PH0Mu9fhpTh
2/a/vcr7l+HI5Xjlt2u8fxkevOzjqHaT9y/DgfuCD+1v8/5l6NTpmIv2Xd6/
DOl3b2/vX8/7l+HS+tt1Qx/w/mVw33fm6phHvH8ZboVtLTdt4P3LUGicswxP
ef8yDJsc2WTznPcvw8PHwQvsGnn/Mgz1ThEubeL9y+DY/+B219e8f9Xvh3bJ
6re8fxk+9yoKDHrP+1d9/ofufaOaef8yxF1ZvUHwifcvw8Yhh36nfeH9y9DQ
zckk7xvvX4aiSw428h+8fxkWCKpM1rfw/mXwdY78s/E371+G8Iyqom1/ef8y
tBrj2b9KrZb2L8NO/8KQA+rkUBkGr3bedEyDHKnKO7Wy6nRbcowM8e2KFBc0
yQIZej80crragZwsQ9MN/283O5HTZfj7Z7l/fRdytgyJPu1PPNYiC2XYMzTy
zfPuZKkM78x2f3rVg6yQYdu2Ezff9yKvU90fVy763JtcLMOgfaEjfvQll6n6
nmu47nd/crkM06fdeaU2iLxDhtspsd3b6JErVT/fc3iv9kPIe2WY13D/S6eh
5IMy6N/eWKE1nHxUhtJnqZY9RpCrZdj6KXuPzijyGRmsXx/723c0uUb1/a7Q
GzrwP3KtDIF61cP0xpLrZGitV9Jafxz5purzZtQeGWZCviuD4bjZC0aYkh/I
8POL3vFRE8kNMuiULtMcY05+rvq8Hf+NNppCbpJB7a/2f8bTyG9lODmztON4
C3KzDPu3VZ02sSR/UX2+T7OWmM4k/1B9/sfB58ysyb9lKDMe323SLLKaHBHl
MlPzOWQNOc792jBx8jyyphzuz5foTFlA7iTHKp2auil2ZC05jK2/e05dSO4h
h8+Qd7enLiL3luOPY9WQaUvI/eUYKZ4zd9pSsq4cIeGnbactI+vLsXOb7thp
y8kGcvyq83k3dSXZUI7a9K0pU13JRnK8WPP85xR38ng5lg4YMnuKJ9lMDuko
//DJq8iT5bAfczHOfDUZcmw5YOE+yZc8Qw61JfeHTPQn28ihV7Ch2jSAPFf1
+TUlEycEkW3lyB9VnTs+hOwgx9T00dXGYWRHORYXP71sFEF2liP8c+OBMVFk
FznEfy3iDNeSPeRQn/xLd2Qs2VuOpCF9i4fHk/3kmDBy8y/9BN6/HMWnNo8b
nMT7l6PCeYjNoBTevxwHPIdM7J/G+5cjyqaibZ8M3r8cA/0vVfbM4v2rPv/E
RNPuObx/OR50rVd2yeP9q/q1q6/vIOL9y3F5Web3thLevypv5sdmdRnvX44r
Jjrn/8p5/3L47VWPblHw/uVoWHqk/Tcl718O2wib8I/reP9yLFlWdeLtBt6/
HB3t/7x4Wcz7V30/ysa9elrK+5djTOGyCw/LeP8qR8Wk3t3M+1d9HwXrdW+U
8/7lGPDpbP7lbbx/OfLa/3lzfgfvX476VrMHnKrg/au+H9p7Rx2t5P3LkR08
XWf/bt6/HFkLfz/etZf3L4eosSll637evxyHl3Ztv/Eg71+O8rvhq9cd5v3L
kZE9bIvsKO9fju7rhp7KPc77Vz0ftfZwWjXvX45jzmOEglO8fzk6LbCyjDrD
+5fDc9DFG0HneP9yzGyqtvCp4f3n49jJsTluF3n/+Qg8OWS/Uy3vPx/SlvVH
7a/w/vPxPXZL8ew63n8+fi61dpt+nfefD7kyudWkm7z/fLjO8oobe5v3n48U
/893De7y/vNxseO4brr1vH/VfcMMh+s84P3n49mxF327POL952PJVa+3Gg28
/3yMWby/8NcT3n8+rOfcN/j0jPefD/1NDyRNL3j/+Xi55OSDRy95//lYtkjY
+tYr3n8+Xmfbal56w/vPx5Y3mm+q3/H+82HrXL19/wfefz5mno+dveMj7z8f
ku4250s+8/7z8Vlv2OD8r7z/fJy/rfrz8Hfefz4GaU0MTvjJ+8/HwW1rV4X/
4v3no1XCu0m+f3j/+ejlK3u78h/vX/X7pkbHOLS6TPvPh+hq6Wub1uTIfOx8
39N0ShtyTD7Ufetdx7YjC1Tvr9t3n6Htycn5SN0ebN+nIzk9H73VHXp37kzO
zkd5fclRta5koerz/nCb9kWLLM1HwoANxS+7kxX5aGnn1FDfg7wuH3dD1/+9
3ItcnI/MgQG/qnuTy1Tv89it23v6kstV37e2d4Wb+5N35GPRrpgRBQPJlfm4
vupicZYueW8+tj4+/y12MPlgPm6fXjsqUJ98NB99T7yd6jaMXK16H9F6Yx0M
yGfycV+pq241klyTj5Nnm6tMDcm1+ZCtU2DEGHJdPtqcGFjR14h8Mx/ZFzNa
OhqT76r25NQw9M848oN8nGo3wui9CbkhHz6rffo8NiU/z0fPHtufXJ1IbsrH
HOXH9Gpz8tt8rMye0bVqCrk5H9GR20JLppG/5EPxesQhkQX5h+r9+l14kGBJ
/p2Pbyl5j4NmktUUcDqaeNLVmqyhQCfJ1kS7WWRNBcyzOgyxmEPupMD7ITtK
jeaRtRRoXy9tpbuA3EOBOQaXpnW1I/dWwDZt0fK/9uT+Coj9Jzm9cyDrKuCz
QDDhwWKyvgJdikZ/uuhINlCgsNYm55AT2VB1n9XdduXOZCMFzCKeuspXkMcr
8PKCf2GyC9lMgWObBHuD3ciTFbAJ1Nvp4kGGAt+zF6fM9yLPUGDY8mFTJnuT
bRTQQf7NET7kuQp8E++ao+NHtlXgXmVYqcYasoMCZz59uPsxgOyoQOku/Q+P
gsjOCthP7vviUgjZRQHlm9uHD4aRPRQw7eIauCmC7K3A1U/H24ijyH4K/Hvx
LTpuLTlQATvjrnU+sbx/Bax0u7RZEs/7Vz3/9rOPZQLvX/V5f9zt8l8S71+B
KT5Vz/qm8P4VuJaZoWibxvtX4Kli1ehP6bx/BfbW2ZU+zOT9K5DqN/97TTbv
X4HcMnfDvbm8fwU0duVbFAl5/6r3Wd08IVPM+1fgU/uwTmFS3r8Cp46OPLVS
zvtXYE/b3o6zFbx/Bd5pW14Zr+T9K7Cuy279Qet4/6rnA32Xtd/A+1d9n3xD
gz8X8f4VMNa5ufphCe9fAclMocX5jbx/BXx77fpZuYn3r8DfLRPEyi28f9XP
9xrdMXkr718BQYzCw38771+h+vNE3IbFO3n/ClzJaTw4bRfvX4HWHrf2GFTx
/hWYkGaX120P71/1+du5zmnZy/tX4PiX9k1P9/P+Vftysve8dJD3r4ClJU7v
Ocz7V2D1wXut1h3l/SuQV62vl3yc96+AwmW4nl81778A0YUvWzmc4v0XYGqw
72nzM7z/Aqg/P+g55BzvvwDf391q6lDD+y/A6qyauZ8u8P4LsHefXHTvEu+/
AHYeVgeqL/P+C3Al++GxLVd5/wW4OdhtU+413n8BhvWu9w+7wfsvQKnzHB3n
W7z/Asx4dKRk+h3efwEGZYztPOIe778APta7l3a9z/svQESrGWlfH/D+C7Bv
/VvZ/Ue8/wIcVtudcrKB91+ACZ2Vi7c85f0XQK1sm2bOc95/ATqXvSoMbuT9
FyDqtbOWYxPvvwAJ9h28przm/Rcgc9/3dYPf8v4LMPDNyH3t3vP+C/C2ZmvF
2w+8/wJcHhydce0j778AJy+WzNz/mfdfgI/CYc+UX3n/Bai07OIW/533X4C4
XStOuf/k/RegddEADZtfvP8C9LxvO9zwD++/AAdG/h2l9Y/3X4B+C0d1/6J2
hfavev86j+7dUSdnF+DexP5JRzTIwgIkRr3pXNSWLC1AntQuOlGTrCiArrVD
jWcH8roC5M75+d2mE7m4AK5OVu0Nu5DLCrBkpMXvLlrk8gJ4Bn6o+9iNvKMA
ux8vTrupTa4sQNGI2EEHepL3qt7Xn1UFBTrkgwV43X7A17V9yEcLMLilxHhF
P3J1AXZE/rbDAPKZArQZY7xw8CByTQGeV9tM0NAj1xZg2u2Zv14MJtcVwKbb
f6Xn9ck3C7BGu8OorcPIdwuwMuaBLNOA/KAAmq+3P/UdSW4ogOxHbLd5huTn
BQib7jh4zBhyUwEcXdCzqxH5bQH+e2X++sNYcrPKwbYldePIXwpwLTdpUpUJ
+YfKdfX7RKbk3wUwrlmmHTyRrKbElNadFtqbkzWUSOzyMdR4CllTiduhWlHd
p5E7KeF0ImDlJ5C1lAgP62FwfTq5hxIP+mvcqJpB7q1E+sQZLiIrcn8lTs+r
vxpoQ9ZVQq/+kp7tbLK+EgnLBy7+by7ZQIkei+74dZlPNlRi0eTfnu8WkI2U
0MoRW9TakccrsfJE0b9tC8lmSuycNaI4YxF5shKHi8cP8V5ChhIi0/PpVkvJ
M5SQxzfW6S8j2ygR25T/S305ea4ScxoaNJ+sINsq4Xbj3I/jLmQHJYINF1xa
50Z2VCLFIV4Q7UF2VuLXbufejl5kFyWydr4Vm3iTPZSYWT6+ubsP2VsJcZtJ
Rs2+ZD8lxg9TX3jZnxyoxKzVYsdtAeRQJWwMm5EWRI5Uot0l3U4eIeQYJfYV
jTiMMLJAiSfqWnMGRJCTlYiYc+/4z0jevxInrmT2vB3N+1diVcOIBbtjeP+q
n79+xDc3jvevxNKvM319BLx/JerzL8+zSuT9KzGinaP24GTev+r7lfv6yJ8U
3r8SdyIzre+l8f6VSO48Zf/eDN6/EoWSdprCLN6/EtNsP0z2zeH9K9GS+tPB
Ko/3r8TxqFG2eiLevxIN3pljfot5/0oMlvRrvi3l/StRYfJcWiXn/SvRM/tV
/2wF718JxzqjdC8l71/1fZ904jbW8f5Ve1BXavbbwPtXwsv53ICvRbx/1fuJ
mdXragnvXwlfqcGn8o28fyWG3vKuStzE+1dC4N/VwXkL71/1+TP16k228v5V
+1laZtl1O+9fiWz19cKmHbx/1fvfpXXyZAXvXwmzdI1bykrefyFsqmJrQ3bz
/gvRb0HClrl7ef+FME/u4TV0P++/EBuDJmv+PcD7L8S5CX9zbh/i/Rci6+OK
7xVHeP+FWHjcfUbaMd5/Ib4c6Ba28gTvvxDHvvtnmJ7k/RciTBab0PU0778Q
zltmLn95hvdfiP+mX+p/4hzvvxBDorSr5TW8/0I0LR9iveYi778QO9TUds+s
5f0Xok9ghdqAK7x/1ec7NG7cl6u8/0K0apLOunSN91+ImW3vWJbe4P0X4nT/
f3pRt3j/hVAad3++4A7vvxBr5vXMHHaP918I96DOPf7U8/5V77fkX8KNB7z/
Qpx82Hxj6yPefyF+DWtsL2jg/RfiR/TzIYuf8v4L4Xu7Wc/wOe+/EOnjtTTU
G3n/heiUZ33xzkvefyHMHhWG7nzF+y/Ezd7dWye94f2r3uf4XWGO73j/hdDV
j6wd/YH3X4h294Patf6fmus8nsq0j+O4ImOUpBRJGBGRGEwhy9fQMhJtloxI
FCOJQSXKEqVNnsaSzr0pU3omS6VpTEKRMmrSNhnRJjXtitFez/28Xtfvz/c5
53Xu+7ru6/M7r/OS+lfgwnclE9tfUf8K3A0dalHeT/0r8O3Q41qZA9S/Amsc
9nf5v6H+Fdh1pWOn5TvqXwGrxqXGSh+ofwWSXzkqrn2k/uX3Z618U/aZ+ldg
54G3jhsGXWL9KxDf/yh0vjJztQKOo9yjTYcw/6bA393Ki9+qMtcqcH2G/G9e
jblBAXedO92SOnOTAmfsldMThzGfVyAv+Wel2cOZL8jns751+bgRzG0K/Hlr
feVzLeZr8vmvONF1ehRzuwK2Klt680czdyrQdezZw0gd5jsKOOf1NjqNZb6v
QH50fpbGOOZ/5PMx8takO/rMTxWYFnDl2FED5l4FlIesMc42Yu6Xe3x4MSnA
mPmN3FfLrfJJJswfFKhPKP/jvSmzEgfnctcLF82YVTjAueioOIlZjUNsz8kN
8ZbMwzgMizli5WHFPILDwH9Sz2hbM2tzOKhj7PzAhlmXg2Ptgb0nbJn1OSxz
0byVY89sxCE5YKlq0FRmEw5xZ4VRlg7M5hy6cGnIB0fmyfL1MgY6L0xntuGw
y21sMe/CbM/ByNrZKdaN2YHDaZWIBld3ZmcO1gkFlpoezODQYnk95bYns6f8
fbfMjlTOZJ7NwdJpd2vabGZvDj1PdFt9vZjncagSGyoNvZkXcfhKKTf5xVzm
QA5rf802r/dlDuZQGH24Nnc+81IOqo2qU0MWMkdw+BRRnG/lxxzFIbA/qv2D
P3MMh72j1g+6EMgcx6Ev/LKmIog5kYNLdoJydDDzOg5vRy/vdAhhTuWw+Nh/
936xlDmdw7S3s13/CmPO4qCX6XmuNJw5h8PUhyXfJCxn3sFhVcPyre6RzHkc
fErzz2j+wJzPQdfc7m5XNPMeDiduz+j5JYaZ43B+yeU/k2OZJQ7Fdh38rDjm
Ug4TX0YsGP0jcxmH8aZrnt5LYD7M4XbwyJiqJOqfw0YT18sb1lL/HOpUP42b
k0z9y+vZ6e+tm0L9czjp5r2sJ5X657Dp5+4lRzdS//Lz8PzKLS2d+ueQK36p
6p1J/XMwmF5yVDeL+ucQueepZ0829c/h5rTe2iNbqH8O/J4qvY1bqX8OWx1s
Q7y2U//y/uYnbxmzk/rn8Hzi9sJ7udS/fL/RK7dX5FH/HELbDVas3039c1j4
8NDEmfnUP4c/NbQuahVS/xyaGgIXdxVR//L+JWS3lhVT/zx2FismJCqofx6v
9olhbjz1z2Pgc0G2ukj983Aw3LTrukT989CLXZkm7aP+edQFLvRbWUr98xjk
5aY19QD1zyP7F7tjSmXUP4+DPfbTWw9R/zxyQmcdKviF+uehnrb6Y2g59c/j
atmRaRaV1D+PWRgZ2F9F/fPIO1gQUneU+uehcMOcnGrqn8fYqDEGC36l/nmk
punfGPcb9c9jcLf/mp4a6p/Hgect7ytOUv88rD8mR647Rf3zMI9aWeNeT/3z
uLdl30v109Q/jzXHJoy4dob659GMPm2+ifrnsS5rtNKKZuqfh8qV3MtTzlP/
PMSU8K2vW6h/Hr5XiswaWql/HvdNbQ7nXKT+ebxustGZf4n65/H0Ax819jL1
z6NvbKp09wr1z0Mt8lLdoWvUv/y+FdcY/xf1z+O7Ew8qHNupfx6rvY6lD+qg
/nn8ZKXq2HKT+ufx68/dN/K6qH95/wZ8lwTepv55fFrm22J4l/qX93Pyg3EP
71H/PH7cretXcZ/653Hj2uPEpAfUPw/nr8NSnP+h/nksvJ8WpfyY+pf3a9Ic
5z+eUP88EqafG8h7Rv3zeLfgTVHAC+qfh1XZPUODl9Q/j1vx23Lvv6L+eRzp
6ev+bz/1z2O8wwSj+AHqn0c8p+8x7Q31z+Oy533vj2+pfx7Tlm10aXxP/cv3
Y/JCe+tH6l++/u9OV30+U//y+stsnbcptbH+eSRvcxy8ahDzUx6ndatP+g5m
7pXPQ1RplK0ycz+Pgp3DvhytwvyGRxz3nHtN/sDDsszbpGMIs5KAjY3mYq0q
s4qAXUrZGuIXzGoCXsWFr85QYx4m4KBpc1P4l8wjBPn3tlJjpjqztgBH3sjL
fCizrgCk6a9XH8asL6C3u5R/SjYSkPj3yeo/NZhNBESuCq+vGs5sLuDKYf7U
bk3myQKsSmMqE0cw2wiICL2S76/FbC/g4qO2VQ4jmR0EfOMT7aQ3itlZwPVC
6d17MgQEXkyq6NJm9hRw890Tv/rRzLMFPDEb8lIaw+wtYEtwY1qmDvM8AYaS
+eAIXeZFAva8nbpuxljmQAGeq3vvTtRjDhbwVDXATW0c81IB587G5D0iRwjI
qrK7/oc+c5S8f63lGofHM8cIyB3b5bjTgDlOQJLQuDjWkDlRQExw+CpfI+Z1
AsL86hJtvmJOFXB821+rtYyZ0wW4fCwPeUXOku+3fKb71QnMOfJ69+7TqTZh
3iHAoanxbr4pc56AQZMOi0kTmfMFfG5eMt/fjHmPgCZFx8BUc2ZOQFCpSZ7O
JGZJvn6Xy/g35FIB4d+aC+0WzGUCpl7qGVljyXxYQNHGdSnFk5mrBNzyuncj
2Yq5WkCHlal50BTm3wS0GXnEOFkz18rnXd+1VM+GuUGAzljdtnfkJgGzh199
0fE183n5/PTFKZ+0Zb4gYH1dn7rCjrlNwOQVS1RT7JmvCbhxu/LfoG+Y2wVk
GD1rd5rK3CmgTF+nSm8a8x0BM85bp7wj35fPwxhHpw4H6l+A3nv7ZzWO1L+A
kkjT/GIn6l+Ak88w6+Tp1L8AV+nJqUBn6l9er89ZOLhQ/wJmfac4oeNK/YsI
S19t/JqsIkKj2yPjLzfqX4T6Ur1rx0H9i9jV069X4E79i5gfdt0v8VvqX0Ra
w6mshR7Uv4jmF5UHbT2pfxFzbpbXac2g/kVUx9a09JJNRBgVXDt/aSb1L8LK
cVBtxSzqX0Sfp/v+nbOpfxFf7ivcGPMd9S9ik6Oyzxwv6l/+fF+OlsUc6l/E
ippJLWre1L+I6PiHiQ/JniLUlJu0m+dS/yL+WHS6rNSH+hdx3PuuzSZf6l9e
f5tpedg86l+E2JQ3Xn6R9S/CdLhJpsEC6l/Evby7HR/IS0UE2bSa3VxI/YvY
celeVM0i6l/Eu3kWQpEf9S9iX+H+c0n+1L+ILzLn9SwMoP5FmPXbvv46kPoX
kXXR+6PmYupfhOFz8fUzcrqIlG+mPGgNov5F7M18e/7Q99S/iEHVytKWYOpf
Xv9Bn5XLl1D/Ilymd1p4hFD/8v3NqbhlFEr9i1h9vHnzJzInomqR2YTOpdS/
/HxUrhyrCaP+5fNRct6haBn1L8JLReNoYjj1Lz8ftRLDBRHUv4jxmzdnWC+n
/kUcDKi/MWwF9S9iht9c48fkWhHjAmzDzkVS/yLa7OPyS6Oof/l8n1WrzfiB
+heheufjjZBo6l8+L0Hz/5m+kvqX16c+5JluDPUvwv+s3oN/ye0iOkPzr15Z
Rf2LmFWRcLwylvoXEZH1+/Ydq6l/ERnHo/1/iKP+RSRpbx49M576F1GcMLzF
+EfqX77/0iHxn8n9ItKTV2l0JlD/IgrPzBJ+S6T+RWyeVzihIIn6lzC7L4iP
X8M8WELo+qKhPmtpHkhoq54ba7GOWVWCZXzaWdVkmg8SsjZM0eomq0tIPhg8
v349zQsJVrVDNytSmIdL8M1xqVybSvNDwoj2vgsLNzCPlD+/1ua29UaaJxIe
2fzbMzSNeYyEUW0edx+SdSV8NjC43JjOrCdh28Ps42IGzRsJ+n2puSmZzAYS
9qsPCQ7YRPNHwt4BQwO7LGZjCSppl64Nz6Z5JCF65ej0x+SJEu5n9hk2b6b5
JEFrx8rqki3MFhLGzU1z2ZBD80rCr9ttTgZuZZ4iwUgjw8p+G80vCV8V/piv
uZ3ZVoLmE9Xex2R7CfJfAzTvYJ4q4egXhtklO2m+STjnd6AuNZfZSX4eqTee
BuyieSdhwKVa0y6P2VXC8e9dzYb/h+afvJ7CtXaPyN9KsKsKs2/aTfNQQmfk
p0niT8wzJRza4Ku9Pp/mo4TnVf59iwqYvSTsaBh9zrqQ5qWEV9G5u9SLmH3k
/Yk9491Dnichb8uxT/V7mBdIWJEY/vPeYpqnEtxfXkXSXmZ/CfN/V73sq6D5
KsF/+0c/C445SAJv+PslFZ7mrQQlW1fX2+QQCY9Tt5fUCDR///99+9/+JDIv
k3Bqf87MWInmsQSPV9NzZpcwr5CwOaS+zngfzWcJJyXtxx/I0RJK41zUb+yn
eS3hp+zphkdK29z+BypFzgg=
       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.003666666666666667], AbsoluteThickness[
      1.6]}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 2102.}, {0, 0.26005199480103974`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.79069399011453*^9, 3.790694752394074*^9, 3.790699280474922*^9, 
   3.7907004477686357`*^9, {3.790700666561275*^9, 3.790700671319151*^9}, 
   3.790704866083069*^9, 3.7907052728299017`*^9, 3.790705421921023*^9, 
   3.7935567217101583`*^9, 3.8093713449658403`*^9, 3.809437433173629*^9, {
   3.809437535345237*^9, 3.8094375613603354`*^9}, 3.809536487093232*^9, 
   3.8095522100692463`*^9, 3.825935437526629*^9, 3.825946196849732*^9, 
   3.8259463952418756`*^9, 3.825946819434206*^9, 3.825948226286096*^9, 
   3.825957444264015*^9, 3.82601240491018*^9, 3.831318687981844*^9, 
   3.8315412232125893`*^9, 3.831672201395368*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"8b544557-869c-4de8-b34f-357a767f14b3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"find", " ", "the", " ", "position", " ", "of", " ", "updated", " ", 
   RowBox[{"wealth", "!"}], " "}]}]], "Input",
 CellChangeTimes->{{3.809437684642106*^9, 
  3.809437692600423*^9}},ExpressionUUID->"580b2b05-cfb7-4800-ac33-\
86aea36dc3e0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ParallelTable", "[", 
  RowBox[{
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Vm", "[", 
           RowBox[{"wealth", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"wealth", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                RowBox[{"N", "[", 
                 RowBox[{"R", "[", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
              "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"wealth", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                RowBox[{"wealth", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"N", "[", 
                 RowBox[{"R", "[", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                RowBox[{"wealth", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"wealth", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                RowBox[{"wealth", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
            "}"}], ".", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Pm", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"IntegerPart", "[", 
                 RowBox[{
                  RowBox[{"N", "[", 
                   RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                  "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Pm", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"IntegerPart", "[", 
                 RowBox[{
                  RowBox[{"N", "[", 
                   RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                  "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
         "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], ",", 
     RowBox[{"Max", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Vm", "[", 
            RowBox[{"wealth", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                 RowBox[{"N", "[", 
                  RowBox[{"R", "[", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
               "/", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"N", "[", 
                  RowBox[{"R", "[", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
             "}"}], ".", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Pm", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"IntegerPart", "[", 
                  RowBox[{
                   RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                   "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
              RowBox[{"Pm", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"IntegerPart", "[", 
                  RowBox[{
                   RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                   "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
          "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "1", ",", 
     RowBox[{
      RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.809437569549018*^9, 3.809437573449319*^9}, {
   3.8094441013407927`*^9, 3.809444116344583*^9}, {3.825935933225601*^9, 
   3.82593594730713*^9}, {3.831662631721137*^9, 3.831662662385191*^9}, 
   3.831662693571773*^9, {3.831666662593214*^9, 3.831666662784534*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"bb998321-322d-40d6-94da-c9ca036186b2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", "1", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "1", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "1", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "1", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "1", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "3", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "4", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "5", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "6", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "7", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "7", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "7", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "7", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "7", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "7", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "7", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "8", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "9", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "9", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "9", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "9", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "9", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "9", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "9", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "10", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "10", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "10", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "10", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "10", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "10", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "11", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "11", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "11", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "11", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "11", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "11", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "11", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "12", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "12", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "12", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "12", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "12", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "12", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "12", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "13", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "13", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "13", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "13", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "13", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "13", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "14", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "14", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "14", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "14", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "14", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "14", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "14", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "15", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "15", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "15", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "15", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "15", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "15", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "16", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "16", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "16", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "16", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "16", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "16", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "17", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "17", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "17", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "17", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "17", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "17", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "18", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "18", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "18", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "18", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "18", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "18", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "19", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "19", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "19", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "19", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "19", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "19", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "20", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "20", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "20", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "20", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "20", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "20", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "21", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "21", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "21", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "21", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "21", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "21", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "22", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "22", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "22", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "22", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "22", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "22", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "23", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "23", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "23", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "23", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "23", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "24", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "24", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "24", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "24", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "24", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "24", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "25", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "25", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "25", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "25", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "25", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "26", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "26", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "26", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "26", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "26", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "27", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "27", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "27", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "27", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "27", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "27", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "28", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "28", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "28", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "28", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "28", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "29", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "29", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "29", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "29", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "29", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "29", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "30", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "30", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "30", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "30", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "30", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "31", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "31", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "31", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "31", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "31", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "32", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "32", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "32", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "32", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "32", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "33", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "33", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "33", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "33", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "33", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "34", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "34", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "34", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "34", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "34", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "35", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "35", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "35", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "35", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "35", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "36", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "36", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "36", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "36", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "36", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "36", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "37", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "37", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "37", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "37", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "37", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "38", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "38", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "38", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "38", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "39", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "39", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "39", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "39", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "39", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "40", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "40", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "40", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "40", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "40", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "41", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "41", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "41", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "41", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "41", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "42", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "42", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "42", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "42", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "42", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "43", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "43", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "43", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "43", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "44", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "44", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "44", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "44", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "44", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "45", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "45", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "45", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "45", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "45", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "46", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "46", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "46", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "46", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "46", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "47", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "47", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "47", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "47", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "47", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "48", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "48", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "48", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "48", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "49", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "49", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "49", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "49", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "49", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "50", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "50", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "50", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "50", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "51", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "51", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "51", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "51", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "51", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "52", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "52", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "52", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "52", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "53", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "53", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "53", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "53", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "53", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "54", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "54", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "54", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "54", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "55", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "55", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "55", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "55", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "55", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "56", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "56", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "56", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "56", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "57", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "57", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "57", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "57", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "57", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "58", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "58", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "58", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "58", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "59", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "59", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "59", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "59", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "59", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "60", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "60", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "60", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "60", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "61", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "61", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "61", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "61", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "62", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "62", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "62", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "62", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "62", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "63", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "63", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "63", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "63", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "64", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "64", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "64", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "64", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "65", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "65", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "65", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "65", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "65", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "66", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "66", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "66", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "66", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "67", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "67", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "67", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "67", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "68", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "68", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "68", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "68", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "69", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "69", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "69", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "69", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "70", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "70", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "70", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "70", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "70", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "71", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "71", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "71", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "71", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "72", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "72", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "72", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "72", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "73", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "73", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "73", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "73", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "74", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "74", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "74", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "74", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "75", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "75", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "75", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "75", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "76", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "76", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "76", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "76", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "77", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "77", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "77", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "77", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "77", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "78", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "78", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "78", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "78", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "79", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "79", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "79", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "79", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "80", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "80", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "80", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "80", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "81", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "81", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "81", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "81", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "82", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "82", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "82", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "82", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "83", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "83", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "83", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "83", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "84", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "84", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "84", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "84", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "85", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "85", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "85", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "85", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "86", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "86", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "86", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "86", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "87", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "87", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "87", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "87", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "88", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "88", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "88", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "88", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "89", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "89", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "89", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "89", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "90", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "90", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "90", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "90", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "91", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "91", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "91", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "91", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "92", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "92", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "92", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "92", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "93", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "93", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "93", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "94", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "94", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "94", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "94", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "95", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "95", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "95", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "95", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "96", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "96", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "96", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "96", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "97", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "97", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "97", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "97", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "98", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "98", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "98", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "98", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "99", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "99", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "99", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "100", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "100", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "100", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "100", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "101", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "101", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "101", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "101", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "102", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "102", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "102", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "102", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "103", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "103", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "103", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "104", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "104", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "104", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "104", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "105", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "105", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "105", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "105", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "106", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "106", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "106", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "106", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "107", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "107", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "107", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "107", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "108", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "108", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "108", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "109", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "109", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "109", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "109", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "110", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "110", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "110", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "110", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "111", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "111", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "111", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "111", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "112", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "112", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "112", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "113", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "113", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "113", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "113", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "114", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "114", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "114", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "114", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "115", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "115", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "115", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "116", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "116", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "116", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "116", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "117", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "117", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "117", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "117", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "118", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "118", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "118", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "119", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "119", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "119", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "119", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "120", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "120", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "120", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "121", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "121", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "121", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "121", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "122", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "122", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "122", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "122", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "123", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "123", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "123", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "124", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "124", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "124", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "124", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "125", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "125", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "125", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "126", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "126", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "126", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "126", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "127", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "127", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "127", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "127", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "128", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "128", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "128", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "129", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "129", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "129", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "129", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "130", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "130", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "130", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "131", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "131", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "131", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "131", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "132", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "132", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "132", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "133", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "133", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "133", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "133", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "134", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "134", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "134", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "135", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "135", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "135", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "135", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "136", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "136", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "136", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "137", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "137", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "137", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "137", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "138", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "138", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "138", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "139", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "139", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "139", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "139", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "140", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "140", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "140", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "141", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "141", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "141", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "141", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "142", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "142", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "142", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "143", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "143", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "143", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "143", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "144", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "144", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "144", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "145", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "145", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "145", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "145", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "146", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "146", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "146", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "147", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "147", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "147", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "148", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "148", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "148", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "148", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "149", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "149", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "149", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "150", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "150", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "150", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "150", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "151", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "151", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "151", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "152", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "152", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "152", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "152", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "153", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "153", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "153", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "154", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "154", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "154", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "154", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "155", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "155", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "155", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "156", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "156", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "156", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "157", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "157", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "157", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "157", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "158", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "158", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "158", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "159", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "159", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "159", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "160", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "160", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "160", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "160", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "161", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "161", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "161", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "162", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "162", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "162", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "162", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "163", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "163", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "163", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "164", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "164", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "164", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "165", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "165", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "165", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "165", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "166", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "166", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "166", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "167", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "167", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "167", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "168", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "168", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "168", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "169", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "169", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "169", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "170", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "170", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "170", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "170", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "171", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "171", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "171", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "172", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "172", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "172", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "173", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "173", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "173", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "173", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "174", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "174", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "174", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "175", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "175", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "175", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "176", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "176", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "176", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "176", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "177", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "177", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "177", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "178", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "178", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "178", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "179", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "179", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "179", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "179", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "180", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "180", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "180", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "181", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "181", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "181", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "182", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "182", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "182", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "183", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "183", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "183", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "184", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "184", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "184", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "184", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "185", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "185", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "185", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "186", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "186", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "186", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "187", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "187", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "187", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "188", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "188", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "188", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "189", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "189", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "189", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "189", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "190", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "190", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "190", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "191", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "191", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "191", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "192", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "192", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "192", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "193", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "193", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "193", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "194", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "194", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "194", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "194", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "195", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "195", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "195", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "196", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "196", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "196", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "197", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "197", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "197", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "198", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "198", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "198", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "199", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "199", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "199", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "200", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "200", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "200", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "200", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "201", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "201", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "201", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "202", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "202", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "202", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "203", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "203", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "203", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "204", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "204", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "204", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "205", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "205", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "205", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "206", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "206", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "206", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "206", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "207", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "207", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "207", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "208", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "208", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "208", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "209", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "209", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "209", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "210", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "210", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "210", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "211", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "211", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "211", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "212", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "212", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "212", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "213", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "213", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "213", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "214", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "214", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "214", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "214", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "215", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "215", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "215", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "216", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "216", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "216", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "217", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "217", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "217", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "218", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "218", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "218", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "219", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "219", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "219", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "220", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "220", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "220", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "221", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "221", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "221", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "222", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "222", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "222", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "223", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "223", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "223", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "224", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "224", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "224", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "225", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "225", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "225", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "226", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "226", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "226", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "227", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "227", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "227", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "227", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "228", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "228", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "229", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "229", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "229", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "230", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "230", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "230", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "230", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "231", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "231", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "231", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "232", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "232", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "232", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "233", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "233", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "233", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "234", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "234", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "234", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "235", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "235", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "235", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "236", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "236", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "236", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "237", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "237", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "237", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "238", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "238", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "238", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "239", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "239", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "239", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "240", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "240", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "240", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "241", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "241", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "241", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "242", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "242", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "242", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "243", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "243", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "243", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "244", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "244", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "244", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "245", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "245", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "245", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "246", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "246", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "246", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "247", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "247", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "247", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "248", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "248", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "248", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "249", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "249", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "249", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "250", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "250", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "250", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "251", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "251", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "251", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "252", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "252", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "252", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "253", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "253", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "253", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "254", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "254", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "254", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "255", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "255", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "255", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "256", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "256", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "256", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "257", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "257", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "257", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "258", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "258", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "259", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "259", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "259", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "260", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "260", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "260", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "261", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "261", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "261", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "262", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "262", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "262", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "263", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "263", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "263", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "264", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "264", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "264", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "265", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "265", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "265", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "266", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "266", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "266", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "267", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "267", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "267", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "268", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "268", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "268", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "269", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "269", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "269", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "270", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "270", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "270", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "271", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "271", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "272", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "272", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "272", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "273", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "273", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "273", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "274", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "274", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "274", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "275", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "275", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "275", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "276", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "276", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "276", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "277", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "277", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "277", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "278", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "278", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "278", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "279", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "279", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "279", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "280", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "280", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "280", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "281", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "281", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "281", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "282", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "282", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "283", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "283", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "283", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "284", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "284", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "284", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "285", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "285", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "285", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "286", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "286", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "286", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "287", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "287", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "287", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "288", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "288", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "288", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "289", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "289", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "290", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "290", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "290", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "291", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "291", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "291", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "292", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "292", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "292", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "293", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "293", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "293", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "294", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "294", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "294", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "295", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "295", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "296", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "296", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "296", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "297", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "297", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "297", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "298", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "298", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "298", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "299", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "299", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "299", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "300", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "300", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "300", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "301", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "301", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "301", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "302", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "302", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "302", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "303", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "303", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "303", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "304", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "304", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "305", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "305", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "305", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "306", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "306", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "306", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "307", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "307", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "307", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "308", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "308", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "308", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "309", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "309", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "309", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "310", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "310", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "311", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "311", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "311", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "312", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "312", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "312", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "313", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "313", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "313", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "314", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "314", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "314", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "315", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "315", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "316", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "316", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "316", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "317", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "317", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "317", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "318", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "318", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "318", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "319", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "319", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "319", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "320", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "320", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "320", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "321", "}"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.83167257400482*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"7307fa24-e215-4250-94d1-4e849ff32068"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"consumecity", "=", 
  RowBox[{"Flatten", "[", "%", "]"}]}]], "Input",
 CellChangeTimes->{{3.8094443024849167`*^9, 3.8094443225650463`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"114178fc-8777-4d52-a66f-e24d90b9a851"],

Cell[BoxData[
 RowBox[{
  RowBox[{"consumecity", "=", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "2", ",", "2", ",", "2",
      ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", 
     ",", "2", ",", "2", ",", "3", ",", "3", ",", "3", ",", "3", ",", "3", 
     ",", "3", ",", "3", ",", "3", ",", "3", ",", "4", ",", "4", ",", "4", 
     ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", "5", 
     ",", "5", ",", "5", ",", "5", ",", "5", ",", "5", ",", "5", ",", "5", 
     ",", "6", ",", "6", ",", "6", ",", "6", ",", "6", ",", "6", ",", "6", 
     ",", "6", ",", "7", ",", "7", ",", "7", ",", "7", ",", "7", ",", "7", 
     ",", "7", ",", "8", ",", "8", ",", "8", ",", "8", ",", "8", ",", "8", 
     ",", "8", ",", "8", ",", "9", ",", "9", ",", "9", ",", "9", ",", "9", 
     ",", "9", ",", "9", ",", "10", ",", "10", ",", "10", ",", "10", ",", 
     "10", ",", "10", ",", "11", ",", "11", ",", "11", ",", "11", ",", "11", 
     ",", "11", ",", "11", ",", "12", ",", "12", ",", "12", ",", "12", ",", 
     "12", ",", "12", ",", "12", ",", "13", ",", "13", ",", "13", ",", "13", 
     ",", "13", ",", "13", ",", "14", ",", "14", ",", "14", ",", "14", ",", 
     "14", ",", "14", ",", "14", ",", "15", ",", "15", ",", "15", ",", "15", 
     ",", "15", ",", "15", ",", "16", ",", "16", ",", "16", ",", "16", ",", 
     "16", ",", "16", ",", "17", ",", "17", ",", "17", ",", "17", ",", "17", 
     ",", "17", ",", "18", ",", "18", ",", "18", ",", "18", ",", "18", ",", 
     "18", ",", "19", ",", "19", ",", "19", ",", "19", ",", "19", ",", "19", 
     ",", "20", ",", "20", ",", "20", ",", "20", ",", "20", ",", "20", ",", 
     "21", ",", "21", ",", "21", ",", "21", ",", "21", ",", "21", ",", "22", 
     ",", "22", ",", "22", ",", "22", ",", "22", ",", "22", ",", "23", ",", 
     "23", ",", "23", ",", "23", ",", "23", ",", "24", ",", "24", ",", "24", 
     ",", "24", ",", "24", ",", "24", ",", "25", ",", "25", ",", "25", ",", 
     "25", ",", "25", ",", "26", ",", "26", ",", "26", ",", "26", ",", "26", 
     ",", "27", ",", "27", ",", "27", ",", "27", ",", "27", ",", "27", ",", 
     "28", ",", "28", ",", "28", ",", "28", ",", "28", ",", "29", ",", "29", 
     ",", "29", ",", "29", ",", "29", ",", "29", ",", "30", ",", "30", ",", 
     "30", ",", "30", ",", "30", ",", "31", ",", "31", ",", "31", ",", "31", 
     ",", "31", ",", "32", ",", "32", ",", "32", ",", "32", ",", "32", ",", 
     "33", ",", "33", ",", "33", ",", "33", ",", "33", ",", "34", ",", "34", 
     ",", "34", ",", "34", ",", "34", ",", "35", ",", "35", ",", "35", ",", 
     "35", ",", "35", ",", "36", ",", "36", ",", "36", ",", "36", ",", "36", 
     ",", "36", ",", "37", ",", "37", ",", "37", ",", "37", ",", "37", ",", 
     "38", ",", "38", ",", "38", ",", "38", ",", "39", ",", "39", ",", "39", 
     ",", "39", ",", "39", ",", "40", ",", "40", ",", "40", ",", "40", ",", 
     "40", ",", "41", ",", "41", ",", "41", ",", "41", ",", "41", ",", "42", 
     ",", "42", ",", "42", ",", "42", ",", "42", ",", "43", ",", "43", ",", 
     "43", ",", "43", ",", "44", ",", "44", ",", "44", ",", "44", ",", "44", 
     ",", "45", ",", "45", ",", "45", ",", "45", ",", "45", ",", "46", ",", 
     "46", ",", "46", ",", "46", ",", "46", ",", "47", ",", "47", ",", "47", 
     ",", "47", ",", "47", ",", "48", ",", "48", ",", "48", ",", "48", ",", 
     "49", ",", "49", ",", "49", ",", "49", ",", "49", ",", "50", ",", "50", 
     ",", "50", ",", "50", ",", "51", ",", "51", ",", "51", ",", "51", ",", 
     "51", ",", "52", ",", "52", ",", "52", ",", "52", ",", "53", ",", "53", 
     ",", "53", ",", "53", ",", "53", ",", "54", ",", "54", ",", "54", ",", 
     "54", ",", "55", ",", "55", ",", "55", ",", "55", ",", "55", ",", "56", 
     ",", "56", ",", "56", ",", "56", ",", "57", ",", "57", ",", "57", ",", 
     "57", ",", "57", ",", "58", ",", "58", ",", "58", ",", "58", ",", "59", 
     ",", "59", ",", "59", ",", "59", ",", "59", ",", "60", ",", "60", ",", 
     "60", ",", "60", ",", "61", ",", "61", ",", "61", ",", "61", ",", "62", 
     ",", "62", ",", "62", ",", "62", ",", "62", ",", "63", ",", "63", ",", 
     "63", ",", "63", ",", "64", ",", "64", ",", "64", ",", "64", ",", "65", 
     ",", "65", ",", "65", ",", "65", ",", "65", ",", "66", ",", "66", ",", 
     "66", ",", "66", ",", "67", ",", "67", ",", "67", ",", "67", ",", "68", 
     ",", "68", ",", "68", ",", "68", ",", "69", ",", "69", ",", "69", ",", 
     "69", ",", "70", ",", "70", ",", "70", ",", "70", ",", "70", ",", "71", 
     ",", "71", ",", "71", ",", "71", ",", "72", ",", "72", ",", "72", ",", 
     "72", ",", "73", ",", "73", ",", "73", ",", "73", ",", "74", ",", "74", 
     ",", "74", ",", "74", ",", "75", ",", "75", ",", "75", ",", "75", ",", 
     "76", ",", "76", ",", "76", ",", "76", ",", "77", ",", "77", ",", "77", 
     ",", "77", ",", "77", ",", "78", ",", "78", ",", "78", ",", "78", ",", 
     "79", ",", "79", ",", "79", ",", "79", ",", "80", ",", "80", ",", "80", 
     ",", "80", ",", "81", ",", "81", ",", "81", ",", "81", ",", "82", ",", 
     "82", ",", "82", ",", "82", ",", "83", ",", "83", ",", "83", ",", "83", 
     ",", "84", ",", "84", ",", "84", ",", "84", ",", "85", ",", "85", ",", 
     "85", ",", "85", ",", "86", ",", "86", ",", "86", ",", "86", ",", "87", 
     ",", "87", ",", "87", ",", "87", ",", "88", ",", "88", ",", "88", ",", 
     "88", ",", "89", ",", "89", ",", "89", ",", "89", ",", "90", ",", "90", 
     ",", "90", ",", "90", ",", "91", ",", "91", ",", "91", ",", "91", ",", 
     "92", ",", "92", ",", "92", ",", "92", ",", "93", ",", "93", ",", "93", 
     ",", "94", ",", "94", ",", "94", ",", "94", ",", "95", ",", "95", ",", 
     "95", ",", "95", ",", "96", ",", "96", ",", "96", ",", "96", ",", "97", 
     ",", "97", ",", "97", ",", "97", ",", "98", ",", "98", ",", "98", ",", 
     "98", ",", "99", ",", "99", ",", "99", ",", "100", ",", "100", ",", 
     "100", ",", "100", ",", "101", ",", "101", ",", "101", ",", "101", ",", 
     "102", ",", "102", ",", "102", ",", "102", ",", "103", ",", "103", ",", 
     "103", ",", "104", ",", "104", ",", "104", ",", "104", ",", "105", ",", 
     "105", ",", "105", ",", "105", ",", "106", ",", "106", ",", "106", ",", 
     "106", ",", "107", ",", "107", ",", "107", ",", "107", ",", "108", ",", 
     "108", ",", "108", ",", "109", ",", "109", ",", "109", ",", "109", ",", 
     "110", ",", "110", ",", "110", ",", "110", ",", "111", ",", "111", ",", 
     "111", ",", "111", ",", "112", ",", "112", ",", "112", ",", "113", ",", 
     "113", ",", "113", ",", "113", ",", "114", ",", "114", ",", "114", ",", 
     "114", ",", "115", ",", "115", ",", "115", ",", "116", ",", "116", ",", 
     "116", ",", "116", ",", "117", ",", "117", ",", "117", ",", "117", ",", 
     "118", ",", "118", ",", "118", ",", "119", ",", "119", ",", "119", ",", 
     "119", ",", "120", ",", "120", ",", "120", ",", "121", ",", "121", ",", 
     "121", ",", "121", ",", "122", ",", "122", ",", "122", ",", "122", ",", 
     "123", ",", "123", ",", "123", ",", "124", ",", "124", ",", "124", ",", 
     "124", ",", "125", ",", "125", ",", "125", ",", "126", ",", "126", ",", 
     "126", ",", "126", ",", "127", ",", "127", ",", "127", ",", "127", ",", 
     "128", ",", "128", ",", "128", ",", "129", ",", "129", ",", "129", ",", 
     "129", ",", "130", ",", "130", ",", "130", ",", "131", ",", "131", ",", 
     "131", ",", "131", ",", "132", ",", "132", ",", "132", ",", "133", ",", 
     "133", ",", "133", ",", "133", ",", "134", ",", "134", ",", "134", ",", 
     "135", ",", "135", ",", "135", ",", "135", ",", "136", ",", "136", ",", 
     "136", ",", "137", ",", "137", ",", "137", ",", "137", ",", "138", ",", 
     "138", ",", "138", ",", "139", ",", "139", ",", "139", ",", "139", ",", 
     "140", ",", "140", ",", "140", ",", "141", ",", "141", ",", "141", ",", 
     "141", ",", "142", ",", "142", ",", "142", ",", "143", ",", "143", ",", 
     "143", ",", "143", ",", "144", ",", "144", ",", "144", ",", "145", ",", 
     "145", ",", "145", ",", "145", ",", "146", ",", "146", ",", "146", ",", 
     "147", ",", "147", ",", "147", ",", "148", ",", "148", ",", "148", ",", 
     "148", ",", "149", ",", "149", ",", "149", ",", "150", ",", "150", ",", 
     "150", ",", "150", ",", "151", ",", "151", ",", "151", ",", "152", ",", 
     "152", ",", "152", ",", "152", ",", "153", ",", "153", ",", "153", ",", 
     "154", ",", "154", ",", "154", ",", "154", ",", "155", ",", "155", ",", 
     "155", ",", "156", ",", "156", ",", "156", ",", "157", ",", "157", ",", 
     "157", ",", "157", ",", "158", ",", "158", ",", "158", ",", "159", ",", 
     "159", ",", "159", ",", "160", ",", "160", ",", "160", ",", "160", ",", 
     "161", ",", "161", ",", "161", ",", "162", ",", "162", ",", "162", ",", 
     "162", ",", "163", ",", "163", ",", "163", ",", "164", ",", "164", ",", 
     "164", ",", "165", ",", "165", ",", "165", ",", "165", ",", "166", ",", 
     "166", ",", "166", ",", "167", ",", "167", ",", "167", ",", "168", ",", 
     "168", ",", "168", ",", "169", ",", "169", ",", "169", ",", "170", ",", 
     "170", ",", "170", ",", "170", ",", "171", ",", "171", ",", "171", ",", 
     "172", ",", "172", ",", "172", ",", "173", ",", "173", ",", "173", ",", 
     "173", ",", "174", ",", "174", ",", "174", ",", "175", ",", "175", ",", 
     "175", ",", "176", ",", "176", ",", "176", ",", "176", ",", "177", ",", 
     "177", ",", "177", ",", "178", ",", "178", ",", "178", ",", "179", ",", 
     "179", ",", "179", ",", "179", ",", "180", ",", "180", ",", "180", ",", 
     "181", ",", "181", ",", "181", ",", "182", ",", "182", ",", "182", ",", 
     "183", ",", "183", ",", "183", ",", "184", ",", "184", ",", "184", ",", 
     "184", ",", "185", ",", "185", ",", "185", ",", "186", ",", "186", ",", 
     "186", ",", "187", ",", "187", ",", "187", ",", "188", ",", "188", ",", 
     "188", ",", "189", ",", "189", ",", "189", ",", "189", ",", "190", ",", 
     "190", ",", "190", ",", "191", ",", "191", ",", "191", ",", "192", ",", 
     "192", ",", "192", ",", "193", ",", "193", ",", "193", ",", "194", ",", 
     "194", ",", "194", ",", "194", ",", "195", ",", "195", ",", "195", ",", 
     "196", ",", "196", ",", "196", ",", "197", ",", "197", ",", "197", ",", 
     "198", ",", "198", ",", "198", ",", "199", ",", "199", ",", "199", ",", 
     "200", ",", "200", ",", "200", ",", "200", ",", "201", ",", "201", ",", 
     "201", ",", "202", ",", "202", ",", "202", ",", "203", ",", "203", ",", 
     "203", ",", "204", ",", "204", ",", "204", ",", "205", ",", "205", ",", 
     "205", ",", "206", ",", "206", ",", "206", ",", "206", ",", "207", ",", 
     "207", ",", "207", ",", "208", ",", "208", ",", "208", ",", "209", ",", 
     "209", ",", "209", ",", "210", ",", "210", ",", "210", ",", "211", ",", 
     "211", ",", "211", ",", "212", ",", "212", ",", "212", ",", "213", ",", 
     "213", ",", "213", ",", "214", ",", "214", ",", "214", ",", "214", ",", 
     "215", ",", "215", ",", "215", ",", "216", ",", "216", ",", "216", ",", 
     "217", ",", "217", ",", "217", ",", "218", ",", "218", ",", "218", ",", 
     "219", ",", "219", ",", "219", ",", "220", ",", "220", ",", "220", ",", 
     "221", ",", "221", ",", "221", ",", "222", ",", "222", ",", "222", ",", 
     "223", ",", "223", ",", "223", ",", "224", ",", "224", ",", "224", ",", 
     "225", ",", "225", ",", "225", ",", "226", ",", "226", ",", "226", ",", 
     "227", ",", "227", ",", "227", ",", "227", ",", "228", ",", "228", ",", 
     "229", ",", "229", ",", "229", ",", "230", ",", "230", ",", "230", ",", 
     "230", ",", "231", ",", "231", ",", "231", ",", "232", ",", "232", ",", 
     "232", ",", "233", ",", "233", ",", "233", ",", "234", ",", "234", ",", 
     "234", ",", "235", ",", "235", ",", "235", ",", "236", ",", "236", ",", 
     "236", ",", "237", ",", "237", ",", "237", ",", "238", ",", "238", ",", 
     "238", ",", "239", ",", "239", ",", "239", ",", "240", ",", "240", ",", 
     "240", ",", "241", ",", "241", ",", "241", ",", "242", ",", "242", ",", 
     "242", ",", "243", ",", "243", ",", "243", ",", "244", ",", "244", ",", 
     "244", ",", "245", ",", "245", ",", "245", ",", "246", ",", "246", ",", 
     "246", ",", "247", ",", "247", ",", "247", ",", "248", ",", "248", ",", 
     "248", ",", "249", ",", "249", ",", "249", ",", "250", ",", "250", ",", 
     "250", ",", "251", ",", "251", ",", "251", ",", "252", ",", "252", ",", 
     "252", ",", "253", ",", "253", ",", "253", ",", "254", ",", "254", ",", 
     "254", ",", "255", ",", "255", ",", "255", ",", "256", ",", "256", ",", 
     "256", ",", "257", ",", "257", ",", "257", ",", "258", ",", "258", ",", 
     "259", ",", "259", ",", "259", ",", "260", ",", "260", ",", "260", ",", 
     "261", ",", "261", ",", "261", ",", "262", ",", "262", ",", "262", ",", 
     "263", ",", "263", ",", "263", ",", "264", ",", "264", ",", "264", ",", 
     "265", ",", "265", ",", "265", ",", "266", ",", "266", ",", "266", ",", 
     "267", ",", "267", ",", "267", ",", "268", ",", "268", ",", "268", ",", 
     "269", ",", "269", ",", "269", ",", "270", ",", "270", ",", "270", ",", 
     "271", ",", "271", ",", "272", ",", "272", ",", "272", ",", "273", ",", 
     "273", ",", "273", ",", "274", ",", "274", ",", "274", ",", "275", ",", 
     "275", ",", "275", ",", "276", ",", "276", ",", "276", ",", "277", ",", 
     "277", ",", "277", ",", "278", ",", "278", ",", "278", ",", "279", ",", 
     "279", ",", "279", ",", "280", ",", "280", ",", "280", ",", "281", ",", 
     "281", ",", "281", ",", "282", ",", "282", ",", "283", ",", "283", ",", 
     "283", ",", "284", ",", "284", ",", "284", ",", "285", ",", "285", ",", 
     "285", ",", "286", ",", "286", ",", "286", ",", "287", ",", "287", ",", 
     "287", ",", "288", ",", "288", ",", "288", ",", "289", ",", "289", ",", 
     "290", ",", "290", ",", "290", ",", "291", ",", "291", ",", "291", ",", 
     "292", ",", "292", ",", "292", ",", "293", ",", "293", ",", "293", ",", 
     "294", ",", "294", ",", "294", ",", "295", ",", "295", ",", "296", ",", 
     "296", ",", "296", ",", "297", ",", "297", ",", "297", ",", "298", ",", 
     "298", ",", "298", ",", "299", ",", "299", ",", "299", ",", "300", ",", 
     "300", ",", "300", ",", "301", ",", "301", ",", "301", ",", "302", ",", 
     "302", ",", "302", ",", "303", ",", "303", ",", "303", ",", "304", ",", 
     "304", ",", "305", ",", "305", ",", "305", ",", "306", ",", "306", ",", 
     "306", ",", "307", ",", "307", ",", "307", ",", "308", ",", "308", ",", 
     "308", ",", "309", ",", "309", ",", "309", ",", "310", ",", "310", ",", 
     "311", ",", "311", ",", "311", ",", "312", ",", "312", ",", "312", ",", 
     "313", ",", "313", ",", "313", ",", "314", ",", "314", ",", "314", ",", 
     "315", ",", "315", ",", "316", ",", "316", ",", "316", ",", "317", ",", 
     "317", ",", "317", ",", "318", ",", "318", ",", "318", ",", "319", ",", 
     "319", ",", "319", ",", "320", ",", "320", ",", "320", ",", "321"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.83271643572901*^9, 3.832716446208975*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"488ad02b-ba29-4976-b0c1-b9533db111b2"],

Cell[BoxData[
 RowBox[{"wealthtmrcity", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"IntegerPart", "[", 
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{"R", "[", 
         RowBox[{
          RowBox[{"wealth", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "-", 
          RowBox[{"wealth", "[", 
           RowBox[{"[", 
            RowBox[{"consumecity", "[", 
             RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], "]"}], 
       "/", "grid"}], "]"}], "+", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", 
      RowBox[{
       RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.809444415495118*^9, 3.809444435338387*^9}, {
  3.8094444676550407`*^9, 3.809444476283896*^9}, {3.8316667286789637`*^9, 
  3.8316667288471813`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"d1a341c4-23da-4c58-b27f-e7ed7ec7db80"],

Cell[BoxData[
 RowBox[{"wealthtmrcity", "=", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "6", ",", "8", ",", "9", 
    ",", "11", ",", "12", ",", "14", ",", "15", ",", "17", ",", "18", ",", 
    "20", ",", "21", ",", "23", ",", "23", ",", "24", ",", "26", ",", "27", 
    ",", "29", ",", "30", ",", "32", ",", "33", ",", "35", ",", "35", ",", 
    "36", ",", "38", ",", "39", ",", "41", ",", "42", ",", "44", ",", "45", 
    ",", "47", ",", "47", ",", "48", ",", "50", ",", "51", ",", "53", ",", 
    "54", ",", "56", ",", "57", ",", "57", ",", "59", ",", "60", ",", "62", 
    ",", "63", ",", "65", ",", "66", ",", "68", ",", "68", ",", "69", ",", 
    "71", ",", "72", ",", "74", ",", "75", ",", "77", ",", "77", ",", "78", 
    ",", "79", ",", "81", ",", "82", ",", "84", ",", "85", ",", "87", ",", 
    "87", ",", "88", ",", "90", ",", "91", ",", "93", ",", "94", ",", "96", 
    ",", "96", ",", "97", ",", "99", ",", "100", ",", "102", ",", "103", ",", 
    "103", ",", "105", ",", "106", ",", "108", ",", "109", ",", "110", ",", 
    "112", ",", "112", ",", "113", ",", "115", ",", "116", ",", "118", ",", 
    "119", ",", "121", ",", "121", ",", "122", ",", "124", ",", "125", ",", 
    "127", ",", "128", ",", "128", ",", "130", ",", "131", ",", "133", ",", 
    "134", ",", "135", ",", "137", ",", "137", ",", "138", ",", "140", ",", 
    "141", ",", "143", ",", "144", ",", "144", ",", "146", ",", "147", ",", 
    "149", ",", "150", ",", "152", ",", "152", ",", "153", ",", "155", ",", 
    "156", ",", "157", ",", "159", ",", "159", ",", "160", ",", "162", ",", 
    "163", ",", "165", ",", "166", ",", "166", ",", "168", ",", "169", ",", 
    "171", ",", "172", ",", "174", ",", "174", ",", "175", ",", "176", ",", 
    "178", ",", "179", ",", "181", ",", "181", ",", "182", ",", "184", ",", 
    "185", ",", "187", ",", "188", ",", "188", ",", "190", ",", "191", ",", 
    "192", ",", "194", ",", "195", ",", "195", ",", "197", ",", "198", ",", 
    "200", ",", "201", ",", "201", ",", "203", ",", "204", ",", "205", ",", 
    "207", ",", "208", ",", "208", ",", "210", ",", "211", ",", "213", ",", 
    "214", ",", "214", ",", "216", ",", "217", ",", "219", ",", "220", ",", 
    "220", ",", "221", ",", "223", ",", "224", ",", "226", ",", "227", ",", 
    "227", ",", "229", ",", "230", ",", "232", ",", "233", ",", "233", ",", 
    "234", ",", "236", ",", "237", ",", "239", ",", "240", ",", "240", ",", 
    "242", ",", "243", ",", "245", ",", "246", ",", "246", ",", "247", ",", 
    "249", ",", "250", ",", "252", ",", "252", ",", "253", ",", "255", ",", 
    "256", ",", "257", ",", "257", ",", "259", ",", "260", ",", "262", ",", 
    "263", ",", "263", ",", "265", ",", "266", ",", "268", ",", "269", ",", 
    "269", ",", "270", ",", "272", ",", "273", ",", "275", ",", "275", ",", 
    "276", ",", "278", ",", "279", ",", "280", ",", "282", ",", "282", ",", 
    "283", ",", "285", ",", "286", ",", "288", ",", "288", ",", "289", ",", 
    "290", ",", "292", ",", "292", ",", "293", ",", "295", ",", "296", ",", 
    "298", ",", "298", ",", "299", ",", "301", ",", "302", ",", "303", ",", 
    "303", ",", "305", ",", "306", ",", "308", ",", "309", ",", "309", ",", 
    "310", ",", "312", ",", "313", ",", "315", ",", "315", ",", "316", ",", 
    "318", ",", "319", ",", "319", ",", "320", ",", "322", ",", "323", ",", 
    "325", ",", "325", ",", "326", ",", "328", ",", "329", ",", "330", ",", 
    "330", ",", "332", ",", "333", ",", "335", ",", "336", ",", "336", ",", 
    "338", ",", "339", ",", "340", ",", "342", ",", "342", ",", "343", ",", 
    "345", ",", "346", ",", "346", ",", "347", ",", "349", ",", "350", ",", 
    "352", ",", "352", ",", "353", ",", "355", ",", "356", ",", "356", ",", 
    "357", ",", "359", ",", "360", ",", "362", ",", "362", ",", "363", ",", 
    "364", ",", "366", ",", "366", ",", "367", ",", "369", ",", "370", ",", 
    "372", ",", "372", ",", "373", ",", "374", ",", "376", ",", "376", ",", 
    "377", ",", "379", ",", "380", ",", "381", ",", "381", ",", "383", ",", 
    "384", ",", "386", ",", "386", ",", "387", ",", "388", ",", "390", ",", 
    "391", ",", "391", ",", "393", ",", "394", ",", "395", ",", "395", ",", 
    "397", ",", "398", ",", "400", ",", "401", ",", "401", ",", "403", ",", 
    "404", ",", "405", ",", "405", ",", "407", ",", "408", ",", "410", ",", 
    "410", ",", "411", ",", "412", ",", "414", ",", "415", ",", "415", ",", 
    "417", ",", "418", ",", "419", ",", "419", ",", "421", ",", "422", ",", 
    "424", ",", "424", ",", "425", ",", "426", ",", "428", ",", "429", ",", 
    "429", ",", "431", ",", "432", ",", "433", ",", "433", ",", "435", ",", 
    "436", ",", "438", ",", "438", ",", "439", ",", "440", ",", "442", ",", 
    "442", ",", "443", ",", "445", ",", "446", ",", "446", ",", "447", ",", 
    "449", ",", "450", ",", "452", ",", "452", ",", "453", ",", "454", ",", 
    "456", ",", "456", ",", "457", ",", "459", ",", "460", ",", "460", ",", 
    "461", ",", "463", ",", "464", ",", "464", ",", "465", ",", "467", ",", 
    "468", ",", "468", ",", "470", ",", "471", ",", "472", ",", "472", ",", 
    "474", ",", "475", ",", "477", ",", "477", ",", "478", ",", "479", ",", 
    "481", ",", "482", ",", "482", ",", "484", ",", "485", ",", "486", ",", 
    "486", ",", "488", ",", "489", ",", "490", ",", "490", ",", "492", ",", 
    "493", ",", "495", ",", "495", ",", "496", ",", "497", ",", "499", ",", 
    "499", ",", "500", ",", "502", ",", "503", ",", "503", ",", "504", ",", 
    "506", ",", "507", ",", "507", ",", "508", ",", "510", ",", "511", ",", 
    "511", ",", "513", ",", "514", ",", "515", ",", "515", ",", "517", ",", 
    "518", ",", "520", ",", "520", ",", "521", ",", "522", ",", "524", ",", 
    "524", ",", "525", ",", "526", ",", "528", ",", "528", ",", "529", ",", 
    "531", ",", "532", ",", "532", ",", "533", ",", "535", ",", "536", ",", 
    "536", ",", "537", ",", "539", ",", "540", ",", "540", ",", "542", ",", 
    "543", ",", "544", ",", "544", ",", "546", ",", "547", ",", "547", ",", 
    "548", ",", "550", ",", "551", ",", "551", ",", "553", ",", "554", ",", 
    "555", ",", "555", ",", "557", ",", "558", ",", "559", ",", "559", ",", 
    "561", ",", "562", ",", "564", ",", "564", ",", "565", ",", "566", ",", 
    "568", ",", "568", ",", "569", ",", "570", ",", "570", ",", "572", ",", 
    "573", ",", "575", ",", "575", ",", "576", ",", "577", ",", "579", ",", 
    "579", ",", "580", ",", "581", ",", "583", ",", "583", ",", "584", ",", 
    "585", ",", "585", ",", "587", ",", "588", ",", "590", ",", "590", ",", 
    "591", ",", "592", ",", "594", ",", "594", ",", "595", ",", "596", ",", 
    "598", ",", "598", ",", "599", ",", "601", ",", "602", ",", "602", ",", 
    "603", ",", "605", ",", "605", ",", "606", ",", "607", ",", "609", ",", 
    "609", ",", "610", ",", "611", ",", "613", ",", "613", ",", "614", ",", 
    "615", ",", "617", ",", "617", ",", "618", ",", "620", ",", "620", ",", 
    "621", ",", "622", ",", "624", ",", "624", ",", "625", ",", "626", ",", 
    "628", ",", "628", ",", "629", ",", "630", ",", "630", ",", "632", ",", 
    "633", ",", "635", ",", "635", ",", "636", ",", "637", ",", "639", ",", 
    "639", ",", "640", ",", "641", ",", "641", ",", "643", ",", "644", ",", 
    "645", ",", "645", ",", "647", ",", "648", ",", "648", ",", "649", ",", 
    "651", ",", "652", ",", "652", ",", "653", ",", "655", ",", "656", ",", 
    "656", ",", "658", ",", "659", ",", "659", ",", "660", ",", "662", ",", 
    "663", ",", "663", ",", "664", ",", "666", ",", "666", ",", "667", ",", 
    "668", ",", "670", ",", "670", ",", "671", ",", "672", ",", "674", ",", 
    "674", ",", "675", ",", "676", ",", "676", ",", "678", ",", "679", ",", 
    "680", ",", "680", ",", "682", ",", "683", ",", "683", ",", "685", ",", 
    "686", ",", "687", ",", "687", ",", "689", ",", "690", ",", "690", ",", 
    "691", ",", "693", ",", "694", ",", "694", ",", "695", ",", "697", ",", 
    "697", ",", "698", ",", "699", ",", "701", ",", "701", ",", "702", ",", 
    "703", ",", "703", ",", "705", ",", "706", ",", "707", ",", "707", ",", 
    "709", ",", "710", ",", "710", ",", "711", ",", "713", ",", "714", ",", 
    "714", ",", "715", ",", "717", ",", "717", ",", "718", ",", "719", ",", 
    "721", ",", "721", ",", "722", ",", "723", ",", "723", ",", "725", ",", 
    "726", ",", "727", ",", "727", ",", "729", ",", "730", ",", "730", ",", 
    "731", ",", "733", ",", "734", ",", "734", ",", "735", ",", "737", ",", 
    "737", ",", "738", ",", "739", ",", "739", ",", "741", ",", "742", ",", 
    "743", ",", "743", ",", "745", ",", "746", ",", "746", ",", "747", ",", 
    "749", ",", "750", ",", "750", ",", "751", ",", "753", ",", "753", ",", 
    "754", ",", "755", ",", "757", ",", "757", ",", "758", ",", "759", ",", 
    "759", ",", "761", ",", "762", ",", "763", ",", "763", ",", "765", ",", 
    "766", ",", "766", ",", "767", ",", "769", ",", "769", ",", "770", ",", 
    "771", ",", "773", ",", "773", ",", "774", ",", "775", ",", "775", ",", 
    "777", ",", "778", ",", "778", ",", "779", ",", "781", ",", "782", ",", 
    "782", ",", "783", ",", "785", ",", "785", ",", "786", ",", "787", ",", 
    "789", ",", "789", ",", "790", ",", "791", ",", "791", ",", "793", ",", 
    "794", ",", "794", ",", "795", ",", "797", ",", "798", ",", "798", ",", 
    "799", ",", "801", ",", "801", ",", "802", ",", "803", ",", "803", ",", 
    "805", ",", "806", ",", "806", ",", "807", ",", "809", ",", "809", ",", 
    "810", ",", "811", ",", "813", ",", "813", ",", "814", ",", "815", ",", 
    "815", ",", "817", ",", "818", ",", "818", ",", "819", ",", "820", ",", 
    "822", ",", "822", ",", "823", ",", "824", ",", "824", ",", "826", ",", 
    "827", ",", "827", ",", "828", ",", "830", ",", "831", ",", "831", ",", 
    "832", ",", "834", ",", "834", ",", "835", ",", "836", ",", "836", ",", 
    "838", ",", "839", ",", "840", ",", "840", ",", "842", ",", "843", ",", 
    "843", ",", "844", ",", "845", ",", "845", ",", "847", ",", "848", ",", 
    "848", ",", "849", ",", "851", ",", "851", ",", "852", ",", "853", ",", 
    "855", ",", "855", ",", "856", ",", "857", ",", "857", ",", "859", ",", 
    "860", ",", "860", ",", "861", ",", "863", ",", "863", ",", "864", ",", 
    "865", ",", "865", ",", "867", ",", "868", ",", "869", ",", "869", ",", 
    "870", ",", "872", ",", "872", ",", "873", ",", "874", ",", "874", ",", 
    "876", ",", "877", ",", "877", ",", "878", ",", "880", ",", "880", ",", 
    "881", ",", "882", ",", "884", ",", "884", ",", "885", ",", "886", ",", 
    "886", ",", "887", ",", "889", ",", "889", ",", "890", ",", "891", ",", 
    "891", ",", "893", ",", "894", ",", "894", ",", "895", ",", "897", ",", 
    "897", ",", "898", ",", "899", ",", "901", ",", "901", ",", "902", ",", 
    "903", ",", "903", ",", "904", ",", "906", ",", "906", ",", "907", ",", 
    "908", ",", "908", ",", "910", ",", "911", ",", "911", ",", "912", ",", 
    "914", ",", "914", ",", "915", ",", "916", ",", "917", ",", "917", ",", 
    "919", ",", "920", ",", "920", ",", "921", ",", "923", ",", "923", ",", 
    "924", ",", "925", ",", "925", ",", "927", ",", "928", ",", "928", ",", 
    "929", ",", "930", ",", "930", ",", "932", ",", "933", ",", "933", ",", 
    "934", ",", "936", ",", "936", ",", "937", ",", "938", ",", "940", ",", 
    "940", ",", "941", ",", "942", ",", "942", ",", "943", ",", "945", ",", 
    "945", ",", "946", ",", "947", ",", "947", ",", "949", ",", "950", ",", 
    "950", ",", "951", ",", "952", ",", "952", ",", "954", ",", "955", ",", 
    "955", ",", "956", ",", "958", ",", "958", ",", "959", ",", "960", ",", 
    "960", ",", "962", ",", "963", ",", "963", ",", "964", ",", "965", ",", 
    "965", ",", "967", ",", "968", ",", "968", ",", "969", ",", "971", ",", 
    "971", ",", "972", ",", "973", ",", "974", ",", "974", ",", "976", ",", 
    "976", ",", "977", ",", "978", ",", "978", ",", "980", ",", "981", ",", 
    "982", ",", "982", ",", "983", ",", "985", ",", "985", ",", "986", ",", 
    "987", ",", "987", ",", "989", ",", "990", ",", "990", ",", "991", ",", 
    "992", ",", "992", ",", "994", ",", "995", ",", "995", ",", "996", ",", 
    "998", ",", "998", ",", "999", ",", "1000", ",", "1000", ",", "1001", ",",
     "1003", ",", "1003", ",", "1004", ",", "1005", ",", "1005", ",", "1007", 
    ",", "1008", ",", "1008", ",", "1009", ",", "1010", ",", "1010", ",", 
    "1012", ",", "1013", ",", "1013", ",", "1014", ",", "1016", ",", "1016", 
    ",", "1017", ",", "1018", ",", "1018", ",", "1019", ",", "1021", ",", 
    "1021", ",", "1022", ",", "1023", ",", "1023", ",", "1025", ",", "1026", 
    ",", "1026", ",", "1027", ",", "1028", ",", "1028", ",", "1030", ",", 
    "1031", ",", "1031", ",", "1032", ",", "1034", ",", "1034", ",", "1035", 
    ",", "1036", ",", "1036", ",", "1037", ",", "1039", ",", "1039", ",", 
    "1040", ",", "1041", ",", "1041", ",", "1043", ",", "1044", ",", "1044", 
    ",", "1045", ",", "1046", ",", "1046", ",", "1048", ",", "1049", ",", 
    "1049", ",", "1050", ",", "1051", ",", "1051", ",", "1053", ",", "1053", 
    ",", "1054", ",", "1055", ",", "1055", ",", "1057", ",", "1058", ",", 
    "1058", ",", "1059", ",", "1060", ",", "1060", ",", "1062", ",", "1063", 
    ",", "1063", ",", "1064", ",", "1065", ",", "1065", ",", "1067", ",", 
    "1068", ",", "1068", ",", "1069", ",", "1071", ",", "1071", ",", "1072", 
    ",", "1073", ",", "1073", ",", "1074", ",", "1076", ",", "1076", ",", 
    "1077", ",", "1078", ",", "1078", ",", "1079", ",", "1081", ",", "1081", 
    ",", "1082", ",", "1083", ",", "1083", ",", "1085", ",", "1085", ",", 
    "1086", ",", "1087", ",", "1087", ",", "1088", ",", "1090", ",", "1090", 
    ",", "1091", ",", "1092", ",", "1092", ",", "1093", ",", "1095", ",", 
    "1095", ",", "1096", ",", "1097", ",", "1097", ",", "1099", ",", "1100", 
    ",", "1100", ",", "1101", ",", "1102", ",", "1102", ",", "1104", ",", 
    "1105", ",", "1105", ",", "1106", ",", "1107", ",", "1107", ",", "1109", 
    ",", "1110", ",", "1110", ",", "1111", ",", "1111", ",", "1112", ",", 
    "1114", ",", "1114", ",", "1115", ",", "1116", ",", "1116", ",", "1118", 
    ",", "1119", ",", "1119", ",", "1120", ",", "1121", ",", "1121", ",", 
    "1123", ",", "1124", ",", "1124", ",", "1125", ",", "1126", ",", "1126", 
    ",", "1128", ",", "1128", ",", "1129", ",", "1130", ",", "1130", ",", 
    "1131", ",", "1133", ",", "1133", ",", "1134", ",", "1135", ",", "1135", 
    ",", "1136", ",", "1138", ",", "1138", ",", "1139", ",", "1140", ",", 
    "1140", ",", "1142", ",", "1142", ",", "1143", ",", "1144", ",", "1144", 
    ",", "1145", ",", "1147", ",", "1147", ",", "1148", ",", "1149", ",", 
    "1149", ",", "1150", ",", "1152", ",", "1152", ",", "1153", ",", "1154", 
    ",", "1154", ",", "1155", ",", "1157", ",", "1157", ",", "1158", ",", 
    "1159", ",", "1159", ",", "1160", ",", "1162", ",", "1162", ",", "1163", 
    ",", "1163", ",", "1164", ",", "1165", ",", "1165", ",", "1167", ",", 
    "1168", ",", "1168", ",", "1169", ",", "1170", ",", "1170", ",", "1172", 
    ",", "1173", ",", "1173", ",", "1174", ",", "1175", ",", "1175", ",", 
    "1177", ",", "1177", ",", "1178", ",", "1179", ",", "1179", ",", "1180", 
    ",", "1182", ",", "1182", ",", "1183", ",", "1184", ",", "1184", ",", 
    "1185", ",", "1187", ",", "1187", ",", "1188", ",", "1188", ",", "1189", 
    ",", "1190", ",", "1190", ",", "1192", ",", "1193", ",", "1193", ",", 
    "1194", ",", "1195", ",", "1195", ",", "1197", ",", "1198", ",", "1198", 
    ",", "1199", ",", "1201", ",", "1201"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.834922736087919*^9, 
  3.834922736124731*^9}},ExpressionUUID->"aed008e4-007c-410a-9916-\
64ec74276ff1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"wealthseq", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"i", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "150"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.809444569074026*^9, 3.8094445819018927`*^9}, {
   3.809444857131467*^9, 3.8094448921494427`*^9}, 3.825958828851036*^9},
 CellLabel->"In[30]:=",ExpressionUUID->"ba796200-9923-4e47-813f-eb58b51c7207"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"wealthseq", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "=", "7"}], ";"}]], "Input",
 CellChangeTimes->{{3.809444799488556*^9, 3.809444804782723*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"2ba91d10-2e3f-463d-9137-2189e14986a1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "=", "2"}], ";"}]], "Input",
 CellChangeTimes->{{3.8094448256291847`*^9, 3.8094448262809763`*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"fb7d1262-2a49-4a02-b657-1f81d73d64e0"],

Cell[BoxData[
 RowBox[{"While", "[", 
  RowBox[{
   RowBox[{"n", "<", "151"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"wealthseq", "[", 
      RowBox[{"[", "n", "]"}], "]"}], "=", 
     RowBox[{"wealthtmrcity", "[", 
      RowBox[{"[", 
       RowBox[{"wealthseq", "[", 
        RowBox[{"[", 
         RowBox[{"n", "-", "1"}], "]"}], "]"}], "]"}], "]"}]}], ";", 
    RowBox[{"n", "++"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8094448233379498`*^9, 3.809444897141406*^9}, 
   3.825958850552228*^9},
 CellLabel->"In[33]:=",ExpressionUUID->"56f6719d-6b63-4d63-a0a1-95c8b4b1a248"],

Cell[CellGroupData[{

Cell[BoxData["wealthseq"], "Input",
 CellChangeTimes->{{3.809444844996676*^9, 3.809444846160717*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"e2422082-756c-44d3-82bb-e97ffccb823b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "7", ",", "8", ",", "9", ",", "11", ",", "14", ",", "18", ",", "23", ",", 
   "30", ",", "39", ",", "51", ",", "68", ",", "88", ",", "113", ",", "144", 
   ",", "182", ",", "227", ",", "280", ",", "340", ",", "405", ",", "475", 
   ",", "547", ",", "620", ",", "691", ",", "759", ",", "822", ",", "880", 
   ",", "930", ",", "974", ",", "1013", ",", "1046", ",", "1073", ",", "1096",
    ",", "1115", ",", "1130", ",", "1143", ",", "1154", ",", "1163", ",", 
   "1170", ",", "1175", ",", "1179", ",", "1183", ",", "1187", ",", "1189", 
   ",", "1190", ",", "1192", ",", "1193", ",", "1194", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", 
   ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", "1195", ",", 
   "1195", ",", "1195", ",", "1195"}], "}"}]], "Output",
 CellChangeTimes->{3.83167257750541*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"2602dde1-3f73-47dd-bfc3-e324d72fc9f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"wealthseqvalue", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"wealth", "[", 
     RowBox[{"[", 
      RowBox[{"wealthseq", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "150"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.809444945028812*^9, 3.809444966351969*^9}, {
   3.8094450056583347`*^9, 3.8094450096707153`*^9}, 3.825958839074814*^9},
 CellLabel->"In[35]:=",ExpressionUUID->"322f5b61-dc06-4619-9546-68d8084d585b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["3", "1000"], ",", 
   FractionBox["7", "2000"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["13", "2000"], ",", 
   FractionBox["17", "2000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["29", "2000"], ",", 
   FractionBox["19", "1000"], ",", 
   FractionBox["1", "40"], ",", 
   FractionBox["67", "2000"], ",", 
   FractionBox["87", "2000"], ",", 
   FractionBox["7", "125"], ",", 
   FractionBox["143", "2000"], ",", 
   FractionBox["181", "2000"], ",", 
   FractionBox["113", "1000"], ",", 
   FractionBox["279", "2000"], ",", 
   FractionBox["339", "2000"], ",", 
   FractionBox["101", "500"], ",", 
   FractionBox["237", "1000"], ",", 
   FractionBox["273", "1000"], ",", 
   FractionBox["619", "2000"], ",", 
   FractionBox["69", "200"], ",", 
   FractionBox["379", "1000"], ",", 
   FractionBox["821", "2000"], ",", 
   FractionBox["879", "2000"], ",", 
   FractionBox["929", "2000"], ",", 
   FractionBox["973", "2000"], ",", 
   FractionBox["253", "500"], ",", 
   FractionBox["209", "400"], ",", 
   FractionBox["67", "125"], ",", 
   FractionBox["219", "400"], ",", 
   FractionBox["557", "1000"], ",", 
   FractionBox["1129", "2000"], ",", 
   FractionBox["571", "1000"], ",", 
   FractionBox["1153", "2000"], ",", 
   FractionBox["581", "1000"], ",", 
   FractionBox["1169", "2000"], ",", 
   FractionBox["587", "1000"], ",", 
   FractionBox["589", "1000"], ",", 
   FractionBox["591", "1000"], ",", 
   FractionBox["593", "1000"], ",", 
   FractionBox["297", "500"], ",", 
   FractionBox["1189", "2000"], ",", 
   FractionBox["1191", "2000"], ",", 
   FractionBox["149", "250"], ",", 
   FractionBox["1193", "2000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"], ",", 
   FractionBox["597", "1000"]}], "}"}]], "Output",
 CellChangeTimes->{3.831672577582559*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"5a1ad5d9-1614-4e47-b6df-0f062f7bea87"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"consumeseqvalue", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"wealth", "[", 
     RowBox[{"[", 
      RowBox[{"consumecity", "[", 
       RowBox[{"[", 
        RowBox[{"wealthseq", "[", 
         RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "150"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.809444993509151*^9, {3.809445030171587*^9, 3.809445048966729*^9}, 
   3.8259588658841*^9},
 CellLabel->"In[36]:=",ExpressionUUID->"20e28adb-8186-4802-b96c-37392a441a17"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "1000"], ",", 
   FractionBox["1", "1000"], ",", 
   FractionBox["3", "2000"], ",", 
   FractionBox["1", "500"], ",", 
   FractionBox["1", "400"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["3", "400"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["27", "2000"], ",", 
   FractionBox["7", "400"], ",", 
   FractionBox["23", "1000"], ",", 
   FractionBox["3", "100"], ",", 
   FractionBox["3", "80"], ",", 
   FractionBox["93", "2000"], ",", 
   FractionBox["7", "125"], ",", 
   FractionBox["33", "500"], ",", 
   FractionBox["19", "250"], ",", 
   FractionBox["173", "2000"], ",", 
   FractionBox["12", "125"], ",", 
   FractionBox["211", "2000"], ",", 
   FractionBox["227", "2000"], ",", 
   FractionBox["241", "2000"], ",", 
   FractionBox["127", "1000"], ",", 
   FractionBox["133", "1000"], ",", 
   FractionBox["11", "80"], ",", 
   FractionBox["283", "2000"], ",", 
   FractionBox["29", "200"], ",", 
   FractionBox["59", "400"], ",", 
   FractionBox["299", "2000"], ",", 
   FractionBox["303", "2000"], ",", 
   FractionBox["153", "1000"], ",", 
   FractionBox["309", "2000"], ",", 
   FractionBox["311", "2000"], ",", 
   FractionBox["39", "250"], ",", 
   FractionBox["313", "2000"], ",", 
   FractionBox["63", "400"], ",", 
   FractionBox["79", "500"], ",", 
   FractionBox["79", "500"], ",", 
   FractionBox["317", "2000"], ",", 
   FractionBox["317", "2000"], ",", 
   FractionBox["317", "2000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"], ",", 
   FractionBox["159", "1000"]}], "}"}]], "Output",
 CellChangeTimes->{3.831672577713269*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"c8ca7f3d-05b1-4108-97ba-54acf8f24223"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"wealthseqvalue", "[", 
     RowBox[{"[", 
      RowBox[{"1", ";;", "150"}], "]"}], "]"}], ",", 
    RowBox[{"consumeseqvalue", "[", 
     RowBox[{"[", 
      RowBox[{"1", ";;", "150"}], "]"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.809445050518004*^9, 3.8094450635803537`*^9}, {
  3.825958878590019*^9, 3.8259588842688017`*^9}, {3.826030319277619*^9, 
  3.826030320820808*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"c967fb1c-372e-4b71-975c-045c63a7b802"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd0l1Ik2EUB/CDSHghMmSEScgUGdH3KrNltbPpttTUNFv2tdYokOiLsCiL
eCIsvPAigqIMmhdJhUSIlIjEE1hYF9IXUZk4k4gRRVE39kV7385D+H9hjN/+
/HnOe54Vxg807M4gogvpj/X97/ni+3Fyz2DL+Waf/MDHUm5PVs9ecRb/uvH1
WU38oNjBx523whOtLWIne/uGj9y72irO4ytDrtuHmk+JZ/NAZXbGvLNnxC6e
lRnJWdDbIS7i0Sl7AHExX75kP2I3f//94mjK3SWew7mn9eOuYLd4rszbI57P
H35aA/eKF3LUHuCueDEXpqc792lQ7OFA7P2TotH74iUy3wPxUskfiZdxeta8
zMiIuIRDd76lJ3wqXs7pl535euS5uJTtdTlfilfw9YfVpe3+V2KvvM8b8Upu
nLzWOeR6Ky7jzyd8JdGBMfEqbvdbA42LV/Mfaz2epHgN9xe0fazvN/bJ/ibE
zFZa0CZWzPvshZnczzet63a8k9wv84kpwN2d1gWbPMC7ysbrOi6avJxr444m
b5/Jy9nmsMkrONtekMkr2F5fyuRBttc9ZfIgl9gXOCl5iBP5i8aKZ4hViA9b
15Fj8jBb0+zPNXmYq+wDTb6W7b9rvsnBVAk5mKogB1M15GBaBzmYaiAHUy3k
YKqDHEzrp5vBCqzBVA99sAJrMDVAH6zAGkwboA9WYA2mRuiDFViDaSP0wQqs
wRSBPliBNZg2QR+swBpMTdAHK7AG02bogxVYg2kL9MEKrMG0FfpgBdZg2gZ9
sAJrMG2HPliBNZii0AcrsAbTDuiDFViDKTbdLjCDY2AFToA1OAmmnXA+mMEx
sAInwBqcBFMczgczOAZW4ARY//df+oQNmg==
       "]]}, 
     {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd0F9ojmEYx/GrJe1gaQdLS0uz1sx/MzMzvNf+m232j5mZeb3NiRQHiMm6
VyQtLa0RhZU0akmUlj/rNtrhEjlYki1JonCgRQ7seXc96f3e9fT0eX79nuu+
7yWxI00Hk0Tk8uwTvOfWj8jfuz9f18U0Yh800clwKpwGp5sbzBlwpv7pPvT0
WH+rOcvyqDlbT6fdq5ru6jTnWH7UnKuPq1OSVpw/YV6uI4vPfW0c6TavtP5Z
82qdnJhp/ni717xWvzUGjUvmPG3rLP5Qf/GKeZ3974Y5X/Pj65Z5vc4OXzg5
MWQu0FNfcvKSh4fNG7S28EJJ9NN9c6G++x0c+KF5o47eXLTmffYjc5Hdx4h5
kxZ0BCd8Yi7W4/3p81oWPDNv1pT4BkbNW/TOeM3sRG/eqoPB7+c/N0f02tVg
hVaNbzdjbM5OtW/sV257n1lKdLoruMAwL9HgNK+yXlheqkG7rdPsSjWY1jMQ
5mW66sH170PjYV6mPQNlvYc/h3m5xq9vJszL9e3JYEcvLa/QZe3BjsyuQt/U
xVJbi8K8MtGuUs9EghsL86pEO1i26dL4AcIclmrksGxHDksNclhqkcNShxyW
HchhqUcOS0OiFXawh6URfdjBHpYm9GEHe1ia0Ycd7GHZiT7sYA/LLvRhB3tY
WtCHHexh2Y0+7GAPSyv6sIM9LHvQhx3sYWlDH3awh2Uv+rCDPSzt6MMO9rDs
Qx92sIelA33YwR6W/ejDDvawRBOdCSschR08CHt4CpYDmA8rHIUdPAh7eAqW
GObDCkdhBw/C/r//AUN7Nu8=
       "]]}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, 
     {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, {}, {}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, 
     {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 150.}, {0, 0.597}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.809445060506802*^9, 3.809445064021929*^9}, 
   3.825946221374195*^9, 3.825946413538813*^9, 3.825946825510809*^9, 
   3.825948244283043*^9, 3.82595798277254*^9, {3.8259588682443666`*^9, 
   3.825958884637796*^9}, 3.826013951298502*^9, 3.826030321261921*^9, 
   3.831320127166603*^9, 3.831546411029114*^9, 3.831672579010227*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"1abff527-44a1-4e53-b6f0-5d0ddb88c228"]
}, Open  ]],

Cell[BoxData["Pmplus"], "Input",
 CellChangeTimes->{{3.825947525090701*^9, 3.8259475260936327`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"c21ec1b8-ab8d-4488-a211-a32b5af3c2f8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.`", ",", "0.007908500202567217`", ",", "0.011873743822232698`", ",", 
     "0.014847028241141659`", ",", "0.01740184602074604`", ",", 
     "0.01972735671734582`", ",", "0.021759739575949684`", ",", 
     "0.02352187033875697`", ",", "0.025080157082215334`", ",", 
     "0.02650575827916678`", ",", "0.027831608766315075`", ",", 
     "0.02907904826270365`", ",", "0.030239684152095166`", ",", 
     "0.03136684618563717`", ",", "0.03243150579786429`", ",", 
     "0.03346155131569774`", ",", "0.03443320040686253`", ",", 
     "0.03539645847683786`", ",", "0.036327014440207334`", ",", 
     "0.03722014631103002`", ",", "0.038101021887840425`", ",", 
     "0.03895143743995061`", ",", "0.03977328949386757`", ",", 
     "0.04056271852297085`", ",", "0.04133492106190304`", ",", 
     "0.042084719732232934`", ",", "0.04282385364571353`", ",", 
     "0.04356001044769104`", ",", "0.04427515013145353`", ",", 
     "0.044976314956249784`", ",", "0.04565656082688992`", ",", 
     "0.04631981549812199`", ",", "0.04697274406079177`", ",", 
     "0.04761586383789546`", ",", "0.04824495274260229`", ",", 
     "0.04886807145574614`", ",", "0.049481056270452684`", ",", 
     "0.050081565251369003`", ",", "0.05067499276789508`", ",", 
     "0.05125918628511858`", ",", "0.05183107582762931`", ",", 
     "0.05239347635578478`", ",", "0.05294557590278884`", ",", 
     "0.05349455450958927`", ",", "0.05403783011032516`", ",", 
     "0.05457501186612722`", ",", "0.055104269212354534`", ",", 
     "0.05562458334111754`", ",", "0.05613480387426183`", ",", 
     "0.056639139467622626`", ",", "0.05714039120591054`", ",", 
     "0.05763670580396426`", ",", "0.058128386585529164`", ",", 
     "0.05861272589300209`", ",", "0.05909010045800345`", ",", 
     "0.05956326863180306`", ",", "0.06003082929288005`", ",", 
     "0.06049191934659717`", ",", "0.060948327722967044`", ",", 
     "0.061403454393580414`", ",", "0.061852077381117004`", ",", 
     "0.062297429287491046`", ",", "0.06273870086865163`", ",", 
     "0.06317290312046422`", ",", "0.06360185818948427`", ",", 
     "0.06402669176639238`", ",", "0.064451506325119`", ",", 
     "0.06487367430931103`", ",", "0.06529014273523405`", ",", 
     "0.06570148249665456`", ",", "0.0661089177280145`", ",", 
     "0.0665132779376775`", ",", "0.06691284539687772`", ",", 
     "0.06731183995352684`", ",", "0.06770812976912896`", ",", 
     "0.06809927462807518`", ",", "0.06848743722414499`", ",", 
     "0.06887296254200861`", ",", "0.06925433082567059`", ",", 
     "0.06963170926021134`", ",", "0.07000886304741685`", ",", 
     "0.0703824812249048`", ",", "0.07075465785264205`", ",", 
     "0.07112223322113496`", ",", "0.07148649731769756`", ",", 
     "0.071847820365692`", ",", "0.0722067562679314`", ",", 
     "0.07256562364044854`", ",", "0.07292112000913492`", ",", 
     "0.0732738474084898`", ",", "0.07362297960996222`", ",", 
     "0.07396992338285985`", ",", "0.07431472294448768`", ",", 
     "0.07465768187801962`", ",", "0.07499916242517131`", ",", 
     "0.07533703776441308`", ",", "0.07567354258799672`", ",", 
     "0.07600803752011072`", ",", "0.07633883068826591`", ",", 
     "0.07666777338638497`", ",", "0.07699640780209416`", ",", 
     "0.07732274000585465`", ",", "0.07764710424324785`", ",", 
     "0.07796871663370744`", ",", "0.07828797291142954`", ",", 
     "0.07860493343025815`", ",", "0.07892144964798205`", ",", 
     "0.07923684472646164`", ",", "0.07954965124714086`", ",", 
     "0.07985963980343012`", ",", "0.0801682797092404`", ",", 
     "0.08047550765699497`", ",", "0.08078090758039876`", ",", 
     "0.08108512648585321`", ",", "0.08138726349892945`", ",", 
     "0.08168808105259195`", ",", "0.08198683138308707`", ",", 
     "0.08228360296181803`", ",", "0.08257898154885898`", ",", 
     "0.08287334387464583`", ",", "0.08316676168159426`", ",", 
     "0.08345781435344084`", ",", "0.08374743261940246`", ",", 
     "0.08403444119111454`", ",", "0.08432072464030002`", ",", 
     "0.08460686434404045`", ",", "0.08489138811269382`", ",", 
     "0.0851735715608025`", ",", "0.0854541721398143`", ",", 
     "0.0857337720753817`", ",", "0.08601175213952245`", ",", 
     "0.08628934782957125`", ",", "0.08656507328858155`", ",", 
     "0.08683946244307884`", ",", "0.08711257402710473`", ",", 
     "0.08738402333827033`", ",", "0.08765438315714631`", ",", 
     "0.08792387542852637`", ",", "0.08819231943906254`", ",", 
     "0.08845932214999028`", ",", "0.0887248213748455`", ",", 
     "0.08898834172419634`", ",", "0.08925167560559502`", ",", 
     "0.08951461321633614`", ",", "0.08977602294819922`", ",", 
     "0.09003556687401787`", ",", "0.09029386380925566`", ",", 
     "0.09055135094908542`", ",", "0.09080817974568342`", ",", 
     "0.09106398158130036`", ",", "0.09131824849519837`", ",", 
     "0.09157162997401624`", ",", "0.0918235770534607`", ",", 
     "0.09207438068123544`", ",", "0.09232516390560705`", ",", 
     "0.09257420057236826`", ",", "0.0928225228009239`", ",", 
     "0.09306978001318972`", ",", "0.09331527255156713`", ",", 
     "0.0935604180371517`", ",", "0.09380493997974665`", ",", 
     "0.09404865475371105`", ",", "0.09429088184329609`", ",", 
     "0.09453177530972692`", ",", "0.09477192292309275`", ",", 
     "0.09501179461264604`", ",", "0.09525071229685361`", ",", 
     "0.09548832683302243`", ",", "0.09572487322312284`", ",", 
     "0.09596061985426607`", ",", "0.09619554414115752`", ",", 
     "0.09643012707450646`", ",", "0.0966633503463737`", ",", 
     "0.09689582478659389`", ",", "0.09712728129276411`", ",", 
     "0.09735755223079624`", ",", "0.09758776631892584`", ",", 
     "0.09781687886966879`", ",", "0.09804553184710181`", ",", 
     "0.09827272589742383`", ",", "0.09849881330558025`", ",", 
     "0.09872469692471636`", ",", "0.09895027210344821`", ",", 
     "0.09917469276823238`", ",", "0.0993980046728581`", ",", 
     "0.09962044330562322`", ",", "0.09984218121430327`", ",", 
     "0.10006386356487645`", ",", "0.10028445009016707`", ",", 
     "0.10050401541521198`", ",", "0.10072289297027179`", ",", 
     "0.10094089303031398`", ",", "0.10115870544341077`", ",", 
     "0.1013755602887267`", ",", "0.10159164421027933`", ",", 
     "0.10180717343001741`", ",", "0.10202132604291556`", ",", 
     "0.1022354143434441`", ",", "0.10244880106856996`", ",", 
     "0.10266172970572526`", ",", "0.10287355545840354`", ",", 
     "0.10308440873021715`", ",", "0.10329495764965292`", ",", 
     "0.10350526220009738`", ",", "0.10371465593060614`", ",", 
     "0.10392308209103056`", ",", "0.10413090879343671`", ",", 
     "0.1043380882778289`", ",", "0.10454503115499494`", ",", 
     "0.10475124432583183`", ",", "0.1049564418063523`", ",", 
     "0.10516117998817509`", ",", "0.10536514680368636`", ",", 
     "0.1055690922018774`", ",", "0.10577195983844596`", ",", 
     "0.10597442757673996`", ",", "0.10617607996584358`", ",", 
     "0.10637697908685335`", ",", "0.1065776859725291`", ",", 
     "0.10677779210470692`", ",", "0.10697732208800378`", ",", 
     "0.10717585274478578`", ",", "0.10737381855950014`", ",", 
     "0.1075717395606303`", ",", "0.10776914917728915`", ",", 
     "0.1079655759123262`", ",", "0.10816129997593388`", ",", 
     "0.10835657719094612`", ",", "0.10855173455300893`", ",", 
     "0.10874621401753719`", ",", "0.10893991216294974`", ",", 
     "0.10913300262925776`", ",", "0.10932556035183977`", ",", 
     "0.10951802550132594`", ",", "0.10970964627511658`", ",", 
     "0.10990079393199237`", ",", "0.11009135291182492`", ",", 
     "0.11028123428491389`", ",", "0.11047094722367008`", ",", 
     "0.1106600488988141`", ",", "0.11084874731609029`", ",", 
     "0.11103657168976644`", ",", "0.11122397063311232`", ",", 
     "0.11141120023200737`", ",", "0.1115979894201238`", ",", 
     "0.11178394454773724`", ",", "0.1119692528110531`", ",", 
     "0.1121542642142136`", ",", "0.11233920914885456`", ",", 
     "0.11252341491908965`", ",", "0.11270697918541958`", ",", 
     "0.11289000369475352`", ",", "0.11307271655188074`", ",", 
     "0.11325521835312881`", ",", "0.11343695187571184`", ",", 
     "0.11361819464670857`", ",", "0.11379897984031176`", ",", 
     "0.11397947775054136`", ",", "0.11415947213596436`", ",", 
     "0.1143390154120259`", ",", "0.114518102572702`", ",", 
     "0.11469646418722476`", ",", "0.1148748189489868`", ",", 
     "0.11505261837641131`", ",", "0.115230073117845`", ",", 
     "0.11540676122492718`", ",", "0.11558306064752638`", ",", 
     "0.11575926498104086`", ",", "0.11593504403457869`", ",", 
     "0.11611013580609811`", ",", "0.11628471478659459`", ",", 
     "0.11645902193343562`", ",", "0.11663315645877123`", ",", 
     "0.11680671669746145`", ",", "0.11697967659443709`", ",", 
     "0.11715226575402561`", ",", "0.11732464667765283`", ",", 
     "0.11749670173642196`", ",", "0.11766812246589528`", ",", 
     "0.11783913435994461`", ",", "0.11800967631073297`", ",", 
     "0.1181801934925319`", ",", "0.11835008882113238`", ",", 
     "0.11851962522964976`", ",", "0.11868867453935861`", ",", 
     "0.11885738715415534`", ",", "0.11902576903660708`", ",", 
     "0.11919388681935952`", ",", "0.11936146554414986`", ",", 
     "0.11952844714688995`", ",", "0.11969541130286557`", ",", 
     "0.11986205098144839`", ",", "0.12002818860645673`", ",", 
     "0.12019374613389136`", ",", "0.12035901509056847`", ",", 
     "0.12052426600229305`", ",", "0.12068897349452083`", ",", 
     "0.12085315097787094`", ",", "0.12101701823108559`", ",", 
     "0.12118064259778817`", ",", "0.12134397781501025`", ",", 
     "0.12150682335240899`", ",", "0.1216692808823382`", ",", 
     "0.12183130879922102`", ",", "0.1219933302171206`", ",", 
     "0.12215483148930491`", ",", "0.12231594493481919`", ",", 
     "0.1224766744412922`", ",", "0.12263715174477491`", ",", 
     "0.1227972979313884`", ",", "0.12295712501639605`", ",", 
     "0.1231165402018428`", ",", "0.12327551057606029`", ",", 
     "0.1234343498858893`", ",", "0.12359293654071538`", ",", 
     "0.12375106374315814`", ",", "0.12390866243488621`", ",", 
     "0.1240661675505731`", ",", "0.12422348598859824`", ",", 
     "0.12438034975091015`", ",", "0.12453673349194114`", ",", 
     "0.12469281313400182`", ",", "0.12484888834868736`", ",", 
     "0.12500451412566763`", ",", "0.12515968436474909`", ",", 
     "0.12531455828902832`", ",", "0.12546925047389906`", ",", 
     "0.12562365892634167`", ",", "0.1257776412972021`", ",", 
     "0.12593133985818428`", ",", "0.12608468094196823`", ",", 
     "0.12623788083753704`", ",", "0.1263906822588914`", ",", 
     "0.12654318285343935`", ",", "0.1266952688330972`", ",", 
     "0.12684729361134411`", ",", "0.12699891875591948`", ",", 
     "0.12715026962527473`", ",", "0.12730123185671527`", ",", 
     "0.12745197365662123`", ",", "0.12760242919287063`", ",", 
     "0.12775269080755633`", ",", "0.12790250028002303`", ",", 
     "0.1280519910457426`", ",", "0.12820134734284602`", ",", 
     "0.12835052220843912`", ",", "0.12849917078117068`", ",", 
     "0.12864747848712246`", ",", "0.12879574885881195`", ",", 
     "0.12894381727354057`", ",", "0.1290913661105038`", ",", 
     "0.1292386379066488`", ",", "0.12938571729379422`", ",", 
     "0.12953264588708485`", ",", "0.12967914881367776`", ",", 
     "0.12982537289062385`", ",", "0.1299712895401513`", ",", 
     "0.13011715385814482`", ",", "0.13026262127036586`", ",", 
     "0.13040779388268378`", ",", "0.1305526274065133`", ",", 
     "0.1306974084661278`", ",", "0.13084184113797312`", ",", 
     "0.13098598518712734`", ",", "0.13112980018831338`", ",", 
     "0.131273471765469`", ",", "0.13141689432530362`", ",", 
     "0.1315600179646223`", ",", "0.1317028316424259`", ",", 
     "0.1318454188592896`", ",", "0.13198784305327851`", ",", 
     "0.13212997924673142`", ",", "0.13227179176937445`", ",", 
     "0.1324133188141116`", ",", "0.1325547554104071`", ",", 
     "0.13269593599842452`", ",", "0.13283675290783395`", ",", 
     "0.13297724308251171`", ",", "0.13311772394702887`", ",", 
     "0.133257958406271`", ",", "0.1333977888318281`", ",", 
     "0.13353734609675874`", ",", "0.13367682186213625`", ",", 
     "0.1338161026672085`", ",", "0.1339549654535056`", ",", 
     "0.13409360879842602`", ",", "0.13423209181587498`", ",", 
     "0.13437042996326434`", ",", "0.1345083565285079`", ",", 
     "0.13464609452546666`", ",", "0.13478360569624392`", ",", 
     "0.13492100948039543`", ",", "0.13505804554594367`", ",", 
     "0.13519488338713181`", ",", "0.13533144288920562`", ",", 
     "0.1354679172529608`", ",", "0.13560405944392862`", ",", 
     "0.13574000562388988`", ",", "0.13587563294650357`", ",", 
     "0.13601119088463265`", ",", "0.1361464749881091`", ",", 
     "0.13628153808047505`", ",", "0.13641625205661545`", ",", 
     "0.13655091009337567`", ",", "0.13668535410834737`", ",", 
     "0.13681951671718495`", ",", "0.13695333555410902`", ",", 
     "0.1370871350314163`", ",", "0.1372207435733864`", ",", 
     "0.13735400739601802`", ",", "0.1374869818218777`", ",", 
     "0.1376199231298376`", ",", "0.13775268544226443`", ",", 
     "0.13788509115633757`", ",", "0.13801724091702053`", ",", 
     "0.13814932173631475`", ",", "0.13828123181636368`", ",", 
     "0.13841280498111952`", ",", "0.13854415755586694`", ",", 
     "0.13867539438233603`", ",", "0.1388064404119382`", ",", 
     "0.13893718720522777`", ",", "0.13906773864227245`", ",", 
     "0.13919814745134657`", ",", "0.1393283940880699`", ",", 
     "0.13945832942171188`", ",", "0.13958807146271118`", ",", 
     "0.13971766773210922`", ",", "0.13984711753052864`", ",", 
     "0.13997626932017368`", ",", "0.1401052025128345`", ",", 
     "0.1402340012440057`", ",", "0.1403626430894127`", ",", 
     "0.1404910263270415`", ",", "0.14061919531893452`", ",", 
     "0.14074721105732718`", ",", "0.14087502300404695`", ",", 
     "0.14100266554233834`", ",", "0.14113006396495384`", ",", 
     "0.1412573108191879`", ",", "0.14138434991862006`", ",", 
     "0.14151125243963342`", ",", "0.14163784836236593`", ",", 
     "0.14176434002238178`", ",", "0.1418906477509883`", ",", 
     "0.14201681160170454`", ",", "0.14214262066463532`", ",", 
     "0.14226837041888432`", ",", "0.14239397041525992`", ",", 
     "0.14251937411227056`", ",", "0.1426444363762744`", ",", 
     "0.14276945712801237`", ",", "0.14289434792291444`", ",", 
     "0.14301897102956795`", ",", "0.14314331941478237`", ",", 
     "0.14326762369752274`", ",", "0.14339180182681388`", ",", 
     "0.14351567562748807`", ",", "0.1436393114398191`", ",", 
     "0.14376291143199807`", ",", "0.14388636593828003`", ",", 
     "0.1440095249546414`", ",", "0.14413248488207064`", ",", 
     "0.14425539242097277`", ",", "0.14437811457661714`", ",", 
     "0.14450056315076082`", ",", "0.14462282843420496`", ",", 
     "0.1447450550291943`", ",", "0.14486706518582002`", ",", 
     "0.14498883124309891`", ",", "0.14511040161641153`", ",", 
     "0.1452319584615102`", ",", "0.14535327204921933`", ",", 
     "0.14547436246246037`", ",", "0.14559526044831383`", ",", 
     "0.14571613923440663`", ",", "0.14583676540633372`", ",", 
     "0.14595718752812148`", ",", "0.14607743725338568`", ",", 
     "0.14619763140414388`", ",", "0.14631757561285008`", ",", 
     "0.14643734727882993`", ",", "0.14655695906101548`", ",", 
     "0.14667647392732608`", ",", "0.14679577251104262`", ",", 
     "0.14691486894590522`", ",", "0.1470338528317086`", ",", 
     "0.14715270723003415`", ",", "0.1472713607312193`", ",", 
     "0.14738980096124737`", ",", "0.14750816673639952`", ",", 
     "0.14762634503035818`", ",", "0.14774436440388705`", ",", 
     "0.14786215180579665`", ",", "0.1479799090044554`", ",", 
     "0.14809746458676126`", ",", "0.14821485219740954`", ",", 
     "0.1483320101111222`", ",", "0.14844913255956735`", ",", 
     "0.14856607847748873`", ",", "0.14868282535621224`", ",", 
     "0.14879939304247158`", ",", "0.14891586614624214`", ",", 
     "0.14903220891685878`", ",", "0.14914830365846043`", ",", 
     "0.14926428994887664`", ",", "0.14938017937336825`", ",", 
     "0.14949589719652961`", ",", "0.14961133371594873`", ",", 
     "0.14972674722405804`", ",", "0.14984206284536386`", ",", 
     "0.1499571511939909`", ",", "0.15007200032272083`", ",", 
     "0.15018684476773125`", ",", "0.15030154828861841`", ",", 
     "0.15041599928221205`", ",", "0.15053029223102085`", ",", 
     "0.15064457418009938`", ",", "0.15075867731244383`", ",", 
     "0.15087251534851623`", ",", "0.15098626012022454`", ",", 
     "0.151099967762577`", ",", "0.15121345695047914`", ",", 
     "0.15132673108082326`", ",", "0.15143993548815327`", ",", 
     "0.1515530391020477`", ",", "0.15166591076351446`", ",", 
     "0.15177863735055122`", ",", "0.15189130902238923`", ",", 
     "0.15200381814658814`", ",", "0.15211611952729`", ",", 
     "0.1522282659146859`", ",", "0.15234040544541563`", ",", 
     "0.15245232147373125`", ",", "0.15256408344272615`", ",", 
     "0.15267571182464368`", ",", "0.15278727821648225`", ",", 
     "0.15289862197690024`", ",", "0.15300982508144922`", ",", 
     "0.15312094257027928`", ",", "0.1532319152963785`", ",", 
     "0.15334272857678208`", ",", "0.1534533740497606`", ",", 
     "0.1535639875966094`", ",", "0.15367438531909988`", ",", 
     "0.1537846708696207`", ",", "0.15389478726938444`", ",", 
     "0.1540048432287815`", ",", "0.15411470870843125`", ",", 
     "0.15422445001881419`", ",", "0.1543340759150496`", ",", 
     "0.1544435604933165`", ",", "0.15455291416049075`", ",", 
     "0.15466208716153038`", ",", "0.15477122905113228`", ",", 
     "0.15488018618573307`", ",", "0.15498901511740457`", ",", 
     "0.155097679355099`", ",", "0.15520629421550872`", ",", 
     "0.15531471921638323`", ",", "0.1554230283175401`", ",", 
     "0.15553122112020193`", ",", "0.15563927918619813`", ",", 
     "0.1557472162435843`", ",", "0.15585495542643696`", ",", 
     "0.15596268287724047`", ",", "0.15607021901747276`", ",", 
     "0.15617765249220256`", ",", "0.1562849205446126`", ",", 
     "0.1563921074294665`", ",", "0.15649917227556898`", ",", 
     "0.15660606518394551`", ",", "0.15671287966555697`", ",", 
     "0.15681955310635212`", ",", "0.1569261189506467`", ",", 
     "0.15703248556687877`", ",", "0.15713882375149568`", ",", 
     "0.15724502644019905`", ",", "0.157351069989844`", ",", 
     "0.15745699432749652`", ",", "0.15756283046138783`", ",", 
     "0.15766854287334295`", ",", "0.1577740498339004`", ",", 
     "0.15787953736457802`", ",", "0.15798490305419355`", ",", 
     "0.15809010325202635`", ",", "0.1581951593354366`", ",", 
     "0.15830016676482744`", ",", "0.15840504226527874`", ",", 
     "0.15850973774852742`", ",", "0.15861436763565853`", ",", 
     "0.15871889411322396`", ",", "0.15882329883256158`", ",", 
     "0.158927507668745`", ",", "0.15903169529151062`", ",", 
     "0.1591357507986209`", ",", "0.15923965746899843`", ",", 
     "0.1593434502968616`", ",", "0.15944714512888283`", ",", 
     "0.1595507356348833`", ",", "0.1596541413305644`", ",", 
     "0.15975752309287788`", ",", "0.15986076087407608`", ",", 
     "0.15996386272406857`", ",", "0.16006683826649287`", ",", 
     "0.16016974114423338`", ",", "0.16027254157238374`", ",", 
     "0.16037514901029193`", ",", "0.16047772308402763`", ",", 
     "0.1605801908852738`", ",", "0.16068250353325467`", ",", 
     "0.16078468079760053`", ",", "0.16088681978239391`", ",", 
     "0.16098881939966178`", ",", "0.16109065464989067`", ",", 
     "0.16119243967471322`", ",", "0.16129415168318836`", ",", 
     "0.16139567668611376`", ",", "0.1614970739542322`", ",", 
     "0.16159845286583624`", ",", "0.16169969789894234`", ",", 
     "0.16180075448847633`", ",", "0.16190176839796633`", ",", 
     "0.16200271372765435`", ",", "0.16210348817066586`", ",", 
     "0.16220412303708553`", ",", "0.16230473956755792`", ",", 
     "0.16240522984344613`", ",", "0.16250555828950164`", ",", 
     "0.162605818348043`", ",", "0.16270599387516044`", ",", 
     "0.16280604844515623`", ",", "0.16290593785272478`", ",", 
     "0.16300578860034784`", ",", "0.16310555051991907`", ",", 
     "0.16320514261985875`", ",", "0.16330466545708472`", ",", 
     "0.16340411200060742`", ",", "0.16350340820863615`", ",", 
     "0.16360256848181964`", ",", "0.16370170743076617`", ",", 
     "0.16380074280483314`", ",", "0.16389958891461612`", ",", 
     "0.1639983905576089`", ",", "0.16409713121425895`", ",", 
     "0.16419571249653175`", ",", "0.16429415937255823`", ",", 
     "0.16439258259123596`", ",", "0.16449089859611823`", ",", 
     "0.16458902563119074`", ",", "0.16468712153461063`", ",", 
     "0.16478514492364443`", ",", "0.1648830222018548`", ",", 
     "0.16498077085986954`", ",", "0.1650784862127842`", ",", 
     "0.16517609471753456`", ",", "0.16527352699468414`", ",", 
     "0.16537093206898928`", ",", "0.1654682461049916`", ",", 
     "0.1655654263582882`", ",", "0.16566249144667403`", ",", 
     "0.16575950072213683`", ",", "0.16585643162617078`", ",", 
     "0.16595316850235034`", ",", "0.1660498971402524`", ",", 
     "0.1661465362299205`", ",", "0.1662430283559856`", ",", 
     "0.16633942401798726`", ",", "0.16643575347367076`", ",", 
     "0.16653200556225156`", ",", "0.16662807166354046`", ",", 
     "0.16672412150424382`", ",", "0.16682006818806475`", ",", 
     "0.16691590586205896`", ",", "0.16701164575983868`", ",", 
     "0.16710727942757952`", ",", "0.1672028461201612`", ",", 
     "0.16729826311502033`", ",", "0.1673936669119956`", ",", 
     "0.16748894703082445`", ",", "0.1675840976238958`", ",", 
     "0.1676791949611356`", ",", "0.16777419882122158`", ",", 
     "0.16786909686884305`", ",", "0.16796387773976532`", ",", 
     "0.16805859963095227`", ",", "0.1681532364610616`", ",", 
     "0.16824773726352302`", ",", "0.16834220480667977`", ",", 
     "0.16843654781446693`", ",", "0.1685307974422373`", ",", 
     "0.16862495474464348`", ",", "0.16871904150584563`", ",", 
     "0.16881301676307883`", ",", "0.16890687262333087`", ",", 
     "0.1690007227216412`", ",", "0.16909441686779353`", ",", 
     "0.16918802147924616`", ",", "0.1692815673608981`", ",", 
     "0.16937501295511082`", ",", "0.1694683653801918`", ",", 
     "0.16956160998451508`", ",", "0.16965481560203738`", ",", 
     "0.1697479099387177`", ",", "0.16984085736151416`", ",", 
     "0.16993380358080834`", ",", "0.17002663360023443`", ",", 
     "0.170119357143593`", ",", "0.17021200782417426`", ",", 
     "0.170304569113316`", ",", "0.17039703629863528`", ",", 
     "0.17048939424185358`", ",", "0.17058173292404574`", ",", 
     "0.17067393361585984`", ",", "0.17076603564624732`", ",", 
     "0.1708581036094746`", ",", "0.17095006594798512`", ",", 
     "0.17104191596292329`", ",", "0.171133696660514`", ",", 
     "0.17122541549498427`", ",", "0.17131700518294476`", ",", 
     "0.1714085107118267`", ",", "0.17150000681605163`", ",", 
     "0.1715913429117523`", ",", "0.17168259851659687`", ",", 
     "0.17177381265855085`", ",", "0.17186492853477514`", ",", 
     "0.17195591356534365`", ",", "0.17204684833582845`", ",", 
     "0.17213775309853632`", ",", "0.17222848506229724`", ",", 
     "0.1723191467619782`", ",", "0.17240980471236114`", ",", 
     "0.17250032276168412`", ",", "0.17259072524656885`", ",", 
     "0.172681108889618`", ",", "0.17277141188661702`", ",", 
     "0.17286156876279618`", ",", "0.17295168057349306`", ",", 
     "0.17304174982265658`", ",", "0.17313167880912914`", ",", 
     "0.1732215212254594`", ",", "0.17331133858319586`", ",", 
     "0.17340105995137162`", ",", "0.17349063537509474`", ",", 
     "0.1735801970059621`", ",", "0.173669689945058`", ",", 
     "0.17375904874695847`", ",", "0.17384835954435685`", ",", 
     "0.17393760390307283`", ",", "0.17402674045313546`", ",", 
     "0.17411578895574387`", ",", "0.1742048094749347`", ",", 
     "0.17429370331634014`", ",", "0.17438249182165577`", ",", 
     "0.1744712675935392`", ",", "0.1745599769430909`", ",", 
     "0.1746485225765701`", ",", "0.17473705334874423`", ",", 
     "0.17482550008143843`", ",", "0.17491385061056483`", ",", 
     "0.17500212588107658`", ",", "0.17509034030848472`", ",", 
     "0.17517846856809755`", ",", "0.1752664905364101`", ",", 
     "0.17535448306152335`", ",", "0.1754423865346768`", ",", 
     "0.17553017243433916`", ",", "0.1756179432685391`", ",", 
     "0.175705608843903`", ",", "0.17579319170473964`", ",", 
     "0.1758807135421602`", ",", "0.17596814228991153`", ",", 
     "0.1760555102305811`", ",", "0.17614278517840928`", ",", 
     "0.17623001302333294`", ",", "0.17631713216589925`", ",", 
     "0.17640416953574659`", ",", "0.1764911996716152`", ",", 
     "0.1765780882327811`", ",", "0.17666490894830317`", ",", 
     "0.17675169632086785`", ",", "0.17683838051985828`", ",", 
     "0.17692498173847448`", ",", "0.17701152836797643`", ",", 
     "0.17709800971957881`", ",", "0.1771843747490795`", ",", 
     "0.17727068262789414`", ",", "0.1773569661956715`", ",", 
     "0.1774431225066373`", ",", "0.1775291935998094`", ",", 
     "0.17761525065205117`", ",", "0.17770120478421453`", ",", 
     "0.17778704747192806`", ",", "0.17787288371769383`", ",", 
     "0.17795863416285707`", ",", "0.17804425719784456`", ",", 
     "0.17812986050814084`", ",", "0.17821541559059395`", ",", 
     "0.17830082769735525`", ",", "0.17838619995831648`", ",", 
     "0.1784715369790499`", ",", "0.17855675946350066`", ",", 
     "0.17864190253594364`", ",", "0.17872701310240685`", ",", 
     "0.178812043907202`", ",", "0.17889695962709934`", ",", 
     "0.17898185429788654`", ",", "0.1790666791052951`", ",", 
     "0.17915137588471802`", ",", "0.17923606606365972`", ",", 
     "0.17932067632429854`", ",", "0.1794051950617283`", ",", 
     "0.17948966148737305`", ",", "0.17957404718379474`", ",", 
     "0.17965838026006484`", ",", "0.17974262469658003`", ",", 
     "0.17982680427443004`", ",", "0.17991091017899366`", ",", 
     "0.17999493436748548`", ",", "0.18007895146673214`", ",", 
     "0.1801628492107109`", ",", "0.18024665486964406`", ",", 
     "0.18033045404301123`", ",", "0.18041415167714625`", ",", 
     "0.1804977670762939`", ",", "0.18058135590190172`", ",", 
     "0.18066485270840066`", ",", "0.1807482599886251`", ",", 
     "0.18083163365531008`", ",", "0.18091495380639694`", ",", 
     "0.180998154367298`", ",", "0.18108131452802326`", ",", 
     "0.18116443639574575`", ",", "0.18124743747636227`", ",", 
     "0.18133038576303379`", ",", "0.18141332095207696`", ",", 
     "0.18149612960809688`", ",", "0.18157886763193717`", ",", 
     "0.18166159968632398`", ",", "0.18174422871033058`", ",", 
     "0.18182675806224385`", ",", "0.18190927760420594`", ",", 
     "0.18199172837607164`", ",", "0.18207405526100626`", ",", 
     "0.1821563775119354`", ",", "0.18223862830939205`", ",", 
     "0.18232077118652534`", ",", "0.1824028878878007`", ",", 
     "0.18248493754366885`", ",", "0.18256690879359128`", ",", 
     "0.18264882147727182`", ",", "0.1827306694040822`", ",", 
     "0.1828124495491263`", ",", "0.18289415972833314`", ",", 
     "0.18297584000636985`", ",", "0.18305741584451704`", ",", 
     "0.18313892501375945`", ",", "0.18322041807682596`", ",", 
     "0.18330181068322024`", ",", "0.18338312031871473`", ",", 
     "0.18346442786001713`", ",", "0.18354562624766238`", ",", 
     "0.1836267548816578`", ",", "0.18370786644163992`", ",", 
     "0.18378888628096482`", ",", "0.18386981334198452`", ",", 
     "0.18395072826701406`", ",", "0.18403157100371895`", ",", 
     "0.18411230504728146`", ",", "0.18419302476054097`", ",", 
     "0.18427369690157047`", ",", "0.18435424771923892`", ",", 
     "0.18443477362682575`", ",", "0.1845152684300616`", ",", 
     "0.18459563316659544`", ",", "0.1846759666578075`", ",", 
     "0.18475626109504553`", ",", "0.1848364812650781`", ",", 
     "0.1849166237126936`", ",", "0.18499671223693043`", ",", 
     "0.18507674728833423`", ",", "0.18515670004888524`", ",", 
     "0.18523662100780397`", ",", "0.18531647110784744`", ",", 
     "0.18539623552188794`", ",", "0.1854759868234346`", ",", 
     "0.1855556530352995`", ",", "0.18563524266481712`", ",", 
     "0.18571482005718518`", ",", "0.18579428719138566`", ",", 
     "0.1858736979253747`", ",", "0.18595308960544915`", ",", 
     "0.18603239008487235`", ",", "0.18611162259369282`", ",", 
     "0.18619082985564478`", ",", "0.18626995445899147`", ",", 
     "0.1863490067361252`", ",", "0.18642803085916407`", ",", 
     "0.18650699643899052`", ",", "0.18658586230551746`", ",", 
     "0.18666470455413212`", ",", "0.18674349913849023`", ",", 
     "0.18682218221559246`", ",", "0.1869008438397871`", ",", 
     "0.1869794659759543`", ",", "0.18705798484817346`", ",", 
     "0.18713646708369908`", ",", "0.1872149046699389`", ",", 
     "0.1872932747983537`", ",", "0.18737157886693442`", ",", 
     "0.18744983269778326`", ",", "0.1875280312966043`", ",", 
     "0.1876061584061594`", ",", "0.18768425290875407`", ",", 
     "0.18776226816505243`", ",", "0.1878402195099136`", ",", 
     "0.1879181436366517`", ",", "0.187995995683913`", ",", 
     "0.18807377244503742`", ",", "0.1881515265282238`", ",", 
     "0.18822919817833883`", ",", "0.18830680152351803`", ",", 
     "0.18838439758068076`", ",", "0.18846190491247128`", ",", 
     "0.18853933599653552`", ",", "0.18861676250141207`", ",", 
     "0.1886940948791263`", ",", "0.18877135676161935`", ",", 
     "0.18884861672663827`", ",", "0.1889257988913557`", ",", 
     "0.1890028888668348`", ",", "0.18907996283232156`", ",", 
     "0.18915698969897732`", ",", "0.18923391080205068`", ",", 
     "0.18931081993196966`", ",", "0.18938767529049855`", ",", 
     "0.18946443691195225`", ",", "0.1895411902475713`", ",", 
     "0.1896178743926313`", ",", "0.18969447054102478`", ",", 
     "0.18977105720214354`", ",", "0.18984757436539368`", ",", 
     "0.18992401260859365`", ",", "0.1900004336763504`", ",", 
     "0.19007678076991064`", ",", "0.19015305967277152`", ",", 
     "0.19022931621666672`", ",", "0.19030550644689795`", ",", 
     "0.19038162894787158`", ",", "0.19045772202594258`", ",", 
     "0.19053375063576622`", ",", "0.1906096958009758`", ",", 
     "0.19068562645996814`", ",", "0.19076150946971282`", ",", 
     "0.19083728347594214`", ",", "0.19091305275147746`", ",", 
     "0.19098877980961146`", ",", "0.19106440793884397`", ",", 
     "0.1911400168555849`", ",", "0.19121557907435402`", ",", 
     "0.19129105897667079`", ",", "0.1913665085484826`", ",", 
     "0.19144189248524787`", ",", "0.19151722407410757`", ",", 
     "0.19159251530421675`", ",", "0.19166774210409582`", ",", 
     "0.1917429126858549`", ",", "0.19181804656700482`", ",", 
     "0.19189312040185078`", ",", "0.19196813916414873`", ",", 
     "0.19204311667875246`", ",", "0.19211803639098723`", ",", 
     "0.19219288573473703`", ",", "0.19226770785502695`", ",", 
     "0.1923424918206205`", ",", "0.19241717178139145`", ",", 
     "0.19249183946956663`", ",", "0.19256646852238365`", ",", 
     "0.19264099910165416`", ",", "0.1927155133100245`", ",", 
     "0.19278999599018348`", ",", "0.19286437520434485`", ",", 
     "0.19293873687547308`", ",", "0.1930130422689152`", ",", 
     "0.19308728978958356`", ",", "0.19316149985642395`", ",", 
     "0.19323564647315614`", ",", "0.19330973648422606`", ",", 
     "0.19338379587026128`", ",", "0.19345779939240043`", ",", 
     "0.19353173959188602`", ",", "0.19360564921126117`", ",", 
     "0.19367950451193217`", ",", "0.19375328455023588`", ",", 
     "0.19382704530789002`", ",", "0.1939007518535133`", ",", 
     "0.1939743762682417`", ",", "0.1940479890600373`", ",", 
     "0.1941215641560441`", ",", "0.19419503573258606`", ",", 
     "0.19426850144543575`", ",", "0.19434192444169882`", ",", 
     "0.19441524589929393`", ",", "0.19448856541128537`", ",", 
     "0.1945618302668917`", ",", "0.1946350175852537`", ",", 
     "0.19470819176577187`", ",", "0.1947813028476597`", ",", 
     "0.1948543441442508`", ",", "0.19492737385409836`", ",", 
     "0.19500033609753076`", ",", "0.19507323639188917`", ",", 
     "0.19514612248340465`", ",", "0.19521894416239682`", ",", 
     "0.19529169117573347`", ",", "0.19536443449290714`", ",", 
     "0.1954371030455659`", ",", "0.19550971271128098`", ",", 
     "0.19558231408986912`", ",", "0.19565484187693233`", ",", 
     "0.19572730214456907`", ",", "0.1957997546768579`", ",", 
     "0.19587214667338357`", ",", "0.1959444666496911`", ",", 
     "0.19601676758414824`", ",", "0.19608902036729864`", ",", 
     "0.19616120086399524`", ",", "0.1962333626489795`", ",", 
     "0.19630546840250274`", ",", "0.19637751022350924`", ",", 
     "0.19644953886977862`", ",", "0.1965214848865962`", ",", 
     "0.1965933888281403`", ",", "0.19666528971830405`", ",", 
     "0.19673709722806068`", ",", "0.19680886407877965`", ",", 
     "0.19688061168320142`", ",", "0.1969522775426872`", ",", 
     "0.1970239080837289`", ",", "0.19709552253372548`", ",", 
     "0.1971670461044434`", ",", "0.1972385411095654`", ",", 
     "0.1973100005190741`", ",", "0.1973813978649085`", ",", 
     "0.19745275810057558`", ",", "0.19752407747211873`", ",", 
     "0.1975953444008689`", ",", "0.19766657062634896`", ",", 
     "0.19773774201744349`", ",", "0.1978088638432345`", ",", 
     "0.1978799568106928`", ",", "0.19795099954056675`", ",", 
     "0.19802197922455234`", ",", "0.1980929396791441`", ",", 
     "0.19816384341986876`", ",", "0.19823468208860803`", ",", 
     "0.19830551076856973`", ",", "0.19837628663539755`", ",", 
     "0.1984469842721364`", ",", "0.19851767981199225`", ",", 
     "0.1985883167476069`", ",", "0.1986588840657889`", ",", 
     "0.19872944471969217`", ",", "0.19879995665382216`", ",", 
     "0.19887039437145898`", ",", "0.19894081391045476`", ",", 
     "0.1990111779164614`", ",", "0.1990814867449954`", ",", 
     "0.1991517866514641`", ",", "0.19922200253883932`", ",", 
     "0.19929218318322753`", ",", "0.19936234790765575`", ",", 
     "0.19943243750482084`", ",", "0.19950249066361736`", ",", 
     "0.199572524854812`", ",", "0.19964247774999977`", ",", 
     "0.19971240411543686`", ",", "0.19978229689531898`", ",", 
     "0.19985212447839534`", ",", "0.19992192473646336`", ",", 
     "0.19999168651877877`", ",", "0.20006137326615417`", ",", 
     "0.20013104809667992`", ",", "0.2002006730654276`", ",", 
     "0.20027024133943366`", ",", "0.20033979141615782`", ",", 
     "0.2004092748922083`", ",", "0.2004787180253045`", ",", 
     "0.20054814401595744`", ",", "0.20061750456754354`", ",", 
     "0.2006868071339203`", ",", "0.2007561035918466`", ",", 
     "0.20082533631445273`", ",", "0.20089451611248646`", ",", 
     "0.20096367562917383`", ",", "0.20103278503001393`", ",", 
     "0.20110184270984843`", ",", "0.20117087530098693`", ",", 
     "0.2012398533984712`", ",", "0.2013087896045322`", ",", 
     "0.20137769241198766`", ",", "0.20144654419943236`", ",", 
     "0.20151535957049768`", ",", "0.20158412978747733`", ",", 
     "0.20165284713291243`", ",", "0.20172154230218092`", ",", 
     "0.20179019151273664`", ",", "0.20185877924590545`", ",", 
     "0.20192735484106514`", ",", "0.20199589483776742`", ",", 
     "0.20206435148106233`", ",", "0.20213279022724062`", ",", 
     "0.20220119296362343`", ",", "0.20226953127191946`", ",", 
     "0.20233785361633919`", ",", "0.20240612981651326`", ",", 
     "0.20247435040136308`", ",", "0.20254255256096404`", ",", 
     "0.20261069748412885`", ",", "0.20267880095183574`", ",", 
     "0.2027468812137608`", ",", "0.20281489252590257`", ",", 
     "0.20288287947758318`", ",", "0.20295083957478297`", ",", 
     "0.2030187250114417`", ",", "0.20308659604308815`", ",", 
     "0.20315444342205974`", ",", "0.20322219912460043`", ",", 
     "0.20328994328640737`", ",", "0.20335765722557253`", ",", 
     "0.20342529818493216`", ",", "0.20349293144592998`", ",", 
     "0.203560518171004`", ",", "0.2036280449681628`", ",", 
     "0.20369556129257885`", ",", "0.2037630155307296`", ",", 
     "0.20383042874178148`", ",", "0.20389783110748594`", ",", 
     "0.20396515886023409`", ",", "0.20403245905644393`", ",", 
     "0.2040997416481912`", ",", "0.20416693866677263`", ",", 
     "0.20423412641463287`", ",", "0.2043012883411158`", ",", 
     "0.2043683652284951`", ",", "0.2044354410897813`", ",", 
     "0.20450247295867402`", ",", "0.2045694410236758`", ",", 
     "0.20463640555550142`", ",", "0.2047033124697416`", ",", 
     "0.20477017039119635`", ",", "0.20483702414606683`", ",", 
     "0.20490379556027236`", ",", "0.20497053908613821`", ",", 
     "0.20503727008491157`", ",", "0.2051039258430551`", ",", 
     "0.20517055968336442`", ",", "0.20523717779920653`", ",", 
     "0.20530371488602878`", ",", "0.2053702395797787`", ",", 
     "0.20543673787400304`", ",", "0.20550315517174148`", ",", 
     "0.20556957125352918`", ",", "0.20563593441225417`", ",", 
     "0.20570224533346967`", ",", "0.2057685533335425`", ",", 
     "0.20583479576979843`", ",", "0.20590100234568787`", ",", 
     "0.2059672027899926`", ",", "0.20603331449229534`", ",", 
     "0.20609940790252698`", ",", "0.2061654851742531`", ",", 
     "0.2062314898198195`", ",", "0.20629747671346924`", ",", 
     "0.20636344213638846`", ",", "0.20642932764299893`", ",", 
     "0.2064952085334013`", ",", "0.20656104574177514`", ",", 
     "0.2066268246632862`", ",", "0.20669260005966586`", ",", 
     "0.20675831431189237`", ",", "0.20682398610351635`", ",", 
     "0.2068896565110338`", ",", "0.20695524842080695`", ",", 
     "0.20702081434060393`", ",", "0.20708636910360956`", ",", 
     "0.20715184793864333`", ",", "0.20721730986788742`", ",", 
     "0.20728274582379821`", ",", "0.20734811393435582`", ",", 
     "0.2074134723662844`", ",", "0.20747879095577737`", ",", 
     "0.20754404828004036`", ",", "0.207609303704004`", ",", 
     "0.2076744975953092`", ",", "0.20773965213059759`", ",", 
     "0.20780480503210266`", ",", "0.2078698912181287`", ",", 
     "0.20793494913934185`", ",", "0.20800000000009286`", ",", 
     "0.2080649898469226`", ",", "0.2081299594003708`", ",", 
     "0.20819490867934307`", ",", "0.20825983770280818`", ",", 
     "0.20832474648970536`", ",", "0.20838963505894434`", ",", 
     "0.20845450342940544`", ",", "0.2085193516199396`", ",", 
     "0.2085841796493684`", ",", "0.20864898753648436`", ",", 
     "0.20871377530005059`", ",", "0.20877854295880122`", ",", 
     "0.2088432905314413`", ",", "0.20890801803664694`", ",", 
     "0.20897272549306525`", ",", "0.20903741291931452`", ",", 
     "0.20910208033398425`", ",", "0.2091667277556352`", ",", 
     "0.20923135520279937`", ",", "0.20929596269398032`", ",", 
     "0.20936055024765293`", ",", "0.2094251178822636`", ",", 
     "0.20948966561623034`", ",", "0.2095541934679428`", ",", 
     "0.2096187014557623`", ",", "0.2096831895980219`", ",", 
     "0.20974765791302655`", ",", "0.20981210641905296`", ",", 
     "0.20987653513434987`", ",", "0.20994094407713804`", ",", 
     "0.2100053332656102`", ",", "0.2100697027179312`", ",", 
     "0.2101340524522382`", ",", "0.21019838248664047`", ",", 
     "0.2102626928392196`", ",", "0.21032698352802953`", ",", 
     "0.21039125457109667`", ",", "0.21045550598641985`", ",", 
     "0.21051973779197047`", ",", "0.21058395000569252`", ",", 
     "0.21064814264550258`", ",", "0.21071231572929003`", ",", 
     "0.21077646927491694`", ",", "0.21084060330021823`", ",", 
     "0.21090471782300177`", ",", "0.21096881286104827`", ",", 
     "0.21103288843211146`", ",", "0.21109694455391817`", ",", 
     "0.21116098124416832`", ",", "0.21122499852053497`", ",", 
     "0.21128899640066445`", ",", "0.21135297490217642`", ",", 
     "0.21141693404266368`", ",", "0.21148087383969266`", ",", 
     "0.2115447943108031`", ",", "0.21160869547350838`", ",", 
     "0.21167257734529524`", ",", "0.21173643994362426`", ",", 
     "0.21180028328592954`", ",", "0.211864107389619`", ",", 
     "0.21192791227207425`", ",", "0.21199169795065087`", ",", 
     "0.2120554644426783`", ",", "0.21211921176545986`", ",", 
     "0.21218293993627294`", ",", "0.21224664897236895`", ",", 
     "0.21231033889097348`", ",", "0.21237400970928622`", ",", 
     "0.21243766144448117`", ",", "0.21250129411370652`", ",", 
     "0.21256490773408482`", ",", "0.21262850232271308`", ",", 
     "0.21269207789666264`", ",", "0.21275563447297935`", ",", 
     "0.21281917206868373`", ",", "0.2128826907007707`", ",", 
     "0.21294619038621002`", ",", "0.21300967114194605`", ",", 
     "0.2130731329848979`", ",", "0.21313657593195967`", ",", "0.2132`", ",", 
     "0.21326340520586273`", ",", "0.21332679156636658`", ",", 
     "0.21339015909830517`", ",", "0.21345350781844746`", ",", 
     "0.21351683774353722`", ",", "0.21358014889029364`", ",", 
     "0.21364344127541104`", ",", "0.213706714915559`", ",", 
     "0.21376996982738247`", ",", "0.21383320602750172`", ",", 
     "0.21389642353251256`", ",", "0.21395962235898625`", ",", 
     "0.21402280252346945`", ",", "0.2140859640424846`", ",", 
     "0.21414910693252961`", ",", "0.21421223121007818`", ",", 
     "0.21427533689157977`", ",", "0.21433842399345945`", ",", 
     "0.21440149253211838`", ",", "0.21446454252393332`", ",", 
     "0.21452757398525718`", ",", "0.21459058693241884`", ",", 
     "0.21465358138172305`", ",", "0.21471655734945083`", ",", 
     "0.2147795148518592`", ",", "0.21484245390518142`", ",", 
     "0.214905374525627`", ",", "0.21496827672938165`", ",", 
     "0.21503116053260748`", ",", "0.21509402595144292`", ",", 
     "0.2151568730020029`", ",", "0.21521970170037874`", ",", 
     "0.2152825120626383`", ",", "0.21534530410482605`", ",", 
     "0.21540807784296298`", ",", "0.21547083329304687`", ",", 
     "0.21553357047105215`", ",", "0.21559628939292996`", ",", 
     "0.2156589900746083`", ",", "0.215721672531992`", ",", 
     "0.21578433678096284`", ",", "0.2158469828373795`", ",", 
     "0.21590961071707762`", ",", "0.21597222043586994`", ",", 
     "0.2160348120095463`", ",", "0.21609738545387355`", ",", 
     "0.21615994078459588`", ",", "0.21622247801743463`", ",", 
     "0.21628499716808838`", ",", "0.2163474982522331`", ",", 
     "0.21640998128552205`", ",", "0.21647244628358595`", ",", 
     "0.21653489326203296`", ",", "0.2165973222364487`", ",", 
     "0.21665973322239648`", ",", "0.21672212623541695`", ",", 
     "0.21678450129102866`", ",", "0.21684685840472764`", ",", 
     "0.2169091975919878`", ",", "0.2169715188682607`", ",", 
     "0.21703382224897574`", ",", "0.21709610774954027`", ",", 
     "0.21715837538533947`", ",", "0.2172206251717364`", ",", 
     "0.21728285712407228`", ",", "0.2173450712576662`", ",", 
     "0.21740726758781548`", ",", "0.21746944612979544`", ",", 
     "0.21753160689885964`", ",", "0.21759374991023983`", ",", 
     "0.21765587517914606`", ",", "0.21771798272076656`", ",", 
     "0.21778007255026802`", ",", "0.21784214468279547`", ",", 
     "0.21790419913347242`", ",", "0.21796623591740075`", ",", 
     "0.21802825504966097`", ",", "0.218090256545312`", ",", 
     "0.21815224041939155`", ",", "0.2182142066869158`", ",", 
     "0.2182761553628797`", ",", "0.218338086462257`", ",", "0.2184`", ",", 
     "0.21846189599104004`", ",", "0.21852377445028723`", ",", 
     "0.2185856353926305`", ",", "0.21864747883293786`", ",", 
     "0.21870930478605616`", ",", "0.21877111326681134`", ",", 
     "0.21883290429000848`", ",", "0.21889467787043154`", ",", 
     "0.21895643402284395`", ",", "0.21901817276198796`", ",", 
     "0.21907989410258533`", ",", "0.21914159805933697`", ",", 
     "0.21920328464692312`", ",", "0.2192649538800034`", ",", 
     "0.2193266057732167`", ",", "0.21938824034118146`", ",", 
     "0.2194498575984956`", ",", "0.21951145755973653`", ",", 
     "0.2195730402394611`", ",", "0.2196346056522059`", ",", 
     "0.21969615381248714`", ",", "0.21975768473480056`", ",", 
     "0.21981919843362183`", ",", "0.21988069492340614`", ",", 
     "0.21994217421858864`", ",", "0.22000363633358427`", ",", 
     "0.22006508128278782`", ",", "0.22012650908057393`", ",", 
     "0.22018791974129734`", ",", "0.22024931327929265`", ",", 
     "0.22031068970887455`", ",", "0.22037204904433777`", ",", 
     "0.2204333912999571`", ",", "0.22049471648998756`", ",", 
     "0.2205560246286644`", ",", "0.22061731573020282`", ",", 
     "0.22067858980879862`", ",", "0.22073984687862772`", ",", 
     "0.22080108695384632`", ",", "0.22086231004859114`", ",", 
     "0.22092351617697922`", ",", "0.2209847053531081`", ",", 
     "0.22104587759105573`", ",", "0.2211070329048807`", ",", 
     "0.22116817130862207`", ",", "0.22122929281629952`", ",", 
     "0.22129039744191342`", ",", "0.22135148519944475`", ",", 
     "0.22141255610285518`", ",", "0.2214736101660873`", ",", 
     "0.22153464740306425`", ",", "0.22159566782769016`", ",", 
     "0.22165667145385`", ",", "0.22171765829540957`", ",", 
     "0.22177862836621567`", ",", "0.22183958168009602`", ",", 
     "0.22190051825085944`", ",", "0.22196143809229568`", ",", 
     "0.22202234121817563`", ",", "0.2220832276422513`", ",", 
     "0.22214409737825583`", ",", "0.22220495043990357`", ",", 
     "0.22226578684089013`", ",", "0.22232660659489228`", ",", 
     "0.2223874097155682`", ",", "0.22244819621655737`", ",", 
     "0.22250896611148058`", ",", "0.22256971941394005`", ",", 
     "0.2226304561375195`", ",", "0.2226911762957841`", ",", 
     "0.22275187990228051`", ",", "0.22281256697053692`", ",", 
     "0.22287323751406315`", ",", "0.2229338915463506`", ",", 
     "0.2229945290808723`", ",", "0.22305515013108307`", ",", 
     "0.22311575471041933`", ",", "0.2231763428322993`", ",", 
     "0.2232369145101231`", ",", "0.22329746975727244`", ",", 
     "0.22335800858711113`", ",", "0.2234185310129847`", ",", 
     "0.2234790370482207`", ",", "0.22353952670612864`", ",", "0.2236`", ",", 
     "0.2236604569431083`", ",", "0.22372089754870914`", ",", 
     "0.22378132183004013`", ",", "0.2238417298003212`", ",", 
     "0.22390212147275426`", ",", "0.22396249686052352`", ",", 
     "0.22402285597679536`", ",", "0.22408319883471856`", ",", 
     "0.224143525447424`", ",", "0.22420383582802506`", ",", 
     "0.2242641299896174`", ",", "0.2243244079452791`", ",", 
     "0.22438466970807075`", ",", "0.22444491529103527`", ",", 
     "0.2245051447071982`", ",", "0.2245653579695675`", ",", 
     "0.22462555509113383`", ",", "0.22468573608487033`", ",", 
     "0.22474590096373281`", ",", "0.2248060497406598`", ",", 
     "0.2248661824285724`", ",", "0.22492629904037456`", ",", 
     "0.22498639958895295`", ",", "0.22504648408717698`", ",", 
     "0.225106552547899`", ",", "0.22516660498395405`", ",", 
     "0.22522664140816023`", ",", "0.2252866618333185`", ",", 
     "0.2253466662722127`", ",", "0.22540665473760974`", ",", 
     "0.22546662724225952`", ",", "0.22552658379889498`", ",", 
     "0.22558652442023217`", ",", "0.2256464491189702`", ",", 
     "0.22570635790779134`", ",", "0.22576625079936108`", ",", 
     "0.22582612780632802`", ",", "0.22588598894132414`", ",", 
     "0.22594583421696451`", ",", "0.2260056636458476`", ",", 
     "0.22606547724055526`", ",", "0.22612527501365257`", ",", 
     "0.22618505697768806`", ",", "0.22624482314519376`", ",", 
     "0.22630457352868502`", ",", "0.22636430814066075`", ",", 
     "0.2264240269936033`", ",", "0.22648373009997871`", ",", 
     "0.22654341747223644`", ",", "0.22660308912280966`", ",", 
     "0.22666274506411502`", ",", "0.22672238530855307`", ",", 
     "0.22678200986850788`", ",", "0.22684161875634729`", ",", 
     "0.22690121198442287`", ",", "0.22696078956507004`", ",", 
     "0.22702035151060795`", ",", "0.2270798978333397`", ",", 
     "0.22713942854555216`", ",", "0.22719894365951615`", ",", 
     "0.22725844318748645`", ",", "0.22731792714170168`", ",", 
     "0.22737739553438466`", ",", "0.227436848377742`", ",", 
     "0.22749628568396454`", ",", "0.22755570746522708`", ",", 
     "0.22761511373368862`", ",", "0.22767450450149224`", ",", 
     "0.22773387978076515`", ",", "0.2277932395836189`", ",", 
     "0.2278525839221491`", ",", "0.22791191280843573`", ",", 
     "0.22797122625454294`", ",", "0.22803052427251927`", ",", 
     "0.22808980687439762`", ",", "0.2281490740721952`", ",", 
     "0.22820832587791356`", ",", "0.2282675623035389`", ",", 
     "0.22832678336104154`", ",", "0.2283859890623766`", ",", 
     "0.22844517941948347`", ",", "0.22850435444428624`", ",", 
     "0.22856351414869347`", ",", "0.22862265854459835`", ",", 
     "0.22868178764387864`", ",", "0.22874090145839682`", ",", "0.2288`", ",",
      "0.22885908328052004`", ",", "0.22891815131177345`", ",", 
     "0.22897720410556158`", ",", "0.2290362416736705`", ",", 
     "0.22909526402787117`", ",", "0.22915427117991932`", ",", 
     "0.2292132631415556`", ",", "0.22927223992450546`", ",", 
     "0.22933120154047945`", ",", "0.22939014800117288`", ",", 
     "0.2294490793182662`", ",", "0.22950799550342468`", ",", 
     "0.2295668965682988`", ",", "0.22962578252452404`", ",", 
     "0.22968465338372088`", ",", "0.22974350915749503`", ",", 
     "0.22980234985743728`", ",", "0.22986117549512358`", ",", 
     "0.22991998608211509`", ",", "0.22997878162995822`", ",", 
     "0.2300375621501845`", ",", "0.23009632765431093`", ",", 
     "0.23015507815383957`", ",", "0.23021381366025803`", ",", 
     "0.2302725341850391`", ",", "0.23033123973964106`", ",", 
     "0.2303899303355075`", ",", "0.23044860598406752`", ",", 
     "0.23050726669673563`", ",", "0.2305659124849118`", ",", 
     "0.23062454335998153`", ",", "0.23068315933331587`", ",", 
     "0.23074176041627142`", ",", "0.23080034662019033`", ",", 
     "0.2308589179564004`", ",", "0.23091747443621496`", ",", 
     "0.2309760160709332`", ",", "0.23103454287183986`", ",", 
     "0.23109305485020532`", ",", "0.23115155201728582`", ",", 
     "0.2312100343843234`", ",", "0.2312685019625457`", ",", 
     "0.23132695476316634`", ",", "0.2313853927973847`", ",", 
     "0.23144381607638603`", ",", "0.23150222461134146`", ",", 
     "0.2315606184134081`", ",", "0.2316189974937289`", ",", 
     "0.23167736186343285`", ",", "0.2317357115336348`", ",", 
     "0.23179404651543578`", ",", "0.23185236681992274`", ",", 
     "0.2319106724581687`", ",", "0.23196896344123283`", ",", 
     "0.23202723978016032`", ",", "0.23208550148598253`", ",", 
     "0.23214374856971703`", ",", "0.23220198104236753`", ",", 
     "0.23226019891492386`", ",", "0.23231840219836222`", ",", 
     "0.23237659090364501`", ",", "0.2324347650417209`", ",", 
     "0.23249292462352483`", ",", "0.23255106965997813`", ",", 
     "0.23260920016198844`", ",", "0.23266731614044975`", ",", 
     "0.23272541760624257`", ",", "0.23278350457023367`", ",", 
     "0.23284157704327638`", ",", "0.23289963503621042`", ",", 
     "0.23295767855986205`", ",", "0.23301570762504403`", ",", 
     "0.23307372224255568`", ",", "0.23313172242318292`", ",", 
     "0.2331897081776981`", ",", "0.23324767951686037`", ",", 
     "0.23330563645141542`", ",", "0.2333635789920955`", ",", 
     "0.2334215071496198`", ",", "0.23347942093469393`", ",", 
     "0.23353732035801045`", ",", "0.2335952054302485`", ",", 
     "0.23365307616207412`", ",", "0.23371093256414002`", ",", 
     "0.23376877464708584`", ",", "0.23382660242153802`", ",", 
     "0.23388441589810982`", ",", "0.23394221508740146`", ",", "0.234`", ",", 
     "0.2340577706464795`", ",", "0.2341155270374009`", ",", 
     "0.23417326918331222`", ",", "0.23423099709474834`", ",", 
     "0.23428871078223126`", ",", "0.23434641025626998`", ",", 
     "0.2344040955273606`", ",", "0.23446176660598633`", ",", 
     "0.23451942350261737`", ",", "0.23457706622771118`", ",", 
     "0.23463469479171237`", ",", "0.23469230920505257`", ",", 
     "0.23474990947815083`", ",", "0.23480749562141326`", ",", 
     "0.23486506764523327`", ",", "0.23492262555999158`", ",", 
     "0.2349801693760561`", ",", "0.2350376991037821`", ",", 
     "0.23509521475351217`", ",", "0.23515271633557627`", ",", 
     "0.23521020386029173`", ",", "0.23526767733796328`", ",", 
     "0.23532513677888303`", ",", "0.23538258219333053`", ",", 
     "0.23544001359157282`", ",", "0.23549743098386444`", ",", 
     "0.2355548343804474`", ",", "0.2356122237915512`", ",", 
     "0.23566959922739295`", ",", "0.23572696069817725`", ",", 
     "0.23578430821409638`", ",", "0.23584164178533018`", ",", 
     "0.2358989614220461`", ",", "0.2359562671343993`", ",", 
     "0.23601355893253254`", ",", "0.23607083682657629`", ",", 
     "0.23612810082664876`", ",", "0.2361853509428559`", ",", 
     "0.2362425871852914`", ",", "0.23629980956403668`", ",", 
     "0.23635701808916104`", ",", "0.23641421277072155`", ",", 
     "0.23647139361876313`", ",", "0.2365285606433185`", ",", 
     "0.23658571385440838`", ",", "0.2366428532620413`", ",", 
     "0.23669997887621366`", ",", "0.23675709070690998`", ",", 
     "0.23681418876410257`", ",", "0.2368712730577518`", ",", 
     "0.23692834359780598`", ",", "0.2369854003942015`", ",", 
     "0.23704244345686282`", ",", "0.23709947279570234`", ",", 
     "0.2371564884206207`", ",", "0.23721349034150654`", ",", 
     "0.23727047856823655`", ",", "0.23732745311067577`", ",", 
     "0.2373844139786772`", ",", "0.23744136118208217`", ",", 
     "0.23749829473072012`", ",", "0.23755521463440873`", ",", 
     "0.23761212090295394`", ",", "0.23766901354614994`", ",", 
     "0.23772589257377919`", ",", "0.23778275799561246`", ",", 
     "0.23783960982140884`", ",", "0.23789644806091578`", ",", 
     "0.23795327272386904`", ",", "0.2380100838199928`", ",", 
     "0.23806688135899964`", ",", "0.23812366535059046`", ",", 
     "0.23818043580445478`", ",", "0.23823719273027041`", ",", 
     "0.2382939361377037`", ",", "0.23835066603640948`", ",", 
     "0.23840738243603113`", ",", "0.2384640853462005`", ",", 
     "0.23852077477653807`", ",", "0.23857745073665282`", ",", 
     "0.23863411323614234`", ",", "0.23869076228459282`", ",", 
     "0.23874739789157912`", ",", "0.23880402006666474`", ",", 
     "0.23886062881940173`", ",", "0.23891722415933098`", ",", 
     "0.238973806095982`", ",", "0.23903037463887303`", ",", 
     "0.23908692979751112`", ",", "0.23914347158139193`", ",", 
     "0.23920000000000002`", ",", "0.2392565150628087`", ",", 
     "0.2393130167792801`", ",", "0.2393695051588652`", ",", 
     "0.23942598021100384`", ",", "0.2394824419451247`", ",", 
     "0.23953889037064524`", ",", "0.23959532549697207`", ",", 
     "0.2396517473335006`", ",", "0.23970815588961508`", ",", 
     "0.23976455117468887`", ",", "0.23982093319808429`", ",", 
     "0.23987730196915255`", ",", "0.23993365749723403`", ",", 
     "0.239989999791658`", ",", "0.24004632886174287`", ",", 
     "0.24010264471679607`", ",", "0.24015894736611418`", ",", 
     "0.24021523681898282`", ",", "0.24027151308467679`", ",", 
     "0.24032777617245996`", ",", "0.24038402609158538`", ",", 
     "0.24044026285129536`", ",", "0.2404964864608213`", ",", 
     "0.24055269692938386`", ",", "0.24060889426619292`", ",", 
     "0.24066507848044763`", ",", "0.2407212495813363`", ",", 
     "0.2407774075780367`", ",", "0.24083355247971575`", ",", 
     "0.2408896842955298`", ",", "0.24094580303462437`", ",", 
     "0.24100190870613453`", ",", "0.24105800131918462`", ",", 
     "0.2411140808828883`", ",", "0.24117014740634882`", ",", 
     "0.24122620089865862`", ",", "0.24128224136889975`", ",", 
     "0.2413382688261437`", ",", "0.24139428327945134`", ",", 
     "0.2414502847378731`", ",", "0.24150627321044893`", ",", 
     "0.24156224870620824`", ",", "0.24161821123417002`", ",", 
     "0.2416741608033428`", ",", "0.24173009742272475`", ",", 
     "0.24178602110130354`", ",", "0.2418419318480565`", ",", 
     "0.24189782967195056`", ",", "0.24195371458194231`", ",", 
     "0.242009586586978`", ",", "0.24206544569599356`", ",", 
     "0.24212129191791457`", ",", "0.24217712526165638`", ",", 
     "0.242232945736124`", ",", "0.2422887533502123`", ",", 
     "0.24234454811280573`", ",", "0.24240033003277864`", ",", 
     "0.24245609911899516`", ",", "0.2425118553803092`", ",", 
     "0.2425675988255645`", ",", "0.24262332946359466`", ",", 
     "0.24267904730322312`", ",", "0.2427347523532632`", ",", 
     "0.24279044462251806`", ",", "0.24284612411978085`", ",", 
     "0.2429017908538346`", ",", "0.24295744483345227`", ",", 
     "0.2430130860673968`", ",", "0.24306871456442106`", ",", 
     "0.24312433033326794`", ",", "0.24317993338267038`", ",", 
     "0.2432355237213512`", ",", "0.24329110135802337`", ",", 
     "0.24334666630138987`", ",", "0.24340221856014377`", ",", 
     "0.24345775814296822`", ",", "0.24351328505853637`", ",", 
     "0.24356879931551167`", ",", "0.24362430092254755`", ",", 
     "0.24367978988828762`", ",", "0.24373526622136568`", ",", 
     "0.24379072993040568`", ",", "0.2438461810240218`", ",", 
     "0.24390161951081835`", ",", "0.24395704539938992`", ",", 
     "0.2440124586983214`", ",", "0.24406785941618778`", ",", 
     "0.24412324756155446`", ",", "0.24417862314297703`", ",", 
     "0.24423398616900147`", ",", "0.24428933664816402`", ",", 
     "0.2443446745889912`", ",", "0.24440000000000003`", ",", 
     "0.2444553128896977`", ",", "0.24451061326658197`", ",", 
     "0.2445659011391408`", ",", "0.24462117651585277`", ",", 
     "0.24467643940518674`", ",", "0.24473168981560195`", ",", 
     "0.24478692775554828`", ",", "0.24484215323346592`", ",", 
     "0.24489736625778563`", ",", "0.24495256683692865`", ",", 
     "0.24500775497930674`", ",", "0.2450629306933221`", ",", 
     "0.24511809398736764`", ",", "0.2451732448698267`", ",", 
     "0.2452283833490732`", ",", "0.2452835094334717`", ",", 
     "0.24533862313137736`", ",", "0.2453937244511359`", ",", 
     "0.2454488134010837`", ",", "0.24550388998954784`", ",", 
     "0.24555895422484597`", ",", "0.24561400611528653`", ",", 
     "0.24566904566916853`", ",", "0.24572407289478174`", ",", 
     "0.24577908780040666`", ",", "0.24583409039431453`", ",", 
     "0.24588908068476728`", ",", "0.24594405868001773`", ",", 
     "0.2459990243883093`", ",", "0.24605397781787638`", ",", 
     "0.24610891897694404`", ",", "0.2461638478737282`", ",", 
     "0.2462187645164357`", ",", "0.24627366891326405`", ",", 
     "0.24632856107240184`", ",", "0.24638344100202839`", ",", 
     "0.24643830871031394`", ",", "0.24649316420541972`", ",", 
     "0.2465480074954977`", ",", "0.246602838588691`", ",", 
     "0.2466576574931336`", ",", "0.24671246421695034`", ",", 
     "0.24676725876825717`", ",", "0.24682204115516104`", ",", 
     "0.24687681138575976`", ",", "0.24693156946814235`", ",", 
     "0.24698631541038868`", ",", "0.24704104922056985`", ",", 
     "0.24709577090674784`", ",", "0.2471504804769758`", ",", 
     "0.24720517793929803`", ",", "0.2472598633017498`", ",", 
     "0.2473145365723576`", ",", "0.247369197759139`", ",", 
     "0.24742384687010266`", ",", "0.2474784839132485`", ",", 
     "0.24753310889656763`", ",", "0.2475877218280422`", ",", 
     "0.24764232271564568`", ",", "0.24769691156734272`", ",", 
     "0.2477514883910892`", ",", "0.24780605319483218`", ",", 
     "0.2478606059865101`", ",", "0.24791514677405252`", ",", 
     "0.24796967556538038`", ",", "0.2480241923684059`", ",", 
     "0.24807869719103254`", ",", "0.24813319004115514`", ",", 
     "0.2481876709266599`", ",", "0.2482421398554242`", ",", 
     "0.24829659683531713`", ",", "0.24835104187419874`", ",", 
     "0.2484054749799207`", ",", "0.24845989616032604`", ",", 
     "0.24851430542324923`", ",", "0.2485687027765161`", ",", 
     "0.24862308822794396`", ",", "0.24867746178534156`", ",", 
     "0.2487318234565091`", ",", "0.24878617324923827`", ",", 
     "0.2488405111713123`", ",", "0.24889483723050584`", ",", 
     "0.24894915143458513`", ",", "0.2490034537913079`", ",", 
     "0.24905774430842337`", ",", "0.2491120229936725`", ",", 
     "0.24916628985478756`", ",", "0.2492205448994926`", ",", 
     "0.2492747881355032`", ",", "0.24932901957052653`", ",", 
     "0.24938323921226144`", ",", "0.2494374470683983`", ",", 
     "0.24949164314661926`", ",", "0.249545827454598`", ",", "0.2496`", ",", 
     "0.24965416079048233`", ",", "0.24970830983369377`", ",", 
     "0.24976244713727483`", ",", "0.24981657270885774`", ",", 
     "0.24987068655606645`", ",", "0.24992478868651666`", ",", 
     "0.24997887910781583`", ",", "0.2500329578275632`", ",", 
     "0.2500870248533498`", ",", "0.25014108019275844`", ",", 
     "0.2501951238533637`", ",", "0.25024915584273205`", ",", 
     "0.2503031761684218`", ",", "0.250357184837983`", ",", 
     "0.2504111818589577`", ",", "0.25046516723887974`", ",", 
     "0.25051914098527484`", ",", "0.25057310310566056`", ",", 
     "0.25062705360754656`", ",", "0.2506809924984342`", ",", 
     "0.25073491978581686`", ",", "0.2507888354771799`", ",", 
     "0.2508427395800006`", ",", "0.25089663210174823`", ",", 
     "0.250950513049884`", ",", "0.25100438243186113`", ",", 
     "0.2510582402551249`", ",", "0.2511120865271124`", ",", 
     "0.2511659212552531`", ",", "0.2512197444469682`", ",", 
     "0.25127355610967106`", ",", "0.25132735625076713`", ",", 
     "0.2513811448776539`", ",", "0.25143492199772094`", ",", 
     "0.2514886876183499`", ",", "0.25154244174691476`", ",", 
     "0.25159618439078124`", ",", "0.25164991555730754`", ",", 
     "0.2517036352538437`", ",", "0.25175734348773227`", ",", 
     "0.25181104026630763`", ",", "0.25186472559689654`", ",", 
     "0.251918399486818`", ",", "0.25197206194338295`", ",", 
     "0.2520257129738948`", ",", "0.2520793525856491`", ",", 
     "0.25213298078593366`", ",", "0.25218659758202855`", ",", 
     "0.25224020298120603`", ",", "0.2522937969907306`", ",", 
     "0.2523473796178593`", ",", "0.2524009508698412`", ",", 
     "0.2524545107539178`", ",", "0.2525080592773229`", ",", 
     "0.25256159644728254`", ",", "0.2526151222710153`", ",", 
     "0.2526686367557319`", ",", "0.2527221399086356`", ",", 
     "0.25277563173692197`", ",", "0.25282911224777893`", ",", 
     "0.2528825814483868`", ",", "0.25293603934591846`", ",", 
     "0.25298948594753895`", ",", "0.25304292126040595`", ",", 
     "0.2530963452916695`", ",", "0.2531497580484722`", ",", 
     "0.2532031595379489`", ",", "0.25325654976722717`", ",", 
     "0.2533099287434269`", ",", "0.2533632964736605`", ",", 
     "0.2534166529650331`", ",", "0.25346999822464195`", ",", 
     "0.25352333225957724`", ",", "0.25357665507692145`", ",", 
     "0.2536299666837497`", ",", "0.25368326708712974`", ",", 
     "0.25373655629412173`", ",", "0.25378983431177854`", ",", 
     "0.25384310114714564`", ",", "0.253896356807261`", ",", 
     "0.25394960129915545`", ",", "0.2540028346298521`", ",", 
     "0.25405605680636706`", ",", "0.2541092678357088`", ",", 
     "0.2541624677248787`", ",", "0.2542156564808706`", ",", 
     "0.25426883411067114`", ",", "0.25432200062125965`", ",", 
     "0.2543751560196082`", ",", "0.25442830031268143`", ",", 
     "0.25448143350743685`", ",", "0.25453455561082466`", ",", 
     "0.2545876666297879`", ",", "0.2546407665712621`", ",", 
     "0.25469385544217593`", ",", "0.2547469332494505`", ",", "0.2548`", ",", 
     "0.2548530557007312`", ",", "0.25490610035854383`", ",", 
     "0.25495913398033027`", ",", "0.255012156572976`", ",", 
     "0.255065168143359`", ",", "0.25511816869835047`", ",", 
     "0.2551711582448142`", ",", "0.255224136789607`", ",", 
     "0.2552771043395784`", ",", "0.2553300609015711`", ",", 
     "0.25538300648242046`", ",", "0.25543594108895484`", ",", 
     "0.25548886472799553`", ",", "0.2555417774063568`", ",", 
     "0.25559467913084577`", ",", "0.2556475699082626`", ",", 
     "0.25570044974540035`", ",", "0.2557533186490451`", ",", 
     "0.25580617662597593`", ",", "0.2558590236829649`", ",", 
     "0.2559118598267771`", ",", "0.2559646850641705`", ",", 
     "0.2560174994018964`", ",", "0.25607030284669874`", ",", 
     "0.25612309540531486`", ",", "0.2561758770844749`", ",", 
     "0.25622864789090233`", ",", "0.2562814078313134`", ",", 
     "0.25633415691241773`", ",", "0.25638689514091784`", ",", 
     "0.25643962252350944`", ",", "0.2564923390668813`", ",", 
     "0.25654504477771545`", ",", "0.2565977396626868`", ",", 
     "0.2566504237284638`", ",", "0.2567030969817077`", ",", 
     "0.25675575942907297`", ",", "0.25680841107720753`", ",", 
     "0.25686105193275216`", ",", "0.25691368200234105`", ",", 
     "0.2569663012926014`", ",", "0.25701890981015385`", ",", 
     "0.2570715075616121`", ",", "0.2571240945535832`", ",", 
     "0.2571766707926674`", ",", "0.257229236285458`", ",", 
     "0.25728179103854204`", ",", "0.25733433505849934`", ",", 
     "0.25738686835190333`", ",", "0.25743939092532053`", ",", 
     "0.2574919027853109`", ",", "0.25754440393842765`", ",", 
     "0.2575968943912174`", ",", "0.25764937415021993`", ",", 
     "0.2577018432219685`", ",", "0.25775430161298957`", ",", 
     "0.25780674932980324`", ",", "0.25785918637892274`", ",", 
     "0.2579116127668547`", ",", "0.25796402850009925`", ",", 
     "0.25801643358514975`", ",", "0.2580688280284932`", ",", 
     "0.25812121183660985`", ",", "0.2581735850159733`", ",", 
     "0.25822594757305084`", ",", "0.258278299514303`", ",", 
     "0.2583306408461838`", ",", "0.2583829715751408`", ",", 
     "0.2584352917076149`", ",", "0.2584876012500406`", ",", 
     "0.25853990020884593`", ",", "0.2585921885904522`", ",", 
     "0.2586444664012745`", ",", "0.2586967336477212`", ",", 
     "0.25874899033619436`", ",", "0.2588012364730895`", ",", 
     "0.25885347206479575`", ",", "0.25890569711769573`", ",", 
     "0.25895791163816567`", ",", "0.25901011563257526`", ",", 
     "0.25906230910728795`", ",", "0.25911449206866066`", ",", 
     "0.25916666452304393`", ",", "0.25921882647678196`", ",", 
     "0.2592709779362125`", ",", "0.259323118907667`", ",", 
     "0.2593752493974705`", ",", "0.2594273694119416`", ",", 
     "0.2594794789573927`", ",", "0.25953157804012983`", ",", 
     "0.25958366666645266`", ",", "0.2596357448426545`", ",", 
     "0.2596878125750225`", ",", "0.25973986986983727`", ",", 
     "0.2597919167333734`", ",", "0.25984395317189896`", ",", 
     "0.25989597919167584`", ",", "0.25994799479895975`", ",", "0.26`", ",", 
     "0.26005199480103974`"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.831678370782333*^9, 3.8316783748031893`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"0128569b-a1b3-4b5c-9a7f-21e902a2f927"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "Pmplus", "]"}]], "Input",
 CellChangeTimes->{{3.825958891686595*^9, 3.825958895370487*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"cbb850d2-0362-4f00-81ac-ccdff01e13b3"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
     0.0055000000000000005`], AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxU13dczX3cBvAkZEfIVoQQdyJFxpWo7EpIQlsa2lPjtHed3emEhpCVsrfs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      "]]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.0055000000000000005`], AbsoluteThickness[1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.0055000000000000005`], AbsoluteThickness[1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 2102.}, {0, 0.26005199480103974`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.825958895730608*^9, 3.826013953002695*^9, 
  3.831320127531897*^9, 3.831546411470764*^9, 3.83157274777814*^9, 
  3.831672582263351*^9, 3.8316841741446753`*^9, 3.8327802410962687`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"4b3d669d-826e-4a8b-9a48-e680b687f490"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{"step", " ", 
    RowBox[{"four", ":", " ", 
     RowBox[{"code", " ", "for", " ", "the", " ", "community"}], ":"}]}]}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.790694773130797*^9, 
  3.790694778504373*^9}},ExpressionUUID->"87739501-bbf3-42c1-94bf-\
7175abfc2d18"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wupper0", "=", 
   RowBox[{"R", "[", "what", "]"}]}], ";", 
  RowBox[{"wupper", "=", 
   RowBox[{"R", "[", 
    RowBox[{"R", "[", "what", "]"}], "]"}]}], ";", 
  RowBox[{"grid", "=", 
   RowBox[{"1", "/", "2000"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wealth", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"w", ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", 
       RowBox[{"wupper", "+", "grid"}], ",", "grid"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stationc", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"ParallelTable", "[", 
     RowBox[{
      RowBox[{"c", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"R", "[", 
           RowBox[{
            RowBox[{"wealth", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "-", "c"}], "]"}], "\[Equal]", 
          RowBox[{"wealth", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", "c"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"Pmplus", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", 
      RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7907004392466993`*^9, 3.79070044312195*^9}, {
   3.7907005592025213`*^9, 3.790700560785099*^9}, {3.7914652726129713`*^9, 
   3.791465299786562*^9}, 3.8094346336465797`*^9, {3.809436170557549*^9, 
   3.8094361739722157`*^9}, {3.809532050016409*^9, 3.809532050108075*^9}, {
   3.825945322994813*^9, 3.825945323917098*^9}, 3.825946035688333*^9, {
   3.82594690722444*^9, 3.825946907405232*^9}, {3.82594829831186*^9, 
   3.825948298461237*^9}, {3.825949646015766*^9, 3.825949646306374*^9}, {
   3.8259619722147293`*^9, 3.8259619723028097`*^9}, {3.831572718498679*^9, 
   3.83157272499354*^9}, {3.831662886535977*^9, 3.831662890408177*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"df4fccd3-b384-45a7-9205-f1024a51e2ee"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ps0", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{"V", "[", "cbar", "]"}], ",", 
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ps", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{"V", "[", "cbar", "]"}], ",", 
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.790691292760449*^9, {3.790694897979122*^9, 3.790694898146762*^9}, {
   3.8094346355012903`*^9, 3.809434636804727*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"b386c35f-b6c6-4a7f-ba1e-d844ca869823"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"Psplus", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ParallelTable", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{"Max", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"V", "[", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", 
                  "b"}], "/.", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
                   RowBox[{"b", "\[Rule]", " ", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"cbar", "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}], "-", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"cbar", "/", "8"}]}]}], "]"}]}], ",", 
                   RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                  "}"}], ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                   RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
               "}"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], "]"}],
          ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Pmplus", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", 
            RowBox[{"Table", "[", 
             RowBox[{"j", ",", 
              RowBox[{"{", 
               RowBox[{"j", ",", "1", ",", 
                RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], "]"}], 
           "+", "1"}], ";;", 
          RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
     "]"}]}], ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.7902923591052637`*^9, 3.7902923760533943`*^9}, {
   3.790292840949624*^9, 3.790292847709807*^9}, {3.7902938388183107`*^9, 
   3.790293841138197*^9}, {3.7902943736355133`*^9, 3.79029438197653*^9}, {
   3.790300297777218*^9, 3.790300299268703*^9}, 3.7903013714964027`*^9, {
   3.7903022372730017`*^9, 3.7903023163429213`*^9}, {3.790350398077986*^9, 
   3.790350401652185*^9}, 3.790384392050507*^9, 3.790427810035101*^9, {
   3.790428084195004*^9, 3.79042808764847*^9}, {3.790691021798647*^9, 
   3.790691025786817*^9}, {3.790691057283338*^9, 3.7906910602625227`*^9}, {
   3.790694894517632*^9, 3.790694895390374*^9}, 3.7906949527365637`*^9, 
   3.809434652005361*^9, {3.809434840018733*^9, 3.809434844133706*^9}, 
   3.809435720033692*^9, {3.809435964924739*^9, 3.8094359673579617`*^9}, 
   3.825945687759511*^9, {3.825945772621254*^9, 3.825945774850554*^9}, 
   3.8259458446780643`*^9, {3.831662940625478*^9, 3.8316630672778673`*^9}, {
   3.831678203251152*^9, 3.831678235624192*^9}, 3.83168420292201*^9, {
   3.832780120580347*^9, 3.832780129433296*^9}, 3.8328120916056213`*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"cd3b496c-9465-46cc-bdc6-7abc7b52c041"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"15.485349`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.790694965450655*^9, 3.79069929874218*^9, 
  3.7907007430573378`*^9, 3.790705467273114*^9, 3.793556771282173*^9, 
  3.809371361612958*^9, 3.809445239792657*^9, 3.809536511820725*^9, 
  3.809552722727359*^9, 3.825946916148108*^9, 3.825958940847327*^9, 
  3.826014045607297*^9, 3.8313231845306*^9, 3.831567102952633*^9, 
  3.831573169359426*^9, 3.831673425139686*^9, 3.831678700386527*^9, 
  3.831684355051282*^9, 3.8327803607129803`*^9, 3.832786535389674*^9, 
  3.8328122573779497`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"fd383d64-45dc-4ee5-9345-e5d11034cb9f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"n", "=", "1"}], ";", "\[IndentingNewLine]", 
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"n", "<", "40"}], ",", 
     RowBox[{
      RowBox[{"Ps", "=", 
       RowBox[{"ParallelTable", "[", 
        RowBox[{
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{"Psplus", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"Pmplus", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", 
           RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Psplus", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"N", "[", 
             RowBox[{"Max", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"V", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", 
                    "b"}], "/.", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
                    RowBox[{"b", "\[Rule]", " ", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"cbar", "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}], "-", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"cbar", "/", "8"}]}]}], "]"}]}], ",", 
                    RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                  "}"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "1", ",", 
              RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Pmplus", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{
              RowBox[{"Length", "[", 
               RowBox[{"Table", "[", 
                RowBox[{"j", ",", 
                 RowBox[{"{", 
                  RowBox[{"j", ",", "1", ",", 
                   RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], "]"}], 
              "+", "1"}], ";;", 
             RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
        "]"}]}], ";", 
      RowBox[{"n", "++"}]}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.790291698683403*^9, 3.790291732605658*^9}, {
   3.790291807061018*^9, 3.790291808039125*^9}, {3.790294628503587*^9, 
   3.790294632959364*^9}, {3.790294807040344*^9, 3.790294807297001*^9}, {
   3.790294873467369*^9, 3.790294874222109*^9}, {3.790300207105283*^9, 
   3.790300213139163*^9}, {3.7903003091910458`*^9, 3.790300311718348*^9}, {
   3.790300581481765*^9, 3.790300593236622*^9}, {3.790300747682727*^9, 
   3.790300747843422*^9}, {3.790301383123796*^9, 3.790301387796661*^9}, 
   3.790427814351844*^9, {3.790427987607747*^9, 3.790428014606225*^9}, {
   3.790428132237278*^9, 3.790428145324356*^9}, 3.790429234869788*^9, {
   3.790691305206751*^9, 3.790691305619194*^9}, {3.790694982085087*^9, 
   3.790695027508307*^9}, {3.8094346653039303`*^9, 3.809434666982478*^9}, {
   3.809434856596868*^9, 3.809434860737919*^9}, 3.809435720042108*^9, {
   3.8094359735184927`*^9, 3.809435975459149*^9}, {3.82594695871832*^9, 
   3.8259469620733747`*^9}, {3.8316630778115473`*^9, 3.831663179307789*^9}, {
   3.831678249984393*^9, 3.831678258523016*^9}, 3.831684206163122*^9, {
   3.832780141738028*^9, 3.8327801506324453`*^9}, 3.8328120916166477`*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"fad1a825-a8e4-467c-ab9b-be72c46cd304"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"472.955838`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.790695192021036*^9, 3.790699522349567*^9, 
  3.790700907021687*^9, 3.790705631680621*^9, 3.793557444711092*^9, 
  3.809371415307639*^9, 3.8094454267174063`*^9, 3.809536944389326*^9, 
  3.8095530914345703`*^9, 3.825946975030957*^9, 3.82596024334956*^9, 
  3.826017758086403*^9, 3.831326120316648*^9, 3.831570104605975*^9, 
  3.831582960694878*^9, 3.8316838799526443`*^9, 3.8316877036340733`*^9, 
  3.83278366261344*^9, 3.832790001620421*^9, 3.832816132596303*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"099f50bc-5545-4280-9e7b-a7678badbb54"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Psplus", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"Psplus", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"Pmplus", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.790697975970335*^9, 3.790697982451309*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"99e3da34-3577-42a6-97c5-f8e5159c641a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ps", "=", "Psplus"}], ";"}]], "Input",
 CellChangeTimes->{{3.8327861909747543`*^9, 3.8327862017323217`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"d8993017-d0e4-4dc8-8c97-b095e5356e14"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "we", " ", "want", " ", "to", " ", "define", " ", "a", " ", "point", " ", 
   "call", " ", 
   RowBox[{"selection", ":", " ", 
    RowBox[{"this", " ", "is", " ", "our", " ", "wstar"}]}]}]}]], "Input",Expr\
essionUUID->"4c918160-d57b-4f5a-8b24-90b9193120b3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Pmplus", ",", "Psplus"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.79070570873641*^9, 3.790705768263157*^9}, {
  3.809371442949802*^9, 3.8093714471892776`*^9}, {3.809532063455776*^9, 
  3.809532067686206*^9}, {3.8259469807492456`*^9, 3.825946982480919*^9}, {
  3.825958915230446*^9, 3.8259589175088863`*^9}, {3.8315725208230677`*^9, 
  3.831572559363838*^9}, {3.831586104116391*^9, 3.831586122548915*^9}, {
  3.831667994656824*^9, 3.831667999486411*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"0f6598b3-f115-4991-bcb2-d9b31af501dd"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxVl2dcDXzch4+sZB2SLWUmdDdQRL4VlQpNpaKddqe96+xzyigkGaWFIlEI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       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw1l3c4Ffz/h2k92kfj0SKVFhItVA+vVEiSpFD2JuPYjnn2OTTQVCGViqKQ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       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 810.}, {0, 0.17915137588471802`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.790705720466425*^9, 3.7907057314367447`*^9}, 
   3.790705768687446*^9, 3.7935574464163713`*^9, 3.809371415594249*^9, 
   3.809371447571642*^9, 3.8094464960877447`*^9, 3.809536944581828*^9, 
   3.809553092636406*^9, {3.8259469777967997`*^9, 3.825946982830374*^9}, 
   3.82596024364116*^9, 3.8260177589145937`*^9, 3.831326120574267*^9, 
   3.831570105912538*^9, {3.831572526441574*^9, 3.8315725597171803`*^9}, 
   3.83158296229702*^9, {3.8315861170517397`*^9, 3.831586122961652*^9}, 
   3.831683880653591*^9, 3.831687706883068*^9, 3.832783663368279*^9, 
   3.8327900034789867`*^9, 3.83281613464719*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"03080f74-f47e-45cf-bd8c-e9275cfe94de"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{"Position", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Psplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ">", 
         RowBox[{"Pmplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}], ",", 
      "True"}], "]"}], "]"}], ",", 
   RowBox[{"Length", "[", 
    RowBox[{"Position", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Psplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ">", 
         RowBox[{"Pmplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}], ",", 
      "True"}], "]"}], "]"}]}], "}"}], "\[IndentingNewLine]", 
 RowBox[{"wsel", "=", 
  RowBox[{"Max", "[", 
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Psplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ">", 
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}], ",", 
     "True"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{
     RowBox[{"Ps", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}], "-", 
     RowBox[{"Psplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"Min", "[", 
    RowBox[{
     RowBox[{"Ps", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}], "-", 
     RowBox[{"Psplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}]}], "]"}]}], "}"}]}], "Input",\

 CellChangeTimes->{{3.790695626152471*^9, 3.790695685348521*^9}, {
  3.7906957449373493`*^9, 3.7906957451007433`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"46760948-ee98-4d13-b6cc-01ae402d4af2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"349", ",", "349"}], "}"}]], "Output",
 CellChangeTimes->{
  3.79069574575457*^9, 3.790697987114794*^9, 3.7906980209935703`*^9, 
   3.7906995229748507`*^9, 3.790700907390746*^9, 3.790705679568021*^9, 
   3.793557447865514*^9, 3.80937141571624*^9, 3.809446501570673*^9, 
   3.809536944673502*^9, 3.809553093192689*^9, 3.825946996246832*^9, 
   3.825960243902957*^9, 3.826017759002899*^9, 3.826032957023975*^9, 
   3.831326194788644*^9, 3.83157010640361*^9, 3.831582963449772*^9, 
   3.831683880987586*^9, 3.831687709842008*^9, 3.832783663963634*^9, {
   3.832786185115003*^9, 3.832786205052671*^9}, 3.832790004221315*^9, 
   3.8328161368033133`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"ba65772a-fc76-4c54-b07a-6f9c46b2a95e"],

Cell[BoxData["349"], "Output",
 CellChangeTimes->{
  3.79069574575457*^9, 3.790697987114794*^9, 3.7906980209935703`*^9, 
   3.7906995229748507`*^9, 3.790700907390746*^9, 3.790705679568021*^9, 
   3.793557447865514*^9, 3.80937141571624*^9, 3.809446501570673*^9, 
   3.809536944673502*^9, 3.809553093192689*^9, 3.825946996246832*^9, 
   3.825960243902957*^9, 3.826017759002899*^9, 3.826032957023975*^9, 
   3.831326194788644*^9, 3.83157010640361*^9, 3.831582963449772*^9, 
   3.831683880987586*^9, 3.831687709842008*^9, 3.832783663963634*^9, {
   3.832786185115003*^9, 3.832786205052671*^9}, 3.832790004221315*^9, 
   3.832816136848996*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"0969ce51-567e-4c8c-b5ab-3924ab787233"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", "0.`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.79069574575457*^9, 3.790697987114794*^9, 3.7906980209935703`*^9, 
   3.7906995229748507`*^9, 3.790700907390746*^9, 3.790705679568021*^9, 
   3.793557447865514*^9, 3.80937141571624*^9, 3.809446501570673*^9, 
   3.809536944673502*^9, 3.809553093192689*^9, 3.825946996246832*^9, 
   3.825960243902957*^9, 3.826017759002899*^9, 3.826032957023975*^9, 
   3.831326194788644*^9, 3.83157010640361*^9, 3.831582963449772*^9, 
   3.831683880987586*^9, 3.831687709842008*^9, 3.832783663963634*^9, {
   3.832786185115003*^9, 3.832786205052671*^9}, 3.832790004221315*^9, 
   3.832816136896228*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"0c728aa6-e358-4149-825a-abdd90db25ef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Psplus", ",", "Pmplus"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7906954529920263`*^9, 3.7906954713772573`*^9}, {
   3.7906980275339937`*^9, 3.790698030555904*^9}, 3.809371403572493*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"8e2c00d6-7b86-4f4a-ae7d-219db8b73f6a"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw1l3c4Ffz/h2k92kfj0SKVFhItVA+vVEiSpFD2JuPYjnn2OTTQVCGViqKQ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       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxVl2dcDXzch4+sZB2SLWUmdDdQRL4VlQpNpaKddqe96+xzyigkGaWFIlEI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       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 810.}, {0, 0.17915137588471802`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.790695456680875*^9, 3.790695471884989*^9}, 
   3.790695759364958*^9, {3.790697988452263*^9, 3.790698030948621*^9}, 
   3.790699523165707*^9, 3.790700907599592*^9, 3.7907058270571957`*^9, 
   3.793557448858302*^9, 3.8093714158747883`*^9, 3.809446504284341*^9, 
   3.809536944836142*^9, 3.809553093836378*^9, 3.825946998520891*^9, 
   3.825960244176138*^9, 3.826017759198988*^9, 3.831326196657983*^9, 
   3.831570107107057*^9, 3.8315829646450367`*^9, 3.831683881128585*^9, 
   3.831687714281376*^9, 3.8327836643137827`*^9, 3.832790004971038*^9, 
   3.8328161381970177`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"08834a03-187d-40cf-a785-1d8c23baca0e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Pmplus"], "Input",
 CellChangeTimes->{{3.7907007688781357`*^9, 3.790700771118456*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"110fd0f1-e09d-4462-9b14-6ea0d5550a3c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.007908500202567217`", ",", "0.011873743822232698`", ",", 
   "0.014847028241141659`", ",", "0.01740184602074604`", ",", 
   "0.01972735671734582`", ",", "0.021759739575949684`", ",", 
   "0.02352187033875697`", ",", "0.025080157082215334`", ",", 
   "0.02650575827916678`", ",", "0.027831608766315075`", ",", 
   "0.02907904826270365`", ",", "0.030239684152095166`", ",", 
   "0.03136684618563717`", ",", "0.03243150579786429`", ",", 
   "0.03346155131569774`", ",", "0.03443320040686253`", ",", 
   "0.03539645847683786`", ",", "0.036327014440207334`", ",", 
   "0.03722014631103002`", ",", "0.038101021887840425`", ",", 
   "0.03895143743995061`", ",", "0.03977328949386757`", ",", 
   "0.04056271852297085`", ",", "0.04133492106190304`", ",", 
   "0.042084719732232934`", ",", "0.04282385364571353`", ",", 
   "0.04356001044769104`", ",", "0.04427515013145353`", ",", 
   "0.044976314956249784`", ",", "0.04565656082688992`", ",", 
   "0.04631981549812199`", ",", "0.04697274406079177`", ",", 
   "0.04761586383789546`", ",", "0.04824495274260229`", ",", 
   "0.04886807145574614`", ",", "0.049481056270452684`", ",", 
   "0.050081565251369003`", ",", "0.05067499276789508`", ",", 
   "0.05125918628511858`", ",", "0.05183107582762931`", ",", 
   "0.05239347635578478`", ",", "0.05294557590278884`", ",", 
   "0.05349455450958927`", ",", "0.05403783011032516`", ",", 
   "0.05457501186612722`", ",", "0.055104269212354534`", ",", 
   "0.05562458334111754`", ",", "0.05613480387426183`", ",", 
   "0.056639139467622626`", ",", "0.05714039120591054`", ",", 
   "0.05763670580396426`", ",", "0.058128386585529164`", ",", 
   "0.05861272589300209`", ",", "0.05909010045800345`", ",", 
   "0.05956326863180306`", ",", "0.06003082929288005`", ",", 
   "0.06049191934659717`", ",", "0.060948327722967044`", ",", 
   "0.061403454393580414`", ",", "0.061852077381117004`", ",", 
   "0.062297429287491046`", ",", "0.06273870086865163`", ",", 
   "0.06317290312046422`", ",", "0.06360185818948427`", ",", 
   "0.06402669176639238`", ",", "0.064451506325119`", ",", 
   "0.06487367430931103`", ",", "0.06529014273523405`", ",", 
   "0.06570148249665456`", ",", "0.0661089177280145`", ",", 
   "0.0665132779376775`", ",", "0.06691284539687772`", ",", 
   "0.06731183995352684`", ",", "0.06770812976912896`", ",", 
   "0.06809927462807518`", ",", "0.06848743722414499`", ",", 
   "0.06887296254200861`", ",", "0.06925433082567059`", ",", 
   "0.06963170926021134`", ",", "0.07000886304741685`", ",", 
   "0.0703824812249048`", ",", "0.07075465785264205`", ",", 
   "0.07112223322113496`", ",", "0.07148649731769756`", ",", 
   "0.071847820365692`", ",", "0.0722067562679314`", ",", 
   "0.07256562364044854`", ",", "0.07292112000913492`", ",", 
   "0.0732738474084898`", ",", "0.07362297960996222`", ",", 
   "0.07396992338285985`", ",", "0.07431472294448768`", ",", 
   "0.07465768187801962`", ",", "0.07499916242517131`", ",", 
   "0.07533703776441308`", ",", "0.07567354258799672`", ",", 
   "0.07600803752011072`", ",", "0.07633883068826591`", ",", 
   "0.07666777338638497`", ",", "0.07699640780209416`", ",", 
   "0.07732274000585465`", ",", "0.07764710424324785`", ",", 
   "0.07796871663370744`", ",", "0.07828797291142954`", ",", 
   "0.07860493343025815`", ",", "0.07892144964798205`", ",", 
   "0.07923684472646164`", ",", "0.07954965124714086`", ",", 
   "0.07985963980343012`", ",", "0.0801682797092404`", ",", 
   "0.08047550765699497`", ",", "0.08078090758039876`", ",", 
   "0.08108512648585321`", ",", "0.08138726349892945`", ",", 
   "0.08168808105259195`", ",", "0.08198683138308707`", ",", 
   "0.08228360296181803`", ",", "0.08257898154885898`", ",", 
   "0.08287334387464583`", ",", "0.08316676168159426`", ",", 
   "0.08345781435344084`", ",", "0.08374743261940246`", ",", 
   "0.08403444119111454`", ",", "0.08432072464030002`", ",", 
   "0.08460686434404045`", ",", "0.08489138811269382`", ",", 
   "0.0851735715608025`", ",", "0.0854541721398143`", ",", 
   "0.0857337720753817`", ",", "0.08601175213952245`", ",", 
   "0.08628934782957125`", ",", "0.08656507328858155`", ",", 
   "0.08683946244307884`", ",", "0.08711257402710473`", ",", 
   "0.08738402333827033`", ",", "0.08765438315714631`", ",", 
   "0.08792387542852637`", ",", "0.08819231943906254`", ",", 
   "0.08845932214999028`", ",", "0.0887248213748455`", ",", 
   "0.08898834172419634`", ",", "0.08925167560559502`", ",", 
   "0.08951461321633614`", ",", "0.08977602294819922`", ",", 
   "0.09003556687401787`", ",", "0.09029386380925566`", ",", 
   "0.09055135094908542`", ",", "0.09080817974568342`", ",", 
   "0.09106398158130036`", ",", "0.09131824849519837`", ",", 
   "0.09157162997401624`", ",", "0.0918235770534607`", ",", 
   "0.09207438068123544`", ",", "0.09232516390560705`", ",", 
   "0.09257420057236826`", ",", "0.0928225228009239`", ",", 
   "0.09306978001318972`", ",", "0.09331527255156713`", ",", 
   "0.0935604180371517`", ",", "0.09380493997974665`", ",", 
   "0.09404865475371105`", ",", "0.09429088184329609`", ",", 
   "0.09453177530972692`", ",", "0.09477192292309275`", ",", 
   "0.09501179461264604`", ",", "0.09525071229685361`", ",", 
   "0.09548832683302243`", ",", "0.09572487322312284`", ",", 
   "0.09596061985426607`", ",", "0.09619554414115752`", ",", 
   "0.09643012707450646`", ",", "0.0966633503463737`", ",", 
   "0.09689582478659389`", ",", "0.09712728129276411`", ",", 
   "0.09735755223079624`", ",", "0.09758776631892584`", ",", 
   "0.09781687886966879`", ",", "0.09804553184710181`", ",", 
   "0.09827272589742383`", ",", "0.09849881330558025`", ",", 
   "0.09872469692471636`", ",", "0.09895027210344821`", ",", 
   "0.09917469276823238`", ",", "0.0993980046728581`", ",", 
   "0.09962044330562322`", ",", "0.09984218121430327`", ",", 
   "0.10006386356487645`", ",", "0.10028445009016707`", ",", 
   "0.10050401541521198`", ",", "0.10072289297027179`", ",", 
   "0.10094089303031398`", ",", "0.10115870544341077`", ",", 
   "0.1013755602887267`", ",", "0.10159164421027933`", ",", 
   "0.10180717343001741`", ",", "0.10202132604291556`", ",", 
   "0.1022354143434441`", ",", "0.10244880106856996`", ",", 
   "0.10266172970572526`", ",", "0.10287355545840354`", ",", 
   "0.10308440873021715`", ",", "0.10329495764965292`", ",", 
   "0.10350526220009738`", ",", "0.10371465593060614`", ",", 
   "0.10392308209103056`", ",", "0.10413090879343671`", ",", 
   "0.1043380882778289`", ",", "0.10454503115499494`", ",", 
   "0.10475124432583183`", ",", "0.1049564418063523`", ",", 
   "0.10516117998817509`", ",", "0.10536514680368636`", ",", 
   "0.1055690922018774`", ",", "0.10577195983844596`", ",", 
   "0.10597442757673996`", ",", "0.10617607996584358`", ",", 
   "0.10637697908685335`", ",", "0.1065776859725291`", ",", 
   "0.10677779210470692`", ",", "0.10697732208800378`", ",", 
   "0.10717585274478578`", ",", "0.10737381855950014`", ",", 
   "0.1075717395606303`", ",", "0.10776914917728915`", ",", 
   "0.1079655759123262`", ",", "0.10816129997593388`", ",", 
   "0.10835657719094612`", ",", "0.10855173455300893`", ",", 
   "0.10874621401753719`", ",", "0.10893991216294974`", ",", 
   "0.10913300262925776`", ",", "0.10932556035183977`", ",", 
   "0.10951802550132594`", ",", "0.10970964627511658`", ",", 
   "0.10990079393199237`", ",", "0.11009135291182492`", ",", 
   "0.11028123428491389`", ",", "0.11047094722367008`", ",", 
   "0.1106600488988141`", ",", "0.11084874731609029`", ",", 
   "0.11103657168976644`", ",", "0.11122397063311232`", ",", 
   "0.11141120023200737`", ",", "0.1115979894201238`", ",", 
   "0.11178394454773724`", ",", "0.1119692528110531`", ",", 
   "0.1121542642142136`", ",", "0.11233920914885456`", ",", 
   "0.11252341491908965`", ",", "0.11270697918541958`", ",", 
   "0.11289000369475352`", ",", "0.11307271655188074`", ",", 
   "0.11325521835312881`", ",", "0.11343695187571184`", ",", 
   "0.11361819464670857`", ",", "0.11379897984031176`", ",", 
   "0.11397947775054136`", ",", "0.11415947213596436`", ",", 
   "0.1143390154120259`", ",", "0.114518102572702`", ",", 
   "0.11469646418722476`", ",", "0.1148748189489868`", ",", 
   "0.11505261837641131`", ",", "0.115230073117845`", ",", 
   "0.11540676122492718`", ",", "0.11558306064752638`", ",", 
   "0.11575926498104086`", ",", "0.11593504403457869`", ",", 
   "0.11611013580609811`", ",", "0.11628471478659459`", ",", 
   "0.11645902193343562`", ",", "0.11663315645877123`", ",", 
   "0.11680671669746145`", ",", "0.11697967659443709`", ",", 
   "0.11715226575402561`", ",", "0.11732464667765283`", ",", 
   "0.11749670173642196`", ",", "0.11766812246589528`", ",", 
   "0.11783913435994461`", ",", "0.11800967631073297`", ",", 
   "0.1181801934925319`", ",", "0.11835008882113238`", ",", 
   "0.11851962522964976`", ",", "0.11868867453935861`", ",", 
   "0.11885738715415534`", ",", "0.11902576903660708`", ",", 
   "0.11919388681935952`", ",", "0.11936146554414986`", ",", 
   "0.11952844714688995`", ",", "0.11969541130286557`", ",", 
   "0.11986205098144839`", ",", "0.12002818860645673`", ",", 
   "0.12019374613389136`", ",", "0.12035901509056847`", ",", 
   "0.12052426600229305`", ",", "0.12068897349452083`", ",", 
   "0.12085315097787094`", ",", "0.12101701823108559`", ",", 
   "0.12118064259778817`", ",", "0.12134397781501025`", ",", 
   "0.12150682335240899`", ",", "0.1216692808823382`", ",", 
   "0.12183130879922102`", ",", "0.1219933302171206`", ",", 
   "0.12215483148930491`", ",", "0.12231594493481919`", ",", 
   "0.1224766744412922`", ",", "0.12263715174477491`", ",", 
   "0.1227972979313884`", ",", "0.12295712501639605`", ",", 
   "0.1231165402018428`", ",", "0.12327551057606029`", ",", 
   "0.1234343498858893`", ",", "0.12359293654071538`", ",", 
   "0.12375106374315814`", ",", "0.12390866243488621`", ",", 
   "0.1240661675505731`", ",", "0.12422348598859824`", ",", 
   "0.12438034975091015`", ",", "0.12453673349194114`", ",", 
   "0.12469281313400182`", ",", "0.12484888834868736`", ",", 
   "0.12500451412566763`", ",", "0.12515968436474909`", ",", 
   "0.12531455828902832`", ",", "0.12546925047389906`", ",", 
   "0.12562365892634167`", ",", "0.1257776412972021`", ",", 
   "0.12593133985818428`", ",", "0.12608468094196823`", ",", 
   "0.12623788083753704`", ",", "0.1263906822588914`", ",", 
   "0.12654318285343935`", ",", "0.1266952688330972`", ",", 
   "0.12684729361134411`", ",", "0.12699891875591948`", ",", 
   "0.12715026962527473`", ",", "0.12730123185671527`", ",", 
   "0.12745197365662123`", ",", "0.12760242919287063`", ",", 
   "0.12775269080755633`", ",", "0.12790250028002303`", ",", 
   "0.1280519910457426`", ",", "0.12820134734284602`", ",", 
   "0.12835052220843912`", ",", "0.12849917078117068`", ",", 
   "0.12864747848712246`", ",", "0.12879574885881195`", ",", 
   "0.12894381727354057`", ",", "0.1290913661105038`", ",", 
   "0.1292386379066488`", ",", "0.12938571729379422`", ",", 
   "0.12953264588708485`", ",", "0.12967914881367776`", ",", 
   "0.12982537289062385`", ",", "0.1299712895401513`", ",", 
   "0.13011715385814482`", ",", "0.13026262127036586`", ",", 
   "0.13040779388268378`", ",", "0.1305526274065133`", ",", 
   "0.1306974084661278`", ",", "0.13084184113797312`", ",", 
   "0.13098598518712734`", ",", "0.13112980018831338`", ",", 
   "0.131273471765469`", ",", "0.13141689432530362`", ",", 
   "0.1315600179646223`", ",", "0.1317028316424259`", ",", 
   "0.1318454188592896`", ",", "0.13198784305327851`", ",", 
   "0.13212997924673142`", ",", "0.13227179176937445`", ",", 
   "0.1324133188141116`", ",", "0.1325547554104071`", ",", 
   "0.13269593599842452`", ",", "0.13283675290783395`", ",", 
   "0.13297724308251171`", ",", "0.13311772394702887`", ",", 
   "0.133257958406271`", ",", "0.1333977888318281`", ",", 
   "0.13353734609675874`", ",", "0.13367682186213625`", ",", 
   "0.1338161026672085`", ",", "0.1339549654535056`", ",", 
   "0.13409360879842602`", ",", "0.13423209181587498`", ",", 
   "0.13437042996326434`", ",", "0.1345083565285079`", ",", 
   "0.13464609452546666`", ",", "0.13478360569624392`", ",", 
   "0.13492100948039543`", ",", "0.13505804554594367`", ",", 
   "0.13519488338713181`", ",", "0.13533144288920562`", ",", 
   "0.1354679172529608`", ",", "0.13560405944392862`", ",", 
   "0.13574000562388988`", ",", "0.13587563294650357`", ",", 
   "0.13601119088463265`", ",", "0.1361464749881091`", ",", 
   "0.13628153808047505`", ",", "0.13641625205661545`", ",", 
   "0.13655091009337567`", ",", "0.13668535410834737`", ",", 
   "0.13681951671718495`", ",", "0.13695333555410902`", ",", 
   "0.1370871350314163`", ",", "0.1372207435733864`", ",", 
   "0.13735400739601802`", ",", "0.1374869818218777`", ",", 
   "0.1376199231298376`", ",", "0.13775268544226443`", ",", 
   "0.13788509115633757`", ",", "0.13801724091702053`", ",", 
   "0.13814932173631475`", ",", "0.13828123181636368`", ",", 
   "0.13841280498111952`", ",", "0.13854415755586694`", ",", 
   "0.13867539438233603`", ",", "0.1388064404119382`", ",", 
   "0.13893718720522777`", ",", "0.13906773864227245`", ",", 
   "0.13919814745134657`", ",", "0.1393283940880699`", ",", 
   "0.13945832942171188`", ",", "0.13958807146271118`", ",", 
   "0.13971766773210922`", ",", "0.13984711753052864`", ",", 
   "0.13997626932017368`", ",", "0.1401052025128345`", ",", 
   "0.1402340012440057`", ",", "0.1403626430894127`", ",", 
   "0.1404910263270415`", ",", "0.14061919531893452`", ",", 
   "0.14074721105732718`", ",", "0.14087502300404695`", ",", 
   "0.14100266554233834`", ",", "0.14113006396495384`", ",", 
   "0.1412573108191879`", ",", "0.14138434991862006`", ",", 
   "0.14151125243963342`", ",", "0.14163784836236593`", ",", 
   "0.14176434002238178`", ",", "0.1418906477509883`", ",", 
   "0.14201681160170454`", ",", "0.14214262066463532`", ",", 
   "0.14226837041888432`", ",", "0.14239397041525992`", ",", 
   "0.14251937411227056`", ",", "0.1426444363762744`", ",", 
   "0.14276945712801237`", ",", "0.14289434792291444`", ",", 
   "0.14301897102956795`", ",", "0.14314331941478237`", ",", 
   "0.14326762369752274`", ",", "0.14339180182681388`", ",", 
   "0.14351567562748807`", ",", "0.1436393114398191`", ",", 
   "0.14376291143199807`", ",", "0.14388636593828003`", ",", 
   "0.1440095249546414`", ",", "0.14413248488207064`", ",", 
   "0.14425539242097277`", ",", "0.14437811457661714`", ",", 
   "0.14450056315076082`", ",", "0.14462282843420496`", ",", 
   "0.1447450550291943`", ",", "0.14486706518582002`", ",", 
   "0.14498883124309891`", ",", "0.14511040161641153`", ",", 
   "0.1452319584615102`", ",", "0.14535327204921933`", ",", 
   "0.14547436246246037`", ",", "0.14559526044831383`", ",", 
   "0.14571613923440663`", ",", "0.14583676540633372`", ",", 
   "0.14595718752812148`", ",", "0.14607743725338568`", ",", 
   "0.14619763140414388`", ",", "0.14631757561285008`", ",", 
   "0.14643734727882993`", ",", "0.14655695906101548`", ",", 
   "0.14667647392732608`", ",", "0.14679577251104262`", ",", 
   "0.14691486894590522`", ",", "0.1470338528317086`", ",", 
   "0.14715270723003415`", ",", "0.1472713607312193`", ",", 
   "0.14738980096124737`", ",", "0.14750816673639952`", ",", 
   "0.14762634503035818`", ",", "0.14774436440388705`", ",", 
   "0.14786215180579665`", ",", "0.1479799090044554`", ",", 
   "0.14809746458676126`", ",", "0.14821485219740954`", ",", 
   "0.1483320101111222`", ",", "0.14844913255956735`", ",", 
   "0.14856607847748873`", ",", "0.14868282535621224`", ",", 
   "0.14879939304247158`", ",", "0.14891586614624214`", ",", 
   "0.14903220891685878`", ",", "0.14914830365846043`", ",", 
   "0.14926428994887664`", ",", "0.14938017937336825`", ",", 
   "0.14949589719652961`", ",", "0.14961133371594873`", ",", 
   "0.14972674722405804`", ",", "0.14984206284536386`", ",", 
   "0.1499571511939909`", ",", "0.15007200032272083`", ",", 
   "0.15018684476773125`", ",", "0.15030154828861841`", ",", 
   "0.15041599928221205`", ",", "0.15053029223102085`", ",", 
   "0.15064457418009938`", ",", "0.15075867731244383`", ",", 
   "0.15087251534851623`", ",", "0.15098626012022454`", ",", 
   "0.151099967762577`", ",", "0.15121345695047914`", ",", 
   "0.15132673108082326`", ",", "0.15143993548815327`", ",", 
   "0.1515530391020477`", ",", "0.15166591076351446`", ",", 
   "0.15177863735055122`", ",", "0.15189130902238923`", ",", 
   "0.15200381814658814`", ",", "0.15211611952729`", ",", 
   "0.1522282659146859`", ",", "0.15234040544541563`", ",", 
   "0.15245232147373125`", ",", "0.15256408344272615`", ",", 
   "0.15267571182464368`", ",", "0.15278727821648225`", ",", 
   "0.15289862197690024`", ",", "0.15300982508144922`", ",", 
   "0.15312094257027928`", ",", "0.1532319152963785`", ",", 
   "0.15334272857678208`", ",", "0.1534533740497606`", ",", 
   "0.1535639875966094`", ",", "0.15367438531909988`", ",", 
   "0.1537846708696207`", ",", "0.15389478726938444`", ",", 
   "0.1540048432287815`", ",", "0.15411470870843125`", ",", 
   "0.15422445001881419`", ",", "0.1543340759150496`", ",", 
   "0.1544435604933165`", ",", "0.15455291416049075`", ",", 
   "0.15466208716153038`", ",", "0.15477122905113228`", ",", 
   "0.15488018618573307`", ",", "0.15498901511740457`", ",", 
   "0.155097679355099`", ",", "0.15520629421550872`", ",", 
   "0.15531471921638323`", ",", "0.1554230283175401`", ",", 
   "0.15553122112020193`", ",", "0.15563927918619813`", ",", 
   "0.1557472162435843`", ",", "0.15585495542643696`", ",", 
   "0.15596268287724047`", ",", "0.15607021901747276`", ",", 
   "0.15617765249220256`", ",", "0.1562849205446126`", ",", 
   "0.1563921074294665`", ",", "0.15649917227556898`", ",", 
   "0.15660606518394551`", ",", "0.15671287966555697`", ",", 
   "0.15681955310635212`", ",", "0.1569261189506467`", ",", 
   "0.15703248556687877`", ",", "0.15713882375149568`", ",", 
   "0.15724502644019905`", ",", "0.157351069989844`", ",", 
   "0.15745699432749652`", ",", "0.15756283046138783`", ",", 
   "0.15766854287334295`", ",", "0.1577740498339004`", ",", 
   "0.15787953736457802`", ",", "0.15798490305419355`", ",", 
   "0.15809010325202635`", ",", "0.1581951593354366`", ",", 
   "0.15830016676482744`", ",", "0.15840504226527874`", ",", 
   "0.15850973774852742`", ",", "0.15861436763565853`", ",", 
   "0.15871889411322396`", ",", "0.15882329883256158`", ",", 
   "0.158927507668745`", ",", "0.15903169529151062`", ",", 
   "0.1591357507986209`", ",", "0.15923965746899843`", ",", 
   "0.1593434502968616`", ",", "0.15944714512888283`", ",", 
   "0.1595507356348833`", ",", "0.1596541413305644`", ",", 
   "0.15975752309287788`", ",", "0.15986076087407608`", ",", 
   "0.15996386272406857`", ",", "0.16006683826649287`", ",", 
   "0.16016974114423338`", ",", "0.16027254157238374`", ",", 
   "0.16037514901029193`", ",", "0.16047772308402763`", ",", 
   "0.1605801908852738`", ",", "0.16068250353325467`", ",", 
   "0.16078468079760053`", ",", "0.16088681978239391`", ",", 
   "0.16098881939966178`", ",", "0.16109065464989067`", ",", 
   "0.16119243967471322`", ",", "0.16129415168318836`", ",", 
   "0.16139567668611376`", ",", "0.1614970739542322`", ",", 
   "0.16159845286583624`", ",", "0.16169969789894234`", ",", 
   "0.16180075448847633`", ",", "0.16190176839796633`", ",", 
   "0.16200271372765435`", ",", "0.16210348817066586`", ",", 
   "0.16220412303708553`", ",", "0.16230473956755792`", ",", 
   "0.16240522984344613`", ",", "0.16250555828950164`", ",", 
   "0.162605818348043`", ",", "0.16270599387516044`", ",", 
   "0.16280604844515623`", ",", "0.16290593785272478`", ",", 
   "0.16300578860034784`", ",", "0.16310555051991907`", ",", 
   "0.16320514261985875`", ",", "0.16330466545708472`", ",", 
   "0.16340411200060742`", ",", "0.16350340820863615`", ",", 
   "0.16360256848181964`", ",", "0.16370170743076617`", ",", 
   "0.16380074280483314`", ",", "0.16389958891461612`", ",", 
   "0.1639983905576089`", ",", "0.16409713121425895`", ",", 
   "0.16419571249653175`", ",", "0.16429415937255823`", ",", 
   "0.16439258259123596`", ",", "0.16449089859611823`", ",", 
   "0.16458902563119074`", ",", "0.16468712153461063`", ",", 
   "0.16478514492364443`", ",", "0.1648830222018548`", ",", 
   "0.16498077085986954`", ",", "0.1650784862127842`", ",", 
   "0.16517609471753456`", ",", "0.16527352699468414`", ",", 
   "0.16537093206898928`", ",", "0.1654682461049916`", ",", 
   "0.1655654263582882`", ",", "0.16566249144667403`", ",", 
   "0.16575950072213683`", ",", "0.16585643162617078`", ",", 
   "0.16595316850235034`", ",", "0.1660498971402524`", ",", 
   "0.1661465362299205`", ",", "0.1662430283559856`", ",", 
   "0.16633942401798726`", ",", "0.16643575347367076`", ",", 
   "0.16653200556225156`", ",", "0.16662807166354046`", ",", 
   "0.16672412150424382`", ",", "0.16682006818806475`", ",", 
   "0.16691590586205896`", ",", "0.16701164575983868`", ",", 
   "0.16710727942757952`", ",", "0.1672028461201612`", ",", 
   "0.16729826311502033`", ",", "0.1673936669119956`", ",", 
   "0.16748894703082445`", ",", "0.1675840976238958`", ",", 
   "0.1676791949611356`", ",", "0.16777419882122158`", ",", 
   "0.16786909686884305`", ",", "0.16796387773976532`", ",", 
   "0.16805859963095227`", ",", "0.1681532364610616`", ",", 
   "0.16824773726352302`", ",", "0.16834220480667977`", ",", 
   "0.16843654781446693`", ",", "0.1685307974422373`", ",", 
   "0.16862495474464348`", ",", "0.16871904150584563`", ",", 
   "0.16881301676307883`", ",", "0.16890687262333087`", ",", 
   "0.1690007227216412`", ",", "0.16909441686779353`", ",", 
   "0.16918802147924616`", ",", "0.1692815673608981`", ",", 
   "0.16937501295511082`", ",", "0.1694683653801918`", ",", 
   "0.16956160998451508`", ",", "0.16965481560203738`", ",", 
   "0.1697479099387177`", ",", "0.16984085736151416`", ",", 
   "0.16993380358080834`", ",", "0.17002663360023443`", ",", 
   "0.170119357143593`", ",", "0.17021200782417426`", ",", 
   "0.170304569113316`", ",", "0.17039703629863528`", ",", 
   "0.17048939424185358`", ",", "0.17058173292404574`", ",", 
   "0.17067393361585984`", ",", "0.17076603564624732`", ",", 
   "0.1708581036094746`", ",", "0.17095006594798512`", ",", 
   "0.17104191596292329`", ",", "0.171133696660514`", ",", 
   "0.17122541549498427`", ",", "0.17131700518294476`", ",", 
   "0.1714085107118267`", ",", "0.17150000681605163`", ",", 
   "0.1715913429117523`", ",", "0.17168259851659687`", ",", 
   "0.17177381265855085`", ",", "0.17186492853477514`", ",", 
   "0.17195591356534365`", ",", "0.17204684833582845`", ",", 
   "0.17213775309853632`", ",", "0.17222848506229724`", ",", 
   "0.1723191467619782`", ",", "0.17240980471236114`", ",", 
   "0.17250032276168412`", ",", "0.17259072524656885`", ",", 
   "0.172681108889618`", ",", "0.17277141188661702`", ",", 
   "0.17286156876279618`", ",", "0.17295168057349306`", ",", 
   "0.17304174982265658`", ",", "0.17313167880912914`", ",", 
   "0.1732215212254594`", ",", "0.17331133858319586`", ",", 
   "0.17340105995137162`", ",", "0.17349063537509474`", ",", 
   "0.1735801970059621`", ",", "0.173669689945058`", ",", 
   "0.17375904874695847`", ",", "0.17384835954435685`", ",", 
   "0.17393760390307283`", ",", "0.17402674045313546`", ",", 
   "0.17411578895574387`", ",", "0.1742048094749347`", ",", 
   "0.17429370331634014`", ",", "0.17438249182165577`", ",", 
   "0.1744712675935392`", ",", "0.1745599769430909`", ",", 
   "0.1746485225765701`", ",", "0.17473705334874423`", ",", 
   "0.17482550008143843`", ",", "0.17491385061056483`", ",", 
   "0.17500212588107658`", ",", "0.17509034030848472`", ",", 
   "0.17517846856809755`", ",", "0.1752664905364101`", ",", 
   "0.17535448306152335`", ",", "0.1754423865346768`", ",", 
   "0.17553017243433916`", ",", "0.1756179432685391`", ",", 
   "0.175705608843903`", ",", "0.17579319170473964`", ",", 
   "0.1758807135421602`", ",", "0.17596814228991153`", ",", 
   "0.1760555102305811`", ",", "0.17614278517840928`", ",", 
   "0.17623001302333294`", ",", "0.17631713216589925`", ",", 
   "0.17640416953574659`", ",", "0.1764911996716152`", ",", 
   "0.1765780882327811`", ",", "0.17666490894830317`", ",", 
   "0.17675169632086785`", ",", "0.17683838051985828`", ",", 
   "0.17692498173847448`", ",", "0.17701152836797643`", ",", 
   "0.17709800971957881`", ",", "0.1771843747490795`", ",", 
   "0.17727068262789414`", ",", "0.1773569661956715`", ",", 
   "0.1774431225066373`", ",", "0.1775291935998094`", ",", 
   "0.17761525065205117`", ",", "0.17770120478421453`", ",", 
   "0.17778704747192806`", ",", "0.17787288371769383`", ",", 
   "0.17795863416285707`", ",", "0.17804425719784456`", ",", 
   "0.17812986050814084`", ",", "0.17821541559059395`", ",", 
   "0.17830082769735525`", ",", "0.17838619995831648`", ",", 
   "0.1784715369790499`", ",", "0.17855675946350066`", ",", 
   "0.17864190253594364`", ",", "0.17872701310240685`", ",", 
   "0.178812043907202`", ",", "0.17889695962709934`", ",", 
   "0.17898185429788654`", ",", "0.1790666791052951`", ",", 
   "0.17915137588471802`"}], "}"}]], "Output",
 CellChangeTimes->{3.831683881230324*^9, 3.8316877168912783`*^9, 
  3.8327836646238527`*^9, 3.832790005621299*^9, 3.832816139149028*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"17eddb01-e26d-4e36-8cfd-bcb57fa82c9e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Psplus"], "Input",
 CellChangeTimes->{{3.790700772909801*^9, 3.7907007737573433`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"094d6b2e-46ab-4953-b0b1-4e84c509d10d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.06250830767497367`", ",", "0.06439867652194763`", ",", 
   "0.06534837082275038`", ",", "0.06606099773155108`", ",", 
   "0.06667364917113025`", ",", "0.06723072387610252`", ",", 
   "0.06771852340091566`", ",", "0.06819430853373468`", ",", 
   "0.06863664286535977`", ",", "0.06902577697376562`", ",", 
   "0.06942925992721903`", ",", "0.06981356060130163`", ",", 
   "0.07017513380400933`", ",", "0.0704982381130925`", ",", 
   "0.07082614205624042`", ",", "0.07116796817555919`", ",", 
   "0.0714928790906562`", ",", "0.07180515300915212`", ",", 
   "0.07210190562853494`", ",", "0.07237641999352323`", ",", 
   "0.07263554412543399`", ",", "0.07291802247401905`", ",", 
   "0.07320839908567468`", ",", "0.07348475156144979`", ",", 
   "0.07375396991119564`", ",", "0.07401717414796798`", ",", 
   "0.07427335455452186`", ",", "0.07451712481053598`", ",", 
   "0.07474970291716578`", ",", "0.0749711891880152`", ",", 
   "0.07518541743860163`", ",", "0.07541873698818143`", ",", 
   "0.07566719336021305`", ",", "0.07590715656327933`", ",", 
   "0.07613956186189627`", ",", "0.07636722111708426`", ",", 
   "0.07659154509814851`", ",", "0.07681281004160675`", ",", 
   "0.07703093020395532`", ",", "0.07724345731904489`", ",", 
   "0.0774489223668444`", ",", "0.07764792892324095`", ",", 
   "0.07784019574035111`", ",", "0.0780267666359388`", ",", 
   "0.07820793032302831`", ",", "0.07838671804794964`", ",", 
   "0.07858057106124543`", ",", "0.07879181361967917`", ",", 
   "0.07899832848442813`", ",", "0.07920020409590421`", ",", 
   "0.07939766823882935`", ",", "0.0795910057791395`", ",", 
   "0.0797822664668377`", ",", "0.07997235028999854`", ",", 
   "0.08015950527309833`", ",", "0.08034562022059681`", ",", 
   "0.08053039745907258`", ",", "0.08071250562537131`", ",", 
   "0.08089137067872054`", ",", "0.0810658100604209`", ",", 
   "0.08123700384328303`", ",", "0.08140418117597609`", ",", 
   "0.0815676364508926`", ",", "0.08172760635036291`", ",", 
   "0.08188443870488415`", ",", "0.0820374394185567`", ",", 
   "0.08218951862760804`", ",", "0.08233950777760986`", ",", 
   "0.08249120266245687`", ",", "0.0826713943710679`", ",", 
   "0.08284891057383016`", ",", "0.08302390943663245`", ",", 
   "0.08319665393025671`", ",", "0.08336599793166673`", ",", 
   "0.08353356621698346`", ",", "0.08369840026651933`", ",", 
   "0.08386077788118565`", ",", "0.08402240746993575`", ",", 
   "0.08418342428418105`", ",", "0.08434361318643167`", ",", 
   "0.08450153200159259`", ",", "0.08465972567295173`", ",", 
   "0.08481634743197664`", ",", "0.08497295195719537`", ",", 
   "0.0851277872482051`", ",", "0.0852819033215437`", ",", 
   "0.08543601467499716`", ",", "0.08558833134882068`", ",", 
   "0.08574016029243046`", ",", "0.0858917426300436`", ",", 
   "0.08604208963101032`", ",", "0.08619172861765098`", ",", 
   "0.08634043978229762`", ",", "0.08648927845579762`", ",", 
   "0.0866364606763943`", ",", "0.08678406836276649`", ",", 
   "0.08693006628316564`", ",", "0.08707627669614998`", ",", 
   "0.08722359004723565`", ",", "0.08737028489251422`", ",", 
   "0.08751796786085039`", ",", "0.08766558413413178`", ",", 
   "0.08783820111043589`", ",", "0.08801121003175089`", ",", 
   "0.08818257083921716`", ",", "0.08835357103007677`", ",", 
   "0.08852431019931332`", ",", "0.08869473202642658`", ",", 
   "0.08886361475141519`", ",", "0.08903230960248615`", ",", 
   "0.08920067634114225`", ",", "0.08936810170988946`", ",", 
   "0.08953567645569431`", ",", "0.08970194566035466`", ",", 
   "0.08986883521315586`", ",", "0.09003639072418007`", ",", 
   "0.09020384013452183`", ",", "0.09037188253771081`", ",", 
   "0.09053830795162351`", ",", "0.09070566400776309`", ",", 
   "0.09087397221034337`", ",", "0.09104127245136241`", ",", 
   "0.09120905266644122`", ",", "0.09137729125245243`", ",", 
   "0.09154472206396048`", ",", "0.09171286131144374`", ",", 
   "0.09188082936429304`", ",", "0.0920492282160832`", ",", 
   "0.09221764355713208`", ",", "0.09238536496800728`", ",", 
   "0.09255323415200667`", ",", "0.09272187928348748`", ",", 
   "0.09289055140084765`", ",", "0.09305857038279086`", ",", 
   "0.09322735708502013`", ",", "0.09339545103489741`", ",", 
   "0.09356336467173365`", ",", "0.09373224767959451`", ",", 
   "0.0939011487376253`", ",", "0.09406908959098986`", ",", 
   "0.09423791030553297`", ",", "0.09440652116118134`", ",", 
   "0.09457464944574204`", ",", "0.09474352240237446`", ",", 
   "0.09491234717752017`", ",", "0.09508080824565797`", ",", 
   "0.09524958144664127`", ",", "0.09541801931955554`", ",", 
   "0.0955862489288212`", ",", "0.09575487847147031`", ",", 
   "0.09593920668981028`", ",", "0.09612441099774495`", ",", 
   "0.0963094507659715`", ",", "0.09649409432242052`", ",", 
   "0.096678179883354`", ",", "0.09686182222873971`", ",", 
   "0.09704611367392868`", ",", "0.09722963989832029`", ",", 
   "0.09741325187270425`", ",", "0.09759578898050308`", ",", 
   "0.09777863357456182`", ",", "0.09796108320752107`", ",", 
   "0.09814403608542904`", ",", "0.09832549633371274`", ",", 
   "0.0985070654224739`", ",", "0.09868894183594701`", ",", 
   "0.09887070336623305`", ",", "0.09905098080730601`", ",", 
   "0.09923165256811455`", ",", "0.09941255700731774`", ",", 
   "0.09959328496172187`", ",", "0.09977273813827083`", ",", 
   "0.09995244294791653`", ",", "0.10013222681140724`", ",", 
   "0.10031128537810614`", ",", "0.10049005902617147`", ",", 
   "0.10066902559773723`", ",", "0.10084757329219753`", ",", 
   "0.10102533838635322`", ",", "0.10120338318728353`", ",", 
   "0.1013812926551161`", ",", "0.10155866008253686`", ",", 
   "0.10173544891477465`", ",", "0.10191251526173574`", ",", 
   "0.10208916335699962`", ",", "0.1022655196766412`", ",", 
   "0.10244151948008585`", ",", "0.10261735491541459`", ",", 
   "0.10279264611246292`", ",", "0.10296788264598608`", ",", 
   "0.10314306421628253`", ",", "0.1033177300413429`", ",", 
   "0.10349207739027043`", ",", "0.10366612826131126`", ",", 
   "0.10384045844533382`", ",", "0.10401381520366271`", ",", 
   "0.10418717704491545`", ",", "0.1043602323935491`", ",", 
   "0.10453342482530677`", ",", "0.10470590034270347`", ",", 
   "0.10487787272158806`", ",", "0.10505004487354994`", ",", 
   "0.10522204113122885`", ",", "0.10539356874028268`", ",", 
   "0.10556446688357059`", ",", "0.10573561106975368`", ",", 
   "0.10591511273833239`", ",", "0.10609686938345993`", ",", 
   "0.10627878896577163`", ",", "0.10646026715072907`", ",", 
   "0.10664107112313094`", ",", "0.10682105456262649`", ",", 
   "0.10700100645786212`", ",", "0.10718097895133799`", ",", 
   "0.10736015596841225`", ",", "0.10753841459272888`", ",", 
   "0.1077168560881176`", ",", "0.10789512035467153`", ",", 
   "0.10807282482908387`", ",", "0.10824963691841061`", ",", 
   "0.10842637483488422`", ",", "0.10860284698634519`", ",", 
   "0.10877903418154967`", ",", "0.10895449256697776`", ",", 
   "0.10912956397456716`", ",", "0.10930441018493559`", ",", 
   "0.10947904748844536`", ",", "0.10965305007002923`", ",", 
   "0.10982649401306492`", ",", "0.10999969116909285`", ",", 
   "0.11017292122697889`", ",", "0.1103456064498894`", ",", 
   "0.11051745627053619`", ",", "0.11068920112856136`", ",", 
   "0.11086082360223785`", ",", "0.11103202510479837`", ",", 
   "0.11120238231052132`", ",", "0.11137282232296004`", ",", 
   "0.11154287101102649`", ",", "0.11171259708504179`", ",", 
   "0.1118816964033906`", ",", "0.11205060405674164`", ",", 
   "0.1122190920802437`", ",", "0.11238745441597911`", ",", 
   "0.11255523386148987`", ",", "0.11272264323777303`", ",", 
   "0.11288972344091572`", ",", "0.11305660795514907`", ",", 
   "0.1132231138293452`", ",", "0.11338905744084574`", ",", 
   "0.11355472693189136`", ",", "0.1137202473289389`", ",", 
   "0.11388542307758345`", ",", "0.11404993351554962`", ",", 
   "0.11421439348049202`", ",", "0.11437855687694035`", ",", 
   "0.11454234786959439`", ",", "0.11470546065620893`", ",", 
   "0.11486868424007937`", ",", "0.11503141939833966`", ",", 
   "0.11519392939955932`", ",", "0.11535582780407926`", ",", 
   "0.11551767171493105`", ",", "0.11567903475554257`", ",", 
   "0.11584027116644022`", ",", "0.11600102236991423`", ",", 
   "0.11616151526485875`", ",", "0.11632159637750082`", ",", 
   "0.11648154233149527`", ",", "0.1166410560203127`", ",", 
   "0.11680022667749042`", ",", "0.11695909335093918`", ",", 
   "0.11712478522053305`", ",", "0.11729092282545933`", ",", 
   "0.11745648034983353`", ",", "0.11762173124305311`", ",", 
   "0.11778643870350122`", ",", "0.11795106272111049`", ",", 
   "0.11811524018418926`", ",", "0.11827910742841491`", ",", 
   "0.11844244261757321`", ",", "0.1186053104949817`", ",", 
   "0.11876815601429677`", ",", "0.11893061354076721`", ",", 
   "0.11909263494630914`", ",", "0.1192541362109791`", ",", 
   "0.11941530297848083`", ",", "0.11957641642014277`", ",", 
   "0.1197371459220044`", ",", "0.11989729210000336`", ",", 
   "0.12005711917966477`", ",", "0.12021663705217546`", ",", 
   "0.1203760522330918`", ",", "0.12053489153646184`", ",", 
   "0.12069347818524379`", ",", "0.12085160535567083`", ",", 
   "0.12100952393034478`", ",", "0.12116712260473317`", ",", 
   "0.12132444103531848`", ",", "0.12148130476633287`", ",", 
   "0.12163768849910243`", ",", "0.12179405493546475`", ",", 
   "0.12195013014416098`", ",", "0.12210575590765313`", ",", 
   "0.12226092613795225`", ",", "0.1224158000501751`", ",", 
   "0.1225706592346238`", ",", "0.12272506767732812`", ",", 
   "0.1228790500441858`", ",", "0.12303274859192613`", ",", 
   "0.1231861432882306`", ",", "0.12333934316139247`", ",", 
   "0.12349214457638313`", ",", "0.12364464515831844`", ",", 
   "0.12379673113336628`", ",", "0.12394870212059189`", ",", 
   "0.1241003272635226`", ",", "0.12425167812395449`", ",", 
   "0.12440264034545995`", ",", "0.12455322654457945`", ",", 
   "0.12470368207863439`", ",", "0.12485394368156166`", ",", 
   "0.12500375311782141`", ",", "0.1251531094104767`", ",", 
   "0.1253023480007826`", ",", "0.12545152286156078`", ",", 
   "0.12560017142543617`", ",", "0.12574847912823306`", ",", 
   "0.1258965475372373`", ",", "0.12604447406354144`", ",", 
   "0.1261920228924634`", ",", "0.1263392946875911`", ",", 
   "0.12648622326951814`", ",", "0.1266328717410141`", ",", 
   "0.12677937466187686`", ",", "0.12692559873770853`", ",", 
   "0.12707146304994177`", ",", "0.12721693045475485`", ",", 
   "0.12736233343632292`", ",", "0.12750750604337252`", ",", 
   "0.12765233955104355`", ",", "0.1277967722005006`", ",", 
   "0.12794096089714874`", ",", "0.12808510493642752`", ",", 
   "0.12822891992526597`", ",", "0.12837234247730286`", ",", 
   "0.12851546610668851`", ",", "0.12865847044175033`", ",", 
   "0.12880128411365194`", ",", "0.12894381727354057`", ",", 
   "0.1290913661105038`", ",", "0.1292386379066488`", ",", 
   "0.12938571729379422`", ",", "0.12953264588708485`", ",", 
   "0.12967914881367776`", ",", "0.12982537289062385`", ",", 
   "0.1299712895401513`", ",", "0.13011715385814482`", ",", 
   "0.13026262127036586`", ",", "0.13040779388268378`", ",", 
   "0.1305526274065133`", ",", "0.1306974084661278`", ",", 
   "0.13084184113797312`", ",", "0.13098598518712734`", ",", 
   "0.13112980018831338`", ",", "0.131273471765469`", ",", 
   "0.13141689432530362`", ",", "0.1315600179646223`", ",", 
   "0.1317028316424259`", ",", "0.1318454188592896`", ",", 
   "0.13198784305327851`", ",", "0.13212997924673142`", ",", 
   "0.13227179176937445`", ",", "0.1324133188141116`", ",", 
   "0.1325547554104071`", ",", "0.13269593599842452`", ",", 
   "0.13283675290783395`", ",", "0.13297724308251171`", ",", 
   "0.13311772394702887`", ",", "0.133257958406271`", ",", 
   "0.1333977888318281`", ",", "0.13353734609675874`", ",", 
   "0.13367682186213625`", ",", "0.1338161026672085`", ",", 
   "0.1339549654535056`", ",", "0.13409360879842602`", ",", 
   "0.13423209181587498`", ",", "0.13437042996326434`", ",", 
   "0.1345083565285079`", ",", "0.13464609452546666`", ",", 
   "0.13478360569624392`", ",", "0.13492100948039543`", ",", 
   "0.13505804554594367`", ",", "0.13519488338713181`", ",", 
   "0.13533144288920562`", ",", "0.1354679172529608`", ",", 
   "0.13560405944392862`", ",", "0.13574000562388988`", ",", 
   "0.13587563294650357`", ",", "0.13601119088463265`", ",", 
   "0.1361464749881091`", ",", "0.13628153808047505`", ",", 
   "0.13641625205661545`", ",", "0.13655091009337567`", ",", 
   "0.13668535410834737`", ",", "0.13681951671718495`", ",", 
   "0.13695333555410902`", ",", "0.1370871350314163`", ",", 
   "0.1372207435733864`", ",", "0.13735400739601802`", ",", 
   "0.1374869818218777`", ",", "0.1376199231298376`", ",", 
   "0.13775268544226443`", ",", "0.13788509115633757`", ",", 
   "0.13801724091702053`", ",", "0.13814932173631475`", ",", 
   "0.13828123181636368`", ",", "0.13841280498111952`", ",", 
   "0.13854415755586694`", ",", "0.13867539438233603`", ",", 
   "0.1388064404119382`", ",", "0.13893718720522777`", ",", 
   "0.13906773864227245`", ",", "0.13919814745134657`", ",", 
   "0.1393283940880699`", ",", "0.13945832942171188`", ",", 
   "0.13958807146271118`", ",", "0.13971766773210922`", ",", 
   "0.13984711753052864`", ",", "0.13997626932017368`", ",", 
   "0.1401052025128345`", ",", "0.1402340012440057`", ",", 
   "0.1403626430894127`", ",", "0.1404910263270415`", ",", 
   "0.14061919531893452`", ",", "0.14074721105732718`", ",", 
   "0.14087502300404695`", ",", "0.14100266554233834`", ",", 
   "0.14113006396495384`", ",", "0.1412573108191879`", ",", 
   "0.14138434991862006`", ",", "0.14151125243963342`", ",", 
   "0.14163784836236593`", ",", "0.14176434002238178`", ",", 
   "0.1418906477509883`", ",", "0.14201681160170454`", ",", 
   "0.14214262066463532`", ",", "0.14226837041888432`", ",", 
   "0.14239397041525992`", ",", "0.14251937411227056`", ",", 
   "0.1426444363762744`", ",", "0.14276945712801237`", ",", 
   "0.14289434792291444`", ",", "0.14301897102956795`", ",", 
   "0.14314331941478237`", ",", "0.14326762369752274`", ",", 
   "0.14339180182681388`", ",", "0.14351567562748807`", ",", 
   "0.1436393114398191`", ",", "0.14376291143199807`", ",", 
   "0.14388636593828003`", ",", "0.1440095249546414`", ",", 
   "0.14413248488207064`", ",", "0.14425539242097277`", ",", 
   "0.14437811457661714`", ",", "0.14450056315076082`", ",", 
   "0.14462282843420496`", ",", "0.1447450550291943`", ",", 
   "0.14486706518582002`", ",", "0.14498883124309891`", ",", 
   "0.14511040161641153`", ",", "0.1452319584615102`", ",", 
   "0.14535327204921933`", ",", "0.14547436246246037`", ",", 
   "0.14559526044831383`", ",", "0.14571613923440663`", ",", 
   "0.14583676540633372`", ",", "0.14595718752812148`", ",", 
   "0.14607743725338568`", ",", "0.14619763140414388`", ",", 
   "0.14631757561285008`", ",", "0.14643734727882993`", ",", 
   "0.14655695906101548`", ",", "0.14667647392732608`", ",", 
   "0.14679577251104262`", ",", "0.14691486894590522`", ",", 
   "0.1470338528317086`", ",", "0.14715270723003415`", ",", 
   "0.1472713607312193`", ",", "0.14738980096124737`", ",", 
   "0.14750816673639952`", ",", "0.14762634503035818`", ",", 
   "0.14774436440388705`", ",", "0.14786215180579665`", ",", 
   "0.1479799090044554`", ",", "0.14809746458676126`", ",", 
   "0.14821485219740954`", ",", "0.1483320101111222`", ",", 
   "0.14844913255956735`", ",", "0.14856607847748873`", ",", 
   "0.14868282535621224`", ",", "0.14879939304247158`", ",", 
   "0.14891586614624214`", ",", "0.14903220891685878`", ",", 
   "0.14914830365846043`", ",", "0.14926428994887664`", ",", 
   "0.14938017937336825`", ",", "0.14949589719652961`", ",", 
   "0.14961133371594873`", ",", "0.14972674722405804`", ",", 
   "0.14984206284536386`", ",", "0.1499571511939909`", ",", 
   "0.15007200032272083`", ",", "0.15018684476773125`", ",", 
   "0.15030154828861841`", ",", "0.15041599928221205`", ",", 
   "0.15053029223102085`", ",", "0.15064457418009938`", ",", 
   "0.15075867731244383`", ",", "0.15087251534851623`", ",", 
   "0.15098626012022454`", ",", "0.151099967762577`", ",", 
   "0.15121345695047914`", ",", "0.15132673108082326`", ",", 
   "0.15143993548815327`", ",", "0.1515530391020477`", ",", 
   "0.15166591076351446`", ",", "0.15177863735055122`", ",", 
   "0.15189130902238923`", ",", "0.15200381814658814`", ",", 
   "0.15211611952729`", ",", "0.1522282659146859`", ",", 
   "0.15234040544541563`", ",", "0.15245232147373125`", ",", 
   "0.15256408344272615`", ",", "0.15267571182464368`", ",", 
   "0.15278727821648225`", ",", "0.15289862197690024`", ",", 
   "0.15300982508144922`", ",", "0.15312094257027928`", ",", 
   "0.1532319152963785`", ",", "0.15334272857678208`", ",", 
   "0.1534533740497606`", ",", "0.1535639875966094`", ",", 
   "0.15367438531909988`", ",", "0.1537846708696207`", ",", 
   "0.15389478726938444`", ",", "0.1540048432287815`", ",", 
   "0.15411470870843125`", ",", "0.15422445001881419`", ",", 
   "0.1543340759150496`", ",", "0.1544435604933165`", ",", 
   "0.15455291416049075`", ",", "0.15466208716153038`", ",", 
   "0.15477122905113228`", ",", "0.15488018618573307`", ",", 
   "0.15498901511740457`", ",", "0.155097679355099`", ",", 
   "0.15520629421550872`", ",", "0.15531471921638323`", ",", 
   "0.1554230283175401`", ",", "0.15553122112020193`", ",", 
   "0.15563927918619813`", ",", "0.1557472162435843`", ",", 
   "0.15585495542643696`", ",", "0.15596268287724047`", ",", 
   "0.15607021901747276`", ",", "0.15617765249220256`", ",", 
   "0.1562849205446126`", ",", "0.1563921074294665`", ",", 
   "0.15649917227556898`", ",", "0.15660606518394551`", ",", 
   "0.15671287966555697`", ",", "0.15681955310635212`", ",", 
   "0.1569261189506467`", ",", "0.15703248556687877`", ",", 
   "0.15713882375149568`", ",", "0.15724502644019905`", ",", 
   "0.157351069989844`", ",", "0.15745699432749652`", ",", 
   "0.15756283046138783`", ",", "0.15766854287334295`", ",", 
   "0.1577740498339004`", ",", "0.15787953736457802`", ",", 
   "0.15798490305419355`", ",", "0.15809010325202635`", ",", 
   "0.1581951593354366`", ",", "0.15830016676482744`", ",", 
   "0.15840504226527874`", ",", "0.15850973774852742`", ",", 
   "0.15861436763565853`", ",", "0.15871889411322396`", ",", 
   "0.15882329883256158`", ",", "0.158927507668745`", ",", 
   "0.15903169529151062`", ",", "0.1591357507986209`", ",", 
   "0.15923965746899843`", ",", "0.1593434502968616`", ",", 
   "0.15944714512888283`", ",", "0.1595507356348833`", ",", 
   "0.1596541413305644`", ",", "0.15975752309287788`", ",", 
   "0.15986076087407608`", ",", "0.15996386272406857`", ",", 
   "0.16006683826649287`", ",", "0.16016974114423338`", ",", 
   "0.16027254157238374`", ",", "0.16037514901029193`", ",", 
   "0.16047772308402763`", ",", "0.1605801908852738`", ",", 
   "0.16068250353325467`", ",", "0.16078468079760053`", ",", 
   "0.16088681978239391`", ",", "0.16098881939966178`", ",", 
   "0.16109065464989067`", ",", "0.16119243967471322`", ",", 
   "0.16129415168318836`", ",", "0.16139567668611376`", ",", 
   "0.1614970739542322`", ",", "0.16159845286583624`", ",", 
   "0.16169969789894234`", ",", "0.16180075448847633`", ",", 
   "0.16190176839796633`", ",", "0.16200271372765435`", ",", 
   "0.16210348817066586`", ",", "0.16220412303708553`", ",", 
   "0.16230473956755792`", ",", "0.16240522984344613`", ",", 
   "0.16250555828950164`", ",", "0.162605818348043`", ",", 
   "0.16270599387516044`", ",", "0.16280604844515623`", ",", 
   "0.16290593785272478`", ",", "0.16300578860034784`", ",", 
   "0.16310555051991907`", ",", "0.16320514261985875`", ",", 
   "0.16330466545708472`", ",", "0.16340411200060742`", ",", 
   "0.16350340820863615`", ",", "0.16360256848181964`", ",", 
   "0.16370170743076617`", ",", "0.16380074280483314`", ",", 
   "0.16389958891461612`", ",", "0.1639983905576089`", ",", 
   "0.16409713121425895`", ",", "0.16419571249653175`", ",", 
   "0.16429415937255823`", ",", "0.16439258259123596`", ",", 
   "0.16449089859611823`", ",", "0.16458902563119074`", ",", 
   "0.16468712153461063`", ",", "0.16478514492364443`", ",", 
   "0.1648830222018548`", ",", "0.16498077085986954`", ",", 
   "0.1650784862127842`", ",", "0.16517609471753456`", ",", 
   "0.16527352699468414`", ",", "0.16537093206898928`", ",", 
   "0.1654682461049916`", ",", "0.1655654263582882`", ",", 
   "0.16566249144667403`", ",", "0.16575950072213683`", ",", 
   "0.16585643162617078`", ",", "0.16595316850235034`", ",", 
   "0.1660498971402524`", ",", "0.1661465362299205`", ",", 
   "0.1662430283559856`", ",", "0.16633942401798726`", ",", 
   "0.16643575347367076`", ",", "0.16653200556225156`", ",", 
   "0.16662807166354046`", ",", "0.16672412150424382`", ",", 
   "0.16682006818806475`", ",", "0.16691590586205896`", ",", 
   "0.16701164575983868`", ",", "0.16710727942757952`", ",", 
   "0.1672028461201612`", ",", "0.16729826311502033`", ",", 
   "0.1673936669119956`", ",", "0.16748894703082445`", ",", 
   "0.1675840976238958`", ",", "0.1676791949611356`", ",", 
   "0.16777419882122158`", ",", "0.16786909686884305`", ",", 
   "0.16796387773976532`", ",", "0.16805859963095227`", ",", 
   "0.1681532364610616`", ",", "0.16824773726352302`", ",", 
   "0.16834220480667977`", ",", "0.16843654781446693`", ",", 
   "0.1685307974422373`", ",", "0.16862495474464348`", ",", 
   "0.16871904150584563`", ",", "0.16881301676307883`", ",", 
   "0.16890687262333087`", ",", "0.1690007227216412`", ",", 
   "0.16909441686779353`", ",", "0.16918802147924616`", ",", 
   "0.1692815673608981`", ",", "0.16937501295511082`", ",", 
   "0.1694683653801918`", ",", "0.16956160998451508`", ",", 
   "0.16965481560203738`", ",", "0.1697479099387177`", ",", 
   "0.16984085736151416`", ",", "0.16993380358080834`", ",", 
   "0.17002663360023443`", ",", "0.170119357143593`", ",", 
   "0.17021200782417426`", ",", "0.170304569113316`", ",", 
   "0.17039703629863528`", ",", "0.17048939424185358`", ",", 
   "0.17058173292404574`", ",", "0.17067393361585984`", ",", 
   "0.17076603564624732`", ",", "0.1708581036094746`", ",", 
   "0.17095006594798512`", ",", "0.17104191596292329`", ",", 
   "0.171133696660514`", ",", "0.17122541549498427`", ",", 
   "0.17131700518294476`", ",", "0.1714085107118267`", ",", 
   "0.17150000681605163`", ",", "0.1715913429117523`", ",", 
   "0.17168259851659687`", ",", "0.17177381265855085`", ",", 
   "0.17186492853477514`", ",", "0.17195591356534365`", ",", 
   "0.17204684833582845`", ",", "0.17213775309853632`", ",", 
   "0.17222848506229724`", ",", "0.1723191467619782`", ",", 
   "0.17240980471236114`", ",", "0.17250032276168412`", ",", 
   "0.17259072524656885`", ",", "0.172681108889618`", ",", 
   "0.17277141188661702`", ",", "0.17286156876279618`", ",", 
   "0.17295168057349306`", ",", "0.17304174982265658`", ",", 
   "0.17313167880912914`", ",", "0.1732215212254594`", ",", 
   "0.17331133858319586`", ",", "0.17340105995137162`", ",", 
   "0.17349063537509474`", ",", "0.1735801970059621`", ",", 
   "0.173669689945058`", ",", "0.17375904874695847`", ",", 
   "0.17384835954435685`", ",", "0.17393760390307283`", ",", 
   "0.17402674045313546`", ",", "0.17411578895574387`", ",", 
   "0.1742048094749347`", ",", "0.17429370331634014`", ",", 
   "0.17438249182165577`", ",", "0.1744712675935392`", ",", 
   "0.1745599769430909`", ",", "0.1746485225765701`", ",", 
   "0.17473705334874423`", ",", "0.17482550008143843`", ",", 
   "0.17491385061056483`", ",", "0.17500212588107658`", ",", 
   "0.17509034030848472`", ",", "0.17517846856809755`", ",", 
   "0.1752664905364101`", ",", "0.17535448306152335`", ",", 
   "0.1754423865346768`", ",", "0.17553017243433916`", ",", 
   "0.1756179432685391`", ",", "0.175705608843903`", ",", 
   "0.17579319170473964`", ",", "0.1758807135421602`", ",", 
   "0.17596814228991153`", ",", "0.1760555102305811`", ",", 
   "0.17614278517840928`", ",", "0.17623001302333294`", ",", 
   "0.17631713216589925`", ",", "0.17640416953574659`", ",", 
   "0.1764911996716152`", ",", "0.1765780882327811`", ",", 
   "0.17666490894830317`", ",", "0.17675169632086785`", ",", 
   "0.17683838051985828`", ",", "0.17692498173847448`", ",", 
   "0.17701152836797643`", ",", "0.17709800971957881`", ",", 
   "0.1771843747490795`", ",", "0.17727068262789414`", ",", 
   "0.1773569661956715`", ",", "0.1774431225066373`", ",", 
   "0.1775291935998094`", ",", "0.17761525065205117`", ",", 
   "0.17770120478421453`", ",", "0.17778704747192806`", ",", 
   "0.17787288371769383`", ",", "0.17795863416285707`", ",", 
   "0.17804425719784456`", ",", "0.17812986050814084`", ",", 
   "0.17821541559059395`", ",", "0.17830082769735525`", ",", 
   "0.17838619995831648`", ",", "0.1784715369790499`", ",", 
   "0.17855675946350066`", ",", "0.17864190253594364`", ",", 
   "0.17872701310240685`", ",", "0.178812043907202`", ",", 
   "0.17889695962709934`", ",", "0.17898185429788654`", ",", 
   "0.1790666791052951`", ",", "0.17915137588471802`"}], "}"}]], "Output",
 CellChangeTimes->{3.8327900062774353`*^9, 3.8328161403013897`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"419872cd-2710-4196-b99e-d8e76106e1c6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ps", "=", "Psplus"}], ";"}]], "Input",
 CellChangeTimes->{{3.826032935862302*^9, 3.826032938831399*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"1c8e10bc-01c1-4cf7-9631-58fe8afbce62"],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{"step", " ", 
    RowBox[{"five", ":", " ", 
     RowBox[{"wealth", " ", "dynamics"}]}]}]}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.7906957669377193`*^9, 3.790695774354546*^9}, {
  3.790695897336707*^9, 3.790695931819006*^9}, {3.8647489273064823`*^9, 
  3.864748944806938*^9}},ExpressionUUID->"8b23cbed-930f-4192-a385-\
64301331d464"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"priceupdate", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Position", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"V", "[", 
               RowBox[{
                RowBox[{"wealth", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", 
              "b"}], "/.", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"wealth", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
               RowBox[{"b", "\[Rule]", " ", 
                RowBox[{"Min", "[", 
                 RowBox[{
                  RowBox[{"cbar", "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}], "-", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                    ")"}]}], "+", 
                   RowBox[{"cbar", "/", "8"}]}]}], "]"}]}], ",", 
               RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"N", "[", 
                   RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"N", "[", 
                   RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
              "}"}], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Ps", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"IntegerPart", "[", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
               RowBox[{"Ps", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"IntegerPart", "[", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
           "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], ",", 
       RowBox[{"Max", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"V", "[", 
                RowBox[{
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", 
               "b"}], "/.", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
                RowBox[{"b", "\[Rule]", " ", 
                 RowBox[{"Min", "[", 
                  RowBox[{
                   RowBox[{"cbar", "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}], "-", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"cbar", "/", "8"}]}]}], "]"}]}], ",", 
                RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                   RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                 "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
               "}"}], ".", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Ps", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Ps", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
            "}"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}]}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.7906963596840277`*^9, 3.790696396959145*^9}, {
   3.79069643691535*^9, 3.7906964582552967`*^9}, {3.790696523378304*^9, 
   3.7906965297066803`*^9}, {3.7906969063309193`*^9, 
   3.7906969089981623`*^9}, {3.7906998593367233`*^9, 
   3.7906998597443323`*^9}, {3.809446574443636*^9, 3.809446587446656*^9}, 
   3.825947109623311*^9, 3.825947142756639*^9, {3.831663288325322*^9, 
   3.831663473679061*^9}, {3.8316782778458147`*^9, 3.831678308615933*^9}, {
   3.8316842086314993`*^9, 3.8316842109038887`*^9}, {3.8327801608453913`*^9, 
   3.832780179862212*^9}, {3.832812091636972*^9, 3.832812091647644*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"12b9a443-117a-433d-80a2-ef5088db6817"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "2", 
   ",", "2", ",", "2", ",", "3", ",", "3", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "2", ",", "2", ",", "2", ",", "2", ",", "3", ",", "3", ",", "4", ",", 
   "4", ",", "4", ",", "5", ",", "5", ",", "5", ",", "6", ",", "6", ",", "6", 
   ",", "7", ",", "7", ",", "7", ",", "8", ",", "8", ",", "8", ",", "9", ",", 
   "9", ",", "9", ",", "10", ",", "10", ",", "11", ",", "11", ",", "11", ",", 
   "11", ",", "12", ",", "12", ",", "12", ",", "13", ",", "13", ",", "13", 
   ",", "14", ",", "8", ",", "9", ",", "9", ",", "9", ",", "10", ",", "10", 
   ",", "10", ",", "10", ",", "11", ",", "11", ",", "11", ",", "12", ",", 
   "12", ",", "12", ",", "12", ",", "13", ",", "13", ",", "13", ",", "14", 
   ",", "14", ",", "14", ",", "15", ",", "15", ",", "15", ",", "15", ",", 
   "16", ",", "16", ",", "16", ",", "16", ",", "17", ",", "17", ",", "17", 
   ",", "18", ",", "18", ",", "18", ",", "18", ",", "19", ",", "19", ",", 
   "19", ",", "19", ",", "20", ",", "20", ",", "20", ",", "20", ",", "21", 
   ",", "21", ",", "21", ",", "22", ",", "22", ",", "22", ",", "22", ",", 
   "23", ",", "23", ",", "23", ",", "24", ",", "24", ",", "19", ",", "20", 
   ",", "20", ",", "20", ",", "20", ",", "21", ",", "21", ",", "21", ",", 
   "21", ",", "21", ",", "22", ",", "22", ",", "22", ",", "22", ",", "23", 
   ",", "23", ",", "23", ",", "23", ",", "24", ",", "24", ",", "24", ",", 
   "24", ",", "25", ",", "25", ",", "25", ",", "25", ",", "26", ",", "26", 
   ",", "26", ",", "26", ",", "26", ",", "27", ",", "27", ",", "27", ",", 
   "27", ",", "28", ",", "28", ",", "28", ",", "28", ",", "29", ",", "29", 
   ",", "29", ",", "29", ",", "30", ",", "30", ",", "30", ",", "30", ",", 
   "31", ",", "31", ",", "31", ",", "31", ",", "31", ",", "32", ",", "32", 
   ",", "32", ",", "32", ",", "33", ",", "33", ",", "33", ",", "33", ",", 
   "34", ",", "34", ",", "34", ",", "34", ",", "35", ",", "35", ",", "31", 
   ",", "31", ",", "31", ",", "31", ",", "31", ",", "32", ",", "32", ",", 
   "32", ",", "32", ",", "33", ",", "33", ",", "33", ",", "33", ",", "33", 
   ",", "34", ",", "34", ",", "34", ",", "34", ",", "34", ",", "35", ",", 
   "35", ",", "35", ",", "35", ",", "35", ",", "36", ",", "36", ",", "36", 
   ",", "36", ",", "36", ",", "37", ",", "37", ",", "37", ",", "37", ",", 
   "37", ",", "38", ",", "38", ",", "38", ",", "38", ",", "39", ",", "39", 
   ",", "39", ",", "39", ",", "39", ",", "40", ",", "40", ",", "40", ",", 
   "40", ",", "41", ",", "41", ",", "41", ",", "41", ",", "41", ",", "42", 
   ",", "42", ",", "42", ",", "42", ",", "42", ",", "43", ",", "43", ",", 
   "43", ",", "43", ",", "44", ",", "44", ",", "44", ",", "44", ",", "44", 
   ",", "45", ",", "45", ",", "45", ",", "45", ",", "46", ",", "46", ",", 
   "46", ",", "46", ",", "46", ",", "47", ",", "47"}], "}"}]], "Output",
 CellChangeTimes->{3.8327837066657267`*^9, 3.8327861731626797`*^9, 
  3.8327862270142612`*^9, 3.8327862889965982`*^9, 3.8327900480242777`*^9, 
  3.8328162689501543`*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"3491f850-d60d-48bc-89c8-20a6b3149d30"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"wealthupdate", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"wealth", "[", 
        RowBox[{"[", "j", "]"}], "]"}], "-", 
       RowBox[{"wealth", "[", 
        RowBox[{"[", 
         RowBox[{"priceupdate", "[", 
          RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.79069653990622*^9, 3.79069654178439*^9}, {
  3.790696602690116*^9, 3.7906966304028053`*^9}, {3.790696667573452*^9, 
  3.7906967322741413`*^9}, {3.790697246570896*^9, 3.790697252384426*^9}, {
  3.7906980858805227`*^9, 3.79069809289713*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"e517ef9b-3518-478e-a42b-c9a852439aab"],

Cell[BoxData[
 RowBox[{"wealthupdate18", "=", 
  RowBox[{"{", 
   RowBox[{
   "0.`", ",", "0.0007499062734299677`", ",", "0.0014996251873831135`", ",", 
    "0.002249156882219605`", ",", "0.002998501498127304`", ",", 
    "0.003747659175118212`", ",", "0.004496630053027584`", ",", 
    "0.0052454142715201435`", ",", "0.005994011970083424`", ",", 
    "0.006742423288033983`", ",", "0.007490648364513408`", ",", 
    "0.008238687338489203`", ",", "0.008986540348759675`", ",", 
    "0.009734207533947714`", ",", "0.010481689032503905`", ",", 
    "0.011228984982709633`", ",", "0.011976095522672203`", ",", 
    "0.012723020790327944`", ",", "0.013469760923443985`", ",", 
    "0.014216316059615597`", ",", "0.014962686336267073`", ",", 
    "0.01570887189065351`", ",", "0.016454872859860803`", ",", 
    "0.01720068938080388`", ",", "0.01794632159023024`", ",", 
    "0.01869176962471597`", ",", "0.019437033620671507`", ",", 
    "0.020182113714336758`", ",", "0.0209270100417851`", ",", 
    "0.02167172273892115`", ",", "0.022416251941483`", ",", 
    "0.023160597785039982`", ",", "0.023904760404996228`", ",", 
    "0.02464873993658978`", ",", "0.02539253651488993`", ",", 
    "0.026136150274802095`", ",", "0.02687958135106472`", ",", 
    "0.027622829878252375`", ",", "0.028365895990773105`", ",", 
    "0.029108779822870634`", ",", "0.029851481508623046`", ",", 
    "0.03059400118194633`", ",", "0.03133633897659038`", ",", 
    "0.03207849502614302`", ",", "0.032820469464026836`", ",", 
    "0.0335622624235028`", ",", "0.03430387403766799`", ",", 
    "0.035045304439457414`", ",", "0.03578655376164397`", ",", 
    "0.03652762213683802`", ",", "0.03726850969748785`", ",", 
    "0.038009216575880966`", ",", "0.038749742904144124`", ",", 
    "0.039490088814240654`", ",", "0.04023025443797579`", ",", 
    "0.040970239906994`", ",", "0.04171004535277811`", ",", 
    "0.04244967090665286`", ",", "0.043189116699782204`", ",", 
    "0.043928382863171134`", ",", "0.04466746952766565`", ",", 
    "0.045406376823953654`", ",", "0.04614510488256274`", ",", 
    "0.04688365383386417`", ",", "0.04762202380807068`", ",", 
    "0.04836021493523601`", ",", "0.04909822734525893`", ",", 
    "0.04983606116787831`", ",", "0.05057371653267895`", ",", 
    "0.051311193569085756`", ",", "0.05204849240637088`", ",", 
    "0.052785613173646606`", ",", "0.05352255599987288`", ",", 
    "0.054259321013852446`", ",", "0.05499590834423218`", ",", 
    "0.05573231811950441`", ",", "0.05646855046800647`", ",", 
    "0.057204605517922946`", ",", "0.05794048339728164`", ",", 
    "0.058676184233957596`", ",", "0.05941170815567043`", ",", 
    "0.06014705528999009`", ",", "0.06088222576432978`", ",", 
    "0.06161721970595124`", ",", "0.06235203724196259`", ",", 
    "0.06308667849932048`", ",", "0.06382114360482882`", ",", 
    "0.06455543268513919`", ",", "0.06528954586675217`", ",", 
    "0.06602348327601648`", ",", "0.06675724503913072`", ",", 
    "0.06749083128214073`", ",", "0.06822424213094269`", ",", 
    "0.06895747771128313`", ",", "0.06969053814875581`", ",", 
    "0.07042342356880793`", ",", "0.07115613409673438`", ",", 
    "0.07115613409673438`", ",", "0.07188866985768261`", ",", 
    "0.07262103097664818`", ",", "0.07262103097664818`", ",", 
    "0.07335321757848057`", ",", "0.07554873152743236`", ",", 
    "0.07628022130624501`", ",", "0.07701153718994025`", ",", 
    "0.07774267930247891`", ",", "0.07847364776767307`", ",", 
    "0.07920444270918825`", ",", "0.07993506425054386`", ",", 
    "0.08066551251511234`", ",", "0.08139578762612087`", ",", 
    "0.08212588970664836`", ",", "0.08285581887963067`", ",", 
    "0.08285581887963067`", ",", "0.08358557526785715`", ",", 
    "0.08431515899397013`", ",", "0.08504457018046985`", ",", 
    "0.08504457018046985`", ",", "0.08577380894970998`", ",", 
    "0.08577380894970998`", ",", "0.08650287542389945`", ",", 
    "0.0872317697251046`", ",", "0.0872317697251046`", ",", 
    "0.08796049197524525`", ",", "0.08868904229609997`", ",", 
    "0.08868904229609997`", ",", "0.0894174208093017`", ",", 
    "0.09014562763634126`", ",", "0.09014562763634126`", ",", 
    "0.09087366289856602`", ",", "0.09160152671718036`", ",", 
    "0.09160152671718036`", ",", "0.09232921921324522`", ",", 
    "0.09305674050768076`", ",", "0.09305674050768076`", ",", 
    "0.09378409072126415`", ",", "0.09451126997463044`", ",", 
    "0.09451126997463044`", ",", "0.09523827838827303`", ",", 
    "0.09523827838827303`", ",", "0.0959651160825441`", ",", 
    "0.09669178317765414`", ",", "0.09741827979367335`", ",", 
    "0.09741827979367335`", ",", "0.0981446060505311`", ",", 
    "0.09887076206801515`", ",", "0.09887076206801515`", ",", 
    "0.09959674796577378`", ",", "0.1003225638633154`", ",", 
    "0.1003225638633154`", ",", "0.10539852514938897`", ",", 
    "0.10539852514938897`", ",", "0.10612298533074815`", ",", 
    "0.10684727658119675`", ",", "0.10684727658119675`", ",", 
    "0.10757139901885404`", ",", "0.10829535276170299`", ",", 
    "0.10901913792758755`", ",", "0.10901913792758755`", ",", 
    "0.10974275463421579`", ",", "0.11046620299915766`", ",", 
    "0.11046620299915766`", ",", "0.111189483139849`", ",", 
    "0.11191259517358532`", ",", "0.11263553921752933`", ",", 
    "0.11263553921752933`", ",", "0.11335831538870567`", ",", 
    "0.11408092380400392`", ",", "0.11408092380400392`", ",", 
    "0.1148033645801787`", ",", "0.1155256378338474`", ",", 
    "0.1155256378338474`", ",", "0.11624774368149371`", ",", 
    "0.11696968223946635`", ",", "0.11769145362397904`", ",", 
    "0.11769145362397904`", ",", "0.1184130579511109`", ",", 
    "0.11913449533680742`", ",", "0.11985576589687863`", ",", 
    "0.11985576589687863`", ",", "0.12057686974700266`", ",", 
    "0.12129780700272175`", ",", "0.12129780700272175`", ",", 
    "0.12201857777944669`", ",", "0.12273918219245461`", ",", 
    "0.12345962035688851`", ",", "0.12345962035688851`", ",", 
    "0.12417989238776084`", ",", "0.12489999839994903`", ",", 
    "0.12561993850819908`", ",", "0.12561993850819908`", ",", 
    "0.12633971282712642`", ",", "0.1270593214712128`", ",", 
    "0.12777876455480763`", ",", "0.12777876455480763`", ",", 
    "0.12849804219213112`", ",", "0.12921715449727111`", ",", 
    "0.12921715449727111`", ",", "0.129936101584184`", ",", 
    "0.13065488356669563`", ",", "0.13137350055850083`", ",", 
    "0.13137350055850083`", ",", "0.1320919526731652`", ",", 
    "0.132810240024122`", ",", "0.132810240024122`", ",", 
    "0.1335283627246775`", ",", "0.13783364759829153`", ",", 
    "0.13783364759829153`", ",", "0.13855062090768255`", ",", 
    "0.13926743046845225`", ",", "0.13998407639274468`", ",", 
    "0.13998407639274468`", ",", "0.14070055879257604`", ",", 
    "0.14141687777983414`", ",", "0.14213303346627892`", ",", 
    "0.14284902596354465`", ",", "0.14284902596354465`", ",", 
    "0.1435648553831368`", ",", "0.1442805218364347`", ",", 
    "0.14499602543469026`", ",", "0.14499602543469026`", ",", 
    "0.14571136628903059`", ",", "0.1464265445104549`", ",", 
    "0.14714156020983582`", ",", "0.14714156020983582`", ",", 
    "0.14785641349792167`", ",", "0.14857110448533462`", ",", 
    "0.14928563328257072`", ",", "0.14928563328257072`", ",", "0.15`", ",", 
    "0.15071420474786956`", ",", "0.15142824763630003`", ",", 
    "0.15142824763630003`", ",", "0.15214212877528732`", ",", 
    "0.1528558482747031`", ",", "0.1535694062442956`", ",", 
    "0.1542828027936869`", ",", "0.1542828027936869`", ",", 
    "0.15499603803237738`", ",", "0.1557091120697418`", ",", 
    "0.15642202501503322`", ",", "0.15642202501503322`", ",", 
    "0.1571347769773781`", ",", "0.15784736806578437`", ",", 
    "0.15855979838913292`", ",", "0.15855979838913292`", ",", 
    "0.15927206805618477`", ",", "0.15998417717557567`", ",", 
    "0.1606961258558215`", ",", "0.1606961258558215`", ",", 
    "0.16140791420531508`", ",", "0.16211954233232584`", ",", 
    "0.16283101034500413`", ",", "0.16283101034500413`", ",", 
    "0.163542318351376`", ",", "0.16425346645934802`", ",", 
    "0.16496445477670418`", ",", "0.16567528341110815`", ",", 
    "0.16567528341110815`", ",", "0.16638595247010235`", ",", 
    "0.16709646206110973`", ",", "0.16780681229143113`", ",", 
    "0.16780681229143113`", ",", "0.16851700326824792`", ",", 
    "0.16922703509862158`", ",", "0.16993690788949323`", ",", 
    "0.16993690788949323`", ",", "0.17064662174768364`", ",", 
    "0.1713561767798959`", ",", "0.17206557309271275`", ",", 
    "0.17206557309271275`", ",", "0.17277481079259704`", ",", 
    "0.17631862381594177`", ",", "0.1770269120673187`", ",", 
    "0.1777350424476869`", ",", "0.17844301506256377`", ",", 
    "0.179150830017349`", ",", "0.179150830017349`", ",", 
    "0.17985848741732546`", ",", "0.1805659873676575`", ",", 
    "0.18127332997339307`", ",", "0.18127332997339307`", ",", 
    "0.1819805153394638`", ",", "0.1826875435706845`", ",", 
    "0.1833944147717541`", ",", "0.18410112904725429`", ",", 
    "0.18410112904725429`", ",", "0.18480768650165125`", ",", 
    "0.1855140872392953`", ",", "0.18622033136442084`", ",", 
    "0.1869264189811468`", ",", "0.1869264189811468`", ",", 
    "0.1876323501934789`", ",", "0.18833812510530334`", ",", 
    "0.1890437438203949`", ",", "0.18974920644241244`", ",", 
    "0.18974920644241244`", ",", "0.19045451307490024`", ",", 
    "0.1911596638212889`", ",", "0.19186465878489267`", ",", 
    "0.19256949806891432`", ",", "0.19256949806891432`", ",", 
    "0.19327418177644118`", ",", "0.1939787100104473`", ",", 
    "0.19468308287379266`", ",", "0.1953873004692248`", ",", 
    "0.1953873004692248`", ",", "0.19609136289937723`", ",", 
    "0.19679527026677102`", ",", "0.19749902267381447`", ",", 
    "0.19749902267381447`", ",", "0.19820262022280266`", ",", 
    "0.1989060630159183`", ",", "0.1996093511552317`", ",", 
    "0.20031248474270047`", ",", "0.20031248474270047`", ",", 
    "0.20101546388017333`", ",", "0.20171828866938268`", ",", 
    "0.20242095921195213`", ",", "0.20242095921195213`", ",", 
    "0.20312347560939337`", ",", "0.20382583796310616`", ",", 
    "0.2045280463743797`", ",", "0.2052301009443922`", ",", 
    "0.2052301009443922`", ",", "0.20593200177421078`", ",", 
    "0.20663374896479203`", ",", "0.20733534261698328`", ",", 
    "0.20803678283151816`", ",", "0.20803678283151816`", ",", 
    "0.2087380697090251`", ",", "0.20943920335001787`", ",", 
    "0.21014018385490418`", ",", "0.21014018385490418`", ",", 
    "0.21084101132398025`", ",", "0.2115416858574326`", ",", 
    "0.2122422075553394`", ",", "0.21294257651766957`", ",", 
    "0.21294257651766957`", ",", "0.21364279284428278`", ",", 
    "0.21434285663492947`", ",", "0.21504276798925304`", ",", 
    "0.21504276798925304`", ",", "0.21574252700678764`", ",", 
    "0.21644213378695776`", ",", "0.2171415884290826`", ",", 
    "0.21784089103237037`", ",", "0.21784089103237037`", ",", 
    "0.21854004169592356`"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8343098363196*^9, 
  3.834309838857601*^9}},ExpressionUUID->"e963ec31-bb0e-4381-ad14-\
6b20986fc0ba"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"wealthupdate", ",", 
     RowBox[{"wealth", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<expected wealth tomorrow\>\"", ",", "\"\<wealth today\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7906966368221292`*^9, 3.790696639152897*^9}, {
  3.7906967351068583`*^9, 3.790696788038828*^9}, {3.790697568516992*^9, 
  3.790697581448818*^9}, {3.826029087871574*^9, 3.8260291002351513`*^9}, {
  3.832716550645055*^9, 3.8327165734154463`*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"812631fb-a5d9-4d37-94b4-938996b190c2"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxd13lcFeUeBvBXDdJIwnLJohpwX7KDgprrQyGIqB0RBAR1BJFVORw47svr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         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxV131wVFcdxvEj0+kwHcfJMEytWOstIqJVG6wVsSIP7++weSGEkISbzSbZ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         "]]}}, {{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0., 349.}, {0, 0.21854004169592356`}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"expected wealth tomorrow\"", "\"wealth today\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.790696754805057*^9, 3.790696788753085*^9}, 
   3.790697253401207*^9, 3.790697581880879*^9, 3.790699525442193*^9, 
   3.7906998845151167`*^9, 3.790700909901127*^9, 3.790705903027952*^9, 
   3.7935574552606792`*^9, 3.809446606904867*^9, 3.809536950114443*^9, 
   3.809553099690571*^9, 3.825947161692875*^9, 3.825960252183552*^9, 
   3.8260177804683943`*^9, 3.8260291007518787`*^9, 3.8313262306841373`*^9, 
   3.8315724945155287`*^9, 3.831587064885385*^9, 3.831684007625203*^9, 
   3.831687766834031*^9, 3.832716520750401*^9, {3.832716556711069*^9, 
   3.83271657382239*^9}, 3.832783709720345*^9, 3.832785844816578*^9, 
   3.832786289666335*^9, 3.832790049924738*^9, 3.832816271950673*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"dee0b5a3-8ce8-4417-9e1f-f0683625e724"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"consumecity", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", 
        RowBox[{"Length", "[", "priceupdate", "]"}]}], "]"}], "]"}], ",", 
     "priceupdate"}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<payment in city\>\"", ",", "\"\<payment in community\>\""}],
      "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8327165592216454`*^9, 3.832716581555533*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"2a9a5ce8-440e-42cb-8e67-bf8b0cd22efd"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxd2EkOm0UQhuGCFUsvWLBg0UQIIYSQmWdShIQZYsI8JDSBMARCzLSvI/gI
fQQfoY7gI/QRfASE+GrRrzelR6Uuyb9/d1f1QzfvXrt1r5ldv8fsv/j/53xx
jear74M38P3wA77WeRBu8AX4YfgR+FH4Mfhx+Al4Cz8JP6VY3/tp+Bn4Wfg5
+Hn4BfhF+CX4ZcV67q/Ar8KvwRdhXx2wvY48bJcU9bsHbG8gD9tl5GG7gjxs
byrqPQvY3kIetreRh+0d5GF7V1HvdcD2HvKwvY88bB8gX67/zYerA7aryMO2
W+1wwFm+oPjRaocDTtiuYT0cZe0DCdvHqx0OOGH7RFH7isMBJ2yfYj0ccJZr
3/pstcMBJ2yfYz0cZe2LCdsXqx0OOGH7UlH7rMMBJ2xfYT0ccJZrH/96tcMB
J2zfYH1Z50LACdv11Q4HnOU6Z26sdjjghO1brC/r3Ao4YeurG+xwL+scDHjA
CU/YvlvdyjpXHe5wwANOeJbrnL65usEOdzjgUda5n/CE7fvVDXa4l9VHBDzg
hCdsPyiqD2mwwx0OeMBZVl8zYbu1usEO97L6ooAHnPCE7UdF9VUNdrjDAQ84
y+rTJmw/rW6ww72sPi/gASc8Yft5dSurb3S4wwEPOMvqOydsv6xusMO9rD41
4AEnPGG7rTpygx3ucMBDrr454Qnbr6sb7HL13R0OeMAJz6p/SfG31Q12uMMB
D7nmgIQnbHdWN9jlmiM6HPCAs+rJE7bfVzfY4S7X3BLwgBOesN1VHbnBDnc4
4CHX3JTwhG2/egM3ueauLezwDu5VT3PZHg74AA/4WPXlhE/whM+w/aGouXAD
N3gLO7yTa87s8B4O+ACPqq+59AgnfIJn1ZPPsP25egM3eCvXXOzwDu7wvurJ
AR/gAR/hrPqau0/whM+w/aV68gZu8BZ2eCfX3N/hPRzwoerJAz7CCZ/gWfV1
r3CG7e/VG7jJdS+xhR3ewR3eV33dYwR8gAd8rHpywid4wmfY/lHUvckGbvAW
drnuXXZwh/dwVD3dyxzgAR/hhE9V/6r/CxxqJ4I=
         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxd2Emy1EUQx/GUlctesGDBonxhEAZhGO2EiOArHzhPLaKgDJYoKIO+dtrn
EfoIdYQ+Qh6hj1BH6CMYBPmDqG9vKj6RUfnvrE1l1kt3j6/eO2Fmt18we7I+
/e0P59Xq7BfhBXwSPgWfhgt8AL8Mn4Ffgc/Cr8KvwUv4dfgN+E34Lfht+Bz8
Dnwefhe+AL8HX4Qvwe/Dh3Cd7bB9gDhsR4jDdhlx2K4gDtuHiMP2EeKwfYw4
bJ8gDtuniMP2GeKwfY44bF8gDtuXiMP2FeKwfY04bKvZFXY4YPsG+2GHA7ar
2A87HLB9i/2wwwHbNeyHHQ7YvsN+2OGA7Xvshx0O2K5jP+xwwHYD+2GX8x4I
2H6YXeW8JxwOWd//Ed+HHQ7YbmI/7HDAdgv7YZdVP2y3Z1fYZdUP251c8x6t
sMMh6579aXaFXc57OGBrs4uc93SFG+xy3uMdDnjIB7n+PLvAVc4+oMEuZ1/Q
4YAHbHdzzT6iwBVucvYZDnc45OxDhqy+55dcD/L7cIWbrPrhDgc8ZNX/6+wC
V1n1ww53OOQ8jwHbvdlFzvOqcINdzr6uwwEP2O7nmn1ggSvcYJezb+xwwENW
X/nb7AJXuMnZhzrc4YCHrL7199kFrnCTs891uMMhZx88YHswu8BVzr65wQ53
OfvqgIesPv7hXF+BK9xgl1U/HPCA7dHsIqt+uMEOdznPI+AB2+PZRc7zqnCD
He5yzjEBD9j+mF3knHsq3GCHOxxyzk0Dtj9nF7jKOWc12OEOh5xz2YDteHaB
q5xzXIMd7nDIOfcN2NazF3CBl3LOiRVewQ1epzVnOryBO7xVvpxDA97BA94r
n+bYv2Yv0s/qh5dwhVdwk1U/7PAG7vp/qh8OeAcPeK/8qv/v2Qu4wEu4pnV+
K7jBa9jhjfIfPV07vIUD3sFD+dN72P6ZvYALvEzrXaPCK7jBa+VLO7yBO7yF
Q/nz3WQHD3gP27+ZL72AC7yEK7xK692mwWvY4Q3clT+9hQPewUP58l1oD9t/
sxdwgZdpvTNVeAU3eK18+Q7l8Abu8BYO5U/vnvt/p41hMw==
         "]]}}, {{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotRange -> {{0., 349.}, {0, 63.}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"payment in city\"", "\"payment in community\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.832716523574904*^9, {3.832716559616712*^9, 3.832716581935865*^9}, 
   3.832783711772996*^9, 3.832785830016016*^9, 3.832786290084982*^9, 
   3.8327900510217447`*^9, 3.832816273302438*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"2e11ca6b-debc-469f-94c7-d23edf7b75c3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"bupdate", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"b", "/.", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"wealth", "[", 
         RowBox[{"[", 
          RowBox[{"priceupdate", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}], "<", "cbar"}], ",", 
       RowBox[{"b", "\[Rule]", " ", 
        RowBox[{"Min", "[", 
         RowBox[{
          RowBox[{"cbar", "-", 
           RowBox[{"wealth", "[", 
            RowBox[{"[", 
             RowBox[{"priceupdate", "[", 
              RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"dl", "/", 
             RowBox[{"(", 
              RowBox[{"1", "-", "dl"}], ")"}]}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}]}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], 
                   ")"}]}], ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], 
                   ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], 
                   ")"}]}]}], "}"}], ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Ps", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}], 
                 ",", 
                 RowBox[{"Ps", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], 
                "}"}]}], "-", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}]}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], 
                   ")"}]}], ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], 
                   ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], 
                   ")"}]}]}], "}"}], ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Pmplus", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}], 
                 ",", 
                 RowBox[{"Pmplus", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                    "]"}], "/", "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], 
                "}"}]}]}], ")"}]}], "+", 
           RowBox[{"cbar", "/", "8"}]}]}], "]"}]}], ",", 
       RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"pupdate", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"wealth", "[", 
     RowBox[{"[", 
      RowBox[{"priceupdate", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"cupdate", "=", 
  RowBox[{"pupdate", "+", "bupdate"}]}]}], "Input",
 CellChangeTimes->{{3.7906968669458714`*^9, 3.790696870379212*^9}, {
   3.790697009470319*^9, 3.7906970483686743`*^9}, {3.790697597329472*^9, 
   3.790697612134595*^9}, {3.790698078543375*^9, 3.7906980808121567`*^9}, 
   3.8259472140532217`*^9, 3.8259473863749123`*^9, {3.83166351338597*^9, 
   3.831663559425489*^9}, {3.831678324010537*^9, 3.831678327705117*^9}, 
   3.831684214197753*^9, {3.832780191077959*^9, 3.832780195480875*^9}, 
   3.832812091655411*^9},
 CellLabel->"In[32]:=",ExpressionUUID->"1df481c0-4b2d-46cb-aefe-68c3cb6c5878"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", "0.06163226013676393`", ",", 
   "0.060417036136465985`", ",", "0.05920534975597658`", ",", 
   "0.058017757177130314`", ",", "0.056847499345072716`", ",", 
   "0.05569002497095993`", ",", "0.054542539927942224`", ",", 
   "0.05341465137109114`", ",", "0.05229601161376185`", ",", 
   "0.051208323653769705`", ",", "0.050136059986649495`", ",", 
   "0.04909438625765988`", ",", "0.0482069319172192`", ",", 
   "0.04733426797084722`", ",", "0.04647396363556805`", ",", 
   "0.045618078438921406`", ",", "0.044775230601991955`", ",", 
   "0.04394667812371511`", ",", "0.04312672192293687`", ",", 
   "0.0423144843262348`", ",", "0.04152065766287788`", ",", 
   "0.040743051683349685`", ",", "0.03998386217537869`", ",", 
   "0.03923148947477767`", ",", "0.03849575451817788`", ",", 
   "0.037773775254701214`", ",", "0.037072445275430965`", ",", 
   "0.036376165253273085`", ",", "0.03569136358195946`", ",", 
   "0.03502690604729891`", ",", "0.03437004163650814`", ",", 
   "0.033726058578627316`", ",", "0.03309442908808835`", ",", 
   "0.03247423529244753`", ",", "0.03186579187568345`", ",", 
   "0.031267939373196385`", ",", "0.030681679547580387`", ",", 
   "0.030104202208963704`", ",", "0.029543360390451245`", ",", 
   "0.028986901762156958`", ",", "0.028986901762156958`", ",", 
   "0.028440256888546234`", ",", "0.027906784326640344`", ",", 
   "0.027906784326640344`", ",", "0.02738374041813957`", ",", 
   "0.025997540131138475`", ",", "0.025607679157177987`", ",", 
   "0.025218528177334054`", ",", "0.024838675058729`", ",", 
   "0.02446537517091335`", ",", "0.02410201867356926`", ",", 
   "0.023739314898074015`", ",", "0.02338372882439238`", ",", 
   "0.023036933509946345`", ",", "0.022694661931182802`", ",", 
   "0.022358390983984955`", ",", "0.022358390983984955`", ",", 
   "0.022024864006189804`", ",", "0.021701345299655284`", ",", 
   "0.021383806136578754`", ",", "0.021383806136578754`", ",", 
   "0.021065713583609313`", ",", "0.021065713583609313`", ",", 
   "0.020756902768953867`", ",", "0.020453032239454272`", ",", 
   "0.020453032239454272`", ",", "0.020153734620469765`", ",", 
   "0.01985831799172766`", ",", "0.01985831799172766`", ",", 
   "0.019567598801344344`", ",", "0.019285895011553145`", ",", 
   "0.019285895011553145`", ",", "0.019002515450150692`", ",", 
   "0.018725888987008388`", ",", "0.018725888987008388`", ",", 
   "0.018455765273597657`", ",", "0.01818904204515781`", ",", 
   "0.01818904204515781`", ",", "0.01792352154239052`", ",", 
   "0.017664029301978523`", ",", "0.017664029301978523`", ",", 
   "0.01741058009069485`", ",", "0.01741058009069485`", ",", 
   "0.017158117641124182`", ",", "0.016910710574638665`", ",", 
   "0.016666637832562503`", ",", "0.016666637832562503`", ",", 
   "0.016428435103078398`", ",", "0.016192552045767195`", ",", 
   "0.016192552045767195`", ",", "0.015958336685162722`", ",", 
   "0.015729952001084124`", ",", "0.015729952001084124`", ",", 
   "0.014472094168042182`", ",", "0.014472094168042182`", ",", 
   "0.01433235209177991`", ",", "0.014194229419087101`", ",", 
   "0.014194229419087101`", ",", "0.014055190183651922`", ",", 
   "0.013922122354901811`", ",", "0.013789489028576574`", ",", 
   "0.013789489028576574`", ",", "0.01365561621605721`", ",", 
   "0.013526441056820937`", ",", "0.013526441056820937`", ",", 
   "0.01339931219257856`", ",", "0.013269778927401055`", ",", 
   "0.013144972426726353`", ",", "0.013144972426726353`", ",", 
   "0.013022505821674302`", ",", "0.012897759877329384`", ",", 
   "0.012897759877329384`", ",", "0.012776734263986289`", ",", 
   "0.012658668036533427`", ",", "0.012658668036533427`", ",", 
   "0.012539017104480299`", ",", "0.012422059737876634`", ",", 
   "0.01230648306831128`", ",", "0.01230648306831128`", ",", 
   "0.01219237432600967`", ",", "0.012079347725428402`", ",", 
   "0.011966911216847509`", ",", "0.011966911216847509`", ",", 
   "0.011857000046908928`", ",", "0.011748035363796427`", ",", 
   "0.011748035363796427`", ",", "0.011638721454441114`", ",", 
   "0.011532416140971835`", ",", "0.011427730622186716`", ",", 
   "0.011427730622186716`", ",", "0.011321836935239138`", ",", 
   "0.011217807035174998`", ",", "0.011116647539705204`", ",", 
   "0.011116647539705204`", ",", "0.011014430927736074`", ",", 
   "0.010914161030115832`", ",", "0.010816049874031952`", ",", 
   "0.010816049874031952`", ",", "0.010716703916524795`", ",", 
   "0.010620148749490355`", ",", "0.010620148749490355`", ",", 
   "0.010524281341253272`", ",", "0.01042949639159274`", ",", 
   "0.010334799066541833`", ",", "0.010334799066541833`", ",", 
   "0.010241568667270884`", ",", "0.010150314039781227`", ",", 
   "0.010150314039781227`", ",", "0.010058233027094798`", ",", 
   "0.009669880095627748`", ",", "0.009669880095627748`", ",", 
   "0.009627010652998258`", ",", "0.00958568529678172`", ",", 
   "0.009544483288495165`", ",", "0.009544483288495165`", ",", 
   "0.009501656799893787`", ",", "0.009461160543606073`", ",", 
   "0.009420666820570855`", ",", "0.009379350127714958`", ",", 
   "0.009379350127714958`", ",", "0.009339064731315128`", ",", 
   "0.009299881624208639`", ",", "0.009259558441404248`", ",", 
   "0.009259558441404248`", ",", "0.009219477098420747`", ",", 
   "0.009181029533782192`", ",", "0.009142284872198092`", ",", 
   "0.009142284872198092`", ",", "0.009102500118691403`", ",", 
   "0.009064661302148058`", ",", "0.00902674271642051`", ",", 
   "0.00902674271642051`", ",", "0.008987342736368753`", ",", 
   "0.008950489344138779`", ",", "0.008913963390836888`", ",", 
   "0.008913963390836888`", ",", "0.008875348174888942`", ",", 
   "0.008838569699402998`", ",", "0.008802466630879024`", ",", 
   "0.008765505915355465`", ",", "0.008765505915355465`", ",", 
   "0.008728776966664464`", ",", "0.008693391807542028`", ",", 
   "0.008657635187414248`", ",", "0.008657635187414248`", ",", 
   "0.008621040641971223`", ",", "0.008586453349002099`", ",", 
   "0.008551501561454733`", ",", "0.008551501561454733`", ",", 
   "0.00851545403212417`", ",", "0.008481044754598044`", ",", 
   "0.008447191140990185`", ",", "0.008447191140990185`", ",", 
   "0.00841149978280692`", ",", "0.00837770430939011`", ",", 
   "0.008344354281563882`", ",", "0.008344354281563882`", ",", 
   "0.008309778654638778`", ",", "0.008276420822596275`", ",", 
   "0.008243514897920301`", ",", "0.008209920109594537`", ",", 
   "0.008209920109594537`", ",", "0.00817659491172884`", ",", 
   "0.008144446933431748`", ",", "0.008111580552086162`", ",", 
   "0.008111580552086162`", ",", "0.008078387114585861`", ",", 
   "0.00804679110043549`", ",", "0.008014979077878404`", ",", 
   "0.008014979077878404`", ",", "0.007982232547986134`", ",", 
   "0.007951107430049453`", ",", "0.007919772753758658`", ",", 
   "0.007919772753758658`", ",", "0.007887634562975365`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`"}], "}"}]], "Output",
 CellChangeTimes->{3.831684009884063*^9, 3.831687769139646*^9, 
  3.832783712517624*^9, 3.8327862904408073`*^9, 3.8327900519219217`*^9, 
  3.832816274350037*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"95331653-ba64-4369-9e13-30ce507adbf3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "1000"], ",", 
   FractionBox["1", "1000"], ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
    ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "2000"], ",", 
   FractionBox["1", "1000"], ",", 
   FractionBox["1", "1000"], ",", 
   FractionBox["3", "2000"], ",", 
   FractionBox["3", "2000"], ",", 
   FractionBox["3", "2000"], ",", 
   FractionBox["1", "500"], ",", 
   FractionBox["1", "500"], ",", 
   FractionBox["1", "500"], ",", 
   FractionBox["1", "400"], ",", 
   FractionBox["1", "400"], ",", 
   FractionBox["1", "400"], ",", 
   FractionBox["3", "1000"], ",", 
   FractionBox["3", "1000"], ",", 
   FractionBox["3", "1000"], ",", 
   FractionBox["7", "2000"], ",", 
   FractionBox["7", "2000"], ",", 
   FractionBox["7", "2000"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["9", "2000"], ",", 
   FractionBox["9", "2000"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["13", "2000"], ",", 
   FractionBox["7", "2000"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["9", "2000"], ",", 
   FractionBox["9", "2000"], ",", 
   FractionBox["9", "2000"], ",", 
   FractionBox["9", "2000"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["11", "2000"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["13", "2000"], ",", 
   FractionBox["13", "2000"], ",", 
   FractionBox["13", "2000"], ",", 
   FractionBox["7", "1000"], ",", 
   FractionBox["7", "1000"], ",", 
   FractionBox["7", "1000"], ",", 
   FractionBox["7", "1000"], ",", 
   FractionBox["3", "400"], ",", 
   FractionBox["3", "400"], ",", 
   FractionBox["3", "400"], ",", 
   FractionBox["3", "400"], ",", 
   FractionBox["1", "125"], ",", 
   FractionBox["1", "125"], ",", 
   FractionBox["1", "125"], ",", 
   FractionBox["17", "2000"], ",", 
   FractionBox["17", "2000"], ",", 
   FractionBox["17", "2000"], ",", 
   FractionBox["17", "2000"], ",", 
   FractionBox["9", "1000"], ",", 
   FractionBox["9", "1000"], ",", 
   FractionBox["9", "1000"], ",", 
   FractionBox["9", "1000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["23", "2000"], ",", 
   FractionBox["23", "2000"], ",", 
   FractionBox["9", "1000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["19", "2000"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["21", "2000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["23", "2000"], ",", 
   FractionBox["23", "2000"], ",", 
   FractionBox["23", "2000"], ",", 
   FractionBox["23", "2000"], ",", 
   FractionBox["3", "250"], ",", 
   FractionBox["3", "250"], ",", 
   FractionBox["3", "250"], ",", 
   FractionBox["3", "250"], ",", 
   FractionBox["1", "80"], ",", 
   FractionBox["1", "80"], ",", 
   FractionBox["1", "80"], ",", 
   FractionBox["1", "80"], ",", 
   FractionBox["1", "80"], ",", 
   FractionBox["13", "1000"], ",", 
   FractionBox["13", "1000"], ",", 
   FractionBox["13", "1000"], ",", 
   FractionBox["13", "1000"], ",", 
   FractionBox["27", "2000"], ",", 
   FractionBox["27", "2000"], ",", 
   FractionBox["27", "2000"], ",", 
   FractionBox["27", "2000"], ",", 
   FractionBox["7", "500"], ",", 
   FractionBox["7", "500"], ",", 
   FractionBox["7", "500"], ",", 
   FractionBox["7", "500"], ",", 
   FractionBox["29", "2000"], ",", 
   FractionBox["29", "2000"], ",", 
   FractionBox["29", "2000"], ",", 
   FractionBox["29", "2000"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["31", "2000"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["33", "2000"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["7", "400"], ",", 
   FractionBox["7", "400"], ",", 
   FractionBox["7", "400"], ",", 
   FractionBox["7", "400"], ",", 
   FractionBox["7", "400"], ",", 
   FractionBox["9", "500"], ",", 
   FractionBox["9", "500"], ",", 
   FractionBox["9", "500"], ",", 
   FractionBox["9", "500"], ",", 
   FractionBox["9", "500"], ",", 
   FractionBox["37", "2000"], ",", 
   FractionBox["37", "2000"], ",", 
   FractionBox["37", "2000"], ",", 
   FractionBox["37", "2000"], ",", 
   FractionBox["19", "1000"], ",", 
   FractionBox["19", "1000"], ",", 
   FractionBox["19", "1000"], ",", 
   FractionBox["19", "1000"], ",", 
   FractionBox["19", "1000"], ",", 
   FractionBox["39", "2000"], ",", 
   FractionBox["39", "2000"], ",", 
   FractionBox["39", "2000"], ",", 
   FractionBox["39", "2000"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["41", "2000"], ",", 
   FractionBox["41", "2000"], ",", 
   FractionBox["41", "2000"], ",", 
   FractionBox["41", "2000"], ",", 
   FractionBox["41", "2000"], ",", 
   FractionBox["21", "1000"], ",", 
   FractionBox["21", "1000"], ",", 
   FractionBox["21", "1000"], ",", 
   FractionBox["21", "1000"], ",", 
   FractionBox["43", "2000"], ",", 
   FractionBox["43", "2000"], ",", 
   FractionBox["43", "2000"], ",", 
   FractionBox["43", "2000"], ",", 
   FractionBox["43", "2000"], ",", 
   FractionBox["11", "500"], ",", 
   FractionBox["11", "500"], ",", 
   FractionBox["11", "500"], ",", 
   FractionBox["11", "500"], ",", 
   FractionBox["9", "400"], ",", 
   FractionBox["9", "400"], ",", 
   FractionBox["9", "400"], ",", 
   FractionBox["9", "400"], ",", 
   FractionBox["9", "400"], ",", 
   FractionBox["23", "1000"], ",", 
   FractionBox["23", "1000"]}], "}"}]], "Output",
 CellChangeTimes->{3.831684009884063*^9, 3.831687769139646*^9, 
  3.832783712517624*^9, 3.8327862904408073`*^9, 3.8327900519219217`*^9, 
  3.832816274399212*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"9bdc90c0-d65d-4d41-bc23-4bfe202556c8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", "0.06163226013676393`", ",", 
   "0.060417036136465985`", ",", "0.05920534975597658`", ",", 
   "0.058017757177130314`", ",", "0.056847499345072716`", ",", 
   "0.05569002497095993`", ",", "0.054542539927942224`", ",", 
   "0.05341465137109114`", ",", "0.05229601161376185`", ",", 
   "0.051208323653769705`", ",", "0.050136059986649495`", ",", 
   "0.04909438625765988`", ",", "0.0482069319172192`", ",", 
   "0.04733426797084722`", ",", "0.04647396363556805`", ",", 
   "0.045618078438921406`", ",", "0.044775230601991955`", ",", 
   "0.04394667812371511`", ",", "0.04312672192293687`", ",", 
   "0.0423144843262348`", ",", "0.04152065766287788`", ",", 
   "0.040743051683349685`", ",", "0.03998386217537869`", ",", 
   "0.03923148947477767`", ",", "0.03849575451817788`", ",", 
   "0.037773775254701214`", ",", "0.037072445275430965`", ",", 
   "0.036376165253273085`", ",", "0.03569136358195946`", ",", 
   "0.03502690604729891`", ",", "0.03437004163650814`", ",", 
   "0.033726058578627316`", ",", "0.03309442908808835`", ",", 
   "0.03247423529244753`", ",", "0.03186579187568345`", ",", 
   "0.031267939373196385`", ",", "0.030681679547580387`", ",", 
   "0.030104202208963704`", ",", "0.029543360390451245`", ",", 
   "0.028986901762156958`", ",", "0.02948690176215696`", ",", 
   "0.028940256888546234`", ",", "0.028406784326640344`", ",", 
   "0.028906784326640345`", ",", "0.02838374041813957`", ",", 
   "0.025997540131138475`", ",", "0.025607679157177987`", ",", 
   "0.025218528177334054`", ",", "0.024838675058729`", ",", 
   "0.02446537517091335`", ",", "0.02410201867356926`", ",", 
   "0.023739314898074015`", ",", "0.02338372882439238`", ",", 
   "0.023036933509946345`", ",", "0.022694661931182802`", ",", 
   "0.022358390983984955`", ",", "0.022858390983984955`", ",", 
   "0.022524864006189804`", ",", "0.022201345299655284`", ",", 
   "0.021883806136578754`", ",", "0.022383806136578754`", ",", 
   "0.022065713583609314`", ",", "0.022565713583609315`", ",", 
   "0.022256902768953868`", ",", "0.021953032239454273`", ",", 
   "0.022453032239454274`", ",", "0.022153734620469767`", ",", 
   "0.02185831799172766`", ",", "0.022358317991727657`", ",", 
   "0.022067598801344342`", ",", "0.021785895011553143`", ",", 
   "0.022285895011553144`", ",", "0.02200251545015069`", ",", 
   "0.021725888987008387`", ",", "0.022225888987008387`", ",", 
   "0.021955765273597657`", ",", "0.02168904204515781`", ",", 
   "0.02218904204515781`", ",", "0.02192352154239052`", ",", 
   "0.021664029301978523`", ",", "0.022164029301978524`", ",", 
   "0.02191058009069485`", ",", "0.02241058009069485`", ",", 
   "0.022158117641124183`", ",", "0.021910710574638666`", ",", 
   "0.021666637832562504`", ",", "0.0221666378325625`", ",", 
   "0.021928435103078396`", ",", "0.021692552045767192`", ",", 
   "0.022192552045767193`", ",", "0.02195833668516272`", ",", 
   "0.021729952001084123`", ",", "0.022229952001084123`", ",", 
   "0.017972094168042182`", ",", "0.018472094168042182`", ",", 
   "0.01833235209177991`", ",", "0.0181942294190871`", ",", 
   "0.0186942294190871`", ",", "0.018555190183651923`", ",", 
   "0.018422122354901812`", ",", "0.018289489028576574`", ",", 
   "0.018789489028576575`", ",", "0.01865561621605721`", ",", 
   "0.018526441056820938`", ",", "0.019026441056820935`", ",", 
   "0.01889931219257856`", ",", "0.018769778927401053`", ",", 
   "0.01864497242672635`", ",", "0.019144972426726352`", ",", 
   "0.0190225058216743`", ",", "0.018897759877329383`", ",", 
   "0.019397759877329383`", ",", "0.019276734263986288`", ",", 
   "0.019158668036533426`", ",", "0.019658668036533426`", ",", 
   "0.019539017104480298`", ",", "0.019422059737876633`", ",", 
   "0.01930648306831128`", ",", "0.01980648306831128`", ",", 
   "0.01969237432600967`", ",", "0.019579347725428402`", ",", 
   "0.01946691121684751`", ",", "0.01996691121684751`", ",", 
   "0.019857000046908928`", ",", "0.019748035363796428`", ",", 
   "0.020248035363796428`", ",", "0.020138721454441115`", ",", 
   "0.020032416140971836`", ",", "0.019927730622186716`", ",", 
   "0.020427730622186717`", ",", "0.02032183693523914`", ",", 
   "0.020217807035175`", ",", "0.020116647539705206`", ",", 
   "0.020616647539705206`", ",", "0.020514430927736076`", ",", 
   "0.020414161030115834`", ",", "0.020316049874031954`", ",", 
   "0.020816049874031954`", ",", "0.020716703916524797`", ",", 
   "0.020620148749490357`", ",", "0.021120148749490357`", ",", 
   "0.021024281341253274`", ",", "0.020929496391592743`", ",", 
   "0.020834799066541836`", ",", "0.021334799066541833`", ",", 
   "0.021241568667270883`", ",", "0.021150314039781227`", ",", 
   "0.021650314039781227`", ",", "0.021558233027094798`", ",", 
   "0.01866988009562775`", ",", "0.01916988009562775`", ",", 
   "0.01912701065299826`", ",", "0.019085685296781722`", ",", 
   "0.019044483288495166`", ",", "0.019544483288495167`", ",", 
   "0.01950165679989379`", ",", "0.019461160543606075`", ",", 
   "0.019420666820570857`", ",", "0.01937935012771496`", ",", 
   "0.01987935012771496`", ",", "0.01983906473131513`", ",", 
   "0.01979988162420864`", ",", "0.01975955844140425`", ",", 
   "0.020259558441404247`", ",", "0.020219477098420747`", ",", 
   "0.02018102953378219`", ",", "0.02014228487219809`", ",", 
   "0.020642284872198092`", ",", "0.020602500118691403`", ",", 
   "0.020564661302148058`", ",", "0.02052674271642051`", ",", 
   "0.02102674271642051`", ",", "0.020987342736368753`", ",", 
   "0.02095048934413878`", ",", "0.020913963390836888`", ",", 
   "0.02141396339083689`", ",", "0.021375348174888942`", ",", 
   "0.021338569699403`", ",", "0.021302466630879025`", ",", 
   "0.021265505915355466`", ",", "0.021765505915355463`", ",", 
   "0.021728776966664462`", ",", "0.021693391807542026`", ",", 
   "0.021657635187414245`", ",", "0.022157635187414246`", ",", 
   "0.02212104064197122`", ",", "0.022086453349002097`", ",", 
   "0.02205150156145473`", ",", "0.02255150156145473`", ",", 
   "0.02251545403212417`", ",", "0.022481044754598042`", ",", 
   "0.022447191140990183`", ",", "0.022947191140990184`", ",", 
   "0.02291149978280692`", ",", "0.02287770430939011`", ",", 
   "0.02284435428156388`", ",", "0.02334435428156388`", ",", 
   "0.023309778654638777`", ",", "0.023276420822596275`", ",", 
   "0.0232435148979203`", ",", "0.023209920109594537`", ",", 
   "0.023709920109594537`", ",", "0.02367659491172884`", ",", 
   "0.023644446933431748`", ",", "0.02361158055208616`", ",", 
   "0.024111580552086162`", ",", "0.02407838711458586`", ",", 
   "0.02404679110043549`", ",", "0.024014979077878404`", ",", 
   "0.024514979077878404`", ",", "0.024482232547986135`", ",", 
   "0.024451107430049454`", ",", "0.02441977275375866`", ",", 
   "0.02491977275375866`", ",", "0.024887634562975366`", ",", "0.0228125`", 
   ",", "0.0228125`", ",", "0.0228125`", ",", "0.0228125`", ",", "0.0228125`",
    ",", "0.0233125`", ",", "0.0233125`", ",", "0.0233125`", ",", 
   "0.0233125`", ",", "0.0238125`", ",", "0.0238125`", ",", "0.0238125`", ",",
    "0.0238125`", ",", "0.0238125`", ",", "0.0243125`", ",", "0.0243125`", 
   ",", "0.0243125`", ",", "0.0243125`", ",", "0.0243125`", ",", "0.0248125`",
    ",", "0.0248125`", ",", "0.0248125`", ",", "0.0248125`", ",", 
   "0.0248125`", ",", "0.0253125`", ",", "0.0253125`", ",", "0.0253125`", ",",
    "0.0253125`", ",", "0.0253125`", ",", "0.0258125`", ",", "0.0258125`", 
   ",", "0.0258125`", ",", "0.0258125`", ",", "0.0258125`", ",", "0.0263125`",
    ",", "0.0263125`", ",", "0.0263125`", ",", "0.0263125`", ",", 
   "0.0268125`", ",", "0.0268125`", ",", "0.0268125`", ",", "0.0268125`", ",",
    "0.0268125`", ",", "0.0273125`", ",", "0.0273125`", ",", "0.0273125`", 
   ",", "0.0273125`", ",", "0.0278125`", ",", "0.0278125`", ",", "0.0278125`",
    ",", "0.0278125`", ",", "0.0278125`", ",", "0.0283125`", ",", 
   "0.0283125`", ",", "0.0283125`", ",", "0.0283125`", ",", "0.0283125`", ",",
    "0.0288125`", ",", "0.0288125`", ",", "0.0288125`", ",", "0.0288125`", 
   ",", "0.0293125`", ",", "0.0293125`", ",", "0.0293125`", ",", "0.0293125`",
    ",", "0.0293125`", ",", "0.0298125`", ",", "0.0298125`", ",", 
   "0.0298125`", ",", "0.0298125`", ",", "0.0303125`", ",", "0.0303125`", ",",
    "0.0303125`", ",", "0.0303125`", ",", "0.0303125`", ",", "0.0308125`", 
   ",", "0.0308125`"}], "}"}]], "Output",
 CellChangeTimes->{3.831684009884063*^9, 3.831687769139646*^9, 
  3.832783712517624*^9, 3.8327862904408073`*^9, 3.8327900519219217`*^9, 
  3.832816274453574*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"3415abd1-85ca-4045-a677-e498a56a0ca0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "bupdate", "]"}]], "Input",
 CellChangeTimes->{{3.831587130516255*^9, 3.831587132261064*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"893c11f1-74a0-4447-a68b-3c870c25e6a9"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd1HlUVOcZBvCv6omK2xgR93g1RMW6TFQQEfRxi7sMm6zqZRNZhKFEo2Li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      "]]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 349.}, {0, 0.0625}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.831587132628273*^9, 3.8316840118313704`*^9, 
  3.83168777228926*^9, 3.832783713266034*^9, 3.83278629068143*^9, 
  3.8327900526224947`*^9, 3.832816275347144*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"8a07d130-a362-45a5-bb39-5c4b30024283"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["bupdate"], "Input",
 CellChangeTimes->{{3.832786326856686*^9, 3.83278634288732*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"6e76a4f7-4b6c-4c8a-9275-c546483f7500"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", "0.06163226013676393`", ",", 
   "0.060417036136465985`", ",", "0.05920534975597658`", ",", 
   "0.058017757177130314`", ",", "0.056847499345072716`", ",", 
   "0.05569002497095993`", ",", "0.054542539927942224`", ",", 
   "0.05341465137109114`", ",", "0.05229601161376185`", ",", 
   "0.051208323653769705`", ",", "0.050136059986649495`", ",", 
   "0.04909438625765988`", ",", "0.0482069319172192`", ",", 
   "0.04733426797084722`", ",", "0.04647396363556805`", ",", 
   "0.045618078438921406`", ",", "0.044775230601991955`", ",", 
   "0.04394667812371511`", ",", "0.04312672192293687`", ",", 
   "0.0423144843262348`", ",", "0.04152065766287788`", ",", 
   "0.040743051683349685`", ",", "0.03998386217537869`", ",", 
   "0.03923148947477767`", ",", "0.03849575451817788`", ",", 
   "0.037773775254701214`", ",", "0.037072445275430965`", ",", 
   "0.036376165253273085`", ",", "0.03569136358195946`", ",", 
   "0.03502690604729891`", ",", "0.03437004163650814`", ",", 
   "0.033726058578627316`", ",", "0.03309442908808835`", ",", 
   "0.03247423529244753`", ",", "0.03186579187568345`", ",", 
   "0.031267939373196385`", ",", "0.030681679547580387`", ",", 
   "0.030104202208963704`", ",", "0.029543360390451245`", ",", 
   "0.028986901762156958`", ",", "0.028986901762156958`", ",", 
   "0.028440256888546234`", ",", "0.027906784326640344`", ",", 
   "0.027906784326640344`", ",", "0.02738374041813957`", ",", 
   "0.025997540131138475`", ",", "0.025607679157177987`", ",", 
   "0.025218528177334054`", ",", "0.024838675058729`", ",", 
   "0.02446537517091335`", ",", "0.02410201867356926`", ",", 
   "0.023739314898074015`", ",", "0.02338372882439238`", ",", 
   "0.023036933509946345`", ",", "0.022694661931182802`", ",", 
   "0.022358390983984955`", ",", "0.022358390983984955`", ",", 
   "0.022024864006189804`", ",", "0.021701345299655284`", ",", 
   "0.021383806136578754`", ",", "0.021383806136578754`", ",", 
   "0.021065713583609313`", ",", "0.021065713583609313`", ",", 
   "0.020756902768953867`", ",", "0.020453032239454272`", ",", 
   "0.020453032239454272`", ",", "0.020153734620469765`", ",", 
   "0.01985831799172766`", ",", "0.01985831799172766`", ",", 
   "0.019567598801344344`", ",", "0.019285895011553145`", ",", 
   "0.019285895011553145`", ",", "0.019002515450150692`", ",", 
   "0.018725888987008388`", ",", "0.018725888987008388`", ",", 
   "0.018455765273597657`", ",", "0.01818904204515781`", ",", 
   "0.01818904204515781`", ",", "0.01792352154239052`", ",", 
   "0.017664029301978523`", ",", "0.017664029301978523`", ",", 
   "0.01741058009069485`", ",", "0.01741058009069485`", ",", 
   "0.017158117641124182`", ",", "0.016910710574638665`", ",", 
   "0.016666637832562503`", ",", "0.016666637832562503`", ",", 
   "0.016428435103078398`", ",", "0.016192552045767195`", ",", 
   "0.016192552045767195`", ",", "0.015958336685162722`", ",", 
   "0.015729952001084124`", ",", "0.015729952001084124`", ",", 
   "0.014472094168042182`", ",", "0.014472094168042182`", ",", 
   "0.01433235209177991`", ",", "0.014194229419087101`", ",", 
   "0.014194229419087101`", ",", "0.014055190183651922`", ",", 
   "0.013922122354901811`", ",", "0.013789489028576574`", ",", 
   "0.013789489028576574`", ",", "0.01365561621605721`", ",", 
   "0.013526441056820937`", ",", "0.013526441056820937`", ",", 
   "0.01339931219257856`", ",", "0.013269778927401055`", ",", 
   "0.013144972426726353`", ",", "0.013144972426726353`", ",", 
   "0.013022505821674302`", ",", "0.012897759877329384`", ",", 
   "0.012897759877329384`", ",", "0.012776734263986289`", ",", 
   "0.012658668036533427`", ",", "0.012658668036533427`", ",", 
   "0.012539017104480299`", ",", "0.012422059737876634`", ",", 
   "0.01230648306831128`", ",", "0.01230648306831128`", ",", 
   "0.01219237432600967`", ",", "0.012079347725428402`", ",", 
   "0.011966911216847509`", ",", "0.011966911216847509`", ",", 
   "0.011857000046908928`", ",", "0.011748035363796427`", ",", 
   "0.011748035363796427`", ",", "0.011638721454441114`", ",", 
   "0.011532416140971835`", ",", "0.011427730622186716`", ",", 
   "0.011427730622186716`", ",", "0.011321836935239138`", ",", 
   "0.011217807035174998`", ",", "0.011116647539705204`", ",", 
   "0.011116647539705204`", ",", "0.011014430927736074`", ",", 
   "0.010914161030115832`", ",", "0.010816049874031952`", ",", 
   "0.010816049874031952`", ",", "0.010716703916524795`", ",", 
   "0.010620148749490355`", ",", "0.010620148749490355`", ",", 
   "0.010524281341253272`", ",", "0.01042949639159274`", ",", 
   "0.010334799066541833`", ",", "0.010334799066541833`", ",", 
   "0.010241568667270884`", ",", "0.010150314039781227`", ",", 
   "0.010150314039781227`", ",", "0.010058233027094798`", ",", 
   "0.009669880095627748`", ",", "0.009669880095627748`", ",", 
   "0.009627010652998258`", ",", "0.00958568529678172`", ",", 
   "0.009544483288495165`", ",", "0.009544483288495165`", ",", 
   "0.009501656799893787`", ",", "0.009461160543606073`", ",", 
   "0.009420666820570855`", ",", "0.009379350127714958`", ",", 
   "0.009379350127714958`", ",", "0.009339064731315128`", ",", 
   "0.009299881624208639`", ",", "0.009259558441404248`", ",", 
   "0.009259558441404248`", ",", "0.009219477098420747`", ",", 
   "0.009181029533782192`", ",", "0.009142284872198092`", ",", 
   "0.009142284872198092`", ",", "0.009102500118691403`", ",", 
   "0.009064661302148058`", ",", "0.00902674271642051`", ",", 
   "0.00902674271642051`", ",", "0.008987342736368753`", ",", 
   "0.008950489344138779`", ",", "0.008913963390836888`", ",", 
   "0.008913963390836888`", ",", "0.008875348174888942`", ",", 
   "0.008838569699402998`", ",", "0.008802466630879024`", ",", 
   "0.008765505915355465`", ",", "0.008765505915355465`", ",", 
   "0.008728776966664464`", ",", "0.008693391807542028`", ",", 
   "0.008657635187414248`", ",", "0.008657635187414248`", ",", 
   "0.008621040641971223`", ",", "0.008586453349002099`", ",", 
   "0.008551501561454733`", ",", "0.008551501561454733`", ",", 
   "0.00851545403212417`", ",", "0.008481044754598044`", ",", 
   "0.008447191140990185`", ",", "0.008447191140990185`", ",", 
   "0.00841149978280692`", ",", "0.00837770430939011`", ",", 
   "0.008344354281563882`", ",", "0.008344354281563882`", ",", 
   "0.008309778654638778`", ",", "0.008276420822596275`", ",", 
   "0.008243514897920301`", ",", "0.008209920109594537`", ",", 
   "0.008209920109594537`", ",", "0.00817659491172884`", ",", 
   "0.008144446933431748`", ",", "0.008111580552086162`", ",", 
   "0.008111580552086162`", ",", "0.008078387114585861`", ",", 
   "0.00804679110043549`", ",", "0.008014979077878404`", ",", 
   "0.008014979077878404`", ",", "0.007982232547986134`", ",", 
   "0.007951107430049453`", ",", "0.007919772753758658`", ",", 
   "0.007919772753758658`", ",", "0.007887634562975365`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`",
    ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", 
   "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",",
    "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", ",", "0.0078125`", 
   ",", "0.0078125`"}], "}"}]], "Output",
 CellChangeTimes->{{3.832786329351479*^9, 3.832786343242239*^9}, 
   3.832790053076003*^9, 3.832816276002324*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"b986abe5-9049-475b-87ca-1f6f569338e3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"bupdate", ",", "pupdate", ",", "cupdate", ",", 
     RowBox[{"Table", "[", 
      RowBox[{"cbar", ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green", ",", "Orange"}], "}"}]}], ",", 
   
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<b: favors\>\"", ",", "\"\<upfront payment\>\"", ",", 
      "\"\<consumption\>\"", ",", "\"\<cbar\>\""}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.790697160892262*^9, 3.790697212891251*^9}, {
  3.7906976997663517`*^9, 3.790697722625543*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"994c68b7-c3f1-4798-8896-15010649ad85"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]], 
        PointBox[CompressedData["
1:eJxd1HlUVOcZBvCv6omK2xgR93g1RMW6TFQQEfRxi7sMm6zqZRNZhKFEo2Li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         "]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]], 
        PointBox[CompressedData["
1:eJxd1V+IlGUUx/GTSIhEzIWEUcRTiET2Z+yfmZnHyszSnNWy1Vx9dnZ2d/b/
O7OzUhbyWNlmZk1ZSSL0RnQhRCwRIRHxXHQRBDF0ExHRGxERdbHSRfQPatoT
8Xzfm+HD4ezvPWdmn+fy6tSOwUUi0neeSPdz4ZnfIOmjKZfAJXgZvBy+FHbw
FfAKeCV8JXwVfDV8LVyGV8PXwzfAN8I3wTfDa+Bb4LXwrfA6+DZ4PXw7vAHW
1AGWjajDcgfqsNyJOix3oQ7LJtRhuRt1WDajDss9qMOyBXVY7kUdlvtQh2Ur
6rBsQx2W+1GHZTvqsFRSKxzgCEsP+uEAR1h2oB8OcIRlJ/rhAEdYHkA/HOAI
y4PohwMcYdmFfjjAEZaH0A8HOMLSi3449OqfZ859vq2qC/dChGV3av3PlQUH
OO5G/h7kwwGOsDyMfjjAEZa96IfDXswPSx/mh0Mf5odln/5+aPTD1ole64cD
HPdZv7f+/akVDvv1sWXvbP72YM36YfGpnbe8uv092MPB66M/rly95O3xBedw
hAtv75dZfn9qB2u/rvtm+/GTk03Lh0O/vX/L8uEIF7BU9YMtFyxaNXvA8mGF
fdXmf8Ty4RyOVV373icHPnr9oOVX033IAOaHFfYDmB/O4QgXA5i/ltrBWsP8
cIBzONbSfRSwDKZ2g+m+FPZwGLR9Pm75cIQLWIb07GVHfuo5e8jyYYU9HIbs
+wmWD0e4GNLTH7u5Zv2w5Q+ndrDCfti+zycsH87hCBfD+tVv3YU/afn11A5W
2Nft9/GU5cM5HOt6yXVfrzj/8BHLh2UktYN1xH5PT1s+HOB8RPfUuhPPWj5c
jKT7kFHMDyvs4TCK+eEIF7CMpXZjmB/2cIDzsXQfES5gGU/txtN9KezhAOfj
9v/8jOXDBSwTqd2Ennqt+xy1fNjDAc7hOGHnxbOWD8tkagfrpH752a87v3vr
mOXDAc7hOGnnzXOWD8tUagfrlF68eNeF17x73PLhAOdwnLLz6nnLhyVLXYId
XM60998FvWDvB1dgD2eZnYdte3+4DefwXKZb1xzd6L83R7gDF/B8ZufpizZ/
I3WpgfnhMqxwBfYNzA8HuA3nDcwPR7gDF/B8I92HNFOXYAeXYW2m+6vAHs7g
ALeb+nNPd4PmHJ6DI9yBi6ad9y/Z/LBMpy7BDi5P67HxH/44c86scAX2cDZt
98cJmx9uwzk8B8dpXTV70T9HjrkDF/A8LC27f162+WEHl2GFKy399I1N7//y
l9nDGRzgNpy37H57xeaHI9yBi5Z2l7V88as2PywzqUuwg8szdl+aFa7AHs5m
dOkXb2brl560+eE2nMNzcJyx+9fc+d9/A1aiA6o=
         "]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 1, 0]], 
        PointBox[CompressedData["
1:eJxd131cjecfB/C7Mo8tZ1sjkxwPk5E0o2V6+JgwQx0pKT3cnU51Tg+n05MQ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         "]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0.5, 0]], 
        PointBox[CompressedData["
1:eJxdzUcOnEUQBeCClZezYMHCiwEhhJBljcnZDcbkMJgcbNrGiegh7esIc4Q+
whyhjjBH6CPMERAyEvq/2pQ+PT29R27cu3LrwYi4+kDEv//+nS7e/4f/frSl
z+AVfgg/jM/iNX4UP4Yfx0/gJ/E5fB5v8AX8FH4aP4Ofxc/h5/EL+EX8En4Z
v4Jfxa/hi7gtnTheJ8fxBjmOS+Q43iTHcZkcx1vkON4mx/EOOY53yXG8R47j
fXIcH5Dj+JAcx0fkOD4mx7FduuHEheMT+jhx4bhCHycuHJ/Sx4kLx2f0ceLC
8Tl9nLhwfEEfJy4cX9LHiQvHV/Rx4sLxNX2cuHB8Qx8nLhzf0seJC8d39HHi
wnGVPk5cOK7Rx4kLx/f0ceLC0Zde44Y7Tjxw4YnjOvu44Y4TD1x44rjBPm64
48QDF544fmAfN9xx4oELTxw32ccNd5x44MITxy32ccMdJx648MRxm33ccMeJ
By48cdxhHzfcceKBC08cd9nHDXeceODCE8eP7OOGO048cOGJ4yf2ccMdJx64
8MTxM/u44Y4TD1x44viFfdxwx4kHLjxx/Mo+brjjxAMXnjh+Yx833HHigQtP
HPfYxw13nHjgwhPHbukVXuMNbniLO97hxHs88AEXPuKJTzh+X3qF13iDG97i
jnc48R4PfMCFj3jiE44/ll7hNd7ghre44x1OvMcDH3DhI574hOPPpVd4jTe4
4S3ueIcT7/HAB1z4iCc+4fhr6RVe4w1ueIs73uHEezzwARc+4olPOP5eeoXX
eIMb3uKOdzjxHg98wIWP//sfSvClAg==
         "]]}}, {{
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 1, 0]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[
         1, 0.5, 0]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{
       
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 1, 0]]}, {
        Directive[
         PointSize[0.004583333333333334], 
         AbsoluteThickness[1.6], 
         RGBColor[
         1, 0.5, 0]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, \
{{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotRange -> {{0., 349.}, {0, 0.0625}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"b: favors\"", "\"upfront payment\"", "\"consumption\"", "\"cbar\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 1, 0]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 1, 0]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0.5, 0]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0.5, 0]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.004583333333333334`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.004583333333333334`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.004583333333333334`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 1, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0.6666666666666666, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "1", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 1, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 1, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.004583333333333334`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0.5, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.6666666666666666, 0.33333333333333337`, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.5`", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0.5, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0.5, 0], Editable -> False, Selectable -> 
                    False]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False", ",", "False", ",", "False"}], 
               "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7906971769372177`*^9, 3.790697213242311*^9, 3.790697614158963*^9, {
   3.79069771634208*^9, 3.7906977230950193`*^9}, 3.790698101350609*^9, 
   3.790699528062234*^9, 3.79069988875954*^9, 3.7907009102087317`*^9, 
   3.7907059079532537`*^9, 3.793557461309134*^9, 3.809446645603264*^9, 
   3.80953695051453*^9, 3.809553102593629*^9, 3.825947391009572*^9, 
   3.825960252715416*^9, 3.826017781163398*^9, 3.831326231160997*^9, 
   3.8315870925864267`*^9, 3.831684013529605*^9, 3.8316877749417753`*^9, 
   3.832783713973341*^9, 3.83278629089845*^9, 3.832790054029229*^9, 
   3.832816277196856*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"bfbd9690-0ab7-4d4f-ab81-094ef3eeaa20"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Min", "[", 
   RowBox[{"cupdate", "-", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"wealth", "[", 
       RowBox[{"[", 
        RowBox[{"consumecity", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "cupdate", "]"}]}], "}"}]}], "]"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.832717624944573*^9, 3.832717652346302*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"78a8f959-582d-48df-9f47-cddc8b6add29"],

Cell[BoxData[
 RowBox[{"-", "0.00018750000000000017`"}]], "Output",
 CellChangeTimes->{{3.832717633446569*^9, 3.83271765274156*^9}, 
   3.832783714973027*^9, 3.832786291029405*^9, 3.8327900552251596`*^9, 
   3.8328162785013647`*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"5660dc49-e68e-4c3e-a9c4-e5d70c1b3eef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"wealth", "[", 
        RowBox[{"[", 
         RowBox[{"consumecity", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "cupdate", "]"}]}], "}"}]}], "]"}], ",", 
     "cupdate"}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<consumption in city\>\"", ",", "\"\<consumption in community\>\""}],
      "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.832717555975648*^9, 3.832717556759729*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"c271ffac-e258-4153-95b3-748dc24f18c0"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxd1l+I1FUUwPGTSIhEzIOIlcQvEbGsHCszM9tjZaa5Obumbrabd9ddHffv
b2d3pUzkWtlmZo5pmWbtL6IHI2KICImIS/RQBDH0EhHRLyIiKliJiP5BO+55
ud/fy/DhcObMuXPvub9ruoZae2aISMclIo3P6WeySeJHY86CC/AceJ7+e+7C
l81dat87H07gBfBCeBG8GL4Ovh6+ES7Cy+CbzCXzzfAt8HL4VngFfBu8Er4d
XqV/H+j9cPREm/kOeDV8J9wEa2wPyxrEYbnLfp+zOCx3Iw7LPYjDshZxWO7V
x+e8s+77fd0Wh2Ud4rDchzgs6xGHZYOtR9nisNyPOCwbEYelGfFmfeznRctm
vd1v8Qdie1g2IQ5LKbbCHg4lW//U8ltiK+zhAEsr8mHfqqu+23T01GDF8mHZ
HFthDwdYHrT/c9TyYQ8HWLYgH/Zw2KIfrL9sxpLxvZa/NbbCHg6wbEM+7LfZ
/nnU8mFpi62whwMsD+nK9z7d+9HEPsuHPRxg2Y582MNhu+3H/Zb/cGyFPRxg
aUd+u56/+tAvLecPWD4cYOmIrbCHQ4ftb2/5j8RW2MMBlh3I36FnP0lqlfJB
y4cDLC52AivsnJ2fJ+z74QwOcA5LZ+ykU7/5q7HBnrT6sIM9nMEBzjvtPD5l
9btiJ7DCDvZw1qVXLf124aUHD1l9OIdlZ+wEVtjttPP9tNWHMzjAOSzdur27
8Q+MW31YYQd7OINDt82LZ6w+LD2xE1hh16NnTjeew1YfzuAA57DssvnyrNWH
FXawhzM47NKvv/hz8w9vHrH6sOyOncAKu902r56z+nAGBziHpRw7KesVM7de
fsO7R60+7GAPZ3Ao2/x73urDsid2Aivs9mjbxQU+ZvXhDA5wDkuvzc+q1YcV
drCHs17duOLwGvejOcA5LH2xE1j7bP4et/qwhzM4wHmf/trSWFGz9MdOYIUd
7OGs3+b5C1YfzmEZiJ3AOqBH+n/659wFs4M9nMFhwOb/CasPy2DsBFbYDeqS
8blTR9Ls4QwOcA7LkN0fJ60+rLCDPZwN6eevr33/9//MAc5hSWMX4CS1++fF
aRdhhUuwS7WxePNmvjTtFPZwFc7gWmr3lznAdTiHJ2EZ1tlfvZGunn3K+ocT
uAgrXBq2+8/s4BT2cBXOhvWtxngpvGz9wwGuw/mw3Z/mSVgqsQtwAhcruqGx
fHNPW/9wCXZwWrH71+zhKpzBNThU9OL1Nf+M9Q/n8CQsI3ZfmwtwAhdhhUsj
2pje9QWvWP9wCnu4OmL3vTmDa3CA63A+ote2H/v4j8VnrX9YRmMX4GTU3g/M
RVjhEuzgdFQ/m1qtK5e+av3DVTiDa6P2fmEOcB3O4UlYxrR8/Lf9Tctfs/7h
BC7COmbvJ+YS7OAU9mM6tRmnjvyE9Q9ncA0OcH3M3m8mmv4HcSCSxg==
         "]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxd131cjecfB/C7Mo8tZ1sjkxwPk5E0o2V6+JgwQx0pKT3cnU51Tg+n05MQ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         "]]}}, {{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.0055000000000000005`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotRange -> {{0., 349.}, {0, 0.0625}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"consumption in city\"", "\"consumption in community\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.0055000000000000005`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.832717557528789*^9, 3.832783716769141*^9, 
  3.832786291367598*^9, 3.8327900558284683`*^9, 3.8328162799990253`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"471f3ce9-1527-4c9d-95a0-06243b94e9b0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"wtre", "=", 
  RowBox[{"Max", "[", 
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"wealthupdate", "[", 
         RowBox[{"[", "j", "]"}], "]"}], ">", 
        RowBox[{"wealth", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}], ",", "True"}], 
    "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7906978093068447`*^9, 3.790697866022339*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"870a5b64-9d8b-43d8-a668-4b6c8c61f978"],

Cell[BoxData["349"], "Output",
 CellChangeTimes->{{3.790697852118373*^9, 3.790697866377658*^9}, 
   3.790698107172027*^9, 3.790699528162341*^9, 3.790699890820394*^9, 
   3.790700910305622*^9, 3.790705913788178*^9, 3.793557461968622*^9, 
   3.8094468765468283`*^9, 3.809536950692685*^9, 3.809553103837243*^9, 
   3.825947396282539*^9, 3.8259602530336123`*^9, 3.8260177813888474`*^9, 
   3.8313262313796053`*^9, 3.831587161663251*^9, 3.831684014776812*^9, 
   3.831687776441957*^9, 3.8327837175150967`*^9, 3.832816283755995*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"8fc44ba6-fe7d-46fb-8e23-2d3fa7594475"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "wealthupdate", "]"}]], "Input",
 CellChangeTimes->{{3.831587191941236*^9, 3.8315872023882313`*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"ec8b5013-3975-4cbd-8246-e68003343d17"],

Cell[BoxData["349"], "Output",
 CellChangeTimes->{{3.831587197747744*^9, 3.831587202702877*^9}, 
   3.8316840160259857`*^9, 3.831687777891217*^9, 3.832783718063702*^9, 
   3.832816285104661*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"c5cfac0b-77ce-45d5-b4a6-cac86e268f3a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"N", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"wealth", "[", 
      RowBox[{"[", "wtre", "]"}], "]"}], ",", 
     RowBox[{"wealthupdate", "[", 
      RowBox[{"[", "wtre", "]"}], "]"}]}], "}"}], "]"}], "}"}]], "Input",
 CellChangeTimes->{{3.790697880661343*^9, 3.7906979475603123`*^9}, 
   3.831587208652372*^9},
 CellLabel->"In[42]:=",ExpressionUUID->"a297e056-78ac-49b3-a3a5-1a6e1c30f2b7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"0.174`", ",", "0.21854004169592356`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.7906979121729918`*^9, 3.790697947968478*^9}, 
   3.790698108518051*^9, 3.790699528265058*^9, 3.790699892208305*^9, 
   3.790700910396008*^9, 3.7907059167032223`*^9, 3.793557462570526*^9, 
   3.809446878676713*^9, 3.809536950780542*^9, 3.8095531043882933`*^9, 
   3.825947397104054*^9, 3.825960253197427*^9, 3.826017781506227*^9, 
   3.831326231498178*^9, 3.831587162702928*^9, 3.831587209033675*^9, 
   3.831684016977103*^9, 3.831687779141173*^9, 3.8327837185754137`*^9, 
   3.832816287607347*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"51e111a6-3d6c-4832-96b5-369de2d72c01"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"++", 
  RowBox[{"++", 
   RowBox[{"++", 
    RowBox[{"++", 
     RowBox[{"++", 
      RowBox[{"++", 
       RowBox[{"++", 
        RowBox[{"++", 
         RowBox[{"++", 
          RowBox[{"++", 
           RowBox[{"++", "++"}]}]}]}]}]}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.809532156862578*^9, 
  3.809532159960782*^9}},ExpressionUUID->"28351c3a-9268-4b72-a206-\
2904b26ff9b8"]
},
WindowSize->{1268, 649},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 3530, 155, 79, "Input",ExpressionUUID->"e3abb377-4f34-4a26-9bb3-1b3f17d555a3"],
Cell[4091, 177, 197, 3, 30, "Input",ExpressionUUID->"0697cf6f-4e11-4798-aa35-c40d962915fd"],
Cell[4291, 182, 3810, 108, 253, "Input",ExpressionUUID->"77270bce-0bdb-4437-90be-c519eb3042e1"],
Cell[CellGroupData[{
Cell[8126, 294, 740, 20, 30, "Input",ExpressionUUID->"a84ca57a-5c67-486e-9bc4-938fd7216261"],
Cell[8869, 316, 536, 15, 50, "Output",ExpressionUUID->"06efddf8-8284-4fa0-865d-ef1b71538be7"]
}, Open  ]],
Cell[9420, 334, 585, 16, 47, "Input",ExpressionUUID->"113a6582-14da-40bf-80ec-fabe99affbfd"],
Cell[10008, 352, 426, 12, 30, "Input",ExpressionUUID->"32f9c098-6b0d-4fab-994d-bc513bc43bcb"],
Cell[CellGroupData[{
Cell[10459, 368, 1933, 46, 73, "Input",ExpressionUUID->"9277d4ca-7a21-4ac4-982d-5455d9e1874c"],
Cell[12395, 416, 744, 12, 34, "Output",ExpressionUUID->"e24329f0-36b1-4610-bf3b-f56b4e377b08"]
}, Open  ]],
Cell[13154, 431, 1012, 32, 58, "Input",ExpressionUUID->"2c95d298-c196-4c3c-aae2-b7bad8eb4abe"],
Cell[14169, 465, 517, 11, 37, "Input",ExpressionUUID->"d208dee4-f6f7-4ff8-bcfa-b4c5d543c57b"],
Cell[14689, 478, 391, 8, 44, "Input",ExpressionUUID->"0b9d1c49-6618-493b-a9a9-d3fd9280e745"],
Cell[15083, 488, 2520, 54, 73, "Input",ExpressionUUID->"a6319ae0-3234-4684-a2c6-73f71e8d7715"],
Cell[17606, 544, 1148, 30, 52, "Input",ExpressionUUID->"0653687c-e14d-4959-b3be-c8d01a5a39bf"],
Cell[18757, 576, 491, 13, 30, "Input",ExpressionUUID->"0d537f9c-cc77-448f-b2ca-10db0d2d0ec6"],
Cell[19251, 591, 7695, 185, 262, "Input",ExpressionUUID->"72620991-4cf1-4d23-a70e-ffeb999ece31"],
Cell[CellGroupData[{
Cell[26971, 780, 433, 10, 30, "Input",ExpressionUUID->"93bd79c7-91cd-46f8-a38b-d75e84278598"],
Cell[27407, 792, 84528, 1406, 242, "Output",ExpressionUUID->"44622d01-7a2c-4a92-9fb9-7c484dd51594"]
}, Open  ]],
Cell[111950, 2201, 8802, 202, 325, "Input",ExpressionUUID->"9cab481c-0e57-4420-bc8f-0fd59d773558"],
Cell[120755, 2405, 196, 3, 30, "Input",ExpressionUUID->"2e59aa0a-442e-4dc6-b903-d44a8bd9f5e4"],
Cell[CellGroupData[{
Cell[120976, 2412, 518, 12, 30, "Input",ExpressionUUID->"6c6dc40f-c0e9-4b96-8a14-9b183dadf333"],
Cell[121497, 2426, 937, 16, 37, "Output",ExpressionUUID->"eb219fb6-dc5f-4dbf-a82a-0bf23f3f3cdb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[122471, 2447, 583, 13, 30, "Input",ExpressionUUID->"97727eb6-65cd-44a3-b287-5bc2046fe3d1"],
Cell[123057, 2462, 1789, 46, 242, "Output",ExpressionUUID->"90f50799-3987-4206-a16f-2fc311a15714"]
}, Open  ]],
Cell[124861, 2511, 566, 14, 30, "Input",ExpressionUUID->"804cb319-eb5b-44b8-be76-6b175d11ea29"],
Cell[CellGroupData[{
Cell[125452, 2529, 431, 10, 30, "Input",ExpressionUUID->"bc1c183b-3c64-467d-8201-a7ef89b6c70e"],
Cell[125886, 2541, 56954, 952, 242, "Output",ExpressionUUID->"8b544557-869c-4de8-b34f-357a767f14b3"]
}, Open  ]],
Cell[182855, 3496, 287, 6, 30, "Input",ExpressionUUID->"580b2b05-cfb7-4800-ac33-86aea36dc3e0"],
Cell[CellGroupData[{
Cell[183167, 3506, 12801, 314, 430, "Input",ExpressionUUID->"bb998321-322d-40d6-94da-c9ca036186b2"],
Cell[195971, 3822, 72864, 2406, 1589, "Output",ExpressionUUID->"7307fa24-e215-4250-94d1-4e849ff32068"]
}, Open  ]],
Cell[268850, 6231, 242, 4, 30, "Input",ExpressionUUID->"114178fc-8777-4d52-a66f-e24d90b9a851"],
Cell[269095, 6237, 15253, 200, 871, "Input",ExpressionUUID->"488ad02b-ba29-4976-b0c1-b9533db111b2"],
Cell[284351, 6439, 924, 25, 30, "Input",ExpressionUUID->"d1a341c4-23da-4c58-b27f-e7ed7ec7db80"],
Cell[285278, 6466, 15799, 209, 976, "Input",ExpressionUUID->"aed008e4-007c-410a-9916-64ec74276ff1"],
Cell[301080, 6677, 419, 9, 30, "Input",ExpressionUUID->"ba796200-9923-4e47-813f-eb58b51c7207"],
Cell[301502, 6688, 274, 6, 30, "Input",ExpressionUUID->"2ba91d10-2e3f-463d-9137-2189e14986a1"],
Cell[301779, 6696, 216, 4, 30, "Input",ExpressionUUID->"fb7d1262-2a49-4a02-b657-1f81d73d64e0"],
Cell[301998, 6702, 586, 16, 30, "Input",ExpressionUUID->"56f6719d-6b63-4d63-a0a1-95c8b4b1a248"],
Cell[CellGroupData[{
Cell[302609, 6722, 180, 2, 30, "Input",ExpressionUUID->"e2422082-756c-44d3-82bb-e97ffccb823b"],
Cell[302792, 6726, 2187, 31, 140, "Output",ExpressionUUID->"2602dde1-3f73-47dd-bfc3-e324d72fc9f8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305016, 6762, 531, 12, 30, "Input",ExpressionUUID->"322f5b61-dc06-4619-9546-68d8084d585b"],
Cell[305550, 6776, 5696, 154, 285, "Output",ExpressionUUID->"5a1ad5d9-1614-4e47-b6df-0f062f7bea87"]
}, Open  ]],
Cell[CellGroupData[{
Cell[311283, 6935, 579, 15, 30, "Input",ExpressionUUID->"20e28adb-8186-4802-b96c-37392a441a17"],
Cell[311865, 6952, 5655, 154, 285, "Output",ExpressionUUID->"c8ca7f3d-05b1-4108-97ba-54acf8f24223"]
}, Open  ]],
Cell[CellGroupData[{
Cell[317557, 7111, 554, 13, 30, "Input",ExpressionUUID->"c967fb1c-372e-4b71-975c-045c63a7b802"],
Cell[318114, 7126, 3907, 80, 246, "Output",ExpressionUUID->"1abff527-44a1-4e53-b6f0-5d0ddb88c228"]
}, Open  ]],
Cell[322036, 7209, 179, 2, 30, "Input",ExpressionUUID->"c21ec1b8-ab8d-4488-a211-a32b5af3c2f8"],
Cell[322218, 7213, 66784, 1053, 7360, "Input",ExpressionUUID->"0128569b-a1b3-4b5c-9a7f-21e902a2f927"],
Cell[CellGroupData[{
Cell[389027, 8270, 211, 3, 30, "Input",ExpressionUUID->"cbb850d2-0362-4f00-81ac-ccdff01e13b3"],
Cell[389241, 8275, 28971, 490, 242, "Output",ExpressionUUID->"4b3d669d-826e-4a8b-9a48-e680b687f490"]
}, Open  ]],
Cell[418227, 8768, 331, 9, 44, "Input",ExpressionUUID->"87739501-bbf3-42c1-94bf-7175abfc2d18"],
Cell[418561, 8779, 2096, 52, 94, "Input",ExpressionUUID->"df4fccd3-b384-45a7-9205-f1024a51e2ee"],
Cell[420660, 8833, 1110, 32, 52, "Input",ExpressionUUID->"b386c35f-b6c6-4a7f-ba1e-d844ca869823"],
Cell[CellGroupData[{
Cell[421795, 8869, 21182, 487, 619, "Input",ExpressionUUID->"cd3b496c-9465-46cc-bdc6-7abc7b52c041"],
Cell[442980, 9358, 670, 11, 34, "Output",ExpressionUUID->"fd383d64-45dc-4ee5-9345-e5d11034cb9f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[443687, 9374, 22084, 507, 682, "Input",ExpressionUUID->"fad1a825-a8e4-467c-ab9b-be72c46cd304"],
Cell[465774, 9883, 649, 10, 34, "Output",ExpressionUUID->"099f50bc-5545-4280-9e7b-a7678badbb54"]
}, Open  ]],
Cell[466438, 9896, 578, 16, 30, "Input",ExpressionUUID->"99e3da34-3577-42a6-97c5-f8e5159c641a"],
Cell[467019, 9914, 222, 4, 30, "Input",ExpressionUUID->"d8993017-d0e4-4dc8-8c97-b095e5356e14"],
Cell[467244, 9920, 306, 7, 30, "Input",ExpressionUUID->"4c918160-d57b-4f5a-8b24-90b9193120b3"],
Cell[CellGroupData[{
Cell[467575, 9931, 726, 14, 30, "Input",ExpressionUUID->"0f6598b3-f115-4991-bcb2-d9b31af501dd"],
Cell[468304, 9947, 23268, 398, 242, "Output",ExpressionUUID->"03080f74-f47e-45cf-bd8c-e9275cfe94de"]
}, Open  ]],
Cell[CellGroupData[{
Cell[491609, 10350, 2235, 67, 94, "Input",ExpressionUUID->"46760948-ee98-4d13-b6cc-01ae402d4af2"],
Cell[493847, 10419, 766, 13, 34, "Output",ExpressionUUID->"ba65772a-fc76-4c54-b07a-6f9c46b2a95e"],
Cell[494616, 10434, 717, 11, 34, "Output",ExpressionUUID->"0969ce51-567e-4c8c-b5ab-3924ab787233"],
Cell[495336, 10447, 764, 13, 34, "Output",ExpressionUUID->"0c728aa6-e358-4149-825a-abdd90db25ef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[496137, 10465, 465, 10, 30, "Input",ExpressionUUID->"8e2c00d6-7b86-4f4a-ae7d-219db8b73f6a"],
Cell[496605, 10477, 23239, 398, 242, "Output",ExpressionUUID->"08834a03-187d-40cf-a785-1d8c23baca0e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[519881, 10880, 179, 2, 30, "Input",ExpressionUUID->"110fd0f1-e09d-4462-9b14-6ea0d5550a3c"],
Cell[520063, 10884, 25200, 410, 1253, "Output",ExpressionUUID->"17eddb01-e26d-4e36-8cfd-bcb57fa82c9e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[545300, 11299, 179, 2, 30, "Input",ExpressionUUID->"094d6b2e-46ab-4953-b0b1-4e84c509d10d"],
Cell[545482, 11303, 25128, 409, 1253, "Output",ExpressionUUID->"419872cd-2710-4196-b99e-d8e76106e1c6"]
}, Open  ]],
Cell[570625, 11715, 218, 4, 30, "Input",ExpressionUUID->"1c8e10bc-01c1-4cf7-9631-58fe8afbce62"],
Cell[570846, 11721, 402, 10, 44, "Input",ExpressionUUID->"8b23cbed-930f-4192-a385-64301331d464"],
Cell[CellGroupData[{
Cell[571273, 11735, 38846, 909, 1018, "Input",ExpressionUUID->"12b9a443-117a-433d-80a2-ef5088db6817"],
Cell[610122, 12646, 4203, 57, 203, "Output",ExpressionUUID->"3491f850-d60d-48bc-89c8-20a6b3149d30"]
}, Open  ]],
Cell[614340, 12706, 819, 19, 30, "Input",ExpressionUUID->"e517ef9b-3518-478e-a42b-c9a852439aab"],
Cell[615162, 12727, 11147, 180, 1249, "Input",ExpressionUUID->"e963ec31-bb0e-4381-ad14-6b20986fc0ba"],
Cell[CellGroupData[{
Cell[626334, 12911, 738, 17, 30, "Input",ExpressionUUID->"812631fb-a5d9-4d37-94b4-938996b190c2"],
Cell[627075, 12930, 19994, 393, 243, "Output",ExpressionUUID->"dee0b5a3-8ce8-4417-9e1f-f0683625e724"]
}, Open  ]],
Cell[CellGroupData[{
Cell[647106, 13328, 588, 15, 30, "Input",ExpressionUUID->"2a9a5ce8-440e-42cb-8e67-bf8b0cd22efd"],
Cell[647697, 13345, 14940, 310, 248, "Output",ExpressionUUID->"2e11ca6b-debc-469f-94c7-d23edf7b75c3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[662674, 13660, 15857, 377, 493, "Input",ExpressionUUID->"1df481c0-4b2d-46cb-aefe-68c3cb6c5878"],
Cell[678534, 14039, 10547, 191, 601, "Output",ExpressionUUID->"95331653-ba64-4369-9e13-30ce507adbf3"],
Cell[689084, 14232, 9871, 261, 508, "Output",ExpressionUUID->"9bdc90c0-d65d-4d41-bc23-4bfe202556c8"],
Cell[698958, 14495, 10505, 191, 580, "Output",ExpressionUUID->"3415abd1-85ca-4045-a677-e498a56a0ca0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[709500, 14691, 212, 3, 30, "Input",ExpressionUUID->"893c11f1-74a0-4447-a68b-3c870c25e6a9"],
Cell[709715, 14696, 4381, 88, 241, "Output",ExpressionUUID->"8a07d130-a362-45a5-bb39-5c4b30024283"]
}, Open  ]],
Cell[CellGroupData[{
Cell[714133, 14789, 177, 2, 30, "Input",ExpressionUUID->"6e76a4f7-4b6c-4c8a-9275-c546483f7500"],
Cell[714313, 14793, 10499, 190, 601, "Output",ExpressionUUID->"b986abe5-9049-475b-87ca-1f6f569338e3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[724849, 14988, 832, 21, 52, "Input",ExpressionUUID->"994c68b7-c3f1-4798-8896-15010649ad85"],
Cell[725684, 15011, 29241, 593, 243, "Output",ExpressionUUID->"bfbd9690-0ab7-4d4f-ab81-094ef3eeaa20"]
}, Open  ]],
Cell[CellGroupData[{
Cell[754962, 15609, 571, 15, 30, "Input",ExpressionUUID->"78a8f959-582d-48df-9f47-cddc8b6add29"],
Cell[755536, 15626, 311, 5, 34, "Output",ExpressionUUID->"5660dc49-e68e-4c3e-a9c4-e5d70c1b3eef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[755884, 15636, 768, 21, 30, "Input",ExpressionUUID->"c271ffac-e258-4153-95b3-748dc24f18c0"],
Cell[756655, 15659, 17679, 354, 243, "Output",ExpressionUUID->"471f3ce9-1527-4c9d-95a0-06243b94e9b0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[774371, 16018, 602, 16, 30, "Input",ExpressionUUID->"870a5b64-9d8b-43d8-a668-4b6c8c61f978"],
Cell[774976, 16036, 605, 8, 34, "Output",ExpressionUUID->"8fc44ba6-fe7d-46fb-8e23-2d3fa7594475"]
}, Open  ]],
Cell[CellGroupData[{
Cell[775618, 16049, 217, 3, 30, "Input",ExpressionUUID->"ec8b5013-3975-4cbd-8246-e68003343d17"],
Cell[775838, 16054, 273, 4, 34, "Output",ExpressionUUID->"c5cfac0b-77ce-45d5-b4a6-cac86e268f3a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[776148, 16063, 437, 11, 30, "Input",ExpressionUUID->"a297e056-78ac-49b3-a3a5-1a6e1c30f2b7"],
Cell[776588, 16076, 720, 12, 34, "Output",ExpressionUUID->"51e111a6-3d6c-4832-96b5-369de2d72c01"]
}, Open  ]],
Cell[777323, 16091, 407, 14, 30, "Input",ExpressionUUID->"28351c3a-9268-4b72-a206-2904b26ff9b8"]
}
]
*)

