(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    486348,       9793]
NotebookOptionsPosition[    473153,       9583]
NotebookOutlinePosition[    473489,       9598]
CellTagsIndexPosition[    473446,       9595]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox["(*",
   FontSize->16], 
  StyleBox[" ",
   FontSize->16], 
  RowBox[{
   StyleBox["step",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["one",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["is",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["to",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["define",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["the",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   RowBox[{
    StyleBox["functions",
     FontSize->16], 
    StyleBox[":",
     FontSize->16], 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox[
      RowBox[{"(", "i", ")"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["the",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["variables",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["we",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["have",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["are",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"{", 
       RowBox[{
       "ka0", ",", "ka", ",", "al", ",", "z", ",", "wbar", ",", "dl"}], "}"}],
      
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"(", "ii", ")"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"{", 
       RowBox[{"cbar", ",", "what"}], "}"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["satisfy",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["the",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["condition",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["that",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     RowBox[{
      StyleBox["{",
       FontSize->16], 
      RowBox[{
       StyleBox[
        RowBox[{
         RowBox[{
          RowBox[{"V", "'"}], "[", "cbar", "]"}], "==", "0"}],
        FontSize->16], 
       StyleBox[",",
        FontSize->16], 
       RowBox[{
        StyleBox[
         RowBox[{"R", "[", 
          RowBox[{"what", "-", "cbar"}], "]"}],
         FontSize->16], 
        StyleBox["\[Equal]",
         FontSize->16], " ", 
        StyleBox["what",
         FontSize->16]}]}], 
      StyleBox["}",
       FontSize->16]}], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"(", "iii", ")"}],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["we",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["want",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["the",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["condtion",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox["that",
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], 
     StyleBox[
      RowBox[{"{", 
       RowBox[{"what", "<", "wbar"}], "}"}],
      FontSize->16]}]}]}]}]], "Input",
 CellChangeTimes->{{3.790095438409688*^9, 3.790095452227538*^9}, {
  3.790691608502685*^9, 3.790691632130638*^9}, {3.790691674667235*^9, 
  3.7906917311290207`*^9}},
 FontSize->14,ExpressionUUID->"a5fb538c-a1f8-4030-b7d2-6bedee2a6c28"],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.790095833069718*^9, 3.790095834051873*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"699830d5-6925-4ec6-9174-203923e79938"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rfunction", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"w", "+", "z"}], "]"}]}], "-", 
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", "z", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"wbar", "+", "z"}], "]"}]}], "-", 
      RowBox[{"al", " ", 
       RowBox[{"Sqrt", "[", "z", "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"w", "-", "wbar"}], ")"}], "/", "dl"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "[", "c_", "]"}], ":=", 
  RowBox[{"ka0", " ", 
   RowBox[{"Sqrt", "[", "c", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vm", "[", "c_", "]"}], ":=", 
  RowBox[{"ka", " ", 
   RowBox[{"Sqrt", "[", "c", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "[", "w_", "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"w", "+", "z"}], "]"}]}], "-", 
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", "z", "]"}]}]}], ",", 
       RowBox[{"w", "\[LessEqual]", " ", "wbar"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"wbar", "+", "z"}], "]"}]}], "-", 
        RowBox[{"al", " ", 
         RowBox[{"Sqrt", "[", "z", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"w", "-", "wbar"}], ")"}], "/", "dl"}]}], ",", 
       RowBox[{"w", ">", "wbar"}]}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cityutil", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"comutil", "=", 
   RowBox[{"1", "/", "250"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.790095496359337*^9, 3.7900954989274387`*^9}, {
   3.790095567687798*^9, 3.7900955700745373`*^9}, {3.790381739594186*^9, 
   3.790381743796664*^9}, {3.7903819936488123`*^9, 3.790381994980735*^9}, {
   3.790382228735558*^9, 3.790382230061713*^9}, {3.7903838942632637`*^9, 
   3.790383907071496*^9}, {3.790384106925129*^9, 3.7903841087089643`*^9}, {
   3.790691810645774*^9, 3.790691828778401*^9}, {3.7906923207922573`*^9, 
   3.7906923230698557`*^9}, {3.790692719605242*^9, 3.7906927263839197`*^9}, {
   3.809603477555214*^9, 3.809603483518908*^9}, 3.809604457728608*^9, 
   3.8096067378921824`*^9, {3.809607235614036*^9, 3.809607236835186*^9}, {
   3.8096235172645073`*^9, 3.809623517673595*^9}, {3.8096466985227413`*^9, 
   3.809646699260722*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"3a98d8f7-e29c-4836-abde-74a490b17858"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"V", "'"}], "[", "cbar", "]"}], "\[Equal]", "1"}], ",", 
           " ", 
           RowBox[{"FullSimplify", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"R", "[", 
               RowBox[{"what", "-", "cbar"}], "]"}], "\[Equal]", "what"}], 
             ",", 
             RowBox[{
              RowBox[{"what", "-", "cbar"}], "<", "wbar"}]}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Rfunction", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "w"}], "]"}], "\[Equal]", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"Rfunction", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", "w"}], "]"}]}], "/.", 
          RowBox[{"w", "\[Rule]", " ", "wbar"}]}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"cbar", ",", "what", ",", "wbar"}], "}"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.790095661329261*^9, 3.7900956745790358`*^9}, {
   3.790095744343912*^9, 3.790095758839444*^9}, {3.790096392186795*^9, 
   3.7900964007857037`*^9}, {3.790382155611133*^9, 3.790382162925975*^9}, 
   3.7903824550585318`*^9, {3.790383934520392*^9, 3.7903839439976273`*^9}, {
   3.7906918446277733`*^9, 3.790691854938236*^9}, {3.7906922877228117`*^9, 
   3.7906922913802032`*^9}, 3.7906923335994596`*^9, {3.790692409135474*^9, 
   3.7906924095512667`*^9}, {3.790692584320462*^9, 3.790692613871773*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"a2203157-81f3-425a-b940-ce6e262344f8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"cbar", "\[Rule]", 
    FractionBox[
     SuperscriptBox["ka0", "2"], "4"]}], ",", 
   RowBox[{"what", "\[Rule]", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["al", "2"], "-", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["al", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["ka0", "2"]}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"al", "-", 
              RowBox[{"2", " ", 
               SqrtBox["z"]}]}], ")"}], "2"]}], ")"}]}]], "-", 
       RowBox[{"2", " ", "al", " ", 
        SqrtBox["z"]}]}], ")"}]}]}], ",", 
   RowBox[{"wbar", "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["al", "2"], " ", 
       SuperscriptBox["dl", "2"]}], "4"], "-", "z"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7906918555176373`*^9, 3.790692165648045*^9, {3.79069228811585*^9, 
   3.7906923338704557`*^9}, 3.7906924099459257`*^9, {3.790692709730451*^9, 
   3.790692731652095*^9}, 3.790703360968564*^9, 3.79146531532342*^9, {
   3.793547586899818*^9, 3.793547611253688*^9}, 3.8093702712551537`*^9, 
   3.809370624799337*^9, 3.809607245752646*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"a14efc76-973a-4d08-a84d-1fa1796607a3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"cbar", "=", 
   FractionBox[
    SuperscriptBox["ka0", "2"], "4"]}], ";", 
  RowBox[{"what", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["al", "2"], "-", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["al", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["ka0", "2"]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"al", "-", 
             RowBox[{"2", " ", 
              SqrtBox["z"]}]}], ")"}], "2"]}], ")"}]}]], "-", 
      RowBox[{"2", " ", "al", " ", 
       SqrtBox["z"]}]}], ")"}]}]}], ";", 
  RowBox[{"wbar", "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["al", "2"], " ", 
      SuperscriptBox["dl", "2"]}], "4"], "-", "z"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7906932402042522`*^9, 3.790693253478148*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"ae5e9d81-9118-4909-a237-cb514fe91101"],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{"step", " ", 
    RowBox[{"two", ":", " ", 
     RowBox[{"find", " ", "the", " ", "right", " ", "variables"}], ":"}]}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.7906923939344597`*^9, 3.790692403361343*^9}},
 FontSize->24,ExpressionUUID->"1f064d10-f4e5-4a90-ad24-3018ab445f2b"],

Cell[BoxData[
 RowBox[{"ClearAll", "[", 
  RowBox[{"dl", ",", "al", ",", "z", ",", "ka0", ",", "ka"}], "]"}]], "Input",\

 CellChangeTimes->{{3.790692986989259*^9, 3.7906929927782297`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"ba44ed31-6cb3-485a-ae2a-f065ea1334d0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"NMaximize", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dl", ",", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"0", "<", "what", "<", "wbar"}], "&&", 
          RowBox[{"0", "<", 
           RowBox[{"what", "-", "cbar"}]}], "&&", 
          RowBox[{"0", "<", "dl", "<", "1"}], "&&", 
          RowBox[{"0", "<", "ka0", "<", "ka"}], "&&", 
          RowBox[{"0", "<", "z"}], "&&", 
          RowBox[{"0", "<", "al"}], "&&", 
          RowBox[{"cbar", "<", 
           RowBox[{"what", "-", "cbar"}]}]}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"al", "\[Rule]", "3"}], ",", 
           RowBox[{"z", "\[Rule]", " ", "1"}], ",", 
           RowBox[{"ka0", "\[Rule]", 
            RowBox[{"1", "/", "2"}]}], ",", 
           RowBox[{"ka", "\[Rule]", " ", 
            RowBox[{"52", "/", "100"}]}]}], "}"}]}], "]"}]}], "}"}], ",", 
     "dl"}], "]"}], ",", 
   RowBox[{"NMinimize", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dl", ",", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"0", "<", "what", "<", "wbar"}], "&&", 
          RowBox[{"0", "<", 
           RowBox[{"what", "-", "cbar"}]}], "&&", 
          RowBox[{"0", "<", "dl", "<", "1"}], "&&", 
          RowBox[{"0", "<", "ka0", "<", "ka"}], "&&", 
          RowBox[{"0", "<", "z"}], "&&", 
          RowBox[{"0", "<", "al"}], "&&", 
          RowBox[{"cbar", "<", 
           RowBox[{"what", "-", "cbar"}]}]}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"al", "\[Rule]", "3"}], ",", 
           RowBox[{"z", "\[Rule]", " ", "1"}], ",", 
           RowBox[{"ka0", "\[Rule]", 
            RowBox[{"1", "/", "2"}]}], ",", 
           RowBox[{"ka", "\[Rule]", " ", 
            RowBox[{"52", "/", "100"}]}]}], "}"}]}], "]"}]}], "}"}], ",", 
     "dl"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.790692875686721*^9, 3.790692898389813*^9}, {
  3.790693051399507*^9, 3.7906930746972113`*^9}, {3.79069318089083*^9, 
  3.790693222570648*^9}, {3.7906932609593487`*^9, 3.790693265105844*^9}, {
  3.809370596506407*^9, 3.809370614977642*^9}, {3.809554717592963*^9, 
  3.809554727574864*^9}, {3.809603023221531*^9, 
  3.809603025491074*^9}},ExpressionUUID->"7810b179-e993-4573-af75-\
04ca1155c57f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1.`", ",", 
     RowBox[{"{", 
      RowBox[{"dl", "\[Rule]", "1.`"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.7162875323775796`", ",", 
     RowBox[{"{", 
      RowBox[{"dl", "\[Rule]", "0.7162875323775796`"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.790692898654688*^9, {3.790692936799017*^9, 3.7906929434443893`*^9}, {
   3.7906930527275867`*^9, 3.790693074948369*^9}, {3.7906931969979486`*^9, 
   3.7906932234022493`*^9}, {3.7906932619720287`*^9, 3.790693266087232*^9}, 
   3.790693560842185*^9, 3.7907033647807703`*^9, 3.79146532031948*^9, 
   3.809370125188261*^9, {3.809370615606221*^9, 3.809370642195342*^9}, 
   3.8095320012641478`*^9, 3.809554746866316*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"728872c4-97cc-46f7-8f52-58fe5daa6cbe"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"dl", "=", 
   RowBox[{"8", "/", "10"}]}], ";", 
  RowBox[{"al", "=", "3"}], ";", 
  RowBox[{"z", "=", "1"}], ";", 
  RowBox[{"ka0", "=", 
   RowBox[{"1", "/", "2"}]}], ";", 
  RowBox[{"ka", "=", 
   RowBox[{"52", "/", "100"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7906929282278223`*^9, 3.7906929345435677`*^9}, 
   3.7907033665533953`*^9, 3.809370591762665*^9, {3.8095547310585127`*^9, 
   3.8095547311938353`*^9}, 3.8096030204889517`*^9},
 CellLabel->"In[8]:=",ExpressionUUID->"92de61ab-1227-46bb-bfa8-cdab0f3a900d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"R", "[", "w", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.809370138937508*^9, 3.8093701473773813`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"d984d3b4-c4ac-4cf7-ac6c-ba2228e2be04"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\[Piecewise]", GridBox[{
       {
        RowBox[{
         FractionBox["1", "20"], "+", 
         FractionBox[
          RowBox[{"5", " ", "w"}], "4"]}], 
        RowBox[{
         RowBox[{"25", " ", "w"}], ">", "11"}]},
       {
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           SqrtBox[
            RowBox[{"1", "+", "w"}]]}], ")"}]}], 
        TagBox["True",
         "PiecewiseDefault",
         AutoDelete->True]}
      },
      AllowedDimensions->{2, Automatic},
      Editable->True,
      GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.84]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}},
      Selectable->True]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.35]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  "Piecewise",
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True,
  Selectable->False,
  StripWrapperBoxes->True]], "Output",
 CellChangeTimes->{{3.809370139685664*^9, 3.809370147808799*^9}, 
   3.8093706451482277`*^9, 3.8095547498350697`*^9, 3.8096035007170277`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"35ce10fe-30d2-4f88-a526-3455b933942f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"{", 
   RowBox[{"wbar", ",", "what", ",", "cbar"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.809370651015821*^9, 3.809370665572165*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"b0cbe692-0017-4386-8e71-c5ac5375fbce"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.44`", ",", "0.200961894323342`", ",", "0.0625`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.809370652727262*^9, 3.809370665941537*^9}, 
   3.809554750557458*^9, 3.809603501643759*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"44c76faf-7a17-44e0-9177-01dbc21517d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"V", "[", "w", "]"}], ",", 
     RowBox[{"Vm", "[", "w", "]"}], ",", 
     RowBox[{"R", "[", "w", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", ".5"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.790693755241659*^9, 3.79069377210422*^9}, {
  3.809370673350153*^9, 3.809370673398885*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"b99a9842-6009-4729-af4b-6408953a7a8e"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       LineBox[CompressedData["
1:eJwV0fk/1IkDx3EZx4RG6rssOVIM2ZIK3b23tB3EumLTJDn6Cl/XlojSyNiU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        "]]},
      Annotation[#, "Charting`Private`Tag$3800#1"]& ], 
     TagBox[
      {RGBColor[0, 0, 1], AbsoluteThickness[1.6], Opacity[1.], 
       LineBox[CompressedData["
1:eJwVkXk81IkDhpGisu5NrmbVmBVFK0fs6k2SnK07HRq5tRtZRxItOzMpOSpH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        "]]},
      Annotation[#, "Charting`Private`Tag$3800#2"]& ], 
     TagBox[
      {RGBColor[0, 1, 0], AbsoluteThickness[1.6], Opacity[1.], 
       LineBox[CompressedData["
1:eJwBQQO+/CFib1JlAgAAADMAAAACAAAASmXo0cDpRT4AAACgUG9QPgRDGnDf
GSQ/AAAbZ4MmLj8zn5icsxk0PwBgWe71JT4/S83Xsp0ZRD8A4KShPSVOP1dk
972SGVQ/AFDQef4jXj/dL4dDjRlkPwDAe1+ZIW4/oBVPhooZdD8Avja23Rx+
P4EIsyeJGYQ/AP/vYHUTjj9YWaGv8PGUPwC2X6MyQp8/C/+BXEcenz+AKVKi
/imnPyVR7ujDi6Q/gHOX9AuErj93zjk/mPSpPwB4YAXXObM/F7QR3gEBrz8A
J5isROm2P7biQ8zPPLI/QPK+cb7iuj/Cap0bWey0P2C8pBO9xL4/9SY9D61t
tz+QfDvMyy/BPwL5qxAbJbo/EGkCIdEhwz82/2C2U668PyDv/EGW8MQ/zIQ0
zsYqvz8wGeuyQbTGPx+Q6/mp7sA/4ASlZB2cyD/r99/e1TDCP0ClmeFIYco/
pOq7yg6Owz/A37aZTkrMPw4dp+/k5MQ/IHc3cDEozj+MabVmoCTGP0BiCdfw
488/9kCr5Gh/xz8gik85k+HQP3QyxLQWw8g/8AKJaEDA0T/frsSL0SHKP6Ay
5AeAsNI/+2rUmyl6yz/w3zh6VpvTPytBB/5mu8w/IO6KKoF11D9HoiFnsRfO
P/CAMuQOYdU/dx1fIuFczz/wpTumEjzWPyzsVQvXTdA/cFSh3/AR1z8TD/AI
xPrQPwA7YkQF+dc/BL+bryOc0T/AcEqhy8/YP2s0u9kJS9I/sIn2DqO32T+r
SWKgvvbSP8jPbspPmto/9esaEOaW0z9w/Xli6WzbP7VTRwOURNQ/0JVXmGhQ
3D9/SIWftObUP/D+O+LyI90/Id1K2KOF1T94hpz1jvLdPzo3hJQZMtY/cD0C
d+fR3j9cHs/5AdPWP1iN2OSAod8/9cqN4nCB1z8geCxd2kDgP5gEXnRSJNg/
0LiHAiOp4D8T3rWiAsTYP+ghnPICD+E/BX2BVDlx2T8UQNxvHH3hPwCpXq/i
Eto/6DypIX7j4T9ymq+NEsLaPyjh/SUJUuI/vSuICBFu2z+4wVvKKL7iPxFK
ciyCDtw/yO+Gxaki4z9HdnoGWSbcP+jkrzqRMeM/XT2NcA==
        "]], 
       LineBox[CompressedData["
1:eJwBwQE+/iFib1JlAgAAABsAAAACAAAACUKkfpIr3D/fQsAo1TTjP7CePyTk
Xt0/x1xBMOj04z9drzYRHf7dPzTHW8RrWOQ/gIWhgdyq3j8JjZ5qY8TkP63o
HZsOTN8/BkuMuiIp5T+InYVg3k7fPw4c7ZXkKuU/ZFLtJa5R3z8Y7U1xpizl
Pxy8vLBNV98/K48PKCow5T+Kj1vGjGLfP1DTkpUxN+U/aDaZ8Qp53z+aW5lw
QEXlPyKEFEgHpt8/L2ymJl5h5T/+OHwN16jfPzg9BwIgY+U/2e3j0qar3z9B
Dmjd4WTlP5BXs11Gsd8/U7AplGVo5T//KlJzhbzfP3n0rAFtb+U/3NGPngPT
3z/DfLPce33lP7iG92PT1d8/zE0UuD1/5T+UO18po9jfP9YedZP/gOU/S6Uu
tELe3z/owDZKg4TlP7p4zcmB6d8/DgW6t4qL5T+WLTWPUezfPxfWGpNMjeU/
ceKcVCHv3z8gp3tuDo/lPyhMbN/A9N8/Mkk9JZKS5T8EAdSkkPffPzwangBU
lOU/4LU7amD63z9F6/7bFZblP7xqoy8w/d8/T7xft9eX5T+XHwv1///fP1iN
wJKZmeU/VjbcSg==
        "]]},
      Annotation[#, 
       "Charting`Private`Tag$3800#3"]& ], {}}, {{}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{Automatic, Automatic},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.790693752812522*^9, 3.79069377244267*^9}, 
   3.79069453138743*^9, 3.79069870206474*^9, 3.790703369107461*^9, 
   3.7914653251673307`*^9, 3.793547616799975*^9, {3.809370647634768*^9, 
   3.8093706737548733`*^9}, 3.809554751522911*^9, 3.809603502669691*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"63cab138-3efc-4759-984b-7775998eb58c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"R", "[", 
     RowBox[{"R", "[", "wbar", "]"}], "]"}], ",", 
    RowBox[{"R", "[", "wbar", "]"}], ",", 
    RowBox[{"R", "[", "what", "]"}], ",", "what"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.790703390645402*^9, 3.7907034034019527`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"87c8bd22-1aca-4dcf-a496-4363546d599a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.8`", ",", "0.6`", ",", "0.2876522092383915`", ",", 
   "0.200961894323342`"}], "}"}]], "Output",
 CellChangeTimes->{3.790703408499361*^9, 3.791465326899419*^9, 
  3.809370677326744*^9, 3.809554756531968*^9, 3.809604473609549*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"1dc4ff9a-689c-4506-a708-84026e6e5bdb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"step", " ", 
   RowBox[{"three", ":", " ", 
    RowBox[{"code", " ", "for", " ", "the", " ", "market"}], ":", 
    " "}]}]}]], "Input",
 CellChangeTimes->{{3.790693563759635*^9, 3.790693568033255*^9}, {
   3.790693682507518*^9, 3.7906936887937927`*^9}, 3.790694786847752*^9},
 FontSize->24,ExpressionUUID->"fc5e71f6-0078-4fa3-af55-5eb67653815c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wupper0", "=", 
   RowBox[{"R", "[", 
    RowBox[{"R", "[", "wbar", "]"}], "]"}]}], ";", 
  RowBox[{"wupper", "=", 
   RowBox[{"R", "[", 
    RowBox[{"R", "[", 
     RowBox[{"R", "[", "wbar", "]"}], "]"}], "]"}]}], ";", 
  RowBox[{"grid", "=", 
   RowBox[{"1", "/", "1000"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wealth", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"w", ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", 
       RowBox[{"wupper", "+", "grid"}], ",", "grid"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stationc", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"ParallelTable", "[", 
     RowBox[{
      RowBox[{"c", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"R", "[", 
           RowBox[{
            RowBox[{"wealth", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "-", "c"}], "]"}], "\[Equal]", 
          RowBox[{"wealth", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", "c"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.790694061796821*^9, {3.790694148498254*^9, 3.790694178364464*^9}, {
   3.790694224199555*^9, 3.790694225546218*^9}, {3.790694542229471*^9, 
   3.79069455099522*^9}, {3.790698521995987*^9, 3.790698522753693*^9}, {
   3.790699111531294*^9, 3.790699117354129*^9}, {3.79070029791369*^9, 
   3.790700304111444*^9}, {3.7914652965377493`*^9, 3.7914652967633657`*^9}, 
   3.809371535506916*^9, {3.809434553330241*^9, 3.8094345646263647`*^9}, {
   3.8094349123001432`*^9, 3.809434912775724*^9}, {3.809435893313754*^9, 
   3.8094358959809217`*^9}, {3.809532009061171*^9, 3.8095320091684217`*^9}, 
   3.809603078047739*^9, {3.809603505319705*^9, 3.809603506010981*^9}, {
   3.809604477677701*^9, 3.809604477801154*^9}, 3.809608648198991*^9, {
   3.809615467954275*^9, 3.809615472038632*^9}, {3.809619634630994*^9, 
   3.809619642445066*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"01448aa7-a346-47cb-86a1-db4a91437e6d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Pm0", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Vm", "[", 
       RowBox[{"N", "[", 
        RowBox[{"stationc", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], "+", "cityutil"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pm", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Vm", "[", 
       RowBox[{"N", "[", 
        RowBox[{"stationc", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], "+", "cityutil"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.790694214320671*^9, {3.7906943870792027`*^9, 3.790694387225093*^9}, {
   3.790694579060524*^9, 3.790694587643269*^9}, {3.790695478932633*^9, 
   3.790695480190255*^9}, {3.794740956139229*^9, 3.794740966963997*^9}, 
   3.809370692030346*^9, {3.8094345819832897`*^9, 3.809434583889629*^9}, {
   3.8096035332956753`*^9, 3.809603539547024*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"e8c3285f-5839-43b0-a0b6-091a1f84e9bd"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{" ", 
   RowBox[{
    RowBox[{
    "i", " ", "can", " ", "try", " ", "to", " ", "improve", " ", "this", " ", 
     
     RowBox[{"code", ".", " ", "in"}], " ", "particular"}], ",", " ", 
    RowBox[{
    "how", " ", "to", " ", "get", " ", "the", " ", "continuation", " ", 
     RowBox[{"payoff", "."}]}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.809371709395399*^9, 
  3.809371725731642*^9}},ExpressionUUID->"8ab0dd04-4583-40f0-97af-\
aa57efd58b29"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"N", "[", 
         RowBox[{"Max", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Vm", "[", 
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}], "+", "cityutil"}], 
               ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                   "/", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                 "}"}], ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Pm", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                  RowBox[{"Pm", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
              "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], "]"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", 
          RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Pm", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Table", "[", 
            RowBox[{"j", ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "1", ",", 
               RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], "]"}], "+",
           "1"}], ";;", 
         RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.809370714498567*^9, 3.809434599394375*^9, {3.8094347918647947`*^9, 
   3.8094348090290527`*^9}, {3.809435432137146*^9, 3.809435447106366*^9}, 
   3.809435720006789*^9, {3.809435902012557*^9, 3.809435913827083*^9}, 
   3.809603543388986*^9},
 CellLabel->"In[14]:=",ExpressionUUID->"040b7f7c-6d0f-4be7-bfa0-51139f528ac7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Pm0", ",", "Pm", ",", "Pmplus"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.79474122696809*^9, {3.809370716935583*^9, 3.809370719031357*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"f436cf76-0473-423f-90cb-cc0715c7067b"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxV22k81Iv7//GpKK0kRTstoiRJRVHvdoVChaQoZMu+72NsM4MxbZI2ipN2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       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxV22k81Iv7//GpKK0kRTstoiRJRVHvdoVChaQoZMu+72NsM4MxbZI2ipN2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       "]]}, 
     {RGBColor[0, 1, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJxV13dYzQ3cx/GDkB0ZEUkSomSH4hMhJKEl0VZK2nud0zqrTseIZBSh3JJk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       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 1, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}, {}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 1, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}, {}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 1052.}, {0, 0.26010397920831585`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.793548240430541*^9, {3.7947412211018353`*^9, 3.7947412277496967`*^9}, 
   3.809370719511879*^9, 3.809371597877398*^9, 3.809434951492854*^9, 
   3.809435505355898*^9, 3.8094357943135233`*^9, 3.8094359940995693`*^9, 
   3.809555085729272*^9, 3.809603591085256*^9, 3.8096045709148817`*^9, 
   3.809619733410431*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"f6316368-45a4-4359-8a7c-ee108b5477a3"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"While", "[", 
  RowBox[{
   RowBox[{"n", "<", "25"}], ",", 
   RowBox[{
    RowBox[{"Pm", "=", "Pmplus"}], ";", 
    RowBox[{"Pmplus", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ParallelTable", "[", 
         RowBox[{
          RowBox[{"N", "[", 
           RowBox[{"Max", "[", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Vm", "[", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], "+", "cityutil"}], 
                 ",", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                   "}"}], ".", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Pm", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Pm", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                "}"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", 
            RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"Pm", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{"Length", "[", 
             RowBox[{"Table", "[", 
              RowBox[{"j", ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "1", ",", 
                 RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], "]"}], 
            "+", "1"}], ";;", 
           RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"n", "++"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.790291698683403*^9, 3.790291732605658*^9}, {
   3.790291807061018*^9, 3.790291808039125*^9}, {3.790296395097989*^9, 
   3.790296446428836*^9}, {3.790296492136756*^9, 3.790296501095367*^9}, {
   3.790299719525784*^9, 3.7902997207470913`*^9}, 3.790388778043735*^9, 
   3.790694514867934*^9, 3.790694604886298*^9, {3.790700291252369*^9, 
   3.79070029186865*^9}, 3.790704892064015*^9, {3.793547645341612*^9, 
   3.793547647278363*^9}, {3.8093707253548203`*^9, 3.8093707265397*^9}, {
   3.809371553299848*^9, 3.809371553465785*^9}, 3.809434617922124*^9, 
   3.809434822930552*^9, {3.8094349269146967`*^9, 3.809434927021648*^9}, 
   3.809435720020382*^9, {3.809435763698614*^9, 3.8094357664076*^9}, {
   3.809435950694153*^9, 3.80943595350795*^9}, {3.809437175486364*^9, 
   3.809437179437503*^9}, 3.8095320341374702`*^9, {3.809603570565898*^9, 
   3.80960357383283*^9}, {3.8096045435739822`*^9, 3.8096045443650093`*^9}, {
   3.8096054009437*^9, 3.809605401310508*^9}, 3.809619657325123*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"8aa15423-9995-4da8-b8ba-3fd4e6ba26e9"],

Cell[BoxData[
 RowBox[{"Beep", "[", "]"}]], "Input",
 CellChangeTimes->{{3.80943602894236*^9, 3.809436029926618*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"430098f3-239d-4f2f-9db3-c9b836a3ba04"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{"Pmplus", "-", "Pm"}], "]"}], ",", 
   RowBox[{"Min", "[", 
    RowBox[{"Pmplus", "-", "Pm"}], "]"}], ",", 
   RowBox[{"Max", "[", 
    RowBox[{"Pmplus", "-", "Pm0"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.790694629397284*^9, 3.790694631631122*^9}, {
  3.7907048348887033`*^9, 3.790704841654791*^9}, {3.8094371602741957`*^9, 
  3.8094371617841177`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"6f517c0b-e28d-44a1-a418-47d7b165687a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3.5235685283668133`*^-6", ",", 
   RowBox[{"-", "2.291411504984353`*^-10"}], ",", "0.010423217806746002`"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.790693980563959*^9, 3.790694748668707*^9, 3.7906992443146687`*^9, 
   3.7907006663956003`*^9, {3.790704815039692*^9, 3.790704842928009*^9}, 
   3.7907049945605307`*^9, 3.790705268457554*^9, 3.7907054169251223`*^9, 
   3.7935567211947603`*^9, 3.809371003185431*^9, 3.809371333707741*^9, 
   3.809435794493741*^9, 3.8094371289525127`*^9, 3.809437162301593*^9, 
   3.809437421187335*^9, 3.809536486387435*^9, 3.8095618374324913`*^9, {
   3.809603597371467*^9, 3.809603605939987*^9}, 3.8096052542706203`*^9, 
   3.8096055654365788`*^9, 3.809605917239942*^9, 3.80962173375205*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"9a23b31e-f6f1-4d4c-9f5c-706845454145"]
}, Open  ]],

Cell[BoxData["Pmplus"], "Input",
 CellChangeTimes->{{3.809621041228806*^9, 3.8096210424409103`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"80bcfac4-03ff-4070-8507-c833c2b8a42b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.`", ",", "0.010902527224581736`", ",", "0.01636320683201445`", ",", 
     "0.020461420144393002`", ",", "0.023944351955575816`", ",", 
     "0.02723312072215093`", ",", "0.02994729372107454`", ",", 
     "0.03230718412789882`", ",", "0.03437868570292089`", ",", 
     "0.03629916748437484`", ",", "0.03806569665759846`", ",", 
     "0.03972017615941144`", ",", "0.04130098528934719`", ",", 
     "0.04280097140073347`", ",", "0.04422799173814315`", ",", 
     "0.0455902443647676`", ",", "0.04693470410005318`", ",", 
     "0.048211317642407304`", ",", "0.04945725439301072`", ",", 
     "0.05066688680999923`", ",", "0.05182753735624854`", ",", 
     "0.05293556801789454`", ",", "0.05401428246463175`", ",", 
     "0.05506213087516512`", ",", "0.056107424080019286`", ",", 
     "0.05713125611359845`", ",", "0.05812134457812104`", ",", 
     "0.059086989490759086`", ",", "0.06002021197723658`", ",", 
     "0.06093721925454093`", ",", "0.06183789687069099`", ",", 
     "0.0627191198057875`", ",", "0.06359567150080393`", ",", 
     "0.06444646655875695`", ",", "0.0652806244921715`", ",", 
     "0.06610566074662241`", ",", "0.06691008570214536`", ",", 
     "0.0676964469460214`", ",", "0.06847281993721126`", ",", 
     "0.06924421558741717`", ",", "0.07000520143084103`", ",", 
     "0.07075138156688453`", ",", "0.07148558533867887`", ",", 
     "0.07220227318649755`", ",", "0.07291039407371414`", ",", 
     "0.07361228890948547`", ",", "0.07431041402221282`", ",", 
     "0.07499796897846087`", ",", "0.07566955364643198`", ",", 
     "0.07633396612320707`", ",", "0.07699259452331775`", ",", 
     "0.0776380534391607`", ",", "0.07828330054868812`", ",", 
     "0.07891918524490382`", ",", "0.0795462473549074`", ",", 
     "0.08016715470231724`", ",", "0.08077823283271314`", ",", 
     "0.08138060149444931`", ",", "0.08198138000489405`", ",", 
     "0.08257568624496474`", ",", "0.08316492219601546`", ",", 
     "0.08374617911578074`", ",", "0.0843177163262011`", ",", 
     "0.08488437567041096`", ",", "0.08544863918373719`", ",", 
     "0.08601095094673758`", ",", "0.08656371653373104`", ",", 
     "0.08711022875588897`", ",", "0.08765237067836645`", ",", 
     "0.08818770661266397`", ",", "0.08872140031293863`", ",", 
     "0.08925071909571333`", ",", "0.08977371277511079`", ",", 
     "0.09029302764107142`", ",", "0.09080592015119007`", ",", 
     "0.09131353217215965`", ",", "0.09182112861961567`", ",", 
     "0.09232285427449194`", ",", "0.0928218219188236`", ",", 
     "0.09331450761915355`", ",", "0.09380120624314717`", ",", 
     "0.09428622341828505`", ",", "0.09477058111844654`", ",", 
     "0.09524992836163698`", ",", "0.09572368602022174`", ",", 
     "0.09619356405487339`", ",", "0.09666053764811705`", ",", 
     "0.09712573287304063`", ",", "0.09758678029835721`", ",", 
     "0.09804390586131823`", ",", "0.09849787188605186`", ",", 
     "0.09894789286200675`", ",", "0.09939551438982291`", ",", 
     "0.0998412351968187`", ",", "0.10028284581132615`", ",", 
     "0.10072206968257633`", ",", "0.1011570776808507`", ",", 
     "0.101588978394476`", ",", "0.1020195071619219`", ",", 
     "0.10244816853596736`", ",", "0.10287305101378805`", ",", 
     "0.10329335550055196`", ",", "0.10371166945333618`", ",", 
     "0.10412939785716413`", ",", "0.10454455199843779`", ",", 
     "0.1049557107783862`", ",", "0.10536390368484014`", ",", 
     "0.10576983472293666`", ",", "0.10617470065945772`", ",", 
     "0.10657725628049608`", ",", "0.10697622244470892`", ",", 
     "0.10737299878946355`", ",", "0.10776704945079663`", ",", 
     "0.1081601726275738`", ",", "0.10855058949976305`", ",", 
     "0.1089389580153861`", ",", "0.10932501271770306`", ",", 
     "0.10970738001150879`", ",", "0.11008972653408393`", ",", 
     "0.11046987458402291`", ",", "0.11084840122989574`", ",", 
     "0.11122308374578797`", ",", "0.11159578645100954`", ",", 
     "0.1119681967975159`", ",", "0.1123387957116202`", ",", 
     "0.11270639497883372`", ",", "0.11307151792298747`", ",", 
     "0.11343505172761881`", ",", "0.11379826249497564`", ",", 
     "0.11415903611526192`", ",", "0.11451737040217762`", ",", 
     "0.11487381246912805`", ",", "0.11522847350625001`", ",", 
     "0.1155826347143309`", ",", "0.1159343223004339`", ",", 
     "0.11628420344100265`", ",", "0.1166319543696002`", ",", 
     "0.11697864244006845`", ",", "0.11732373236110333`", ",", 
     "0.11766748924588247`", ",", "0.11800925969992157`", ",", 
     "0.1183484894965172`", ",", "0.11868744741250435`", ",", 
     "0.11902513138490292`", ",", "0.11936116009520245`", ",", 
     "0.11969422183981485`", ",", "0.12002645495246757`", ",", 
     "0.12035849102556652`", ",", "0.12068864735889437`", ",", 
     "0.12101631311335168`", ",", "0.12134289042547963`", ",", 
     "0.12166854270906505`", ",", "0.12199287577968786`", ",", 
     "0.1223154396124247`", ",", "0.12263644202772604`", ",", 
     "0.12295588970542623`", ",", "0.12327510324558874`", ",", 
     "0.12359247305332013`", ",", "0.12390819791037794`", ",", 
     "0.12422260963664938`", ",", "0.12453619439439698`", ",", 
     "0.12484832787467726`", ",", "0.125159174110377`", ",", 
     "0.12546873737252173`", ",", "0.12577677064117643`", ",", 
     "0.1260840636643925`", ",", "0.1263902383889704`", ",", 
     "0.12669491586382875`", ",", "0.12699768244198162`", ",", 
     "0.1273003966807087`", ",", "0.1276020725893697`", ",", 
     "0.1279021368354547`", ",", "0.12820027281842697`", ",", 
     "0.12849803395583603`", ",", "0.12879535138108916`", ",", 
     "0.12909104260470494`", ",", "0.1293848915950382`", ",", 
     "0.12967794637009694`", ",", "0.12997094240676985`", ",", 
     "0.13026230018624435`", ",", "0.13055207057504625`", ",", 
     "0.1308409778136843`", ",", "0.13112943045045442`", ",", 
     "0.1314164715104479`", ",", "0.13170235028087446`", ",", 
     "0.13198721423739943`", ",", "0.13227132849900028`", ",", 
     "0.13255433658904545`", ",", "0.13283640238154007`", ",", 
     "0.1331171663830049`", ",", "0.13339713232306016`", ",", 
     "0.13367641340399222`", ",", "0.13395475494623044`", ",", 
     "0.134231578112411`", ",", "0.1345075723006372`", ",", 
     "0.1347831408575512`", ",", "0.13505779722584865`", ",", 
     "0.1353310513867305`", ",", "0.135603238211418`", ",", 
     "0.13587513869335568`", ",", "0.13614612775643753`", ",", 
     "0.1364159525936797`", ",", "0.13668448540674413`", ",", 
     "0.13695290109448133`", ",", "0.13722040690364687`", ",", 
     "0.13748668062049715`", ",", "0.13775170274775125`", ",", 
     "0.13801672085846622`", ",", "0.1382809509461794`", ",", 
     "0.13854378724568508`", ",", "0.138805575185447`", ",", 
     "0.13906722082099024`", ",", "0.1393281678297407`", ",", 
     "0.13958767088475244`", ",", "0.13984638985177683`", ",", 
     "0.1401047848523461`", ",", "0.14036246095490812`", ",", 
     "0.14061871341711618`", ",", "0.14087441360007383`", ",", 
     "0.14112967619270056`", ",", "0.14138415206284594`", ",", 
     "0.1416374252694556`", ",", "0.14189010797518403`", ",", 
     "0.1421423493894489`", ",", "0.14239363454841472`", ",", 
     "0.14264411536179558`", ",", "0.14289378257533042`", ",", 
     "0.14314310760980875`", ",", "0.1433913403206571`", ",", 
     "0.1436390888930127`", ",", "0.14388569589017197`", ",", 
     "0.1441322034212531`", ",", "0.14437772423372727`", ",", 
     "0.144622636099339`", ",", "0.14486641953942703`", ",", 
     "0.1451100262611697`", ",", "0.14535292524004212`", ",", 
     "0.14559507400325783`", ",", "0.1458362217143755`", ",", 
     "0.14607707269975795`", ",", "0.14631733376627282`", ",", 
     "0.14655658724442178`", ",", "0.14679518291241073`", ",", 
     "0.14703349044299807`", ",", "0.14727114528519603`", ",", 
     "0.1475077028361155`", ",", "0.1477438258099264`", ",", 
     "0.14797958164222288`", ",", "0.14821463292600584`", ",", 
     "0.1484486570207663`", ",", "0.1486823826207383`", ",", 
     "0.14891566862447903`", ",", "0.14914809389384223`", ",", 
     "0.14937958758516368`", ",", "0.1496109873836892`", ",", 
     "0.14984183428389902`", ",", "0.15007179155395317`", ",", 
     "0.1503009336314919`", ",", "0.1505300241029478`", ",", 
     "0.1507584480337767`", ",", "0.15098593994258805`", ",", 
     "0.15121288912162636`", ",", "0.1514396945696595`", ",", 
     "0.15166570773325258`", ",", "0.15189080240070243`", ",", 
     "0.15211562045993635`", ",", "0.15234021047617302`", ",", 
     "0.1525638323764919`", ",", "0.1527867615780912`", ",", 
     "0.15300950744883876`", ",", "0.15323170991283022`", ",", 
     "0.15345302558740315`", ",", "0.1536738155466206`", ",", 
     "0.15389454549323317`", ",", "0.1541145019222812`", ",", 
     "0.15433369289174192`", ",", "0.15455246067757922`", ",", 
     "0.1547709916344044`", ",", "0.15498869102945123`", ",", 
     "0.15520583750439498`", ",", "0.15542269454475124`", ",", 
     "0.155639043659527`", ",", "0.15585471286648825`", ",", 
     "0.1560697083697018`", ",", "0.156284691980698`", ",", 
     "0.1564989005428643`", ",", "0.15671260548927035`", ",", 
     "0.15692578658711387`", ",", "0.15713862418314412`", ",", 
     "0.1573508250881181`", ",", "0.15756243169381673`", ",", 
     "0.15777384356214688`", ",", "0.15798462701623078`", ",", 
     "0.1581949613684745`", ",", "0.15840464733901585`", ",", 
     "0.15861413823736611`", ",", "0.15882301851347458`", ",", 
     "0.1590313708459405`", ",", "0.15923937250998707`", ",", 
     "0.15944689026983533`", ",", "0.15965388722800922`", ",", 
     "0.15986027465668778`", ",", "0.16006663196142557`", ",", 
     "0.16027232197089353`", ",", "0.16047742523834496`", ",", 
     "0.1606821765764265`", ",", "0.16088661252904185`", ",", 
     "0.16109042433069634`", ",", "0.161293693120697`", ",", 
     "0.161496875413638`", ",", "0.16169942177381152`", ",", 
     "0.16190151699041397`", ",", "0.16210316576632364`", ",", 
     "0.16230451555823971`", ",", "0.1625053184734814`", ",", 
     "0.16270558567234436`", ",", "0.16290573513845424`", ",", 
     "0.16310522203272057`", ",", "0.16330441933768594`", ",", 
     "0.1635031024480954`", ",", "0.16370148738925805`", ",", 
     "0.16389938980163163`", ",", "0.16409676420030275`", ",", 
     "0.164294012719322`", ",", "0.16449066093862513`", ",", 
     "0.16468688854716787`", ",", "0.16488273310860252`", ",", 
     "0.16507828601900734`", ",", "0.16527329432422114`", ",", 
     "0.16546788035023283`", ",", "0.1656623505129238`", ",", 
     "0.1658561458142068`", ",", "0.16604961411807265`", ",", 
     "0.16624273841797638`", ",", "0.16643555226412754`", ",", 
     "0.16662782721518188`", ",", "0.16681964748725264`", ",", 
     "0.16701145348632127`", ",", "0.16720258806956584`", ",", 
     "0.1673934064961623`", ",", "0.16758392082826123`", ",", 
     "0.16777397501780633`", ",", "0.16796361953114053`", ",", 
     "0.16815286794521955`", ",", "0.1683420983179309`", ",", 
     "0.16853052804562585`", ",", "0.16871869376542853`", ",", 
     "0.16890670116614503`", ",", "0.16909425346234128`", ",", 
     "0.1692812658449136`", ",", "0.16946805633088885`", ",", 
     "0.1696546679310006`", ",", "0.16984060310226384`", ",", 
     "0.1700262101304742`", ",", "0.17021180703034963`", ",", 
     "0.17039681558925365`", ",", "0.17058140859680954`", ",", 
     "0.1707658345032551`", ",", "0.17094989791092646`", ",", 
     "0.17113347414906915`", ",", "0.1713167509508848`", ",", 
     "0.17149982150618862`", ",", "0.1716823854139335`", ",", 
     "0.17186455167507556`", ",", "0.17204670058751434`", ",", 
     "0.17222834088918965`", ",", "0.1724094464850611`", ",", 
     "0.17259048807849317`", ",", "0.1727712456351668`", ",", 
     "0.17295142056870355`", ",", "0.17313137479573068`", ",", 
     "0.17331117408793126`", ",", "0.1734904643920137`", ",", 
     "0.17366935061313524`", ",", "0.17384822995393376`", ",", 
     "0.17402656905736252`", ",", "0.17420444916216862`", ",", 
     "0.17438228617009266`", ",", "0.1745598783942055`", ",", 
     "0.1747367599806101`", ",", "0.17491356602329597`", ",", 
     "0.17509016177573755`", ",", "0.17526631679353996`", ",", 
     "0.17544210959605247`", ",", "0.17561773318717339`", ",", 
     "0.17579303095138332`", ",", "0.17596782773663205`", ",", 
     "0.1761425411775285`", ",", "0.17631698209466762`", ",", 
     "0.17649089501390944`", ",", "0.17666471252234275`", ",", 
     "0.17683819332789738`", ",", "0.1770113459594335`", ",", 
     "0.17718420046775007`", ",", "0.1773567382406557`", ",", 
     "0.17752901776744284`", ",", "0.1777009251063807`", ",", 
     "0.177872730458154`", ",", "0.17804409647909403`", ",", 
     "0.17821508032861233`", ",", "0.17838605589986986`", ",", 
     "0.1785565698889105`", ",", "0.17872674142865394`", ",", 
     "0.17889680022099425`", ",", "0.17906646808101762`", ",", 
     "0.1792358784797441`", ",", "0.17940503508433053`", ",", 
     "0.1795738832631979`", ",", "0.17974240347394355`", ",", 
     "0.17991067209895056`", ",", "0.18007883007238248`", ",", 
     "0.1802464553107043`", ",", "0.18041384979524527`", ",", 
     "0.18058119624702157`", ",", "0.18074808382912955`", ",", 
     "0.18091465670049067`", ",", "0.18108119052790092`", ",", 
     "0.18124726861871063`", ",", "0.18141300135797428`", ",", 
     "0.1815786876684861`", ",", "0.1817441154696358`", ",", 
     "0.18190900099023063`", ",", "0.18207385259307304`", ",", 
     "0.18223850632397415`", ",", "0.18240263585285627`", ",", 
     "0.18256666523781218`", ",", "0.1827304962766409`", ",", 
     "0.18289398196908485`", ",", "0.1830572013175341`", ",", 
     "0.18322025281876847`", ",", "0.18338296634437862`", ",", 
     "0.18354538753985522`", ",", "0.18370769455485803`", ",", 
     "0.18386965514038636`", ",", "0.18403128977867542`", ",", 
     "0.18419289562408386`", ",", "0.18435408237820636`", ",", 
     "0.18451499139055413`", ",", "0.18467585078935303`", ",", 
     "0.1848363340137574`", ",", "0.18499646578305842`", ",", 
     "0.18515656099122493`", ",", "0.1853162814229871`", ",", 
     "0.18547576276411096`", ",", "0.18563510457051952`", ",", 
     "0.1857941245525053`", ",", "0.18595283383854466`", ",", 
     "0.18611143278057107`", ",", "0.18626981791200148`", ",", 
     "0.18642780584609697`", ",", "0.18658567221775052`", ",", 
     "0.18674339214428826`", ",", "0.18690060786721188`", ",", 
     "0.18705775172693215`", ",", "0.18721478063723734`", ",", 
     "0.18737139814718218`", ",", "0.18752782932531797`", ",", 
     "0.18768406959037015`", ",", "0.18784006086463845`", ",", 
     "0.18799578897062402`", ",", "0.18815133829222364`", ",", 
     "0.18830665101470603`", ",", "0.18846168544394945`", ",", 
     "0.18861658226729885`", ",", "0.18877126441952227`", ",", 
     "0.1889256143600203`", ",", "0.18907982337170742`", ",", 
     "0.18923374792787784`", ",", "0.18938742236657025`", ",", 
     "0.18954104962995552`", ",", "0.18969429203454996`", ",", 
     "0.1898473089390351`", ",", "0.19000031666791062`", ",", 
     "0.19015289380035333`", ",", "0.19030529348137548`", ",", 
     "0.19045764310334168`", ",", "0.1906095398952523`", ",", 
     "0.19076123982977994`", ",", "0.190912906635181`", ",", 
     "0.19106428053852284`", ",", "0.1912153390270756`", ",", 
     "0.19136631788897554`", ",", "0.19151707827217748`", ",", 
     "0.1916675033834366`", ",", "0.19181787811687934`", ",", 
     "0.19196799893080943`", ",", "0.19211779856570305`", ",", 
     "0.19226759614376537`", ",", "0.19241703828861303`", ",", 
     "0.19256622018515857`", ",", "0.19271538547854133`", ",", 
     "0.1928642096046979`", ",", "0.1930128088575686`", ",", 
     "0.19316138059553717`", ",", "0.19330960990902052`", ",", 
     "0.19345758189582304`", ",", "0.1936055509012334`", ",", 
     "0.19375313178869127`", ",", "0.19390050533814102`", ",", 
     "0.19404786310271072`", ",", "0.19419488818756292`", ",", 
     "0.19434167341240405`", ",", "0.1944884053821574`", ",", 
     "0.19463488313821434`", ",", "0.1947810870285801`", ",", 
     "0.1949271987494407`", ",", "0.1950731367414406`", ",", 
     "0.19521876615012973`", ",", "0.1953642791362767`", ",", 
     "0.1955095628375434`", ",", "0.19565462448376827`", ",", 
     "0.19579962609245305`", ",", "0.19594436010317975`", ",", 
     "0.19608886057618385`", ",", "0.19623324135733317`", ",", 
     "0.19637734743099117`", ",", "0.1965212931935417`", ",", 
     "0.1966651650326927`", ",", "0.19680867522369097`", ",", 
     "0.19695207261545164`", ",", "0.19709538756968428`", ",", 
     "0.1972383450967358`", ",", "0.19738120033752488`", ",", 
     "0.19752396214915854`", ",", "0.19766638119665747`", ",", 
     "0.1978087003895958`", ",", "0.19795083642098743`", ",", 
     "0.19809278596863747`", ",", "0.19823457510319092`", ",", 
     "0.1983761542175019`", ",", "0.19851748673286357`", ",", 
     "0.1986587516877844`", ",", "0.19879980507637549`", ",", 
     "0.1989405995101178`", ",", "0.19908134605628863`", ",", 
     "0.19922187623848805`", ",", "0.1993621193569388`", ",", 
     "0.19950235316012352`", ",", "0.19964233723587865`", ",", 
     "0.19978206385938377`", ",", "0.19992177830768243`", ",", 
     "0.20006128321356953`", ",", "0.20020050812081944`", ",", 
     "0.20033962732818789`", ",", "0.20047858971925678`", ",", 
     "0.20061731827628645`", ",", "0.20075593081975787`", ",", 
     "0.20089436733062044`", ",", "0.20103260480848867`", ",", 
     "0.20117074212639777`", ",", "0.20130861364858466`", ",", 
     "0.20144636522571097`", ",", "0.2015840400487219`", ",", 
     "0.2017213496108852`", ",", "0.20185862037531338`", ",", 
     "0.2019957480303338`", ",", "0.2021325732628524`", ",", 
     "0.20226936821444333`", ",", "0.20240602278377645`", ",", 
     "0.20254234683633315`", ",", "0.2026786427512263`", ",", 
     "0.20281478489353252`", ",", "0.2029506428768596`", ",", 
     "0.20308645764003092`", ",", "0.20322205137842392`", ",", 
     "0.20335744804032424`", ",", "0.20349280671559272`", ",", 
     "0.20362787982314515`", ",", "0.2037628198313558`", ",", 
     "0.20389774199111693`", ",", "0.20403227792779705`", ",", 
     "0.2041667658718671`", ",", "0.20430116027030001`", ",", 
     "0.20443524340771466`", ",", "0.20456928380082645`", ",", 
     "0.204703210982918`", ",", "0.2048368104220665`", ",", 
     "0.20497040770280284`", ",", "0.20510380282668922`", ",", 
     "0.20523696136074845`", ",", "0.20537011875518393`", ",", 
     "0.2055030126579319`", ",", "0.2056357367397924`", ",", 
     "0.205768454593887`", ",", "0.2059008447062569`", ",", 
     "0.20603313856079328`", ",", "0.2061653793846577`", ",", 
     "0.20629730982179653`", ",", "0.2064291776058486`", ",", 
     "0.20656093597256275`", ",", "0.20669241731620575`", ",", 
     "0.20682386312010284`", ",", "0.2069551444880942`", ",", 
     "0.20708617866573703`", ",", "0.20721720651477812`", ",", 
     "0.20734798488951656`", ",", "0.20747860504187615`", ",", 
     "0.20760921889776834`", ",", "0.20773956420351097`", ",", 
     "0.2078697962377447`", ",", "0.20800000000000077`", ",", 
     "0.2081297984236329`", ",", "0.2082595959311592`", ",", 
     "0.20838939343845608`", ",", "0.20851919094552257`", ",", 
     "0.2086489875364852`", ",", "0.20877838347582192`", ",", 
     "0.20890777850754846`", ",", "0.20903717353904766`", ",", 
     "0.2091665685703185`", ",", "0.20929596269398104`", ",", 
     "0.20942495987008297`", ",", "0.20955395614693967`", ",", 
     "0.20968295242357118`", ",", "0.2098119486999766`", ",", 
     "0.20994094407713876`", ",", "0.2100695461540806`", ",", 
     "0.21019814734001466`", ",", "0.21032674852572555`", ",", 
     "0.21045534971121235`", ",", "0.21058395000569324`", ",", 
     "0.21071216059177827`", ",", "0.2108403702949679`", ",", 
     "0.21096857999793642`", ",", "0.2110967897006829`", ",", 
     "0.21122499852053578`", ",", "0.21135282116947707`", ",", 
     "0.21148064294351296`", ",", "0.21160846471732975`", ",", 
     "0.2117362864909265`", ",", "0.21186410738961972`", ",", 
     "0.21199154560168953`", ",", "0.21211898294672418`", ",", 
     "0.2122464202915417`", ",", "0.2123738576361412`", ",", 
     "0.2125012941137073`", ",", "0.2126283513368554`", ",", 
     "0.2127554077007212`", ",", "0.21288246406437183`", ",", 
     "0.21300952042780638`", ",", "0.21313657593196042`", ",", 
     "0.21326325556290246`", ",", "0.2133899343422003`", ",", 
     "0.21351661312128487`", ",", "0.21364329190015527`", ",", 
     "0.21376996982738325`", ",", "0.21389627521266041`", ",", 
     "0.21402257975381897`", ",", "0.21414888429476614`", ",", 
     "0.21427518883550106`", ",", "0.2144014925321191`", ",", 
     "0.2145274269691297`", ",", "0.214653360569437`", ",", 
     "0.21477929416953484`", ",", "0.2149052277694223`", ",", 
     "0.21503116053260823`", ",", "0.21515672727061189`", ",", 
     "0.21528229317921974`", ",", "0.2154078590876199`", ",", 
     "0.21553342499581146`", ",", "0.215658990074609`", ",", 
     "0.21578419231570503`", ",", "0.21590939373460696`", ",", 
     "0.21603459515330298`", ",", "0.21615979657179224`", ",", 
     "0.21628499716808908`", ",", "0.2164098380681691`", ",", 
     "0.21653467815315314`", ",", "0.216659518237933`", ",", 
     "0.21678435832250792`", ",", "0.21690919759198854`", ",", 
     "0.21703368026166475`", ",", "0.21715816212324154`", ",", 
     "0.21728264398461591`", ",", "0.21740712584578703`", ",", 
     "0.2175316068988604`", ",", "0.2176557344043699`", ",", 
     "0.21777986110867692`", ",", "0.2179039878127833`", ",", 
     "0.21802811451668824`", ",", "0.21815224041939232`", ",", 
     "0.21827601578347824`", ",", "0.21839979035316118`", ",", 
     "0.21852356492264513`", ",", "0.21864733949192927`", ",", 
     "0.2187711132668121`", ",", "0.2188945394695343`", ",", 
     "0.219017964884557`", ",", "0.21914139029943103`", ",", 
     "0.21926481571415563`", ",", "0.21938824034118226`", ",", 
     "0.21951132032094756`", ",", "0.21963439951962377`", ",", 
     "0.21975747871810433`", ",", "0.21988055791638847`", ",", 
     "0.22000363633358508`", ",", "0.22012637298767382`", ",", 
     "0.2202491088671915`", ",", "0.22037184474651522`", ",", 
     "0.22049458062564414`", ",", "0.22061731573020363`", ",", 
     "0.2207397119157584`", ",", "0.22086210733317016`", ",", 
     "0.2209845027503895`", ",", "0.22110689816741563`", ",", 
     "0.22122929281630033`", ",", "0.2213513513510539`", ",", 
     "0.22147340912400404`", ",", "0.22159546689676335`", ",", 
     "0.22171752466933106`", ",", "0.22183958168009688`", ",", 
     "0.22196130534312902`", ",", "0.22208302825061055`", ",", 
     "0.2222047511579028`", ",", "0.22232647406500505`", ",", 
     "0.22244819621655817`", ",", "0.22256958774903388`", ",", 
     "0.2226909785321267`", ",", "0.22281236931503182`", ",", 
     "0.2229337600977485`", ",", "0.22305515013108382`", ",", 
     "0.22317621223697362`", ",", "0.2232972735995649`", ",", 
     "0.22341833496196994`", ",", "0.22353939632418807`", ",", 
     "0.2236604569431091`", ",", "0.2237811922898917`", ",", 
     "0.22390192689937827`", ",", "0.22402266150868008`", ",", 
     "0.2241433961177965`", ",", "0.22426412998961817`", ",", 
     "0.22438454120896645`", ",", "0.2245049516969407`", ",", 
     "0.22462536218473173`", ",", "0.2247457726723388`", ",", 
     "0.22486618242857315`", ",", "0.22498627211702327`", ",", 
     "0.22510636107994247`", ",", "0.22522645004267988`", ",", 
     "0.22534653900523482`", ",", "0.2254666272422603`", ",", 
     "0.22558639796186483`", ",", "0.22570616796170428`", ",", 
     "0.22582593796136344`", ",", "0.2259457079608416`", ",", 
     "0.22606547724055606`", ",", "0.2261849315195221`", ",", 
     "0.226304385084413`", ",", "0.22642383864912496`", ",", 
     "0.22654329221365735`", ",", "0.22666274506411588`", ",", 
     "0.22678188539742755`", ",", "0.22690102502227927`", ",", 
     "0.22702016464695354`", ",", "0.2271393042714497`", ",", 
     "0.22725844318748725`", ",", "0.22737727203751373`", ",", 
     "0.22749610018462232`", ",", "0.22761492833155483`", ",", 
     "0.22773375647831068`", ",", "0.2278525839221498`", ",", 
     "0.22797110371923907`", ",", "0.22808962281888068`", ",", 
     "0.22820814191834754`", ",", "0.2283266610176391`", ",", 
     "0.22844517941948425`", ",", "0.2285633925625431`", ",", 
     "0.22868160501355383`", ",", "0.22879981746439124`", ",", 
     "0.22891802991505467`", ",", "0.22903624167367126`", ",", 
     "0.2291541505307318`", ",", "0.22927205870107453`", ",", 
     "0.22938996687124524`", ",", "0.22950787504124334`", ",", 
     "0.2296257825245248`", ",", "0.22974338943329792`", ",", 
     "0.22986099566061538`", ",", "0.22997860188776217`", ",", 
     "0.23009620811473766`", ",", "0.23021381366025878`", ",", 
     "0.23033112092867492`", ",", "0.23044842752083078`", ",", 
     "0.23056573411281725`", ",", "0.23068304070463366`", ",", 
     "0.23080034662019114`", ",", "0.2309173565269287`", ",", 
     "0.23103436576253575`", ",", "0.2311513749979746`", ",", 
     "0.2312683842332447`", ",", "0.23138539279738546`", ",", 
     "0.2315021075923874`", ",", "0.23161882172132386`", ",", 
     "0.2317355358500935`", ",", "0.23185224997869566`", ",", 
     "0.23196896344123358`", ",", "0.23208538534621195`", ",", 
     "0.23220180659012662`", ",", "0.23231822783387568`", ",", 
     "0.2324346490774586`", ",", "0.23255106965997813`", ",", 
     "0.23266731614044975`", ",", "0.23278350457023367`", ",", 
     "0.23289963503621042`", ",", "0.23301570762504403`", ",", 
     "0.23313172242318292`", ",", "0.23324767951686037`", ",", 
     "0.2333635789920955`", ",", "0.23347942093469393`", ",", 
     "0.2335952054302485`", ",", "0.23371093256414002`", ",", 
     "0.23382660242153802`", ",", "0.23394221508740146`", ",", 
     "0.2340577706464795`", ",", "0.23417326918331222`", ",", 
     "0.23428871078223126`", ",", "0.2344040955273606`", ",", 
     "0.23451942350261737`", ",", "0.23463469479171237`", ",", 
     "0.23474990947815083`", ",", "0.23486506764523327`", ",", 
     "0.2349801693760561`", ",", "0.23509521475351217`", ",", 
     "0.23521020386029173`", ",", "0.23532513677888303`", ",", 
     "0.23544001359157282`", ",", "0.2355548343804474`", ",", 
     "0.23566959922739295`", ",", "0.23578430821409638`", ",", 
     "0.2358989614220461`", ",", "0.23601355893253254`", ",", 
     "0.23612810082664876`", ",", "0.2362425871852914`", ",", 
     "0.23635701808916104`", ",", "0.23647139361876313`", ",", 
     "0.23658571385440838`", ",", "0.23669997887621366`", ",", 
     "0.23681418876410257`", ",", "0.23692834359780598`", ",", 
     "0.23704244345686282`", ",", "0.2371564884206207`", ",", 
     "0.23727047856823655`", ",", "0.2373844139786772`", ",", 
     "0.23749829473072012`", ",", "0.23761212090295394`", ",", 
     "0.23772589257377919`", ",", "0.23783960982140884`", ",", 
     "0.23795327272386904`", ",", "0.23806688135899964`", ",", 
     "0.23818043580445478`", ",", "0.2382939361377037`", ",", 
     "0.23840738243603113`", ",", "0.23852077477653807`", ",", 
     "0.23863411323614234`", ",", "0.23874739789157912`", ",", 
     "0.23886062881940173`", ",", "0.238973806095982`", ",", 
     "0.23908692979751112`", ",", "0.23920000000000002`", ",", 
     "0.2393130167792801`", ",", "0.23942598021100384`", ",", 
     "0.23953889037064524`", ",", "0.2396517473335006`", ",", 
     "0.23976455117468887`", ",", "0.23987730196915255`", ",", 
     "0.239989999791658`", ",", "0.24010264471679607`", ",", 
     "0.24021523681898282`", ",", "0.24032777617245996`", ",", 
     "0.24044026285129536`", ",", "0.24055269692938386`", ",", 
     "0.24066507848044763`", ",", "0.2407774075780367`", ",", 
     "0.2408896842955298`", ",", "0.24100190870613453`", ",", 
     "0.2411140808828883`", ",", "0.24122620089865862`", ",", 
     "0.2413382688261437`", ",", "0.2414502847378731`", ",", 
     "0.24156224870620824`", ",", "0.2416741608033428`", ",", 
     "0.24178602110130354`", ",", "0.24189782967195056`", ",", 
     "0.242009586586978`", ",", "0.24212129191791457`", ",", 
     "0.242232945736124`", ",", "0.24234454811280573`", ",", 
     "0.24245609911899516`", ",", "0.2425675988255645`", ",", 
     "0.24267904730322312`", ",", "0.24279044462251806`", ",", 
     "0.2429017908538346`", ",", "0.2430130860673968`", ",", 
     "0.24312433033326794`", ",", "0.2432355237213512`", ",", 
     "0.24334666630138987`", ",", "0.24345775814296822`", ",", 
     "0.24356879931551167`", ",", "0.24367978988828762`", ",", 
     "0.24379072993040568`", ",", "0.24390161951081835`", ",", 
     "0.2440124586983214`", ",", "0.24412324756155446`", ",", 
     "0.24423398616900147`", ",", "0.2443446745889912`", ",", 
     "0.2444553128896977`", ",", "0.2445659011391408`", ",", 
     "0.24467643940518674`", ",", "0.24478692775554828`", ",", 
     "0.24489736625778563`", ",", "0.24500775497930674`", ",", 
     "0.24511809398736764`", ",", "0.2452283833490732`", ",", 
     "0.24533862313137736`", ",", "0.2454488134010837`", ",", 
     "0.24555895422484597`", ",", "0.24566904566916853`", ",", 
     "0.24577908780040666`", ",", "0.24588908068476728`", ",", 
     "0.2459990243883093`", ",", "0.24610891897694404`", ",", 
     "0.2462187645164357`", ",", "0.24632856107240184`", ",", 
     "0.24643830871031394`", ",", "0.2465480074954977`", ",", 
     "0.2466576574931336`", ",", "0.24676725876825717`", ",", 
     "0.24687681138575976`", ",", "0.24698631541038868`", ",", 
     "0.24709577090674784`", ",", "0.24720517793929803`", ",", 
     "0.2473145365723576`", ",", "0.24742384687010266`", ",", 
     "0.24753310889656763`", ",", "0.24764232271564568`", ",", 
     "0.2477514883910892`", ",", "0.2478606059865101`", ",", 
     "0.24796967556538038`", ",", "0.24807869719103254`", ",", 
     "0.2481876709266599`", ",", "0.24829659683531713`", ",", 
     "0.2484054749799207`", ",", "0.24851430542324923`", ",", 
     "0.24862308822794396`", ",", "0.2487318234565091`", ",", 
     "0.2488405111713123`", ",", "0.24894915143458513`", ",", 
     "0.24905774430842337`", ",", "0.24916628985478756`", ",", 
     "0.2492747881355032`", ",", "0.24938323921226144`", ",", 
     "0.24949164314661926`", ",", "0.2496`", ",", "0.24970830983369377`", ",",
      "0.24981657270885774`", ",", "0.24992478868651666`", ",", 
     "0.2500329578275632`", ",", "0.25014108019275844`", ",", 
     "0.25024915584273205`", ",", "0.250357184837983`", ",", 
     "0.25046516723887974`", ",", "0.25057310310566056`", ",", 
     "0.2506809924984342`", ",", "0.2507888354771799`", ",", 
     "0.25089663210174823`", ",", "0.25100438243186113`", ",", 
     "0.2511120865271124`", ",", "0.2512197444469682`", ",", 
     "0.25132735625076713`", ",", "0.25143492199772094`", ",", 
     "0.25154244174691476`", ",", "0.25164991555730754`", ",", 
     "0.25175734348773227`", ",", "0.25186472559689654`", ",", 
     "0.25197206194338295`", ",", "0.2520793525856491`", ",", 
     "0.25218659758202855`", ",", "0.2522937969907306`", ",", 
     "0.2524009508698412`", ",", "0.2525080592773229`", ",", 
     "0.2526151222710153`", ",", "0.2527221399086356`", ",", 
     "0.25282911224777893`", ",", "0.25293603934591846`", ",", 
     "0.25304292126040595`", ",", "0.2531497580484722`", ",", 
     "0.25325654976722717`", ",", "0.2533632964736605`", ",", 
     "0.25346999822464195`", ",", "0.25357665507692145`", ",", 
     "0.25368326708712974`", ",", "0.25378983431177854`", ",", 
     "0.253896356807261`", ",", "0.2540028346298521`", ",", 
     "0.2541092678357088`", ",", "0.2542156564808706`", ",", 
     "0.25432200062125965`", ",", "0.25442830031268143`", ",", 
     "0.25453455561082466`", ",", "0.2546407665712621`", ",", 
     "0.2547469332494505`", ",", "0.2548530557007312`", ",", 
     "0.25495913398033027`", ",", "0.255065168143359`", ",", 
     "0.2551711582448142`", ",", "0.2552771043395784`", ",", 
     "0.25538300648242046`", ",", "0.25548886472799553`", ",", 
     "0.25559467913084577`", ",", "0.25570044974540035`", ",", 
     "0.25580617662597593`", ",", "0.2559118598267771`", ",", 
     "0.2560174994018964`", ",", "0.25612309540531486`", ",", 
     "0.25622864789090233`", ",", "0.25633415691241773`", ",", 
     "0.25643962252350944`", ",", "0.25654504477771545`", ",", 
     "0.2566504237284638`", ",", "0.25675575942907297`", ",", 
     "0.25686105193275216`", ",", "0.2569663012926014`", ",", 
     "0.2570715075616121`", ",", "0.2571766707926674`", ",", 
     "0.25728179103854204`", ",", "0.25738686835190333`", ",", 
     "0.2574919027853109`", ",", "0.2575968943912174`", ",", 
     "0.2577018432219685`", ",", "0.25780674932980324`", ",", 
     "0.2579116127668547`", ",", "0.25801643358514975`", ",", 
     "0.25812121183660985`", ",", "0.25822594757305084`", ",", 
     "0.2583306408461838`", ",", "0.2584352917076149`", ",", 
     "0.25853990020884593`", ",", "0.2586444664012745`", ",", 
     "0.25874899033619436`", ",", "0.25885347206479575`", ",", 
     "0.25895791163816567`", ",", "0.25906230910728795`", ",", 
     "0.25916666452304393`", ",", "0.2592709779362125`", ",", 
     "0.2593752493974705`", ",", "0.2594794789573927`", ",", 
     "0.25958366666645266`", ",", "0.2596878125750225`", ",", 
     "0.2597919167333734`", ",", "0.25989597919167584`", ",", "0.26`", ",", 
     "0.26010397920831585`"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.809623540140975*^9, 3.809623545490395*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"138db477-c5e3-4fd7-ad06-c217515e3852"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "Pmplus", "]"}]], "Input",
 CellChangeTimes->{{3.8096235481447144`*^9, 3.809623550838469*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"45c29506-631a-47e1-8790-f6a82b5c6aae"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
     0.0055000000000000005`], AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxV13lYzIv7//GxZ49QsiUhlKIQipclhaKFJO2b9n1fZ6lpmmoaDiGiENlT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      "]]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.0055000000000000005`], AbsoluteThickness[1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.0055000000000000005`], AbsoluteThickness[1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 1052.}, {0, 0.26010397920831585`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.809623551436947*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"a4de462a-46c0-4259-a060-04ebc60a5316"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Pm0", ",", "Pmplus"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.809437558493527*^9, 3.8094375608873787`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"a83d8f74-8e58-4da4-be4b-367450b0506d"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw103dcDfr/B/DTVWSkiKSMbrJJshLpRSEV2hGppLT3nmd2jqwINwoZERld
kRCOlcxCEhllk5ERWbdf38fv/b7/3Mfzfnqf13md1+P+vTTcye8vgUBg2EEg
+N+///+fZsvkXodmNyZJLek/YIBdYFRlSzZZHW16Y+68/PUPWQubyl8ENffI
JffCLP0zj3YWbSXr4p1bfde7LdvJ/TBnwkPZhQ47yAYYKNyWP/Y72xA1Z1tP
FN7fSTZChZ3mCRzaRR4CmfZHW/P43eRhCBk07IHNxALyCGxH5qkz79ij4B83
oPO+3D1kY+ibv/7VaLWXbALzlDkx/V+yx6K3b/L1T+JCsim8rW5Meqy3jzwO
PqFz4ucfYo+H44IDy3ZZ7CdPwMOS5sKRV9gToeg3o26MYxF5EpZdDdX/eJdt
hronIyU73A+QJ2PG1f19E2vZ5ujey+7cTqeD5ClYI8pvmnWdPRWz6jXGZlod
Ilsg18K5anUZexrWlTRrR4w8TLbEiPphpfZ5bEAytGrdNrXi/7cQGPbsi/eo
qWTBdAyXpmU/iOT36XhiKRhcsoffZ+DilSq3sw/4fQZG/ZSe79T9X3q3wq6u
w4M2gCy0wrCxURUhUfxujcNypzv/7OJ3azyI09HvV8PvM7GswVrZ1uEIvc/E
k1XBGTbjyIJZKCj/df+XD7/Pgv0S13sDsvh9NgKb9RxLT/P7bMxxf3634i2/
2yDghu8xlz4l9G6DJ1EaasusyII5sK6Yv7s1jN/nYHdYIHS28LstHAa9clde
5HdbHB94x+LnB363g8BvW7/Lukfp3Q4Gna+1Dp9BFtjj3VfPksHB/G4P1yP9
u53O5ve5iJi5a9fnU/w+FzFJ0/9UPuP3efDfUCGc0fUYvc+DwwP9FB9TsmA+
fAwqjIYt5Pf52NfbdnNOOr874GFN3NOjBWQ4oPJrzte0a/z3Dlikn1Pc2kxW
OuDUU8GLQTqldO8I+ZHf8/6aQoYjPnecnLvRiyx0hEfyWf8nErLSEb1vnrVs
3Mv3Tlj2zX5P3jW+d8J3u+4a2h/53gmLC1/cn9nzON07YbTbSv+JE8gCZ0xZ
a6Dy0p0MZ1iYn3jnmkQWOiNrxSMfeR7fO+N3d9W1yWf43gU9r6tuHtfA9y44
ckqWW6xSRvcumDzbZ98XQ7LSBelanW78sSILXHEu8p569TIyXFHVLck9WMb3
rmg5NeZAdQHfu+KzicEXQQXfu8FTsavHnxd874brPRUvL6mdoHs3dM9ysV08
mKx0Q24vueY5a7LAHSNvVP/V4kuGO8qr5zW1ivneHd9HKzNv7OB7dxz0PLE1
Wsn3C+A+/W5902O+X4Drt559n/iH7xegQ75Ovqv+SbpfgEWzR6bZTCYLFuLl
h+xJWu5kLIRpy9bQgzFk4UJ4NGw6bbCe7xciZP9HZdBhvvfAbuESjVXX+d4D
5V3axsve8L0HNOdFVrh1PEX3Hhhh+d1eZRBZsAiW2uscZJZkLMJLH123Z4vI
wkXYMMTjiX4C3y+CdfGY4DEb+H4x/lu1KXZAMd8vhnba5fg31/h+MQaI7F9n
veL7xbD90XtK7w7ldO+JVR3WNsYNIMMTf9qKbUsnk4We+LpQ59kdF7LSE0//
6da7Opzvl2DFqQKboky+X4Lcn5XP/Ar4fgnS782wFSj5fgmcdtQ8SnrA916Y
uNTqv7tf+d4LFjP8O/fUPE33XpjmN37RmOFkpRfmz7k919iKLPCGrGjbZE1P
soE3hrdOi70dR4Y3ouyKXBOyyN7eCOtkbqyynz/fG4UdihxCL5DzvXHbw1Tj
9EPOa//8B+IjzS3kBm88161bra55hvJ98H2coEl1GNnAB7rT/Hq9BBk+eO6h
43xgIdnbBw/WVn9wjyILfZBn18n4TSY53wcP97xz9d5FVvpglU/i/tOnyA0+
GLA9JkylhvOXYtSy5Gcj33H+UvSu62RroXqW8pfiiH1C44R+ZO+lEHXXed17
PFm4FCPb9HMf2ZHzl2LF7/KJq33JyqXooDPim1EyuWEpDNbnaBesJwt88d+l
2ZUa+8kGvliuzLD3Osf5vhh09cS9zXWc7wvBaa/80x853xfSzV3D/DooKd8X
xy/fetLQnaz0xdBPCZaOeuQGXwTXrNlTOpgsWIblx8yNe4wlGyxDfK7lR++p
ZCxDdPp/Kntmk72XYWpQQlqDE1m4DOZShxStJZy/DIt0bvacGMj5y6CV+niB
YwznL8MpjT5+S9M53w+/PpTODczkfD+4Pi8c5r+R8/2QrSHrujCf8/1gs2V9
1xlFnO+H2sgrFn+Xcr4fFlbfKf2m5Hw/VNVprjx/jfPb/77fupvSWs73h6Oe
4UaLRs73h9XhmZ/fNXG+PyykZj/Wf+N8f2SFfi4fo3KO8v2x78JQhwtdyfn+
OHfE9tJcHbLSH+biVcZVBuQGfzy683jr7JFkwXJMqf9qdHwC2WA5Ildb3+0P
MpZDfKWTMtmW7L0cikSLb9UunL8cLw/sV/T34vzlOFNUL/cJ5PzluNNhsOrW
aM5fjs5rd2tUp3J+AI5Fzzj6U875AWgecKRT//WcH4AOk6P7TMrj/ACYbbj9
2WYP5wdAV6ep0KmY8wOwIHePjctJzg+AovZMw9yLnB+AkuFn0i1vcn4g+iYL
xg+v4/xA9FA72rXrU84PhOPfD3q9aOL8QOzRtPE83sL5gUDZ3s+iNs4PxPnA
hKfWnc9TfiB6Z2uaC7TJDYEYl7i549F+ZEEQBG/6unoPIRsEYeaLEFM1EzKC
8MFhdtHOyWTvIGzfOOm6mRVZGIRTs/bsuGxPzg/CH2XtpPlunB+EXRWvtlR5
cX4QvHVram0COT8YnbtGfz8ZxfnBMNNLVB+SwvnBuB6f0DtTxvnBWJHTOPzV
Gs4PRuXpDo4WOZwfjIUpGptW7eD8YOyEhurd/ZwfjD7Vnwp0jnJ+CHpUZmY4
nub8EOjrrSiWVXB+CE7I0o1Lqjg/BLWaz7o8qOP8EJyN7+rws5HzQ/Bw3zj1
Xk2cHwJDkySLoV85PwSu+Y0/xv3h/FAMVnecbd7xAuWHYoT7hjHmmmSEorFi
cfk4XbJ3KLZh+vchf5OFocg+d+aN9ghyfihelZtt/WlKVoaiJfmHXv0UckMo
TqaYhhyzJgvCkHjz9+YVczk/DLtCFh50d+P8MGjljD080Ivzw7DK2L2wcTnn
h+GiQLZjawTnh2HnEK9dzomcHwZ9p+jSDmLOD0OMweRnBzM5Pxw6QT1NnbI5
PxxvsuyKmnM5PxxWN/TdV+zm/HAkJxZY9DvI+eHQXfzNf98xzg/HueZO9SZn
OL/dh8/uOFLB+eHwd/l43riK8yPQw9B1VsE9slYEeg3LG6fTwN8nAr7SxetF
r8kmEdAs0A961czfLwKlCvvzs3+QHSJw4s/8nTtVLtL3jUB8Q0yP1s7kiAh4
LGjVselJFkbgq3bHk+v1yFkRUJeWqdQZkvMjsLp335Y+I8nFEagIMsh1GkdW
RsAtu/SnfAq5OgIRViV6ZVbkhgiodXms8syO3ByB0RkfStVdyIJIrMhdheGL
yVqReFbgUGC9jGwQiRdFF5o8QsgmkVBZ56UXEkNGJDJmrZ2UkEJ2iETTr0Nz
0qXcPxJz53VzF63i/pEYG//SL20D949EfFJYSlwe94/EDufL+YG7uX8knA07
3nc/wP0jYeRmOnL6Ue4fidP3Z24dXM79IzHbYvQEtYvcPxKjGi63PrnG/SNh
rvf6/bE73D8KPZc568nruX8UVNPPS5yfcf8oIK9xjH4T949CnMTB6PFn7h+F
e2U7/fN+cv8oiHd6/Xb96xL1j4Lnwb+aunQhR0TBN/LXpFM9yMIoLL578LV/
X3JWFDRNo/7q/jc5PwqfYjZmFg8jF0dh+oyFGfNMyMooHNT5+vPVJHJ1FKID
1r1PsSQ3ROH3ZUdfjdnk5iioCex8Ns8jC6JhN0HxzsCNrBWNMrUuXXZ7kg2i
MWxvxRlDP7JJNA6o7dfcGkJGNAIbN6pox5AdovGzyWezNJn7RyPyRX39JzH3
j8bzsss3PDK5fzQ25jyJPruO+0ejpG/N7YGbuX80Ds63/5icz/2jMeLVixt3
9nL/aGzFhOihh7l/NOIzLz2LK+X+0fjyQNfo/GnuH42cOYVmnS9x/xhYqT8f
bH+d+8fga/K45sw73D8Go1xbci894P4x6FCYPvp3I/ePwZMOBvuM33D/GDzI
1Nf2bOb+MahVPxwu/879Y2DRRfPCwf+4fwziPy/vUa1WQf1j0Lnn4yUfupHz
YxBRvvqwei9ycQwKPFd2GqhPVsbAc+2zoLGG5OoYqBnnPrIcTm6IQUDoYV9b
E3JzDPq+763iOIksiMW66+UnnKeRtWKhcTZzndNMskEsDAd6rZprTzaJRa+/
eh6ydiYjFu9tY35O8iA7xML29PzYoT5k71h80FxuqB1AjojF322xar/CyMJY
nF4y1vBJLPePRfdRs1POpnD/WERuX9InT8L9Y1Fuofs9JpP7x8LvjcZA23Xc
PxbJX26v18/h/rHwGPXV9c027h+LiV+/B5cUcP84+NstqUs8wP3jkP40f9vU
Eu4fh/Ejxp3/dYL7x6GHr3jWcSX3j0PTgRbj8MvcPw4WOh/SBt3k/nGYWFQx
uaaG+8dhr7Rmqaie+8fhYq3/nxFPuX8cCtsqut16zf3jULrRbEP0R+4fhxux
Pzb1/Mb94zDj1nTdQ7+5fxzOT7HWn9XhMvWPw9ey0bsedCY3x6HtyuCSYC2y
IB6PkubN+6FD1orHmvCL8ZL+ZIN49Pq0zbSLEdkkHg4/P4pWjyAjHuXWFwM0
xpId4vHRZdDbFZPI3vFQk2t27jCNHBGP53oZlQnWZGH75yF9ZJMtOSsejw0/
jPdwJOfHo6pF+eqSO7k4HiVtDbOMl5CV8fheYOqavYxcHY85CRt7twRx/3g0
THme6RzJ/eOR9+3r8UPx3D8B6j9ztndM4/4JmPAhz3qRlPsnQPqwct+BTO6f
AAvzhls/s7h/Anp+2XF25j/cPwFp0ZWxq7dy/wRolXT+fmsX90+AeFqfWdr7
uX8Crk7f5udYzP0T0LZu9oJVpdw/AUOOHze4WM79E9DYsuZc63nunwCVhYEW
I65w/wSonXq8aUEV909AcJW4WnKX+yfgz8gX74rquX8i3juu+1DdyP0T8ba0
e93nV9w/EVo3G4p6fOD+iSjXkoeM/sr9E+HaKbXfrJ/c/3+fZ35mkaCS+iei
qtjUJawjOSIR37vVNqR2IwsTESnM8s/sSc5KRP6Sq6+ydcn5iQiZ+tp/ywBy
cSI8W21fbjUiKxOx+fz8gG0jyNWJqDFy+JhrQm5IhFGXnambJpKbE3Gh4p/e
a6aSBUkoHSg8IZ5B1kqCn9Oe4BgbskESBvRzMvadRzZJQsK5yx3mu5CRhLLe
Nh8meZAdktBFrNXc35v7J6Gk26KuKv7cPwnjvZfMaAzm/kmYfXvuP2ciuX8S
ngYt7LY5nvsnQbPp4K6IVO6fhIo7MV4zJdw/CbtDaqb3WcH9k5B79aP9yzXc
PwmZtS/FRzZw/yRcd659kbyF+ydj98t78TPyuX8y/tX7a0rHPdw/GRMDA8Ze
LuL+yQi01PeU/cv9k5GvOkyJ49w/GUkGmxf/KOf+yXgniBt/+Dz3T8Zcgwtz
llZy/2TM6Cre1vMm90/GXv9/xyvvcP9k+LbYdw++z/2TYbxt7mjtJ9w/GTaR
+7LLnnP/ZBgccrZa9Jb7J+ND5dRpvz5y/2Qgwikjp4X7pyBufXr/cb+4fwpM
fA+oXRNcof4p+Nf7DLw7kk1SYLwwp/pzVzJS0C9C77i4B9khBV6DDL9p9iF7
pyDJIXPtln7kiBQcnjxSZmhIFqag28oHdXuHkrNSEOMVvGrEaHJ+ClbPPLRj
vym5OAVK60i9YWZkZQr+a0xv3WlBrk7BbqNdFvpW5IYUWOXuaMqyITenwMHb
UlV1HlmQiocDpq2IcSZrpWJCH8+Upwu4fyqEgxY+mbuE+6dievm7klJf7p+K
V7+rfvUL5P6pMCssKxOGcf9UXBjl8a4xmvunwnKfXw4SuX8qnjevOJOXxv1T
Ubo22vubhPun4vzN6+lzV3D/VCwusxiwcw33T8WcfiEWX7O5fyqeZv96bLWZ
+6diVMZq1XXbuH8q3ow8d7h+F/dPw/bscU8H7eP+aVhbkL418BD3T0PR0GnP
DpRw/zQIz6kde1/G/dPQUxDca9QZ7p+GowsFHQIucP803B/rJt5Ryf3TcOfh
z+y6G9w/DRt2JU3WuMP907DwsleMZR33T4OXzHRW+CPun4ZEvcTivKfcPw3H
Ko4fvfyK+6fhaXWES/M77p+GgZlG63Q+c/80LHJ0DDH/zv3TUbkp+tWi39w/
HU5P1FSTVa5S/3SoVAov/NORbJIOr86Lhh7pSkY6rid1HntVi+yQjlu92xqf
9CZ7pyPox4EpX/TIEemYGSq2VDUgC9PR9vzdh56DyVnpWNBhgd3AEeT8dCza
Otpt+BhycTpkp+9qjR1PVqbj+Z7SlImTydXpGF43PnfyNHJDOk52Lwk1tyI3
p+PsnPUtZjZkgRD6N8aOnzCXrC5EqNHHEWOcyFpCqA4ZUj/EnawrxPUWk1n9
FvPvI8R49YBQTR/yMCG0Bhs6Cfz59xIiJuhoy4cgspkQmfOjFtaH8+8nhMfe
g2mXYsg2QmzaVep/MJF/TyG87tX3zE4jLxCiZXKQNE7Cv68QKcMPlrsryAFC
5Id+KJ+4mn9vIaabx2VorycntPc1Xan3YRP//kIsDYxKqsglK4RwDwjfm5fP
ewjxdPTFnREF5BwhdE3/DZ2xn/cR4kpAbOeeh8mFQrRZzYt/UsJ7CZFcGl+2
v4xcJoTxxFE3o0/zfkLsP7P7hPl5cqUQ6+7oprRV8J5C/BCf0Tl/jVwnRO3y
q5niat5XiPkHwu/jLvm1EP27NXT4c5/3FuJhrV3X44/JrUJ4fm5sDnvG+4vw
5mHVMaPXvL8Iqw9PX1T3jvcXYbHB0qcrPvH+ImyTethP/sb7i9DnjtOWlz95
fxGM90TeWNfG+4tgMO3hS3PVa7S/CEMlpa8a1ckQYUenQbcyNMg2IozqYrV7
eE+ygwgV8ROXXtUhLxDh2Xv9boH6ZG8RROVau9QMyAEijHttMizfiBwhgumo
f/LMhpMTRFjye7FK1WiyUIQZ8i3uvqZkhQjaZf75LRPJWSIUmd17KJtCzhEh
KVrQvRfI+SKkb2wZn29NLmzPz6p0GjGHXCxCuH5mwJG55DIRPI7PiTdzIitF
mH2ot7DcjVwpQrbOL8m0ReRqESQ1atIzXuQ6EXTzIJq6jNwgwvPPR1PKAsiv
RXg0NjjeNJTc3P77y4Oi9keSW0W49L0szCCOLBAjz2dR6IYksroYX1Jcwzum
k7XEmPd4X2ychKwrxojWhaLncrKBGAf7+Wc7rCIPE8M7/caBk1lkEzEeTFxz
03Aj7y9G6LSCH4rNvL8Yd+O7j3m/lfdv//sDF8Pn7+T9xWjJOld+eA/vL0bz
+T863Yt4fzHENyPSgw7z/mK8Gd3j+8US3l8MiV1NWv8y3l8MT8mhPjHlvL8Y
l42yz1cqeX8xnkbHCPUv8f5iDC6ycgq5wvuL8fF3s9mpG7y/GG0bgieo3+b9
xfi1eYeNcy3vL0arsTA67wHvL0ZDzJfSZ495fzHUVr3UHv6M92/vs9FqZcgr
3l+MetGXskNNvL8YZ5ckmzV/5P3b+ymMu4z9yvuLod3X2ziylfcXw/z10oLi
37y/GG9Xrgj/KLhO+0ugWDBk9Wg1sroE43xW/hfUmawlgUZCl4t7Nci6EgiN
Wx4960E2kGDV3Tz7gTrkYRKopzlpeeiRTSR41+o/fMMAspkEm+6NyLlhSIYE
WiEfFnccSraRwP2KSsK0kWQHCfIvHH0TO4a8QIItzW5HDowje0twbO+k208n
kQMkCPhrzxzdqeQICcIfNuvOBTlBAu0af4isycL2d1s35VEbskKCfb4am1/Z
k7MksOz04GpfR3KOBNYNnd3sXMn5EmzzfGuespBcKIHjkcrEA57k4vbvd/dT
z4c+5DIJzkqOdOzqT1ZKYGbh7jo5iFwpQVebUW3+YeRqCaIOp6puiCLXtedb
/+OnjCM3SDBm60XDd0nk1xJ81nGc2ied3CzBzhr5kekScqsEz8+WyILlvL8U
w1cMLN2wkveXonlvb+vTa3l/KX57NIx5kc37S5FTeCWxWw7vL0XVEn3DcXm8
vxQF2gOHL8zn/aVwHzxgbdpu3l+K7JM+LrsKeX8pTp43Tbx8gPeXQvPb/T9v
i3l/KX7c3f5U4xjvL8XUg9eHmpzg/aUwziq84Xia95fi1+LkmqhzvL8U1adW
Tc2+xPtL0X+gUceSK7y/FNcuKMbevsH7SxH9r8rZ5lu8vxSbT9491L2W95fi
SYqdyqgHvL8U8NlXavOY95fCKm9C1bKnvL8Uk4wn2glf8v5S+D1rHpH7lveX
YrZLUdixD7y/FOUv9utUfeb9pZh5Zfyg1994fynG/lm9QfCL95ei1v5XkG4b
7y/FZYdze8Z0uEH7S6EabmQzqxO5VYrx9QHzF3clC2S4u+l2eaQmWV2GyMiC
rAxtspYMN9QHX9vSh6wrg9GVDSGH9MkGMri8nxR7biB5mAza6Y4v7gwim8jQ
393o9IuhZDMZwvp/+f1tJBkyhM4RFHQyIdu0/73hmmN9xpMd2j//zGPjoWbk
BTI0qY7vMXEq2VuGVweqFluDHCBDicWXHk7W5AgZ5mg2mHjZkBNkCLK9dyLY
niyU4fLrvgfjHcgKGUyOve4icSFnyXDVTnpn9QJyjgwT9EZ3yllMzm+/9xq0
Z4c3uVCGotF7i/cvIxfLMGB565CSAHKZDBvPuXU+FUJWyvD2osqC8xHkShnW
XjPTvhJDrpah7K8pU6oSyHUyZAbNrq5JITfIML027/Z9Ifm1DCHvEmc8lvL+
MnQe2t/gqYL3b/+8OxeDX6zi/TPwTvvw4NdZvH8Guj/qO+/tBt4/A4dbZ7xo
yuH9M3BENaDpXR7vn4Go6Arv9/m8fwZaVubOfL+b989AryCjLe8Kef8M7Phv
65KmA7x/BrZozsx+U8z7Z8DGzM3s1VHev/3z32jMe17G+2cgI7CwpqGc98/A
mRqf6w+VvH8GbPvHTai7yPtnIK3r31p3Knn/DHyz2Lb4xnXePwPnhg/Xv1zN
+7d/vt4fO2UN79/e19T1Y1kd75+BbcEhav8+5P0zcHRj6prCBt4/AzkLLmRu
f877Z8B5XMLPja95/wzEpdQ+WvmO98/AzKW6E0TNvH8G7r2NF8R95f3bf4+v
xghq5f0zcGd8/FfP37x/Bv6aktnfUXCT9s/ArdAdp6xUyc3t7vbt5gR1cmsG
XEzOuQ/tRhbIsfrKFDddLbK6HGU7t11V70XWksPSy/BYax+yrhyPk9t6v9Yn
G8hxY17Y+9qB5GFyPOy0d8qlQWQTObYXNwpKhpLN5Fg7ys0ifyQZcoyZPPXT
qjFkGzlMw671SxxHdpAjx2KKctkk8gI56r+cr58/hewth2bZ5nBzS3KAHIJV
35KNrMgRciyx11LpPpucIMf94v5t32zJQjls7V3jnswjK+S4ueq9/2UncpYc
zaf63TrkRs6R48p/usc2epDz5TBw09VOWUIubP89tzk0+SwlF8uxNeu7xWx/
cpkcn5Qzuo4KIivlWJq/3FkrjFwpx6CUXJ2vkeRqOR6larveiyXXyVFTpKp5
MpHcIEeXN7us81J5fzk8WwZ/SxXx/nLsDT07yEvG+8vRcK39f84VvL8C05Z3
+TpwNe+vgEuM0T9tWby/AhPVhh5/vIH3VyC78yyX0zm8vwIP5h0Ly83j/RVw
ExZ2TMzn/RVwHOrcz20376/AmKLXh00LeX8FshzzznU/wPsrEDZth+Pbw7x/
+/eLGeF9qYT3V6BbTdD77cd5fwW29N/4I/EU769A+sd6qfNZ3l+B2Zcj1466
wPsrsEZlRV+1y7y/An8/cB706Crvr0DfENWDR2/y/gr8/vd66crbvL8CtbLH
WFrL+yvgtSPYzuwB769Al20FtRqPeX8FJrScfvq0kfdvt+Bl+PEXvL8CSa3z
0la+4f0VKPk+vLvXe95fgfrveweafuL9FfC78+OIagvvr4DdTIfK2lbev/3z
39R7Ff7m/dv3mnIjMVFQRfsr8O9mFx1bVbJgBRqm75ygp05WX4EM55f33nQl
a62AZZXDnzLNKsv/A+7b93w=
       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw113dYDfz/BvCTVWaRkREpK6NCKZLuVERGRQOlPbR3neYZnc6xM/KEkFUh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       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.004583333333333334], AbsoluteThickness[
      1.6]}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 802.}, {0, 0.24266731614044976`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.79069399011453*^9, 3.790694752394074*^9, 3.790699280474922*^9, 
   3.7907004477686357`*^9, {3.790700666561275*^9, 3.790700671319151*^9}, 
   3.790704866083069*^9, 3.7907052728299017`*^9, 3.790705421921023*^9, 
   3.7935567217101583`*^9, 3.8093713449658403`*^9, 3.809437433173629*^9, {
   3.809437535345237*^9, 3.8094375613603354`*^9}, 3.809536487093232*^9, 
   3.809561837754469*^9, 3.809603616050933*^9, 3.809605941637673*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"f47829fa-9423-4548-afda-f54d0737734a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pmplustrue", "=", "Pmplus"}], ";"}]], "Input",
 CellLabel->"In[20]:=",ExpressionUUID->"7fd809fa-5c1d-4c62-82f9-7f8e51ede5e3"],

Cell[BoxData["Pmplus"], "Input",
 CellChangeTimes->{{3.809633048045454*^9, 3.8096330491412373`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"cba0fe2f-5832-4a24-b98e-2f63b2a8c565"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.`", ",", "0.010902527224581736`", ",", "0.01636320683201445`", ",", 
     "0.020461420144393002`", ",", "0.023944351955575816`", ",", 
     "0.02723312072215093`", ",", "0.02994729372107454`", ",", 
     "0.03230718412789882`", ",", "0.03437868570292089`", ",", 
     "0.03629916748437484`", ",", "0.03806569665759846`", ",", 
     "0.03972017615941144`", ",", "0.04130098528934719`", ",", 
     "0.04280097140073347`", ",", "0.04422799173814315`", ",", 
     "0.0455902443647676`", ",", "0.04693470410005318`", ",", 
     "0.048211317642407304`", ",", "0.04945725439301072`", ",", 
     "0.05066688680999923`", ",", "0.05182753735624854`", ",", 
     "0.05293556801789454`", ",", "0.05401428246463175`", ",", 
     "0.05506213087516512`", ",", "0.056107424080019286`", ",", 
     "0.05713125611359845`", ",", "0.05812134457812104`", ",", 
     "0.059086989490759086`", ",", "0.06002021197723658`", ",", 
     "0.06093721925454093`", ",", "0.06183789687069099`", ",", 
     "0.0627191198057875`", ",", "0.06359567150080393`", ",", 
     "0.06444646655875695`", ",", "0.0652806244921715`", ",", 
     "0.06610566074662241`", ",", "0.06691008570214536`", ",", 
     "0.0676964469460214`", ",", "0.06847281993721126`", ",", 
     "0.06924421558741717`", ",", "0.07000520143084103`", ",", 
     "0.07075138156688453`", ",", "0.07148558533867887`", ",", 
     "0.07220227318649755`", ",", "0.07291039407371414`", ",", 
     "0.07361228890948547`", ",", "0.07431041402221282`", ",", 
     "0.07499796897846087`", ",", "0.07566955364643198`", ",", 
     "0.07633396612320707`", ",", "0.07699259452331775`", ",", 
     "0.0776380534391607`", ",", "0.07828330054868812`", ",", 
     "0.07891918524490382`", ",", "0.0795462473549074`", ",", 
     "0.08016715470231724`", ",", "0.08077823283271314`", ",", 
     "0.08138060149444931`", ",", "0.08198138000489405`", ",", 
     "0.08257568624496474`", ",", "0.08316492219601546`", ",", 
     "0.08374617911578074`", ",", "0.0843177163262011`", ",", 
     "0.08488437567041096`", ",", "0.08544863918373719`", ",", 
     "0.08601095094673758`", ",", "0.08656371653373104`", ",", 
     "0.08711022875588897`", ",", "0.08765237067836645`", ",", 
     "0.08818770661266397`", ",", "0.08872140031293863`", ",", 
     "0.08925071909571333`", ",", "0.08977371277511079`", ",", 
     "0.09029302764107142`", ",", "0.09080592015119007`", ",", 
     "0.09131353217215965`", ",", "0.09182112861961567`", ",", 
     "0.09232285427449194`", ",", "0.0928218219188236`", ",", 
     "0.09331450761915355`", ",", "0.09380120624314717`", ",", 
     "0.09428622341828505`", ",", "0.09477058111844654`", ",", 
     "0.09524992836163698`", ",", "0.09572368602022174`", ",", 
     "0.09619356405487339`", ",", "0.09666053764811705`", ",", 
     "0.09712573287304063`", ",", "0.09758678029835721`", ",", 
     "0.09804390586131823`", ",", "0.09849787188605186`", ",", 
     "0.09894789286200675`", ",", "0.09939551438982291`", ",", 
     "0.0998412351968187`", ",", "0.10028284581132615`", ",", 
     "0.10072206968257633`", ",", "0.1011570776808507`", ",", 
     "0.101588978394476`", ",", "0.1020195071619219`", ",", 
     "0.10244816853596736`", ",", "0.10287305101378805`", ",", 
     "0.10329335550055196`", ",", "0.10371166945333618`", ",", 
     "0.10412939785716413`", ",", "0.10454455199843779`", ",", 
     "0.1049557107783862`", ",", "0.10536390368484014`", ",", 
     "0.10576983472293666`", ",", "0.10617470065945772`", ",", 
     "0.10657725628049608`", ",", "0.10697622244470892`", ",", 
     "0.10737299878946355`", ",", "0.10776704945079663`", ",", 
     "0.1081601726275738`", ",", "0.10855058949976305`", ",", 
     "0.1089389580153861`", ",", "0.10932501271770306`", ",", 
     "0.10970738001150879`", ",", "0.11008972653408393`", ",", 
     "0.11046987458402291`", ",", "0.11084840122989574`", ",", 
     "0.11122308374578797`", ",", "0.11159578645100954`", ",", 
     "0.1119681967975159`", ",", "0.1123387957116202`", ",", 
     "0.11270639497883372`", ",", "0.11307151792298747`", ",", 
     "0.11343505172761881`", ",", "0.11379826249497564`", ",", 
     "0.11415903611526192`", ",", "0.11451737040217762`", ",", 
     "0.11487381246912805`", ",", "0.11522847350625001`", ",", 
     "0.1155826347143309`", ",", "0.1159343223004339`", ",", 
     "0.11628420344100265`", ",", "0.1166319543696002`", ",", 
     "0.11697864244006845`", ",", "0.11732373236110333`", ",", 
     "0.11766748924588247`", ",", "0.11800925969992157`", ",", 
     "0.1183484894965172`", ",", "0.11868744741250435`", ",", 
     "0.11902513138490292`", ",", "0.11936116009520245`", ",", 
     "0.11969422183981485`", ",", "0.12002645495246757`", ",", 
     "0.12035849102556652`", ",", "0.12068864735889437`", ",", 
     "0.12101631311335168`", ",", "0.12134289042547963`", ",", 
     "0.12166854270906505`", ",", "0.12199287577968786`", ",", 
     "0.1223154396124247`", ",", "0.12263644202772604`", ",", 
     "0.12295588970542623`", ",", "0.12327510324558874`", ",", 
     "0.12359247305332013`", ",", "0.12390819791037794`", ",", 
     "0.12422260963664938`", ",", "0.12453619439439698`", ",", 
     "0.12484832787467726`", ",", "0.125159174110377`", ",", 
     "0.12546873737252173`", ",", "0.12577677064117643`", ",", 
     "0.1260840636643925`", ",", "0.1263902383889704`", ",", 
     "0.12669491586382875`", ",", "0.12699768244198162`", ",", 
     "0.1273003966807087`", ",", "0.1276020725893697`", ",", 
     "0.1279021368354547`", ",", "0.12820027281842697`", ",", 
     "0.12849803395583603`", ",", "0.12879535138108916`", ",", 
     "0.12909104260470494`", ",", "0.1293848915950382`", ",", 
     "0.12967794637009694`", ",", "0.12997094240676985`", ",", 
     "0.13026230018624435`", ",", "0.13055207057504625`", ",", 
     "0.1308409778136843`", ",", "0.13112943045045442`", ",", 
     "0.1314164715104479`", ",", "0.13170235028087446`", ",", 
     "0.13198721423739943`", ",", "0.13227132849900028`", ",", 
     "0.13255433658904545`", ",", "0.13283640238154007`", ",", 
     "0.1331171663830049`", ",", "0.13339713232306016`", ",", 
     "0.13367641340399222`", ",", "0.13395475494623044`", ",", 
     "0.134231578112411`", ",", "0.1345075723006372`", ",", 
     "0.1347831408575512`", ",", "0.13505779722584865`", ",", 
     "0.1353310513867305`", ",", "0.135603238211418`", ",", 
     "0.13587513869335568`", ",", "0.13614612775643753`", ",", 
     "0.1364159525936797`", ",", "0.13668448540674413`", ",", 
     "0.13695290109448133`", ",", "0.13722040690364687`", ",", 
     "0.13748668062049715`", ",", "0.13775170274775125`", ",", 
     "0.13801672085846622`", ",", "0.1382809509461794`", ",", 
     "0.13854378724568508`", ",", "0.138805575185447`", ",", 
     "0.13906722082099024`", ",", "0.1393281678297407`", ",", 
     "0.13958767088475244`", ",", "0.13984638985177683`", ",", 
     "0.1401047848523461`", ",", "0.14036246095490812`", ",", 
     "0.14061871341711618`", ",", "0.14087441360007383`", ",", 
     "0.14112967619270056`", ",", "0.14138415206284594`", ",", 
     "0.1416374252694556`", ",", "0.14189010797518403`", ",", 
     "0.1421423493894489`", ",", "0.14239363454841472`", ",", 
     "0.14264411536179558`", ",", "0.14289378257533042`", ",", 
     "0.14314310760980875`", ",", "0.1433913403206571`", ",", 
     "0.1436390888930127`", ",", "0.14388569589017197`", ",", 
     "0.1441322034212531`", ",", "0.14437772423372727`", ",", 
     "0.144622636099339`", ",", "0.14486641953942703`", ",", 
     "0.1451100262611697`", ",", "0.14535292524004212`", ",", 
     "0.14559507400325783`", ",", "0.1458362217143755`", ",", 
     "0.14607707269975795`", ",", "0.14631733376627282`", ",", 
     "0.14655658724442178`", ",", "0.14679518291241073`", ",", 
     "0.14703349044299807`", ",", "0.14727114528519603`", ",", 
     "0.1475077028361155`", ",", "0.1477438258099264`", ",", 
     "0.14797958164222288`", ",", "0.14821463292600584`", ",", 
     "0.1484486570207663`", ",", "0.1486823826207383`", ",", 
     "0.14891566862447903`", ",", "0.14914809389384223`", ",", 
     "0.14937958758516368`", ",", "0.1496109873836892`", ",", 
     "0.14984183428389902`", ",", "0.15007179155395317`", ",", 
     "0.1503009336314919`", ",", "0.1505300241029478`", ",", 
     "0.1507584480337767`", ",", "0.15098593994258805`", ",", 
     "0.15121288912162636`", ",", "0.1514396945696595`", ",", 
     "0.15166570773325258`", ",", "0.15189080240070243`", ",", 
     "0.15211562045993635`", ",", "0.15234021047617302`", ",", 
     "0.1525638323764919`", ",", "0.1527867615780912`", ",", 
     "0.15300950744883876`", ",", "0.15323170991283022`", ",", 
     "0.15345302558740315`", ",", "0.1536738155466206`", ",", 
     "0.15389454549323317`", ",", "0.1541145019222812`", ",", 
     "0.15433369289174192`", ",", "0.15455246067757922`", ",", 
     "0.1547709916344044`", ",", "0.15498869102945123`", ",", 
     "0.15520583750439498`", ",", "0.15542269454475124`", ",", 
     "0.155639043659527`", ",", "0.15585471286648825`", ",", 
     "0.1560697083697018`", ",", "0.156284691980698`", ",", 
     "0.1564989005428643`", ",", "0.15671260548927035`", ",", 
     "0.15692578658711387`", ",", "0.15713862418314412`", ",", 
     "0.1573508250881181`", ",", "0.15756243169381673`", ",", 
     "0.15777384356214688`", ",", "0.15798462701623078`", ",", 
     "0.1581949613684745`", ",", "0.15840464733901585`", ",", 
     "0.15861413823736611`", ",", "0.15882301851347458`", ",", 
     "0.1590313708459405`", ",", "0.15923937250998707`", ",", 
     "0.15944689026983533`", ",", "0.15965388722800922`", ",", 
     "0.15986027465668778`", ",", "0.16006663196142557`", ",", 
     "0.16027232197089353`", ",", "0.16047742523834496`", ",", 
     "0.1606821765764265`", ",", "0.16088661252904185`", ",", 
     "0.16109042433069634`", ",", "0.161293693120697`", ",", 
     "0.161496875413638`", ",", "0.16169942177381152`", ",", 
     "0.16190151699041397`", ",", "0.16210316576632364`", ",", 
     "0.16230451555823971`", ",", "0.1625053184734814`", ",", 
     "0.16270558567234436`", ",", "0.16290573513845424`", ",", 
     "0.16310522203272057`", ",", "0.16330441933768594`", ",", 
     "0.1635031024480954`", ",", "0.16370148738925805`", ",", 
     "0.16389938980163163`", ",", "0.16409676420030275`", ",", 
     "0.164294012719322`", ",", "0.16449066093862513`", ",", 
     "0.16468688854716787`", ",", "0.16488273310860252`", ",", 
     "0.16507828601900734`", ",", "0.16527329432422114`", ",", 
     "0.16546788035023283`", ",", "0.1656623505129238`", ",", 
     "0.1658561458142068`", ",", "0.16604961411807265`", ",", 
     "0.16624273841797638`", ",", "0.16643555226412754`", ",", 
     "0.16662782721518188`", ",", "0.16681964748725264`", ",", 
     "0.16701145348632127`", ",", "0.16720258806956584`", ",", 
     "0.1673934064961623`", ",", "0.16758392082826123`", ",", 
     "0.16777397501780633`", ",", "0.16796361953114053`", ",", 
     "0.16815286794521955`", ",", "0.1683420983179309`", ",", 
     "0.16853052804562585`", ",", "0.16871869376542853`", ",", 
     "0.16890670116614503`", ",", "0.16909425346234128`", ",", 
     "0.1692812658449136`", ",", "0.16946805633088885`", ",", 
     "0.1696546679310006`", ",", "0.16984060310226384`", ",", 
     "0.1700262101304742`", ",", "0.17021180703034963`", ",", 
     "0.17039681558925365`", ",", "0.17058140859680954`", ",", 
     "0.1707658345032551`", ",", "0.17094989791092646`", ",", 
     "0.17113347414906915`", ",", "0.1713167509508848`", ",", 
     "0.17149982150618862`", ",", "0.1716823854139335`", ",", 
     "0.17186455167507556`", ",", "0.17204670058751434`", ",", 
     "0.17222834088918965`", ",", "0.1724094464850611`", ",", 
     "0.17259048807849317`", ",", "0.1727712456351668`", ",", 
     "0.17295142056870355`", ",", "0.17313137479573068`", ",", 
     "0.17331117408793126`", ",", "0.1734904643920137`", ",", 
     "0.17366935061313524`", ",", "0.17384822995393376`", ",", 
     "0.17402656905736252`", ",", "0.17420444916216862`", ",", 
     "0.17438228617009266`", ",", "0.1745598783942055`", ",", 
     "0.1747367599806101`", ",", "0.17491356602329597`", ",", 
     "0.17509016177573755`", ",", "0.17526631679353996`", ",", 
     "0.17544210959605247`", ",", "0.17561773318717339`", ",", 
     "0.17579303095138332`", ",", "0.17596782773663205`", ",", 
     "0.1761425411775285`", ",", "0.17631698209466762`", ",", 
     "0.17649089501390944`", ",", "0.17666471252234275`", ",", 
     "0.17683819332789738`", ",", "0.1770113459594335`", ",", 
     "0.17718420046775007`", ",", "0.1773567382406557`", ",", 
     "0.17752901776744284`", ",", "0.1777009251063807`", ",", 
     "0.177872730458154`", ",", "0.17804409647909403`", ",", 
     "0.17821508032861233`", ",", "0.17838605589986986`", ",", 
     "0.1785565698889105`", ",", "0.17872674142865394`", ",", 
     "0.17889680022099425`", ",", "0.17906646808101762`", ",", 
     "0.1792358784797441`", ",", "0.17940503508433053`", ",", 
     "0.1795738832631979`", ",", "0.17974240347394355`", ",", 
     "0.17991067209895056`", ",", "0.18007883007238248`", ",", 
     "0.1802464553107043`", ",", "0.18041384979524527`", ",", 
     "0.18058119624702157`", ",", "0.18074808382912955`", ",", 
     "0.18091465670049067`", ",", "0.18108119052790092`", ",", 
     "0.18124726861871063`", ",", "0.18141300135797428`", ",", 
     "0.1815786876684861`", ",", "0.1817441154696358`", ",", 
     "0.18190900099023063`", ",", "0.18207385259307304`", ",", 
     "0.18223850632397415`", ",", "0.18240263585285627`", ",", 
     "0.18256666523781218`", ",", "0.1827304962766409`", ",", 
     "0.18289398196908485`", ",", "0.1830572013175341`", ",", 
     "0.18322025281876847`", ",", "0.18338296634437862`", ",", 
     "0.18354538753985522`", ",", "0.18370769455485803`", ",", 
     "0.18386965514038636`", ",", "0.18403128977867542`", ",", 
     "0.18419289562408386`", ",", "0.18435408237820636`", ",", 
     "0.18451499139055413`", ",", "0.18467585078935303`", ",", 
     "0.1848363340137574`", ",", "0.18499646578305842`", ",", 
     "0.18515656099122493`", ",", "0.1853162814229871`", ",", 
     "0.18547576276411096`", ",", "0.18563510457051952`", ",", 
     "0.1857941245525053`", ",", "0.18595283383854466`", ",", 
     "0.18611143278057107`", ",", "0.18626981791200148`", ",", 
     "0.18642780584609697`", ",", "0.18658567221775052`", ",", 
     "0.18674339214428826`", ",", "0.18690060786721188`", ",", 
     "0.18705775172693215`", ",", "0.18721478063723734`", ",", 
     "0.18737139814718218`", ",", "0.18752782932531797`", ",", 
     "0.18768406959037015`", ",", "0.18784006086463845`", ",", 
     "0.18799578897062402`", ",", "0.18815133829222364`", ",", 
     "0.18830665101470603`", ",", "0.18846168544394945`", ",", 
     "0.18861658226729885`", ",", "0.18877126441952227`", ",", 
     "0.1889256143600203`", ",", "0.18907982337170742`", ",", 
     "0.18923374792787784`", ",", "0.18938742236657025`", ",", 
     "0.18954104962995552`", ",", "0.18969429203454996`", ",", 
     "0.1898473089390351`", ",", "0.19000031666791062`", ",", 
     "0.19015289380035333`", ",", "0.19030529348137548`", ",", 
     "0.19045764310334168`", ",", "0.1906095398952523`", ",", 
     "0.19076123982977994`", ",", "0.190912906635181`", ",", 
     "0.19106428053852284`", ",", "0.1912153390270756`", ",", 
     "0.19136631788897554`", ",", "0.19151707827217748`", ",", 
     "0.1916675033834366`", ",", "0.19181787811687934`", ",", 
     "0.19196799893080943`", ",", "0.19211779856570305`", ",", 
     "0.19226759614376537`", ",", "0.19241703828861303`", ",", 
     "0.19256622018515857`", ",", "0.19271538547854133`", ",", 
     "0.1928642096046979`", ",", "0.1930128088575686`", ",", 
     "0.19316138059553717`", ",", "0.19330960990902052`", ",", 
     "0.19345758189582304`", ",", "0.1936055509012334`", ",", 
     "0.19375313178869127`", ",", "0.19390050533814102`", ",", 
     "0.19404786310271072`", ",", "0.19419488818756292`", ",", 
     "0.19434167341240405`", ",", "0.1944884053821574`", ",", 
     "0.19463488313821434`", ",", "0.1947810870285801`", ",", 
     "0.1949271987494407`", ",", "0.1950731367414406`", ",", 
     "0.19521876615012973`", ",", "0.1953642791362767`", ",", 
     "0.1955095628375434`", ",", "0.19565462448376827`", ",", 
     "0.19579962609245305`", ",", "0.19594436010317975`", ",", 
     "0.19608886057618385`", ",", "0.19623324135733317`", ",", 
     "0.19637734743099117`", ",", "0.1965212931935417`", ",", 
     "0.1966651650326927`", ",", "0.19680867522369097`", ",", 
     "0.19695207261545164`", ",", "0.19709538756968428`", ",", 
     "0.1972383450967358`", ",", "0.19738120033752488`", ",", 
     "0.19752396214915854`", ",", "0.19766638119665747`", ",", 
     "0.1978087003895958`", ",", "0.19795083642098743`", ",", 
     "0.19809278596863747`", ",", "0.19823457510319092`", ",", 
     "0.1983761542175019`", ",", "0.19851748673286357`", ",", 
     "0.1986587516877844`", ",", "0.19879980507637549`", ",", 
     "0.1989405995101178`", ",", "0.19908134605628863`", ",", 
     "0.19922187623848805`", ",", "0.1993621193569388`", ",", 
     "0.19950235316012352`", ",", "0.19964233723587865`", ",", 
     "0.19978206385938377`", ",", "0.19992177830768243`", ",", 
     "0.20006128321356953`", ",", "0.20020050812081944`", ",", 
     "0.20033962732818789`", ",", "0.20047858971925678`", ",", 
     "0.20061731827628645`", ",", "0.20075593081975787`", ",", 
     "0.20089436733062044`", ",", "0.20103260480848867`", ",", 
     "0.20117074212639777`", ",", "0.20130861364858466`", ",", 
     "0.20144636522571097`", ",", "0.2015840400487219`", ",", 
     "0.2017213496108852`", ",", "0.20185862037531338`", ",", 
     "0.2019957480303338`", ",", "0.2021325732628524`", ",", 
     "0.20226936821444333`", ",", "0.20240602278377645`", ",", 
     "0.20254234683633315`", ",", "0.2026786427512263`", ",", 
     "0.20281478489353252`", ",", "0.2029506428768596`", ",", 
     "0.20308645764003092`", ",", "0.20322205137842392`", ",", 
     "0.20335744804032424`", ",", "0.20349280671559272`", ",", 
     "0.20362787982314515`", ",", "0.2037628198313558`", ",", 
     "0.20389774199111693`", ",", "0.20403227792779705`", ",", 
     "0.2041667658718671`", ",", "0.20430116027030001`", ",", 
     "0.20443524340771466`", ",", "0.20456928380082645`", ",", 
     "0.204703210982918`", ",", "0.2048368104220665`", ",", 
     "0.20497040770280284`", ",", "0.20510380282668922`", ",", 
     "0.20523696136074845`", ",", "0.20537011875518393`", ",", 
     "0.2055030126579319`", ",", "0.2056357367397924`", ",", 
     "0.205768454593887`", ",", "0.2059008447062569`", ",", 
     "0.20603313856079328`", ",", "0.2061653793846577`", ",", 
     "0.20629730982179653`", ",", "0.2064291776058486`", ",", 
     "0.20656093597256275`", ",", "0.20669241731620575`", ",", 
     "0.20682386312010284`", ",", "0.2069551444880942`", ",", 
     "0.20708617866573703`", ",", "0.20721720651477812`", ",", 
     "0.20734798488951656`", ",", "0.20747860504187615`", ",", 
     "0.20760921889776834`", ",", "0.20773956420351097`", ",", 
     "0.2078697962377447`", ",", "0.20800000000000077`", ",", 
     "0.2081297984236329`", ",", "0.2082595959311592`", ",", 
     "0.20838939343845608`", ",", "0.20851919094552257`", ",", 
     "0.2086489875364852`", ",", "0.20877838347582192`", ",", 
     "0.20890777850754846`", ",", "0.20903717353904766`", ",", 
     "0.2091665685703185`", ",", "0.20929596269398104`", ",", 
     "0.20942495987008297`", ",", "0.20955395614693967`", ",", 
     "0.20968295242357118`", ",", "0.2098119486999766`", ",", 
     "0.20994094407713876`", ",", "0.2100695461540806`", ",", 
     "0.21019814734001466`", ",", "0.21032674852572555`", ",", 
     "0.21045534971121235`", ",", "0.21058395000569324`", ",", 
     "0.21071216059177827`", ",", "0.2108403702949679`", ",", 
     "0.21096857999793642`", ",", "0.2110967897006829`", ",", 
     "0.21122499852053578`", ",", "0.21135282116947707`", ",", 
     "0.21148064294351296`", ",", "0.21160846471732975`", ",", 
     "0.2117362864909265`", ",", "0.21186410738961972`", ",", 
     "0.21199154560168953`", ",", "0.21211898294672418`", ",", 
     "0.2122464202915417`", ",", "0.2123738576361412`", ",", 
     "0.2125012941137073`", ",", "0.2126283513368554`", ",", 
     "0.2127554077007212`", ",", "0.21288246406437183`", ",", 
     "0.21300952042780638`", ",", "0.21313657593196042`", ",", 
     "0.21326325556290246`", ",", "0.2133899343422003`", ",", 
     "0.21351661312128487`", ",", "0.21364329190015527`", ",", 
     "0.21376996982738325`", ",", "0.21389627521266041`", ",", 
     "0.21402257975381897`", ",", "0.21414888429476614`", ",", 
     "0.21427518883550106`", ",", "0.2144014925321191`", ",", 
     "0.2145274269691297`", ",", "0.214653360569437`", ",", 
     "0.21477929416953484`", ",", "0.2149052277694223`", ",", 
     "0.21503116053260823`", ",", "0.21515672727061189`", ",", 
     "0.21528229317921974`", ",", "0.2154078590876199`", ",", 
     "0.21553342499581146`", ",", "0.215658990074609`", ",", 
     "0.21578419231570503`", ",", "0.21590939373460696`", ",", 
     "0.21603459515330298`", ",", "0.21615979657179224`", ",", 
     "0.21628499716808908`", ",", "0.2164098380681691`", ",", 
     "0.21653467815315314`", ",", "0.216659518237933`", ",", 
     "0.21678435832250792`", ",", "0.21690919759198854`", ",", 
     "0.21703368026166475`", ",", "0.21715816212324154`", ",", 
     "0.21728264398461591`", ",", "0.21740712584578703`", ",", 
     "0.2175316068988604`", ",", "0.2176557344043699`", ",", 
     "0.21777986110867692`", ",", "0.2179039878127833`", ",", 
     "0.21802811451668824`", ",", "0.21815224041939232`", ",", 
     "0.21827601578347824`", ",", "0.21839979035316118`", ",", 
     "0.21852356492264513`", ",", "0.21864733949192927`", ",", 
     "0.2187711132668121`", ",", "0.2188945394695343`", ",", 
     "0.219017964884557`", ",", "0.21914139029943103`", ",", 
     "0.21926481571415563`", ",", "0.21938824034118226`", ",", 
     "0.21951132032094756`", ",", "0.21963439951962377`", ",", 
     "0.21975747871810433`", ",", "0.21988055791638847`", ",", 
     "0.22000363633358508`", ",", "0.22012637298767382`", ",", 
     "0.2202491088671915`", ",", "0.22037184474651522`", ",", 
     "0.22049458062564414`", ",", "0.22061731573020363`", ",", 
     "0.2207397119157584`", ",", "0.22086210733317016`", ",", 
     "0.2209845027503895`", ",", "0.22110689816741563`", ",", 
     "0.22122929281630033`", ",", "0.2213513513510539`", ",", 
     "0.22147340912400404`", ",", "0.22159546689676335`", ",", 
     "0.22171752466933106`", ",", "0.22183958168009688`", ",", 
     "0.22196130534312902`", ",", "0.22208302825061055`", ",", 
     "0.2222047511579028`", ",", "0.22232647406500505`", ",", 
     "0.22244819621655817`", ",", "0.22256958774903388`", ",", 
     "0.2226909785321267`", ",", "0.22281236931503182`", ",", 
     "0.2229337600977485`", ",", "0.22305515013108382`", ",", 
     "0.22317621223697362`", ",", "0.2232972735995649`", ",", 
     "0.22341833496196994`", ",", "0.22353939632418807`", ",", 
     "0.2236604569431091`", ",", "0.2237811922898917`", ",", 
     "0.22390192689937827`", ",", "0.22402266150868008`", ",", 
     "0.2241433961177965`", ",", "0.22426412998961817`", ",", 
     "0.22438454120896645`", ",", "0.2245049516969407`", ",", 
     "0.22462536218473173`", ",", "0.2247457726723388`", ",", 
     "0.22486618242857315`", ",", "0.22498627211702327`", ",", 
     "0.22510636107994247`", ",", "0.22522645004267988`", ",", 
     "0.22534653900523482`", ",", "0.2254666272422603`", ",", 
     "0.22558639796186483`", ",", "0.22570616796170428`", ",", 
     "0.22582593796136344`", ",", "0.2259457079608416`", ",", 
     "0.22606547724055606`", ",", "0.2261849315195221`", ",", 
     "0.226304385084413`", ",", "0.22642383864912496`", ",", 
     "0.22654329221365735`", ",", "0.22666274506411588`", ",", 
     "0.22678188539742755`", ",", "0.22690102502227927`", ",", 
     "0.22702016464695354`", ",", "0.2271393042714497`", ",", 
     "0.22725844318748725`", ",", "0.22737727203751373`", ",", 
     "0.22749610018462232`", ",", "0.22761492833155483`", ",", 
     "0.22773375647831068`", ",", "0.2278525839221498`", ",", 
     "0.22797110371923907`", ",", "0.22808962281888068`", ",", 
     "0.22820814191834754`", ",", "0.2283266610176391`", ",", 
     "0.22844517941948425`", ",", "0.2285633925625431`", ",", 
     "0.22868160501355383`", ",", "0.22879981746439124`", ",", 
     "0.22891802991505467`", ",", "0.22903624167367126`", ",", 
     "0.2291541505307318`", ",", "0.22927205870107453`", ",", 
     "0.22938996687124524`", ",", "0.22950787504124334`", ",", 
     "0.2296257825245248`", ",", "0.22974338943329792`", ",", 
     "0.22986099566061538`", ",", "0.22997860188776217`", ",", 
     "0.23009620811473766`", ",", "0.23021381366025878`", ",", 
     "0.23033112092867492`", ",", "0.23044842752083078`", ",", 
     "0.23056573411281725`", ",", "0.23068304070463366`", ",", 
     "0.23080034662019114`", ",", "0.2309173565269287`", ",", 
     "0.23103436576253575`", ",", "0.2311513749979746`", ",", 
     "0.2312683842332447`", ",", "0.23138539279738546`", ",", 
     "0.2315021075923874`", ",", "0.23161882172132386`", ",", 
     "0.2317355358500935`", ",", "0.23185224997869566`", ",", 
     "0.23196896344123358`", ",", "0.23208538534621195`", ",", 
     "0.23220180659012662`", ",", "0.23231822783387568`", ",", 
     "0.2324346490774586`", ",", "0.23255106965997813`", ",", 
     "0.23266731614044975`", ",", "0.23278350457023367`", ",", 
     "0.23289963503621042`", ",", "0.23301570762504403`", ",", 
     "0.23313172242318292`", ",", "0.23324767951686037`", ",", 
     "0.2333635789920955`", ",", "0.23347942093469393`", ",", 
     "0.2335952054302485`", ",", "0.23371093256414002`", ",", 
     "0.23382660242153802`", ",", "0.23394221508740146`", ",", 
     "0.2340577706464795`", ",", "0.23417326918331222`", ",", 
     "0.23428871078223126`", ",", "0.2344040955273606`", ",", 
     "0.23451942350261737`", ",", "0.23463469479171237`", ",", 
     "0.23474990947815083`", ",", "0.23486506764523327`", ",", 
     "0.2349801693760561`", ",", "0.23509521475351217`", ",", 
     "0.23521020386029173`", ",", "0.23532513677888303`", ",", 
     "0.23544001359157282`", ",", "0.2355548343804474`", ",", 
     "0.23566959922739295`", ",", "0.23578430821409638`", ",", 
     "0.2358989614220461`", ",", "0.23601355893253254`", ",", 
     "0.23612810082664876`", ",", "0.2362425871852914`", ",", 
     "0.23635701808916104`", ",", "0.23647139361876313`", ",", 
     "0.23658571385440838`", ",", "0.23669997887621366`", ",", 
     "0.23681418876410257`", ",", "0.23692834359780598`", ",", 
     "0.23704244345686282`", ",", "0.2371564884206207`", ",", 
     "0.23727047856823655`", ",", "0.2373844139786772`", ",", 
     "0.23749829473072012`", ",", "0.23761212090295394`", ",", 
     "0.23772589257377919`", ",", "0.23783960982140884`", ",", 
     "0.23795327272386904`", ",", "0.23806688135899964`", ",", 
     "0.23818043580445478`", ",", "0.2382939361377037`", ",", 
     "0.23840738243603113`", ",", "0.23852077477653807`", ",", 
     "0.23863411323614234`", ",", "0.23874739789157912`", ",", 
     "0.23886062881940173`", ",", "0.238973806095982`", ",", 
     "0.23908692979751112`", ",", "0.23920000000000002`", ",", 
     "0.2393130167792801`", ",", "0.23942598021100384`", ",", 
     "0.23953889037064524`", ",", "0.2396517473335006`", ",", 
     "0.23976455117468887`", ",", "0.23987730196915255`", ",", 
     "0.239989999791658`", ",", "0.24010264471679607`", ",", 
     "0.24021523681898282`", ",", "0.24032777617245996`", ",", 
     "0.24044026285129536`", ",", "0.24055269692938386`", ",", 
     "0.24066507848044763`", ",", "0.2407774075780367`", ",", 
     "0.2408896842955298`", ",", "0.24100190870613453`", ",", 
     "0.2411140808828883`", ",", "0.24122620089865862`", ",", 
     "0.2413382688261437`", ",", "0.2414502847378731`", ",", 
     "0.24156224870620824`", ",", "0.2416741608033428`", ",", 
     "0.24178602110130354`", ",", "0.24189782967195056`", ",", 
     "0.242009586586978`", ",", "0.24212129191791457`", ",", 
     "0.242232945736124`", ",", "0.24234454811280573`", ",", 
     "0.24245609911899516`", ",", "0.2425675988255645`", ",", 
     "0.24267904730322312`", ",", "0.24279044462251806`", ",", 
     "0.2429017908538346`", ",", "0.2430130860673968`", ",", 
     "0.24312433033326794`", ",", "0.2432355237213512`", ",", 
     "0.24334666630138987`", ",", "0.24345775814296822`", ",", 
     "0.24356879931551167`", ",", "0.24367978988828762`", ",", 
     "0.24379072993040568`", ",", "0.24390161951081835`", ",", 
     "0.2440124586983214`", ",", "0.24412324756155446`", ",", 
     "0.24423398616900147`", ",", "0.2443446745889912`", ",", 
     "0.2444553128896977`", ",", "0.2445659011391408`", ",", 
     "0.24467643940518674`", ",", "0.24478692775554828`", ",", 
     "0.24489736625778563`", ",", "0.24500775497930674`", ",", 
     "0.24511809398736764`", ",", "0.2452283833490732`", ",", 
     "0.24533862313137736`", ",", "0.2454488134010837`", ",", 
     "0.24555895422484597`", ",", "0.24566904566916853`", ",", 
     "0.24577908780040666`", ",", "0.24588908068476728`", ",", 
     "0.2459990243883093`", ",", "0.24610891897694404`", ",", 
     "0.2462187645164357`", ",", "0.24632856107240184`", ",", 
     "0.24643830871031394`", ",", "0.2465480074954977`", ",", 
     "0.2466576574931336`", ",", "0.24676725876825717`", ",", 
     "0.24687681138575976`", ",", "0.24698631541038868`", ",", 
     "0.24709577090674784`", ",", "0.24720517793929803`", ",", 
     "0.2473145365723576`", ",", "0.24742384687010266`", ",", 
     "0.24753310889656763`", ",", "0.24764232271564568`", ",", 
     "0.2477514883910892`", ",", "0.2478606059865101`", ",", 
     "0.24796967556538038`", ",", "0.24807869719103254`", ",", 
     "0.2481876709266599`", ",", "0.24829659683531713`", ",", 
     "0.2484054749799207`", ",", "0.24851430542324923`", ",", 
     "0.24862308822794396`", ",", "0.2487318234565091`", ",", 
     "0.2488405111713123`", ",", "0.24894915143458513`", ",", 
     "0.24905774430842337`", ",", "0.24916628985478756`", ",", 
     "0.2492747881355032`", ",", "0.24938323921226144`", ",", 
     "0.24949164314661926`", ",", "0.2496`", ",", "0.24970830983369377`", ",",
      "0.24981657270885774`", ",", "0.24992478868651666`", ",", 
     "0.2500329578275632`", ",", "0.25014108019275844`", ",", 
     "0.25024915584273205`", ",", "0.250357184837983`", ",", 
     "0.25046516723887974`", ",", "0.25057310310566056`", ",", 
     "0.2506809924984342`", ",", "0.2507888354771799`", ",", 
     "0.25089663210174823`", ",", "0.25100438243186113`", ",", 
     "0.2511120865271124`", ",", "0.2512197444469682`", ",", 
     "0.25132735625076713`", ",", "0.25143492199772094`", ",", 
     "0.25154244174691476`", ",", "0.25164991555730754`", ",", 
     "0.25175734348773227`", ",", "0.25186472559689654`", ",", 
     "0.25197206194338295`", ",", "0.2520793525856491`", ",", 
     "0.25218659758202855`", ",", "0.2522937969907306`", ",", 
     "0.2524009508698412`", ",", "0.2525080592773229`", ",", 
     "0.2526151222710153`", ",", "0.2527221399086356`", ",", 
     "0.25282911224777893`", ",", "0.25293603934591846`", ",", 
     "0.25304292126040595`", ",", "0.2531497580484722`", ",", 
     "0.25325654976722717`", ",", "0.2533632964736605`", ",", 
     "0.25346999822464195`", ",", "0.25357665507692145`", ",", 
     "0.25368326708712974`", ",", "0.25378983431177854`", ",", 
     "0.253896356807261`", ",", "0.2540028346298521`", ",", 
     "0.2541092678357088`", ",", "0.2542156564808706`", ",", 
     "0.25432200062125965`", ",", "0.25442830031268143`", ",", 
     "0.25453455561082466`", ",", "0.2546407665712621`", ",", 
     "0.2547469332494505`", ",", "0.2548530557007312`", ",", 
     "0.25495913398033027`", ",", "0.255065168143359`", ",", 
     "0.2551711582448142`", ",", "0.2552771043395784`", ",", 
     "0.25538300648242046`", ",", "0.25548886472799553`", ",", 
     "0.25559467913084577`", ",", "0.25570044974540035`", ",", 
     "0.25580617662597593`", ",", "0.2559118598267771`", ",", 
     "0.2560174994018964`", ",", "0.25612309540531486`", ",", 
     "0.25622864789090233`", ",", "0.25633415691241773`", ",", 
     "0.25643962252350944`", ",", "0.25654504477771545`", ",", 
     "0.2566504237284638`", ",", "0.25675575942907297`", ",", 
     "0.25686105193275216`", ",", "0.2569663012926014`", ",", 
     "0.2570715075616121`", ",", "0.2571766707926674`", ",", 
     "0.25728179103854204`", ",", "0.25738686835190333`", ",", 
     "0.2574919027853109`", ",", "0.2575968943912174`", ",", 
     "0.2577018432219685`", ",", "0.25780674932980324`", ",", 
     "0.2579116127668547`", ",", "0.25801643358514975`", ",", 
     "0.25812121183660985`", ",", "0.25822594757305084`", ",", 
     "0.2583306408461838`", ",", "0.2584352917076149`", ",", 
     "0.25853990020884593`", ",", "0.2586444664012745`", ",", 
     "0.25874899033619436`", ",", "0.25885347206479575`", ",", 
     "0.25895791163816567`", ",", "0.25906230910728795`", ",", 
     "0.25916666452304393`", ",", "0.2592709779362125`", ",", 
     "0.2593752493974705`", ",", "0.2594794789573927`", ",", 
     "0.25958366666645266`", ",", "0.2596878125750225`", ",", 
     "0.2597919167333734`", ",", "0.25989597919167584`", ",", "0.26`", ",", 
     "0.26010397920831585`"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8096334905364447`*^9, 3.809633495248637*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"f9034f18-5f3f-49c7-a6e9-9c14b02aaa66"],

Cell[BoxData[
 RowBox[{"++", 
  RowBox[{"++", 
   RowBox[{"++", 
    RowBox[{"++", 
     RowBox[{"++", 
      RowBox[{"++", 
       RowBox[{"++", 
        RowBox[{"++", 
         RowBox[{"++", 
          RowBox[{"++", 
           RowBox[{"++", 
            RowBox[{"++", 
             RowBox[{"++", 
              RowBox[{"++", 
               RowBox[{"++", 
                RowBox[{"++", 
                 RowBox[{"+", 
                  RowBox[{"++", 
                   RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"+", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"+", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{
                    "++", "+"}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}\
]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.8096030606926823`*^9, 
  3.809603073692235*^9}},ExpressionUUID->"b0ffdbf7-9cae-4373-a59e-\
2d70c1ea93b2"],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{"step", " ", 
    RowBox[{"three", ".", 
     RowBox[{"half", ":", " ", 
      RowBox[{"code", " ", "for", " ", "the", " ", "outside", " ", "option"}],
       ":", " ", 
      RowBox[{
      "my", " ", "highest", " ", "payoff", " ", "if", " ", "b", " ", "is", 
       " ", "always", " ", 
       RowBox[{"zero", ".", " "}]}]}]}]}]}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.805837835619657*^9, 
  3.805837876126071*^9}},ExpressionUUID->"66431010-4b87-45a9-baf4-\
73f6b3b50d95"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wupper0", "=", 
   RowBox[{"R", "[", "wbar", "]"}]}], ";", 
  RowBox[{"wupper", "=", 
   RowBox[{"R", "[", 
    RowBox[{"R", "[", "wbar", "]"}], "]"}]}], ";", 
  RowBox[{"grid", "=", 
   RowBox[{"1", "/", "1000"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wealth", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"w", ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", 
       RowBox[{"wupper", "+", "grid"}], ",", "grid"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stationc", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"c", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"R", "[", 
           RowBox[{
            RowBox[{"wealth", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "-", "c"}], "]"}], "\[Equal]", 
          RowBox[{"wealth", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", "c"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"Pmplus", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", 
      RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7907004392466993`*^9, 3.79070044312195*^9}, {
  3.7907005592025213`*^9, 3.790700560785099*^9}, {3.793557866575371*^9, 
  3.793557866861413*^9}, {3.805811162385338*^9, 3.805811162795307*^9}, {
  3.809603092869102*^9, 3.809603093139632*^9}, {3.8096086280328693`*^9, 
  3.8096086552387943`*^9}, {3.809621273128272*^9, 3.8096212830235243`*^9}, {
  3.809646821382206*^9, 3.809646827462779*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"6b18e6ac-223f-4d54-b3bf-65d6aa38d325"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ps0", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"V", "[", "cbar", "]"}], "-", "cbar", "+", "comutil"}], ",", 
        
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ps", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"V", "[", "cbar", "]"}], "-", "cbar", "+", "comutil"}], ",", 
        
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.790691292760449*^9, {3.790694897979122*^9, 3.790694898146762*^9}, {
   3.805823028049081*^9, 3.805823037082674*^9}, {3.8096467629583473`*^9, 
   3.809646781157906*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"247c8082-9506-46f4-b1ed-ab99b80359c3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"Psplus", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{"Max", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"V", "[", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "+", 
                  "comutil", "-", "b"}], "/.", 
                 RowBox[{"{", 
                  RowBox[{"b", "\[Rule]", " ", "0"}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                  "}"}], ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                   RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
               "}"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], "]"}],
          ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{
            RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], "]"}], 
       ",", 
       RowBox[{"Pmplus", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", 
            RowBox[{"Table", "[", 
             RowBox[{"j", ",", 
              RowBox[{"{", 
               RowBox[{"j", ",", "1", ",", 
                RowBox[{
                 RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], 
             "]"}], "]"}], "+", "1"}], ";;", 
          RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
     "]"}]}], ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.7902923591052637`*^9, 3.7902923760533943`*^9}, {
   3.790292840949624*^9, 3.790292847709807*^9}, {3.7902938388183107`*^9, 
   3.790293841138197*^9}, {3.7902943736355133`*^9, 3.79029438197653*^9}, {
   3.790300297777218*^9, 3.790300299268703*^9}, 3.7903013714964027`*^9, {
   3.7903022372730017`*^9, 3.7903023163429213`*^9}, {3.790350398077986*^9, 
   3.790350401652185*^9}, 3.790384392050507*^9, 3.790427810035101*^9, {
   3.790428084195004*^9, 3.79042808764847*^9}, {3.790691021798647*^9, 
   3.790691025786817*^9}, {3.790691057283338*^9, 3.7906910602625227`*^9}, {
   3.790694894517632*^9, 3.790694895390374*^9}, 3.7906949527365637`*^9, {
   3.80581178492332*^9, 3.805811832965094*^9}, {3.8058227870688257`*^9, 
   3.805822787073704*^9}, 3.8058230443688793`*^9, {3.805838055870426*^9, 
   3.805838057449032*^9}, 3.809604151093656*^9, 3.809607501968275*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"4f7ce9da-7516-4c6c-99cd-a5d71702af0d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"81.913364`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.790694965450655*^9, 3.79069929874218*^9, 
  3.7907007430573378`*^9, 3.790701693055481*^9, 3.7935607211546917`*^9, 
  3.805811980605887*^9, 3.8058126054561768`*^9, 3.8058131782530737`*^9, 
  3.8058167767746363`*^9, 3.8058184664301577`*^9, 3.805823655371207*^9, 
  3.805838381311688*^9, 3.8058401209823627`*^9, 3.805901180933584*^9, 
  3.8096073262546263`*^9, 3.809607566602454*^9, 3.809608811043799*^9, 
  3.80961090243788*^9, 3.8096237275296783`*^9, 3.809646797685257*^9, 
  3.809646846158922*^9, 3.809646996152978*^9, 3.80964894957343*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"070e0de2-2fe2-4051-9610-e469c169c43c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"n", "=", "1"}], ";", "\[IndentingNewLine]", 
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"n", "<", "5"}], ",", 
     RowBox[{
      RowBox[{"Ps", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{"Psplus", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"Pmplus", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", 
           RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Psplus", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"N", "[", 
             RowBox[{"Max", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"V", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "+", 
                    "comutil", "-", "b"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"b", "\[Rule]", " ", "0"}], "}"}]}], ",", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                  "}"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "1", ",", 
              RowBox[{
               RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], "]"}],
           ",", 
          RowBox[{"Pmplus", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{
              RowBox[{"Length", "[", 
               RowBox[{"Table", "[", 
                RowBox[{"j", ",", 
                 RowBox[{"{", 
                  RowBox[{"j", ",", "1", ",", 
                   RowBox[{
                    RowBox[{"wupper0", "/", "grid"}], "+", "1"}]}], "}"}]}], 
                "]"}], "]"}], "+", "1"}], ";;", 
             RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
        "]"}]}], ";", 
      RowBox[{"n", "++"}]}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.790291698683403*^9, 3.790291732605658*^9}, {
   3.790291807061018*^9, 3.790291808039125*^9}, {3.790294628503587*^9, 
   3.790294632959364*^9}, {3.790294807040344*^9, 3.790294807297001*^9}, {
   3.790294873467369*^9, 3.790294874222109*^9}, {3.790300207105283*^9, 
   3.790300213139163*^9}, {3.7903003091910458`*^9, 3.790300311718348*^9}, {
   3.790300581481765*^9, 3.790300593236622*^9}, {3.790300747682727*^9, 
   3.790300747843422*^9}, {3.790301383123796*^9, 3.790301387796661*^9}, 
   3.790427814351844*^9, {3.790427987607747*^9, 3.790428014606225*^9}, {
   3.790428132237278*^9, 3.790428145324356*^9}, 3.790429234869788*^9, {
   3.790691305206751*^9, 3.790691305619194*^9}, {3.790694982085087*^9, 
   3.790695027508307*^9}, 3.8058119626514053`*^9, {3.8058227870862017`*^9, 
   3.8058227870894823`*^9}, 3.805823061502592*^9, {3.805823096477214*^9, 
   3.8058231014553843`*^9}, {3.8058380842308493`*^9, 3.805838085832465*^9}, {
   3.809604124397148*^9, 3.809604147465406*^9}, 3.809607514768777*^9, 
   3.80960756169339*^9, {3.809607849533605*^9, 3.809607849980028*^9}, {
   3.809607933224472*^9, 3.809607933564486*^9}, 3.8096080372001343`*^9, {
   3.809608718447942*^9, 3.80960871896871*^9}, {3.809610798629932*^9, 
   3.809610799088407*^9}, 3.809613012086891*^9, 3.809623588600408*^9, {
   3.809648865006611*^9, 3.809648866482911*^9}, {3.8096491078032217`*^9, 
   3.809649107960141*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"5a4747ee-5599-4c1e-b122-c4dfc591b181"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"332.823679`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.805838533138269*^9, 3.805840247428248*^9, 
  3.805901331914256*^9, 3.809607368796649*^9, 3.809607465524962*^9, 
  3.8096078030671253`*^9, 3.809607862144586*^9, 3.809607975112526*^9, 
  3.809608027839945*^9, 3.809608163330989*^9, 3.809610350466303*^9, 
  3.809612929305209*^9, 3.809613448078875*^9, 3.809613845454584*^9, 
  3.8096143301376867`*^9, 3.809628387029353*^9, 3.809648816790011*^9, 
  3.809649043752812*^9, 3.809649496178385*^9, 3.809649956739246*^9, 
  3.8096505185177927`*^9, 3.809651201630466*^9, 3.8096517255456*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"c3fbe84a-7fd2-4d4b-bd6a-17e0e2ac512d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Psplus", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"Psplus", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"Pmplus", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[33]:=",ExpressionUUID->"9028e8d1-97b7-4965-a359-9d592cc9e05b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{"Psplus", "-", "Ps"}], "]"}], ",", 
   RowBox[{"Min", "[", 
    RowBox[{"Psplus", "-", "Ps"}], "]"}]}], "}"}]], "Input",
 CellLabel->"In[34]:=",ExpressionUUID->"1111ae9d-0564-430e-ada3-03bd43e12ad3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"6.314393452555578`*^-16", ",", 
   RowBox[{"-", "0.00011529215046068506`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8096078622858953`*^9, 3.8096081634649143`*^9, 3.809610351162264*^9, 
   3.809612929374323*^9, 3.8096134481962423`*^9, 3.8096138455858727`*^9, {
   3.809614330352602*^9, 3.8096143477641363`*^9}, 3.8096283886363897`*^9, 
   3.809649043977262*^9, 3.809649497685583*^9, 3.809649956972863*^9, 
   3.8096505207116137`*^9, 3.809651203684238*^9, 3.809651727045576*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"b644a9d9-3c9c-4df0-af20-c75e4c1b2ed1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Psplus"], "Input",
 CellChangeTimes->{{3.809631576402766*^9, 3.8096315774271393`*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"d4f7cad6-a3af-44ea-a788-b19206322423"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.004461168601842741`", ",", "0.014507975398908352`", ",", 
   "0.01976552225307519`", ",", "0.023712817846182344`", ",", 
   "0.02707054018567056`", ",", "0.030232817845838943`", ",", 
   "0.03285387017182914`", ",", "0.03513357482969851`", ",", 
   "0.037132798470951744`", ",", "0.03898910672358771`", ",", 
   "0.040694925368914316`", ",", "0.042289783446897856`", ",", 
   "0.043820118181235025`", ",", "0.04526677766148185`", ",", 
   "0.04664839955053181`", ",", "0.047958257845363006`", ",", 
   "0.0492609998690063`", ",", "0.05049497276969493`", ",", 
   "0.05169504285545798`", ",", "0.0528660081921935`", ",", 
   "0.053990965512422814`", ",", "0.055064432179697836`", ",", 
   "0.05610732095882512`", ",", "0.05711926833387711`", ",", 
   "0.058124357953929194`", ",", "0.05911653053386659`", ",", 
   "0.06007391856878954`", ",", "0.061011430917125783`", ",", 
   "0.0619161700123486`", ",", "0.06280221489040032`", ",", 
   "0.06367336283298018`", ",", "0.06452392545423306`", ",", 
   "0.06537125519951817`", ",", "0.06619746023056643`", ",", 
   "0.06700339780442412`", ",", "0.06780132196934763`", ",", 
   "0.0685850378935548`", ",", "0.06934757507257056`", ",", 
   "0.07009654420080716`", ",", "0.07084305669233587`", ",", 
   "0.07157837532868044`", ",", "0.07230277501971992`", ",", 
   "0.0730148419704838`", ",", "0.07371173416974254`", ",", 
   "0.07439595173589875`", ",", "0.07507403717718215`", ",", 
   "0.07574893605773152`", ",", "0.07641757140492625`", ",", 
   "0.07707354599352247`", ",", "0.07771616973677456`", ",", 
   "0.07835351724273205`", ",", "0.07898356507518436`", ",", 
   "0.07960419864811029`", ",", "0.08022152721867856`", ",", 
   "0.0808302787997853`", ",", "0.08143218047272457`", ",", 
   "0.08202612324457312`", ",", "0.08261242017848067`", ",", 
   "0.08319051090090311`", ",", "0.08376818254556151`", ",", 
   "0.0843402605037956`", ",", "0.08490615350650435`", ",", 
   "0.08546605535812372`", ",", "0.08601548236528474`", ",", 
   "0.08656017568997804`", ",", "0.08710273676048402`", ",", 
   "0.08764393401247772`", ",", "0.08817621081213403`", ",", 
   "0.08870171144174965`", ",", "0.08922323364380375`", ",", 
   "0.08973930147422549`", ",", "0.09025246849372036`", ",", 
   "0.09076168952341371`", ",", "0.09126522994633178`", ",", 
   "0.09176503334606172`", ",", "0.0922606528520348`", ",", 
   "0.09275130343243405`", ",", "0.09323939191413556`", ",", 
   "0.0937242437835137`", ",", "0.09420584261641508`", ",", 
   "0.0946832287355838`", ",", "0.09515443249566873`", ",", 
   "0.09562079516407054`", ",", "0.09608711411356041`", ",", 
   "0.09655187240855506`", ",", "0.09701038345908936`", ",", 
   "0.09746442166914068`", ",", "0.09791490859406524`", ",", 
   "0.09836229007343461`", ",", "0.09880959317432267`", ",", 
   "0.09925175553050425`", ",", "0.09969006578705833`", ",", 
   "0.10012570082989905`", ",", "0.10055711601682124`", ",", 
   "0.1009875213320291`", ",", "0.10141541728016507`", ",", 
   "0.1018406498426528`", ",", "0.10226359193602466`", ",", 
   "0.10268325685212361`", ",", "0.1030989126189929`", ",", 
   "0.10351420176670956`", ",", "0.1039264950109539`", ",", 
   "0.10433677805986452`", ",", "0.10474273722471895`", ",", 
   "0.10514515037111734`", ",", "0.10554681229787496`", ",", 
   "0.10594796796851494`", ",", "0.10634483322271018`", ",", 
   "0.10673874738093478`", ",", "0.10713001286516602`", ",", 
   "0.10751930703489779`", ",", "0.10790811785418038`", ",", 
   "0.10829348127726529`", ",", "0.10867613324412433`", ",", 
   "0.10905671515482385`", ",", "0.10943471820941729`", ",", 
   "0.10981219702672539`", ",", "0.11018652018342495`", ",", 
   "0.11055918729359343`", ",", "0.11092942959874842`", ",", 
   "0.11129853194004256`", ",", "0.11166617282713405`", ",", 
   "0.11203251479667842`", ",", "0.11239723360619543`", ",", 
   "0.11275978935185045`", ",", "0.11311940328467507`", ",", 
   "0.1134774901563158`", ",", "0.11383460859664024`", ",", 
   "0.11419036834980964`", ",", "0.11454302106272886`", ",", 
   "0.11489341479958931`", ",", "0.1152426559220478`", ",", 
   "0.11559173786779928`", ",", "0.11593793543777295`", ",", 
   "0.1162818616484716`", ",", "0.11662433573563533`", ",", 
   "0.11696535596363722`", ",", "0.11730545781565724`", ",", 
   "0.11764335057710557`", ",", "0.11797948630848251`", ",", 
   "0.11831362652672144`", ",", "0.11864698044063321`", ",", 
   "0.11897895401918591`", ",", "0.11930920108081654`", ",", 
   "0.1196376663426882`", ",", "0.11996393718279531`", ",", 
   "0.12029011967952188`", ",", "0.12061448115371787`", ",", 
   "0.12093768485629944`", ",", "0.12126078307189288`", ",", 
   "0.12158242633798892`", ",", "0.12190188125400114`", ",", 
   "0.12222124623965784`", ",", "0.1225395127404569`", ",", 
   "0.12285591778702631`", ",", "0.12317043928974132`", ",", 
   "0.12348356648549652`", ",", "0.12379640275334095`", ",", 
   "0.1241078236870683`", ",", "0.12441732244820003`", ",", 
   "0.1247252760967178`", ",", "0.1250324373252757`", ",", 
   "0.12533902643700467`", ",", "0.1256437299198531`", ",", 
   "0.12594699910521048`", ",", "0.12624883495036734`", ",", 
   "0.12655035875589388`", ",", "0.12685049929102926`", ",", 
   "0.1271489909765932`", ",", "0.12744644742332756`", ",", 
   "0.12774263325857244`", ",", "0.1280383678359764`", ",", 
   "0.1283323082904758`", ",", "0.1286255482367894`", ",", 
   "0.12891684518686725`", ",", "0.1292079668966296`", ",", 
   "0.12949782012567854`", ",", "0.12978679473443638`", ",", 
   "0.13007376881952842`", ",", "0.13036007760549867`", ",", 
   "0.1306458768540109`", ",", "0.130930887606095`", ",", 
   "0.13121662969646056`", ",", "0.13150149362624475`", ",", 
   "0.1317845017009874`", ",", "0.13206656748030482`", ",", 
   "0.13234829443864413`", ",", "0.13262905841901118`", ",", 
   "0.13290833948912145`", ",", "0.1331866810242633`", ",", 
   "0.13346403932884993`", ",", "0.13374086248098338`", ",", 
   "0.13401643101884894`", ",", "0.13429108738073867`", ",", 
   "0.13456434153255478`", ",", "0.1348375283225556`", ",", 
   "0.1351094287995209`", ",", "0.13538041779461443`", ",", 
   "0.13565024260583763`", ",", "0.13591944062512157`", ",", 
   "0.13618785630326644`", ",", "0.13645536209419398`", ",", 
   "0.13672163575879867`", ",", "0.13698701478593922`", ",", 
   "0.1372520328863951`", ",", "0.13751626295440045`", ",", 
   "0.13777909923855813`", ",", "0.13804088717289903`", ",", 
   "0.13830260527356011`", ",", "0.13856355225819242`", ",", 
   "0.13882305530467112`", ",", "0.13908177426720475`", ",", 
   "0.13933997889515135`", ",", "0.13959765498163346`", ",", 
   "0.13985390743035667`", ",", "0.14010960759920654`", ",", 
   "0.14036443656772013`", ",", "0.14061891241980132`", ",", 
   "0.14087441360007383`", ",", "0.14112967619270056`", ",", 
   "0.14138415206284594`", ",", "0.1416374252694556`", ",", 
   "0.14189010797518403`", ",", "0.1421423493894489`", ",", 
   "0.14239363454841472`", ",", "0.14264411536179558`", ",", 
   "0.14289378257533042`", ",", "0.14314310760980875`", ",", 
   "0.1433913403206571`", ",", "0.1436390888930127`", ",", 
   "0.14388569589017197`", ",", "0.1441322034212531`", ",", 
   "0.14437772423372727`", ",", "0.144622636099339`", ",", 
   "0.14486641953942703`", ",", "0.1451100262611697`", ",", 
   "0.14535292524004212`", ",", "0.14559507400325783`", ",", 
   "0.1458362217143755`", ",", "0.14607707269975795`", ",", 
   "0.14631733376627282`", ",", "0.14655658724442178`", ",", 
   "0.14679518291241073`", ",", "0.14703349044299807`", ",", 
   "0.14727114528519603`", ",", "0.1475077028361155`", ",", 
   "0.1477438258099264`", ",", "0.14797958164222288`", ",", 
   "0.14821463292600584`", ",", "0.1484486570207663`", ",", 
   "0.1486823826207383`", ",", "0.14891566862447903`", ",", 
   "0.14914809389384223`", ",", "0.14937958758516368`", ",", 
   "0.1496109873836892`", ",", "0.14984183428389902`", ",", 
   "0.15007179155395317`", ",", "0.1503009336314919`", ",", 
   "0.1505300241029478`", ",", "0.1507584480337767`", ",", 
   "0.15098593994258805`", ",", "0.15121288912162636`", ",", 
   "0.1514396945696595`", ",", "0.15166570773325258`", ",", 
   "0.15189080240070243`", ",", "0.15211562045993635`", ",", 
   "0.15234021047617302`", ",", "0.1525638323764919`", ",", 
   "0.1527867615780912`", ",", "0.15300950744883876`", ",", 
   "0.15323170991283022`", ",", "0.15345302558740315`", ",", 
   "0.1536738155466206`", ",", "0.15389454549323317`", ",", 
   "0.1541145019222812`", ",", "0.15433369289174192`", ",", 
   "0.15455246067757922`", ",", "0.1547709916344044`", ",", 
   "0.15498869102945123`", ",", "0.15520583750439498`", ",", 
   "0.15542269454475124`", ",", "0.155639043659527`", ",", 
   "0.15585471286648825`", ",", "0.1560697083697018`", ",", 
   "0.156284691980698`", ",", "0.1564989005428643`", ",", 
   "0.15671260548927035`", ",", "0.15692578658711387`", ",", 
   "0.15713862418314412`", ",", "0.1573508250881181`", ",", 
   "0.15756243169381673`", ",", "0.15777384356214688`", ",", 
   "0.15798462701623078`", ",", "0.1581949613684745`", ",", 
   "0.15840464733901585`", ",", "0.15861413823736611`", ",", 
   "0.15882301851347458`", ",", "0.1590313708459405`", ",", 
   "0.15923937250998707`", ",", "0.15944689026983533`", ",", 
   "0.15965388722800922`", ",", "0.15986027465668778`", ",", 
   "0.16006663196142557`", ",", "0.16027232197089353`", ",", 
   "0.16047742523834496`", ",", "0.1606821765764265`", ",", 
   "0.16088661252904185`", ",", "0.16109042433069634`", ",", 
   "0.161293693120697`", ",", "0.161496875413638`", ",", 
   "0.16169942177381152`", ",", "0.16190151699041397`", ",", 
   "0.16210316576632364`", ",", "0.16230451555823971`", ",", 
   "0.1625053184734814`", ",", "0.16270558567234436`", ",", 
   "0.16290573513845424`", ",", "0.16310522203272057`", ",", 
   "0.16330441933768594`", ",", "0.1635031024480954`", ",", 
   "0.16370148738925805`", ",", "0.16389938980163163`", ",", 
   "0.16409676420030275`", ",", "0.164294012719322`", ",", 
   "0.16449066093862513`", ",", "0.16468688854716787`", ",", 
   "0.16488273310860252`", ",", "0.16507828601900734`", ",", 
   "0.16527329432422114`", ",", "0.16546788035023283`", ",", 
   "0.1656623505129238`", ",", "0.1658561458142068`", ",", 
   "0.16604961411807265`", ",", "0.16624273841797638`", ",", 
   "0.16643555226412754`", ",", "0.16662782721518188`", ",", 
   "0.16681964748725264`", ",", "0.16701145348632127`", ",", 
   "0.16720258806956584`", ",", "0.1673934064961623`", ",", 
   "0.16758392082826123`", ",", "0.16777397501780633`", ",", 
   "0.16796361953114053`", ",", "0.16815286794521955`", ",", 
   "0.1683420983179309`", ",", "0.16853052804562585`", ",", 
   "0.16871869376542853`", ",", "0.16890670116614503`", ",", 
   "0.16909425346234128`", ",", "0.1692812658449136`", ",", 
   "0.16946805633088885`", ",", "0.1696546679310006`", ",", 
   "0.16984060310226384`", ",", "0.1700262101304742`", ",", 
   "0.17021180703034963`", ",", "0.17039681558925365`", ",", 
   "0.17058140859680954`", ",", "0.1707658345032551`", ",", 
   "0.17094989791092646`", ",", "0.17113347414906915`", ",", 
   "0.1713167509508848`", ",", "0.17149982150618862`", ",", 
   "0.1716823854139335`", ",", "0.17186455167507556`", ",", 
   "0.17204670058751434`", ",", "0.17222834088918965`", ",", 
   "0.1724094464850611`", ",", "0.17259048807849317`", ",", 
   "0.1727712456351668`", ",", "0.17295142056870355`", ",", 
   "0.17313137479573068`", ",", "0.17331117408793126`", ",", 
   "0.1734904643920137`", ",", "0.17366935061313524`", ",", 
   "0.17384822995393376`", ",", "0.17402656905736252`", ",", 
   "0.17420444916216862`", ",", "0.17438228617009266`", ",", 
   "0.1745598783942055`", ",", "0.1747367599806101`", ",", 
   "0.17491356602329597`", ",", "0.17509016177573755`", ",", 
   "0.17526631679353996`", ",", "0.17544210959605247`", ",", 
   "0.17561773318717339`", ",", "0.17579303095138332`", ",", 
   "0.17596782773663205`", ",", "0.1761425411775285`", ",", 
   "0.17631698209466762`", ",", "0.17649089501390944`", ",", 
   "0.17666471252234275`", ",", "0.17683819332789738`", ",", 
   "0.1770113459594335`", ",", "0.17718420046775007`", ",", 
   "0.1773567382406557`", ",", "0.17752901776744284`", ",", 
   "0.1777009251063807`", ",", "0.177872730458154`", ",", 
   "0.17804409647909403`", ",", "0.17821508032861233`", ",", 
   "0.17838605589986986`", ",", "0.1785565698889105`", ",", 
   "0.17872674142865394`", ",", "0.17889680022099425`", ",", 
   "0.17906646808101762`", ",", "0.1792358784797441`", ",", 
   "0.17940503508433053`", ",", "0.1795738832631979`", ",", 
   "0.17974240347394355`", ",", "0.17991067209895056`", ",", 
   "0.18007883007238248`", ",", "0.1802464553107043`", ",", 
   "0.18041384979524527`", ",", "0.18058119624702157`", ",", 
   "0.18074808382912955`", ",", "0.18091465670049067`", ",", 
   "0.18108119052790092`", ",", "0.18124726861871063`", ",", 
   "0.18141300135797428`", ",", "0.1815786876684861`", ",", 
   "0.1817441154696358`", ",", "0.18190900099023063`", ",", 
   "0.18207385259307304`", ",", "0.18223850632397415`", ",", 
   "0.18240263585285627`", ",", "0.18256666523781218`", ",", 
   "0.1827304962766409`", ",", "0.18289398196908485`", ",", 
   "0.1830572013175341`", ",", "0.18322025281876847`", ",", 
   "0.18338296634437862`", ",", "0.18354538753985522`", ",", 
   "0.18370769455485803`", ",", "0.18386965514038636`", ",", 
   "0.18403128977867542`", ",", "0.18419289562408386`", ",", 
   "0.18435408237820636`", ",", "0.18451499139055413`", ",", 
   "0.18467585078935303`", ",", "0.1848363340137574`", ",", 
   "0.18499646578305842`", ",", "0.18515656099122493`", ",", 
   "0.1853162814229871`", ",", "0.18547576276411096`", ",", 
   "0.18563510457051952`", ",", "0.1857941245525053`", ",", 
   "0.18595283383854466`", ",", "0.18611143278057107`", ",", 
   "0.18626981791200148`", ",", "0.18642780584609697`", ",", 
   "0.18658567221775052`", ",", "0.18674339214428826`", ",", 
   "0.18690060786721188`", ",", "0.18705775172693215`", ",", 
   "0.18721478063723734`", ",", "0.18737139814718218`", ",", 
   "0.18752782932531797`", ",", "0.18768406959037015`", ",", 
   "0.18784006086463845`", ",", "0.18799578897062402`", ",", 
   "0.18815133829222364`", ",", "0.18830665101470603`", ",", 
   "0.18846168544394945`", ",", "0.18861658226729885`", ",", 
   "0.18877126441952227`", ",", "0.1889256143600203`", ",", 
   "0.18907982337170742`", ",", "0.18923374792787784`", ",", 
   "0.18938742236657025`", ",", "0.18954104962995552`", ",", 
   "0.18969429203454996`", ",", "0.1898473089390351`", ",", 
   "0.19000031666791062`", ",", "0.19015289380035333`", ",", 
   "0.19030529348137548`", ",", "0.19045764310334168`", ",", 
   "0.1906095398952523`", ",", "0.19076123982977994`", ",", 
   "0.190912906635181`", ",", "0.19106428053852284`", ",", 
   "0.1912153390270756`", ",", "0.19136631788897554`", ",", 
   "0.19151707827217748`", ",", "0.1916675033834366`", ",", 
   "0.19181787811687934`", ",", "0.19196799893080943`", ",", 
   "0.19211779856570305`", ",", "0.19226759614376537`", ",", 
   "0.19241703828861303`", ",", "0.19256622018515857`", ",", 
   "0.19271538547854133`", ",", "0.1928642096046979`", ",", 
   "0.1930128088575686`", ",", "0.19316138059553717`", ",", 
   "0.19330960990902052`", ",", "0.19345758189582304`", ",", 
   "0.1936055509012334`", ",", "0.19375313178869127`", ",", 
   "0.19390050533814102`", ",", "0.19404786310271072`", ",", 
   "0.19419488818756292`", ",", "0.19434167341240405`", ",", 
   "0.1944884053821574`", ",", "0.19463488313821434`", ",", 
   "0.1947810870285801`", ",", "0.1949271987494407`", ",", 
   "0.1950731367414406`", ",", "0.19521876615012973`", ",", 
   "0.1953642791362767`", ",", "0.1955095628375434`", ",", 
   "0.19565462448376827`", ",", "0.19579962609245305`", ",", 
   "0.19594436010317975`", ",", "0.19608886057618385`", ",", 
   "0.19623324135733317`", ",", "0.19637734743099117`", ",", 
   "0.1965212931935417`", ",", "0.1966651650326927`", ",", 
   "0.19680867522369097`", ",", "0.19695207261545164`", ",", 
   "0.19709538756968428`", ",", "0.1972383450967358`", ",", 
   "0.19738120033752488`", ",", "0.19752396214915854`", ",", 
   "0.19766638119665747`", ",", "0.1978087003895958`", ",", 
   "0.19795083642098743`", ",", "0.19809278596863747`", ",", 
   "0.19823457510319092`", ",", "0.1983761542175019`", ",", 
   "0.19851748673286357`", ",", "0.1986587516877844`", ",", 
   "0.19879980507637549`", ",", "0.1989405995101178`", ",", 
   "0.19908134605628863`", ",", "0.19922187623848805`", ",", 
   "0.1993621193569388`", ",", "0.19950235316012352`", ",", 
   "0.19964233723587865`", ",", "0.19978206385938377`", ",", 
   "0.19992177830768243`", ",", "0.20006128321356953`", ",", 
   "0.20020050812081944`", ",", "0.20033962732818789`", ",", 
   "0.20047858971925678`", ",", "0.20061731827628645`", ",", 
   "0.20075593081975787`", ",", "0.20089436733062044`", ",", 
   "0.20103260480848867`", ",", "0.20117074212639777`", ",", 
   "0.20130861364858466`", ",", "0.20144636522571097`", ",", 
   "0.2015840400487219`", ",", "0.2017213496108852`", ",", 
   "0.20185862037531338`", ",", "0.2019957480303338`", ",", 
   "0.2021325732628524`", ",", "0.20226936821444333`", ",", 
   "0.20240602278377645`", ",", "0.20254234683633315`", ",", 
   "0.2026786427512263`", ",", "0.20281478489353252`", ",", 
   "0.2029506428768596`", ",", "0.20308645764003092`", ",", 
   "0.20322205137842392`", ",", "0.20335744804032424`", ",", 
   "0.20349280671559272`", ",", "0.20362787982314515`", ",", 
   "0.2037628198313558`", ",", "0.20389774199111693`", ",", 
   "0.20403227792779705`", ",", "0.2041667658718671`", ",", 
   "0.20430116027030001`", ",", "0.20443524340771466`", ",", 
   "0.20456928380082645`", ",", "0.204703210982918`", ",", 
   "0.2048368104220665`", ",", "0.20497040770280284`", ",", 
   "0.20510380282668922`", ",", "0.20523696136074845`", ",", 
   "0.20537011875518393`", ",", "0.2055030126579319`", ",", 
   "0.2056357367397924`", ",", "0.205768454593887`", ",", 
   "0.2059008447062569`", ",", "0.20603313856079328`", ",", 
   "0.2061653793846577`", ",", "0.20629730982179653`", ",", 
   "0.2064291776058486`", ",", "0.20656093597256275`", ",", 
   "0.20669241731620575`", ",", "0.20682386312010284`", ",", 
   "0.2069551444880942`", ",", "0.20708617866573703`", ",", 
   "0.20721720651477812`", ",", "0.20734798488951656`", ",", 
   "0.20747860504187615`", ",", "0.20760921889776834`", ",", 
   "0.20773956420351097`", ",", "0.2078697962377447`", ",", 
   "0.20800000000000077`", ",", "0.2081297984236329`", ",", 
   "0.2082595959311592`", ",", "0.20838939343845608`", ",", 
   "0.20851919094552257`", ",", "0.2086489875364852`", ",", 
   "0.20877838347582192`", ",", "0.20890777850754846`", ",", 
   "0.20903717353904766`", ",", "0.2091665685703185`", ",", 
   "0.20929596269398104`", ",", "0.20942495987008297`", ",", 
   "0.20955395614693967`", ",", "0.20968295242357118`", ",", 
   "0.2098119486999766`", ",", "0.20994094407713876`", ",", 
   "0.2100695461540806`", ",", "0.21019814734001466`", ",", 
   "0.21032674852572555`", ",", "0.21045534971121235`", ",", 
   "0.21058395000569324`", ",", "0.21071216059177827`", ",", 
   "0.2108403702949679`", ",", "0.21096857999793642`", ",", 
   "0.2110967897006829`", ",", "0.21122499852053578`", ",", 
   "0.21135282116947707`", ",", "0.21148064294351296`", ",", 
   "0.21160846471732975`", ",", "0.2117362864909265`", ",", 
   "0.21186410738961972`", ",", "0.21199154560168953`", ",", 
   "0.21211898294672418`", ",", "0.2122464202915417`", ",", 
   "0.2123738576361412`", ",", "0.2125012941137073`", ",", 
   "0.2126283513368554`", ",", "0.2127554077007212`", ",", 
   "0.21288246406437183`", ",", "0.21300952042780638`", ",", 
   "0.21313657593196042`", ",", "0.21326325556290246`", ",", 
   "0.2133899343422003`", ",", "0.21351661312128487`", ",", 
   "0.21364329190015527`", ",", "0.21376996982738325`", ",", 
   "0.21389627521266041`", ",", "0.21402257975381897`", ",", 
   "0.21414888429476614`", ",", "0.21427518883550106`", ",", 
   "0.2144014925321191`", ",", "0.2145274269691297`", ",", 
   "0.214653360569437`", ",", "0.21477929416953484`", ",", 
   "0.2149052277694223`", ",", "0.21503116053260823`", ",", 
   "0.21515672727061189`", ",", "0.21528229317921974`", ",", 
   "0.2154078590876199`", ",", "0.21553342499581146`", ",", 
   "0.215658990074609`", ",", "0.21578419231570503`", ",", 
   "0.21590939373460696`", ",", "0.21603459515330298`", ",", 
   "0.21615979657179224`", ",", "0.21628499716808908`", ",", 
   "0.2164098380681691`", ",", "0.21653467815315314`", ",", 
   "0.216659518237933`", ",", "0.21678435832250792`", ",", 
   "0.21690919759198854`", ",", "0.21703368026166475`", ",", 
   "0.21715816212324154`", ",", "0.21728264398461591`", ",", 
   "0.21740712584578703`", ",", "0.2175316068988604`", ",", 
   "0.2176557344043699`", ",", "0.21777986110867692`", ",", 
   "0.2179039878127833`", ",", "0.21802811451668824`", ",", 
   "0.21815224041939232`", ",", "0.21827601578347824`", ",", 
   "0.21839979035316118`", ",", "0.21852356492264513`", ",", 
   "0.21864733949192927`", ",", "0.2187711132668121`", ",", 
   "0.2188945394695343`", ",", "0.219017964884557`", ",", 
   "0.21914139029943103`", ",", "0.21926481571415563`", ",", 
   "0.21938824034118226`", ",", "0.21951132032094756`", ",", 
   "0.21963439951962377`", ",", "0.21975747871810433`", ",", 
   "0.21988055791638847`", ",", "0.22000363633358508`", ",", 
   "0.22012637298767382`", ",", "0.2202491088671915`", ",", 
   "0.22037184474651522`", ",", "0.22049458062564414`", ",", 
   "0.22061731573020363`", ",", "0.2207397119157584`", ",", 
   "0.22086210733317016`", ",", "0.2209845027503895`", ",", 
   "0.22110689816741563`", ",", "0.22122929281630033`", ",", 
   "0.2213513513510539`", ",", "0.22147340912400404`", ",", 
   "0.22159546689676335`", ",", "0.22171752466933106`", ",", 
   "0.22183958168009688`", ",", "0.22196130534312902`", ",", 
   "0.22208302825061055`", ",", "0.2222047511579028`", ",", 
   "0.22232647406500505`", ",", "0.22244819621655817`", ",", 
   "0.22256958774903388`", ",", "0.2226909785321267`", ",", 
   "0.22281236931503182`", ",", "0.2229337600977485`", ",", 
   "0.22305515013108382`", ",", "0.22317621223697362`", ",", 
   "0.2232972735995649`", ",", "0.22341833496196994`", ",", 
   "0.22353939632418807`", ",", "0.2236604569431091`", ",", 
   "0.2237811922898917`", ",", "0.22390192689937827`", ",", 
   "0.22402266150868008`", ",", "0.2241433961177965`", ",", 
   "0.22426412998961817`", ",", "0.22438454120896645`", ",", 
   "0.2245049516969407`", ",", "0.22462536218473173`", ",", 
   "0.2247457726723388`", ",", "0.22486618242857315`", ",", 
   "0.22498627211702327`", ",", "0.22510636107994247`", ",", 
   "0.22522645004267988`", ",", "0.22534653900523482`", ",", 
   "0.2254666272422603`", ",", "0.22558639796186483`", ",", 
   "0.22570616796170428`", ",", "0.22582593796136344`", ",", 
   "0.2259457079608416`", ",", "0.22606547724055606`", ",", 
   "0.2261849315195221`", ",", "0.226304385084413`", ",", 
   "0.22642383864912496`", ",", "0.22654329221365735`", ",", 
   "0.22666274506411588`", ",", "0.22678188539742755`", ",", 
   "0.22690102502227927`", ",", "0.22702016464695354`", ",", 
   "0.2271393042714497`", ",", "0.22725844318748725`", ",", 
   "0.22737727203751373`", ",", "0.22749610018462232`", ",", 
   "0.22761492833155483`", ",", "0.22773375647831068`", ",", 
   "0.2278525839221498`", ",", "0.22797110371923907`", ",", 
   "0.22808962281888068`", ",", "0.22820814191834754`", ",", 
   "0.2283266610176391`", ",", "0.22844517941948425`", ",", 
   "0.2285633925625431`", ",", "0.22868160501355383`", ",", 
   "0.22879981746439124`", ",", "0.22891802991505467`", ",", 
   "0.22903624167367126`", ",", "0.2291541505307318`", ",", 
   "0.22927205870107453`", ",", "0.22938996687124524`", ",", 
   "0.22950787504124334`", ",", "0.2296257825245248`", ",", 
   "0.22974338943329792`", ",", "0.22986099566061538`", ",", 
   "0.22997860188776217`", ",", "0.23009620811473766`", ",", 
   "0.23021381366025878`", ",", "0.23033112092867492`", ",", 
   "0.23044842752083078`", ",", "0.23056573411281725`", ",", 
   "0.23068304070463366`", ",", "0.23080034662019114`", ",", 
   "0.2309173565269287`", ",", "0.23103436576253575`", ",", 
   "0.2311513749979746`", ",", "0.2312683842332447`", ",", 
   "0.23138539279738546`", ",", "0.2315021075923874`", ",", 
   "0.23161882172132386`", ",", "0.2317355358500935`", ",", 
   "0.23185224997869566`", ",", "0.23196896344123358`", ",", 
   "0.23208538534621195`", ",", "0.23220180659012662`", ",", 
   "0.23231822783387568`", ",", "0.2324346490774586`", ",", 
   "0.23255106965997813`", ",", "0.23266731614044975`"}], "}"}]], "Output",
 CellChangeTimes->{3.8096521581971607`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"253d2a63-6044-40b4-82ab-c317c8015b31"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Psplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "100"}], "]"}], "]"}], ",", 
     RowBox[{"Pmplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "100"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<new\>\"", ",", "\"\<market\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8096521654785233`*^9, 3.809652206903891*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"8878e4c7-cad8-411e-9ef8-27ab3387de28"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJw1yw1QE2Qcx/GFRRpWio5kogUoLAYLAZEU3E82XsZA2Nh4kZdTQcElRy8G
QuUtCjlNOI6jSOpIZYog8SLy2sAdMDquRVCBnCnKi0BqpkwQCjA6/89z99xz
n+d7P9v9qYoDZhwOJ3Hp/v8+Ow9Ff71u+u2W3/si+sBC3eNjMQ255OUQSMvb
DvkUklehd7BQ4hz4NXktFqW27vuaviGvg5Wu7NU90yVkG6xsHTJ5/XqG/Aam
hYbNLy6cJdsB0dyZ1ctKyZsgic9T7pthdgDXbfP6J/1aMh/Z843lz5WdJzvh
fMGCc1HqBbIz1mlClm11KSMLcW58+lTwCLMr9jas4M3nXiRvwZ6aX4Z0XuVk
NwjN5baZ15ndYZz8w2hIryB7YPlA1m2svkTeCqvjocIrWmZPjN3rbEvaUkne
Bg8XgdS6hdkLJ0MfFOt2fk9+G+ubzPsy2pm3ozO7qDhbUkXegY4J121m7cze
yBM/mhz1rib7oOpm0d2MOuadsOBahvesqSGLIEpbbL8TzAzEVJ3rL/2crAFa
hMJLAh3ruyC+2mkln2J9F6zTgzLtHGup+6J3+KPDKTFkjS+M71xd7M5jXQxJ
7OLODj3rYlTUTdwYfMS6BPfVWrHB7jL1JbvZ35xWkDl+SC/b6J+axbof+F37
u6xrWfdHtFNRtWGIdX+4cstN31rUUQ+A38EjES97kTUBMNmtEQcmsh6IrI3m
PF4+64E41JOS89oPrEthZkx44nGHdSkWcrgjc69coR4EXvw9pcSLrAlCQEJf
/8O9rMvQMzIweuAE6zIcbJ21kNWyHgyru7MBrYOsB6PkJ/18+VPWQ9D1eFJt
5VBPPQQBgouCORmZsxuTn2aO/f4e67uRU3i6U1HEeigu2528naxjPRSfJVUd
5Q2zHoa4xPpwmxcanhlhuJHW3NHDJ2vCoBX/mBIXTNaH4V29v2d/Kpkjh0LQ
rGosYHs5evtbDY71bC/HWvsv0lTX2F4OfvJTreMc2yvgqMrnd/Maaa9AxVc7
jvK9yRoFkrTDGfw4sl4Bmci++89PyJxwqJ+vH08sYftwxEVOXDjVxvbhWBEz
qz4xxPZL/eOx4dBFtlfizbdsDbc2NNFeCSeH8X/4PmSNEhbq0vSXYsn6pc5d
qSvOJHNUyA+uljidZnsVJPrYku8a2V6FeX8lv7Kf7VV4UFVUlmJi+wgcN7oX
mFY10z4CRrV5gp+QrInA0L+eo1/KyPoIJM9abspPJnMiYXYmqFOazfaRmKrN
zRo4y/aROLah8ohNG9tHovPa4Q/l19k+CvdlObGxM2wfBYNvZuF2yxbaR6HA
+Hf8lAtZH4Wf+8yFH0jJnGjMa03NNYktov8A8+jbvg==
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxVy3tQlFUcxvEXsCANhxAaQBxua8jFEBeBRNiHywLuLsjeaRCVOxU3YQhS
iIUUgdFBxUsDFmSyXAQ0ERRiGFcaxKmQsSRINkJrJKipgICANBt+54/OzDtn
Pu/3PA7xmbIkQ47jEp9//92r5w8B9/+DoqqVDDNFKf03QaPRoO8R3UmyGcbD
kpuGZ8+QLTCkFwX9cORDshWajx368tmjGrItSpcqxjTNH5Ptkagt8T5VUUd2
hP9Lx4WW1Z+QefCVZs58ffYi+TWMjBR8G134KXkLllw9Z/mqS2RXiAt8bVI2
15PdMZQ+GG44xfw6xspdeab1WvI2OKfZ66rVDWRPcPlRqm+MG8nbIczlxTlf
YeYjdllp8a6sieyFuZrWGsM/mXcgLW6uyqm8meyNdC/91D6by2QfmLSlnLrd
wOyLxJ7OUhvPFvIbaLT4u9e2m3knxO3uo5FoJfshxF9+3eI28y7E9czv06KN
7I8aG0u7xW7mAFilfnTHhX+FLEDChvRinyZmYEKV7Lt3/dVVawBpTLB0MIzM
BcIjw1t0soj1QJjWBjr5dbIeBPPulRnJr6wHIfbZ2F9rHD6jHowy4dVfTijI
mmAcrhKLMo+xHoKfzse7/NPFegj6DK/Fj02zLkSlwdKOPttr1IUQwHXjhITM
heL+WyaOo4dZD0XWHcuMwGbWw1DskSMMHGE9DJXCJb3Bi+3Uw9GfbGz/Cp+s
CcfWce9si/2s78aNLvOs2grWd2PE+IOEux2si5CO7MRXf2RdhNCF1u/2r71O
XQzENfi87EXWiHGpefI0L5Z1CSKmGi8/OMq6BBN9AWMTraxHQHJi5reYB6xH
4KmGk32+wnokHk/r7dqcOqhHYrHaQC8Wkbk9uHchrychi/U9cN5qVTFylvUo
aOyyi5e7yYhCi/NA6Pw4ex8FleHbEUNrOld9Kwr96jK3tS5kToov5A12DyVk
SLHy9JAuPouskUJ39B4/v4rtpdhW/5VVdifby+C9sem84yjby5DxMHUxdZnt
Zdie2193cNMN2ssw5aAsXy8gc3IcOLf3e9kBMuTIH9BMnisma+SYFA7k5V9k
eznKrIt0bn1sr8CZnDxt7mO2V0Ckc7KOMbpJewXeL1yn4jmRbymw4X5pyaMg
MqdEWk5QrSSeDCXMhibnoovZXomC4+18Xh3bK7HLw+hmby/bq1DiLkr207O9
ClzIk8LsZbZXQWIluJti3UV7FeqevGe+xYfMqTHcMeqmVZChhkVCi9HKQbJG
jZZ35hc8K9leDdULtguOLWwfjYBG4fT0ANtHI//3JF7Gz2z/3BeG/XoMumkf
jdMlQ5Gzm8jcm+jXJpmu29kt+Be+tcc6
         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0., 100.}, {0, 0.1030989126189929}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"new\"", "\"market\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.809652173701281*^9, 3.809652207370924*^9}},
 CellLabel->"Out[38]=",ExpressionUUID->"5379e9c2-93c9-47f2-9139-883383f733c7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Psplus"], "Input",
 CellChangeTimes->{{3.809652224928379*^9, 3.8096522260088177`*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"7f5954d2-4e44-460f-a6d1-2287a1270110"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.004461168601842741`", ",", "0.014507975398908352`", ",", 
   "0.01976552225307519`", ",", "0.023712817846182344`", ",", 
   "0.02707054018567056`", ",", "0.030232817845838943`", ",", 
   "0.03285387017182914`", ",", "0.03513357482969851`", ",", 
   "0.037132798470951744`", ",", "0.03898910672358771`", ",", 
   "0.040694925368914316`", ",", "0.042289783446897856`", ",", 
   "0.043820118181235025`", ",", "0.04526677766148185`", ",", 
   "0.04664839955053181`", ",", "0.047958257845363006`", ",", 
   "0.0492609998690063`", ",", "0.05049497276969493`", ",", 
   "0.05169504285545798`", ",", "0.0528660081921935`", ",", 
   "0.053990965512422814`", ",", "0.055064432179697836`", ",", 
   "0.05610732095882512`", ",", "0.05711926833387711`", ",", 
   "0.058124357953929194`", ",", "0.05911653053386659`", ",", 
   "0.06007391856878954`", ",", "0.061011430917125783`", ",", 
   "0.0619161700123486`", ",", "0.06280221489040032`", ",", 
   "0.06367336283298018`", ",", "0.06452392545423306`", ",", 
   "0.06537125519951817`", ",", "0.06619746023056643`", ",", 
   "0.06700339780442412`", ",", "0.06780132196934763`", ",", 
   "0.0685850378935548`", ",", "0.06934757507257056`", ",", 
   "0.07009654420080716`", ",", "0.07084305669233587`", ",", 
   "0.07157837532868044`", ",", "0.07230277501971992`", ",", 
   "0.0730148419704838`", ",", "0.07371173416974254`", ",", 
   "0.07439595173589875`", ",", "0.07507403717718215`", ",", 
   "0.07574893605773152`", ",", "0.07641757140492625`", ",", 
   "0.07707354599352247`", ",", "0.07771616973677456`", ",", 
   "0.07835351724273205`", ",", "0.07898356507518436`", ",", 
   "0.07960419864811029`", ",", "0.08022152721867856`", ",", 
   "0.0808302787997853`", ",", "0.08143218047272457`", ",", 
   "0.08202612324457312`", ",", "0.08261242017848067`", ",", 
   "0.08319051090090311`", ",", "0.08376818254556151`", ",", 
   "0.0843402605037956`", ",", "0.08490615350650435`", ",", 
   "0.08546605535812372`", ",", "0.08601548236528474`", ",", 
   "0.08656017568997804`", ",", "0.08710273676048402`", ",", 
   "0.08764393401247772`", ",", "0.08817621081213403`", ",", 
   "0.08870171144174965`", ",", "0.08922323364380375`", ",", 
   "0.08973930147422549`", ",", "0.09025246849372036`", ",", 
   "0.09076168952341371`", ",", "0.09126522994633178`", ",", 
   "0.09176503334606172`", ",", "0.0922606528520348`", ",", 
   "0.09275130343243405`", ",", "0.09323939191413556`", ",", 
   "0.0937242437835137`", ",", "0.09420584261641508`", ",", 
   "0.0946832287355838`", ",", "0.09515443249566873`", ",", 
   "0.09562079516407054`", ",", "0.09608711411356041`", ",", 
   "0.09655187240855506`", ",", "0.09701038345908936`", ",", 
   "0.09746442166914068`", ",", "0.09791490859406524`", ",", 
   "0.09836229007343461`", ",", "0.09880959317432267`", ",", 
   "0.09925175553050425`", ",", "0.09969006578705833`", ",", 
   "0.10012570082989905`", ",", "0.10055711601682124`", ",", 
   "0.1009875213320291`", ",", "0.10141541728016507`", ",", 
   "0.1018406498426528`", ",", "0.10226359193602466`", ",", 
   "0.10268325685212361`", ",", "0.1030989126189929`", ",", 
   "0.10351420176670956`", ",", "0.1039264950109539`", ",", 
   "0.10433677805986452`", ",", "0.10474273722471895`", ",", 
   "0.10514515037111734`", ",", "0.10554681229787496`", ",", 
   "0.10594796796851494`", ",", "0.10634483322271018`", ",", 
   "0.10673874738093478`", ",", "0.10713001286516602`", ",", 
   "0.10751930703489779`", ",", "0.10790811785418038`", ",", 
   "0.10829348127726529`", ",", "0.10867613324412433`", ",", 
   "0.10905671515482385`", ",", "0.10943471820941729`", ",", 
   "0.10981219702672539`", ",", "0.11018652018342495`", ",", 
   "0.11055918729359343`", ",", "0.11092942959874842`", ",", 
   "0.11129853194004256`", ",", "0.11166617282713405`", ",", 
   "0.11203251479667842`", ",", "0.11239723360619543`", ",", 
   "0.11275978935185045`", ",", "0.11311940328467507`", ",", 
   "0.1134774901563158`", ",", "0.11383460859664024`", ",", 
   "0.11419036834980964`", ",", "0.11454302106272886`", ",", 
   "0.11489341479958931`", ",", "0.1152426559220478`", ",", 
   "0.11559173786779928`", ",", "0.11593793543777295`", ",", 
   "0.1162818616484716`", ",", "0.11662433573563533`", ",", 
   "0.11696535596363722`", ",", "0.11730545781565724`", ",", 
   "0.11764335057710557`", ",", "0.11797948630848251`", ",", 
   "0.11831362652672144`", ",", "0.11864698044063321`", ",", 
   "0.11897895401918591`", ",", "0.11930920108081654`", ",", 
   "0.1196376663426882`", ",", "0.11996393718279531`", ",", 
   "0.12029011967952188`", ",", "0.12061448115371787`", ",", 
   "0.12093768485629944`", ",", "0.12126078307189288`", ",", 
   "0.12158242633798892`", ",", "0.12190188125400114`", ",", 
   "0.12222124623965784`", ",", "0.1225395127404569`", ",", 
   "0.12285591778702631`", ",", "0.12317043928974132`", ",", 
   "0.12348356648549652`", ",", "0.12379640275334095`", ",", 
   "0.1241078236870683`", ",", "0.12441732244820003`", ",", 
   "0.1247252760967178`", ",", "0.1250324373252757`", ",", 
   "0.12533902643700467`", ",", "0.1256437299198531`", ",", 
   "0.12594699910521048`", ",", "0.12624883495036734`", ",", 
   "0.12655035875589388`", ",", "0.12685049929102926`", ",", 
   "0.1271489909765932`", ",", "0.12744644742332756`", ",", 
   "0.12774263325857244`", ",", "0.1280383678359764`", ",", 
   "0.1283323082904758`", ",", "0.1286255482367894`", ",", 
   "0.12891684518686725`", ",", "0.1292079668966296`", ",", 
   "0.12949782012567854`", ",", "0.12978679473443638`", ",", 
   "0.13007376881952842`", ",", "0.13036007760549867`", ",", 
   "0.1306458768540109`", ",", "0.130930887606095`", ",", 
   "0.13121662969646056`", ",", "0.13150149362624475`", ",", 
   "0.1317845017009874`", ",", "0.13206656748030482`", ",", 
   "0.13234829443864413`", ",", "0.13262905841901118`", ",", 
   "0.13290833948912145`", ",", "0.1331866810242633`", ",", 
   "0.13346403932884993`", ",", "0.13374086248098338`", ",", 
   "0.13401643101884894`", ",", "0.13429108738073867`", ",", 
   "0.13456434153255478`", ",", "0.1348375283225556`", ",", 
   "0.1351094287995209`", ",", "0.13538041779461443`", ",", 
   "0.13565024260583763`", ",", "0.13591944062512157`", ",", 
   "0.13618785630326644`", ",", "0.13645536209419398`", ",", 
   "0.13672163575879867`", ",", "0.13698701478593922`", ",", 
   "0.1372520328863951`", ",", "0.13751626295440045`", ",", 
   "0.13777909923855813`", ",", "0.13804088717289903`", ",", 
   "0.13830260527356011`", ",", "0.13856355225819242`", ",", 
   "0.13882305530467112`", ",", "0.13908177426720475`", ",", 
   "0.13933997889515135`", ",", "0.13959765498163346`", ",", 
   "0.13985390743035667`", ",", "0.14010960759920654`", ",", 
   "0.14036443656772013`", ",", "0.14061891241980132`", ",", 
   "0.14087441360007383`", ",", "0.14112967619270056`", ",", 
   "0.14138415206284594`", ",", "0.1416374252694556`", ",", 
   "0.14189010797518403`", ",", "0.1421423493894489`", ",", 
   "0.14239363454841472`", ",", "0.14264411536179558`", ",", 
   "0.14289378257533042`", ",", "0.14314310760980875`", ",", 
   "0.1433913403206571`", ",", "0.1436390888930127`", ",", 
   "0.14388569589017197`", ",", "0.1441322034212531`", ",", 
   "0.14437772423372727`", ",", "0.144622636099339`", ",", 
   "0.14486641953942703`", ",", "0.1451100262611697`", ",", 
   "0.14535292524004212`", ",", "0.14559507400325783`", ",", 
   "0.1458362217143755`", ",", "0.14607707269975795`", ",", 
   "0.14631733376627282`", ",", "0.14655658724442178`", ",", 
   "0.14679518291241073`", ",", "0.14703349044299807`", ",", 
   "0.14727114528519603`", ",", "0.1475077028361155`", ",", 
   "0.1477438258099264`", ",", "0.14797958164222288`", ",", 
   "0.14821463292600584`", ",", "0.1484486570207663`", ",", 
   "0.1486823826207383`", ",", "0.14891566862447903`", ",", 
   "0.14914809389384223`", ",", "0.14937958758516368`", ",", 
   "0.1496109873836892`", ",", "0.14984183428389902`", ",", 
   "0.15007179155395317`", ",", "0.1503009336314919`", ",", 
   "0.1505300241029478`", ",", "0.1507584480337767`", ",", 
   "0.15098593994258805`", ",", "0.15121288912162636`", ",", 
   "0.1514396945696595`", ",", "0.15166570773325258`", ",", 
   "0.15189080240070243`", ",", "0.15211562045993635`", ",", 
   "0.15234021047617302`", ",", "0.1525638323764919`", ",", 
   "0.1527867615780912`", ",", "0.15300950744883876`", ",", 
   "0.15323170991283022`", ",", "0.15345302558740315`", ",", 
   "0.1536738155466206`", ",", "0.15389454549323317`", ",", 
   "0.1541145019222812`", ",", "0.15433369289174192`", ",", 
   "0.15455246067757922`", ",", "0.1547709916344044`", ",", 
   "0.15498869102945123`", ",", "0.15520583750439498`", ",", 
   "0.15542269454475124`", ",", "0.155639043659527`", ",", 
   "0.15585471286648825`", ",", "0.1560697083697018`", ",", 
   "0.156284691980698`", ",", "0.1564989005428643`", ",", 
   "0.15671260548927035`", ",", "0.15692578658711387`", ",", 
   "0.15713862418314412`", ",", "0.1573508250881181`", ",", 
   "0.15756243169381673`", ",", "0.15777384356214688`", ",", 
   "0.15798462701623078`", ",", "0.1581949613684745`", ",", 
   "0.15840464733901585`", ",", "0.15861413823736611`", ",", 
   "0.15882301851347458`", ",", "0.1590313708459405`", ",", 
   "0.15923937250998707`", ",", "0.15944689026983533`", ",", 
   "0.15965388722800922`", ",", "0.15986027465668778`", ",", 
   "0.16006663196142557`", ",", "0.16027232197089353`", ",", 
   "0.16047742523834496`", ",", "0.1606821765764265`", ",", 
   "0.16088661252904185`", ",", "0.16109042433069634`", ",", 
   "0.161293693120697`", ",", "0.161496875413638`", ",", 
   "0.16169942177381152`", ",", "0.16190151699041397`", ",", 
   "0.16210316576632364`", ",", "0.16230451555823971`", ",", 
   "0.1625053184734814`", ",", "0.16270558567234436`", ",", 
   "0.16290573513845424`", ",", "0.16310522203272057`", ",", 
   "0.16330441933768594`", ",", "0.1635031024480954`", ",", 
   "0.16370148738925805`", ",", "0.16389938980163163`", ",", 
   "0.16409676420030275`", ",", "0.164294012719322`", ",", 
   "0.16449066093862513`", ",", "0.16468688854716787`", ",", 
   "0.16488273310860252`", ",", "0.16507828601900734`", ",", 
   "0.16527329432422114`", ",", "0.16546788035023283`", ",", 
   "0.1656623505129238`", ",", "0.1658561458142068`", ",", 
   "0.16604961411807265`", ",", "0.16624273841797638`", ",", 
   "0.16643555226412754`", ",", "0.16662782721518188`", ",", 
   "0.16681964748725264`", ",", "0.16701145348632127`", ",", 
   "0.16720258806956584`", ",", "0.1673934064961623`", ",", 
   "0.16758392082826123`", ",", "0.16777397501780633`", ",", 
   "0.16796361953114053`", ",", "0.16815286794521955`", ",", 
   "0.1683420983179309`", ",", "0.16853052804562585`", ",", 
   "0.16871869376542853`", ",", "0.16890670116614503`", ",", 
   "0.16909425346234128`", ",", "0.1692812658449136`", ",", 
   "0.16946805633088885`", ",", "0.1696546679310006`", ",", 
   "0.16984060310226384`", ",", "0.1700262101304742`", ",", 
   "0.17021180703034963`", ",", "0.17039681558925365`", ",", 
   "0.17058140859680954`", ",", "0.1707658345032551`", ",", 
   "0.17094989791092646`", ",", "0.17113347414906915`", ",", 
   "0.1713167509508848`", ",", "0.17149982150618862`", ",", 
   "0.1716823854139335`", ",", "0.17186455167507556`", ",", 
   "0.17204670058751434`", ",", "0.17222834088918965`", ",", 
   "0.1724094464850611`", ",", "0.17259048807849317`", ",", 
   "0.1727712456351668`", ",", "0.17295142056870355`", ",", 
   "0.17313137479573068`", ",", "0.17331117408793126`", ",", 
   "0.1734904643920137`", ",", "0.17366935061313524`", ",", 
   "0.17384822995393376`", ",", "0.17402656905736252`", ",", 
   "0.17420444916216862`", ",", "0.17438228617009266`", ",", 
   "0.1745598783942055`", ",", "0.1747367599806101`", ",", 
   "0.17491356602329597`", ",", "0.17509016177573755`", ",", 
   "0.17526631679353996`", ",", "0.17544210959605247`", ",", 
   "0.17561773318717339`", ",", "0.17579303095138332`", ",", 
   "0.17596782773663205`", ",", "0.1761425411775285`", ",", 
   "0.17631698209466762`", ",", "0.17649089501390944`", ",", 
   "0.17666471252234275`", ",", "0.17683819332789738`", ",", 
   "0.1770113459594335`", ",", "0.17718420046775007`", ",", 
   "0.1773567382406557`", ",", "0.17752901776744284`", ",", 
   "0.1777009251063807`", ",", "0.177872730458154`", ",", 
   "0.17804409647909403`", ",", "0.17821508032861233`", ",", 
   "0.17838605589986986`", ",", "0.1785565698889105`", ",", 
   "0.17872674142865394`", ",", "0.17889680022099425`", ",", 
   "0.17906646808101762`", ",", "0.1792358784797441`", ",", 
   "0.17940503508433053`", ",", "0.1795738832631979`", ",", 
   "0.17974240347394355`", ",", "0.17991067209895056`", ",", 
   "0.18007883007238248`", ",", "0.1802464553107043`", ",", 
   "0.18041384979524527`", ",", "0.18058119624702157`", ",", 
   "0.18074808382912955`", ",", "0.18091465670049067`", ",", 
   "0.18108119052790092`", ",", "0.18124726861871063`", ",", 
   "0.18141300135797428`", ",", "0.1815786876684861`", ",", 
   "0.1817441154696358`", ",", "0.18190900099023063`", ",", 
   "0.18207385259307304`", ",", "0.18223850632397415`", ",", 
   "0.18240263585285627`", ",", "0.18256666523781218`", ",", 
   "0.1827304962766409`", ",", "0.18289398196908485`", ",", 
   "0.1830572013175341`", ",", "0.18322025281876847`", ",", 
   "0.18338296634437862`", ",", "0.18354538753985522`", ",", 
   "0.18370769455485803`", ",", "0.18386965514038636`", ",", 
   "0.18403128977867542`", ",", "0.18419289562408386`", ",", 
   "0.18435408237820636`", ",", "0.18451499139055413`", ",", 
   "0.18467585078935303`", ",", "0.1848363340137574`", ",", 
   "0.18499646578305842`", ",", "0.18515656099122493`", ",", 
   "0.1853162814229871`", ",", "0.18547576276411096`", ",", 
   "0.18563510457051952`", ",", "0.1857941245525053`", ",", 
   "0.18595283383854466`", ",", "0.18611143278057107`", ",", 
   "0.18626981791200148`", ",", "0.18642780584609697`", ",", 
   "0.18658567221775052`", ",", "0.18674339214428826`", ",", 
   "0.18690060786721188`", ",", "0.18705775172693215`", ",", 
   "0.18721478063723734`", ",", "0.18737139814718218`", ",", 
   "0.18752782932531797`", ",", "0.18768406959037015`", ",", 
   "0.18784006086463845`", ",", "0.18799578897062402`", ",", 
   "0.18815133829222364`", ",", "0.18830665101470603`", ",", 
   "0.18846168544394945`", ",", "0.18861658226729885`", ",", 
   "0.18877126441952227`", ",", "0.1889256143600203`", ",", 
   "0.18907982337170742`", ",", "0.18923374792787784`", ",", 
   "0.18938742236657025`", ",", "0.18954104962995552`", ",", 
   "0.18969429203454996`", ",", "0.1898473089390351`", ",", 
   "0.19000031666791062`", ",", "0.19015289380035333`", ",", 
   "0.19030529348137548`", ",", "0.19045764310334168`", ",", 
   "0.1906095398952523`", ",", "0.19076123982977994`", ",", 
   "0.190912906635181`", ",", "0.19106428053852284`", ",", 
   "0.1912153390270756`", ",", "0.19136631788897554`", ",", 
   "0.19151707827217748`", ",", "0.1916675033834366`", ",", 
   "0.19181787811687934`", ",", "0.19196799893080943`", ",", 
   "0.19211779856570305`", ",", "0.19226759614376537`", ",", 
   "0.19241703828861303`", ",", "0.19256622018515857`", ",", 
   "0.19271538547854133`", ",", "0.1928642096046979`", ",", 
   "0.1930128088575686`", ",", "0.19316138059553717`", ",", 
   "0.19330960990902052`", ",", "0.19345758189582304`", ",", 
   "0.1936055509012334`", ",", "0.19375313178869127`", ",", 
   "0.19390050533814102`", ",", "0.19404786310271072`", ",", 
   "0.19419488818756292`", ",", "0.19434167341240405`", ",", 
   "0.1944884053821574`", ",", "0.19463488313821434`", ",", 
   "0.1947810870285801`", ",", "0.1949271987494407`", ",", 
   "0.1950731367414406`", ",", "0.19521876615012973`", ",", 
   "0.1953642791362767`", ",", "0.1955095628375434`", ",", 
   "0.19565462448376827`", ",", "0.19579962609245305`", ",", 
   "0.19594436010317975`", ",", "0.19608886057618385`", ",", 
   "0.19623324135733317`", ",", "0.19637734743099117`", ",", 
   "0.1965212931935417`", ",", "0.1966651650326927`", ",", 
   "0.19680867522369097`", ",", "0.19695207261545164`", ",", 
   "0.19709538756968428`", ",", "0.1972383450967358`", ",", 
   "0.19738120033752488`", ",", "0.19752396214915854`", ",", 
   "0.19766638119665747`", ",", "0.1978087003895958`", ",", 
   "0.19795083642098743`", ",", "0.19809278596863747`", ",", 
   "0.19823457510319092`", ",", "0.1983761542175019`", ",", 
   "0.19851748673286357`", ",", "0.1986587516877844`", ",", 
   "0.19879980507637549`", ",", "0.1989405995101178`", ",", 
   "0.19908134605628863`", ",", "0.19922187623848805`", ",", 
   "0.1993621193569388`", ",", "0.19950235316012352`", ",", 
   "0.19964233723587865`", ",", "0.19978206385938377`", ",", 
   "0.19992177830768243`", ",", "0.20006128321356953`", ",", 
   "0.20020050812081944`", ",", "0.20033962732818789`", ",", 
   "0.20047858971925678`", ",", "0.20061731827628645`", ",", 
   "0.20075593081975787`", ",", "0.20089436733062044`", ",", 
   "0.20103260480848867`", ",", "0.20117074212639777`", ",", 
   "0.20130861364858466`", ",", "0.20144636522571097`", ",", 
   "0.2015840400487219`", ",", "0.2017213496108852`", ",", 
   "0.20185862037531338`", ",", "0.2019957480303338`", ",", 
   "0.2021325732628524`", ",", "0.20226936821444333`", ",", 
   "0.20240602278377645`", ",", "0.20254234683633315`", ",", 
   "0.2026786427512263`", ",", "0.20281478489353252`", ",", 
   "0.2029506428768596`", ",", "0.20308645764003092`", ",", 
   "0.20322205137842392`", ",", "0.20335744804032424`", ",", 
   "0.20349280671559272`", ",", "0.20362787982314515`", ",", 
   "0.2037628198313558`", ",", "0.20389774199111693`", ",", 
   "0.20403227792779705`", ",", "0.2041667658718671`", ",", 
   "0.20430116027030001`", ",", "0.20443524340771466`", ",", 
   "0.20456928380082645`", ",", "0.204703210982918`", ",", 
   "0.2048368104220665`", ",", "0.20497040770280284`", ",", 
   "0.20510380282668922`", ",", "0.20523696136074845`", ",", 
   "0.20537011875518393`", ",", "0.2055030126579319`", ",", 
   "0.2056357367397924`", ",", "0.205768454593887`", ",", 
   "0.2059008447062569`", ",", "0.20603313856079328`", ",", 
   "0.2061653793846577`", ",", "0.20629730982179653`", ",", 
   "0.2064291776058486`", ",", "0.20656093597256275`", ",", 
   "0.20669241731620575`", ",", "0.20682386312010284`", ",", 
   "0.2069551444880942`", ",", "0.20708617866573703`", ",", 
   "0.20721720651477812`", ",", "0.20734798488951656`", ",", 
   "0.20747860504187615`", ",", "0.20760921889776834`", ",", 
   "0.20773956420351097`", ",", "0.2078697962377447`", ",", 
   "0.20800000000000077`", ",", "0.2081297984236329`", ",", 
   "0.2082595959311592`", ",", "0.20838939343845608`", ",", 
   "0.20851919094552257`", ",", "0.2086489875364852`", ",", 
   "0.20877838347582192`", ",", "0.20890777850754846`", ",", 
   "0.20903717353904766`", ",", "0.2091665685703185`", ",", 
   "0.20929596269398104`", ",", "0.20942495987008297`", ",", 
   "0.20955395614693967`", ",", "0.20968295242357118`", ",", 
   "0.2098119486999766`", ",", "0.20994094407713876`", ",", 
   "0.2100695461540806`", ",", "0.21019814734001466`", ",", 
   "0.21032674852572555`", ",", "0.21045534971121235`", ",", 
   "0.21058395000569324`", ",", "0.21071216059177827`", ",", 
   "0.2108403702949679`", ",", "0.21096857999793642`", ",", 
   "0.2110967897006829`", ",", "0.21122499852053578`", ",", 
   "0.21135282116947707`", ",", "0.21148064294351296`", ",", 
   "0.21160846471732975`", ",", "0.2117362864909265`", ",", 
   "0.21186410738961972`", ",", "0.21199154560168953`", ",", 
   "0.21211898294672418`", ",", "0.2122464202915417`", ",", 
   "0.2123738576361412`", ",", "0.2125012941137073`", ",", 
   "0.2126283513368554`", ",", "0.2127554077007212`", ",", 
   "0.21288246406437183`", ",", "0.21300952042780638`", ",", 
   "0.21313657593196042`", ",", "0.21326325556290246`", ",", 
   "0.2133899343422003`", ",", "0.21351661312128487`", ",", 
   "0.21364329190015527`", ",", "0.21376996982738325`", ",", 
   "0.21389627521266041`", ",", "0.21402257975381897`", ",", 
   "0.21414888429476614`", ",", "0.21427518883550106`", ",", 
   "0.2144014925321191`", ",", "0.2145274269691297`", ",", 
   "0.214653360569437`", ",", "0.21477929416953484`", ",", 
   "0.2149052277694223`", ",", "0.21503116053260823`", ",", 
   "0.21515672727061189`", ",", "0.21528229317921974`", ",", 
   "0.2154078590876199`", ",", "0.21553342499581146`", ",", 
   "0.215658990074609`", ",", "0.21578419231570503`", ",", 
   "0.21590939373460696`", ",", "0.21603459515330298`", ",", 
   "0.21615979657179224`", ",", "0.21628499716808908`", ",", 
   "0.2164098380681691`", ",", "0.21653467815315314`", ",", 
   "0.216659518237933`", ",", "0.21678435832250792`", ",", 
   "0.21690919759198854`", ",", "0.21703368026166475`", ",", 
   "0.21715816212324154`", ",", "0.21728264398461591`", ",", 
   "0.21740712584578703`", ",", "0.2175316068988604`", ",", 
   "0.2176557344043699`", ",", "0.21777986110867692`", ",", 
   "0.2179039878127833`", ",", "0.21802811451668824`", ",", 
   "0.21815224041939232`", ",", "0.21827601578347824`", ",", 
   "0.21839979035316118`", ",", "0.21852356492264513`", ",", 
   "0.21864733949192927`", ",", "0.2187711132668121`", ",", 
   "0.2188945394695343`", ",", "0.219017964884557`", ",", 
   "0.21914139029943103`", ",", "0.21926481571415563`", ",", 
   "0.21938824034118226`", ",", "0.21951132032094756`", ",", 
   "0.21963439951962377`", ",", "0.21975747871810433`", ",", 
   "0.21988055791638847`", ",", "0.22000363633358508`", ",", 
   "0.22012637298767382`", ",", "0.2202491088671915`", ",", 
   "0.22037184474651522`", ",", "0.22049458062564414`", ",", 
   "0.22061731573020363`", ",", "0.2207397119157584`", ",", 
   "0.22086210733317016`", ",", "0.2209845027503895`", ",", 
   "0.22110689816741563`", ",", "0.22122929281630033`", ",", 
   "0.2213513513510539`", ",", "0.22147340912400404`", ",", 
   "0.22159546689676335`", ",", "0.22171752466933106`", ",", 
   "0.22183958168009688`", ",", "0.22196130534312902`", ",", 
   "0.22208302825061055`", ",", "0.2222047511579028`", ",", 
   "0.22232647406500505`", ",", "0.22244819621655817`", ",", 
   "0.22256958774903388`", ",", "0.2226909785321267`", ",", 
   "0.22281236931503182`", ",", "0.2229337600977485`", ",", 
   "0.22305515013108382`", ",", "0.22317621223697362`", ",", 
   "0.2232972735995649`", ",", "0.22341833496196994`", ",", 
   "0.22353939632418807`", ",", "0.2236604569431091`", ",", 
   "0.2237811922898917`", ",", "0.22390192689937827`", ",", 
   "0.22402266150868008`", ",", "0.2241433961177965`", ",", 
   "0.22426412998961817`", ",", "0.22438454120896645`", ",", 
   "0.2245049516969407`", ",", "0.22462536218473173`", ",", 
   "0.2247457726723388`", ",", "0.22486618242857315`", ",", 
   "0.22498627211702327`", ",", "0.22510636107994247`", ",", 
   "0.22522645004267988`", ",", "0.22534653900523482`", ",", 
   "0.2254666272422603`", ",", "0.22558639796186483`", ",", 
   "0.22570616796170428`", ",", "0.22582593796136344`", ",", 
   "0.2259457079608416`", ",", "0.22606547724055606`", ",", 
   "0.2261849315195221`", ",", "0.226304385084413`", ",", 
   "0.22642383864912496`", ",", "0.22654329221365735`", ",", 
   "0.22666274506411588`", ",", "0.22678188539742755`", ",", 
   "0.22690102502227927`", ",", "0.22702016464695354`", ",", 
   "0.2271393042714497`", ",", "0.22725844318748725`", ",", 
   "0.22737727203751373`", ",", "0.22749610018462232`", ",", 
   "0.22761492833155483`", ",", "0.22773375647831068`", ",", 
   "0.2278525839221498`", ",", "0.22797110371923907`", ",", 
   "0.22808962281888068`", ",", "0.22820814191834754`", ",", 
   "0.2283266610176391`", ",", "0.22844517941948425`", ",", 
   "0.2285633925625431`", ",", "0.22868160501355383`", ",", 
   "0.22879981746439124`", ",", "0.22891802991505467`", ",", 
   "0.22903624167367126`", ",", "0.2291541505307318`", ",", 
   "0.22927205870107453`", ",", "0.22938996687124524`", ",", 
   "0.22950787504124334`", ",", "0.2296257825245248`", ",", 
   "0.22974338943329792`", ",", "0.22986099566061538`", ",", 
   "0.22997860188776217`", ",", "0.23009620811473766`", ",", 
   "0.23021381366025878`", ",", "0.23033112092867492`", ",", 
   "0.23044842752083078`", ",", "0.23056573411281725`", ",", 
   "0.23068304070463366`", ",", "0.23080034662019114`", ",", 
   "0.2309173565269287`", ",", "0.23103436576253575`", ",", 
   "0.2311513749979746`", ",", "0.2312683842332447`", ",", 
   "0.23138539279738546`", ",", "0.2315021075923874`", ",", 
   "0.23161882172132386`", ",", "0.2317355358500935`", ",", 
   "0.23185224997869566`", ",", "0.23196896344123358`", ",", 
   "0.23208538534621195`", ",", "0.23220180659012662`", ",", 
   "0.23231822783387568`", ",", "0.2324346490774586`", ",", 
   "0.23255106965997813`", ",", "0.23266731614044975`"}], "}"}]], "Output",
 CellChangeTimes->{3.809652226904217*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"1410d842-373e-4573-84f5-1bd43190f429"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Psplus", ",", 
     RowBox[{"Pmplustrue", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", 
        RowBox[{"Length", "[", "Psplus", "]"}]}], "]"}], "]"}]}], "}"}], ",", 
   
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<outside option\>\"", ",", "\"\<market payoff\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.805840320624021*^9, 3.8058403562590446`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"55bbc03d-4698-4fdf-b882-5f8d491bcf28"],

Cell[BoxData[
 TemplateBox[{
  "Part","take",
   "\"Cannot take positions \\!\\(\\*RowBox[{\\\"1\\\"}]\\) through \
\\!\\(\\*RowBox[{\\\"1052\\\"}]\\) in \
\\!\\(\\*RowBox[{\\\"Pmplustrue\\\"}]\\).\"",2,34,1,18113407834232141816,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.809628390136942*^9},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"26915acf-2d89-4e14-bd42-b7f11a624f2e"],

Cell[BoxData[
 TemplateBox[{
  "ListPlot","lpn",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\
\\\"{\\\", RowBox[{\\\"1.`\\\", \\\",\\\", \\\"0.0019924442136274095`\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2.`\\\", \\\",\\\", \\\
\"0.012554351359485261`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"3.`\\\", \\\",\\\", \\\"0.01783548605590092`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"4.`\\\", \\\",\\\", \
\\\"0.021800298849271902`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"5.`\\\", \\\",\\\", \\\"0.02517989143953251`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"6.`\\\", \\\",\\\", \
\\\"0.02834216909970089`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"7.`\\\", \\\",\\\", \\\"0.03099072392494489`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"8.`\\\", \\\",\\\", \
\\\"0.03329387595323651`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"9.`\\\", \\\",\\\", \\\"0.03531504212734086`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"10.`\\\", \\\",\\\", \
\\\"0.037189730518261264`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"32\\\", \\\"\[RightSkeleton]\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"43.`\\\", \\\",\\\", \
\\\"0.07166098362743879`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"44.`\\\", \\\",\\\", \\\"0.07237251921902994`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"45.`\\\", \\\",\\\", \
\\\"0.07307497383706515`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"46.`\\\", \\\",\\\", \\\"0.07376610542292672`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"47.`\\\", \\\",\\\", \
\\\"0.07444737356733808`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"48.`\\\", \\\",\\\", \\\"0.07512227244788744`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"49.`\\\", \\\",\\\", \
\\\"0.07579351770239989`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"50.`\\\", \\\",\\\", \\\"0.07645664776354867`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"1002\\\", \
\\\"\[RightSkeleton]\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
\\\"}\\\"}]}], \\\"}\\\"}]\\) is not a list of numbers or pairs of \
numbers.\"",2,34,2,18113407834232141816,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.809628390979374*^9},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"aa4f8848-abea-4111-8d03-949e243a9807"],

Cell[BoxData[
 TemplateBox[{
  "ListPlot","lpn",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\
\\\"{\\\", RowBox[{\\\"1.`\\\", \\\",\\\", \\\"0.0019924442136274095`\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2.`\\\", \\\",\\\", \\\
\"0.012554351359485261`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"3.`\\\", \\\",\\\", \\\"0.01783548605590092`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"4.`\\\", \\\",\\\", \
\\\"0.021800298849271902`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"5.`\\\", \\\",\\\", \\\"0.02517989143953251`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"6.`\\\", \\\",\\\", \
\\\"0.02834216909970089`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"7.`\\\", \\\",\\\", \\\"0.03099072392494489`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"8.`\\\", \\\",\\\", \
\\\"0.03329387595323651`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"9.`\\\", \\\",\\\", \\\"0.03531504212734086`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"10.`\\\", \\\",\\\", \
\\\"0.037189730518261264`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"32\\\", \\\"\[RightSkeleton]\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"43.`\\\", \\\",\\\", \
\\\"0.07166098362743879`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"44.`\\\", \\\",\\\", \\\"0.07237251921902994`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"45.`\\\", \\\",\\\", \
\\\"0.07307497383706515`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"46.`\\\", \\\",\\\", \\\"0.07376610542292672`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"47.`\\\", \\\",\\\", \
\\\"0.07444737356733808`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"48.`\\\", \\\",\\\", \\\"0.07512227244788744`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"49.`\\\", \\\",\\\", \
\\\"0.07579351770239989`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"50.`\\\", \\\",\\\", \\\"0.07645664776354867`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"1002\\\", \
\\\"\[RightSkeleton]\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
\\\"}\\\"}]}], \\\"}\\\"}]\\) is not a list of numbers or pairs of \
numbers.\"",2,34,3,18113407834232141816,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.809628391537861*^9},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"919520dc-dc56-41e4-ac3a-1b90d6657645"],

Cell[BoxData[
 TemplateBox[{
  "ListPlot","lpn",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\
\\\"{\\\", RowBox[{\\\"1.`\\\", \\\",\\\", \\\"0.0019924442136274095`\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2.`\\\", \\\",\\\", \\\
\"0.012554351359485261`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"3.`\\\", \\\",\\\", \\\"0.01783548605590092`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"4.`\\\", \\\",\\\", \
\\\"0.021800298849271902`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"5.`\\\", \\\",\\\", \\\"0.02517989143953251`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"6.`\\\", \\\",\\\", \
\\\"0.02834216909970089`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"7.`\\\", \\\",\\\", \\\"0.03099072392494489`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"8.`\\\", \\\",\\\", \
\\\"0.03329387595323651`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"9.`\\\", \\\",\\\", \\\"0.03531504212734086`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"10.`\\\", \\\",\\\", \
\\\"0.037189730518261264`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"32\\\", \\\"\[RightSkeleton]\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"43.`\\\", \\\",\\\", \
\\\"0.07166098362743879`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"44.`\\\", \\\",\\\", \\\"0.07237251921902994`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"45.`\\\", \\\",\\\", \
\\\"0.07307497383706515`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"46.`\\\", \\\",\\\", \\\"0.07376610542292672`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"47.`\\\", \\\",\\\", \
\\\"0.07444737356733808`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"48.`\\\", \\\",\\\", \\\"0.07512227244788744`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"49.`\\\", \\\",\\\", \
\\\"0.07579351770239989`\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"50.`\\\", \\\",\\\", \\\"0.07645664776354867`\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"\[LeftSkeleton]\\\", \\\"1002\\\", \
\\\"\[RightSkeleton]\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
\\\"}\\\"}]}], \\\"}\\\"}]\\) is not a list of numbers or pairs of \
numbers.\"",2,34,4,18113407834232141816,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.809628391980608*^9},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"49115fa9-9bdc-4049-bdf0-14f2b53126aa"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"ListPlot\\\", \
\\\"::\\\", \\\"lpn\\\"}], \\\"MessageName\\\"]\\) will be suppressed during \
this calculation.\"",2,34,5,18113407834232141816,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.80962839203776*^9},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"f799f7a8-3b27-4aa1-b5a8-daf0e614e5b6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"wealth", "[", 
   RowBox[{"[", "800", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.809610479241859*^9, 3.809610487350852*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"833d3ca0-d064-4029-b6ea-286962c51d7d"],

Cell[BoxData["0.799`"], "Output",
 CellChangeTimes->{{3.809610485238162*^9, 3.80961048762484*^9}, 
   3.809614352116539*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"bd5bb981-2812-4ea7-b400-994c22122cc7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "comutil", "]"}]], "Input",
 CellChangeTimes->{{3.8096105097334757`*^9, 3.809610514187299*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"9025f046-a818-417a-91e5-ce54e2e15812"],

Cell[BoxData["0.01`"], "Output",
 CellChangeTimes->{{3.809610512227708*^9, 3.809610514458074*^9}, 
   3.809614352903925*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"d71ca93f-9eaa-48c2-afd2-c7de3f9fc461"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"V", "[", 
     RowBox[{"wealth", "[", 
      RowBox[{"[", "600", "]"}], "]"}], "]"}], ",", 
    RowBox[{"Vm", "[", 
     RowBox[{"wealth", "[", 
      RowBox[{"[", "600", "]"}], "]"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.809610462370892*^9, 3.809610504260797*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"a4d3fe9f-a0e6-4824-9986-4467a57b6d4f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.386975451417787`", ",", "0.4024544694744984`"}], "}"}]], "Output",\

 CellChangeTimes->{{3.809610465087392*^9, 3.80961050473347*^9}, 
   3.8096143538556232`*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"19531344-ab6d-4fcd-8746-f15032ded5da"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "Psplus", "]"}]], "Input",
 CellChangeTimes->{{3.8096083005883636`*^9, 3.809608308482185*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"d41f34a7-0199-48d0-aab5-7ba7111250ea"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw10Xdczf3/BvCDsstOyqiQMlJoSHQZUYq7EqWik4amTnvX2edkZkckEZFR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      "]]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334],
       AbsoluteThickness[1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 802.}, {0, 0.23266731614044975`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.809608308972063*^9, 3.809608322191629*^9}, 
   3.809608365321042*^9, 3.8096143554080467`*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"247e0f93-3027-41ab-b565-7f0cf7cb47a3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Psplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "10"}], "]"}], "]"}], ",", 
     RowBox[{"Pmplustrue", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "10"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<outside option\>\"", ",", "\"\<market payoff\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8059013703976793`*^9, 3.805901378113881*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"67c4fb02-6b6c-4e7a-8c4b-59e796ebe10a"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]], 
        PointBox[{{1., 0.009975821483607709}, {2., 0.020481508894274573`}, {
         3., 0.025730114232520696`}, {4., 0.029670240845517525`}, {5., 
         0.03301891954790502}, {6., 0.036181197208073404`}, {7., 
         0.03879079843921161}, {8., 0.041059839035541223`}, {9., 
         0.04305163172082599}, {10., 0.044898222491914885`}}]}, {
        Directive[
         PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]], 
        PointBox[{{1., 0.}, {2., 0.010899003656053369`}, {3., 
         0.016361409162405628`}, {4., 0.020460150511605532`}, {5., 
         0.023943473773551587`}, {6., 0.027232242540126704`}, {7., 
         0.029946694161988578`}, {8., 0.03230673803788474}, {9., 
         0.03437831970156267}, {10., 0.03629886912711237}}]}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]]}, {
        Directive[
         PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]]}, {
        Directive[
         PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0., 10.}, {0, 0.044898222491914885`}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"outside option\"", "\"market payoff\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.012833333333333334`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.012833333333333334`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.805901378536441*^9, 3.809607369733609*^9, 
  3.8096143595661488`*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"f791cfda-047b-468c-9ccf-3456634a6218"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pmplus", "=", "Psplus"}], ";"}]], "Input",
 CellLabel->"In[40]:=",ExpressionUUID->"74d412a5-7c7b-449c-be4e-994c6d5bcc42"],

Cell[BoxData[
 RowBox[{"++", 
  RowBox[{"++", 
   RowBox[{"++", 
    RowBox[{"++", 
     RowBox[{"++", 
      RowBox[{"++", 
       RowBox[{"++", 
        RowBox[{"++", 
         RowBox[{"++", 
          RowBox[{"++", 
           RowBox[{"++", 
            RowBox[{"++", 
             RowBox[{"++", 
              RowBox[{"++", 
               RowBox[{"++", 
                RowBox[{"++", 
                 RowBox[{"+", 
                  RowBox[{"++", 
                   RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"+", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"+", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{"++", 
                    RowBox[{
                    "++", "+"}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}\
]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.809603064510311*^9, 
  3.809603068854761*^9}},ExpressionUUID->"43f2a3a0-599a-42ed-a627-\
20538acb3a49"],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{"step", " ", 
    RowBox[{"four", ":", " ", 
     RowBox[{"code", " ", "for", " ", "the", " ", "community"}], ":"}]}]}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.790694773130797*^9, 
  3.790694778504373*^9}},ExpressionUUID->"28218224-af5c-431f-b844-\
a8369a41517a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wupper0", "=", "what"}], ";", 
  RowBox[{"wupper", "=", 
   RowBox[{"R", "[", "what", "]"}]}], ";", 
  RowBox[{"grid", "=", 
   RowBox[{"1", "/", "1000"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wealth", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"w", ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", 
       RowBox[{"wupper", "+", "grid"}], ",", "grid"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stationc", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"ParallelTable", "[", 
     RowBox[{
      RowBox[{"c", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"R", "[", 
           RowBox[{
            RowBox[{"wealth", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "-", "c"}], "]"}], "\[Equal]", 
          RowBox[{"wealth", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", "c"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "wealth", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pmplus", "=", 
   RowBox[{"Pmplus", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", 
      RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7907004392466993`*^9, 3.79070044312195*^9}, {
   3.7907005592025213`*^9, 3.790700560785099*^9}, {3.7914652726129713`*^9, 
   3.791465299786562*^9}, 3.8094346336465797`*^9, {3.809436170557549*^9, 
   3.8094361739722157`*^9}, {3.809532050016409*^9, 3.809532050108075*^9}, 
   3.8096030967447557`*^9, {3.809603627527214*^9, 3.80960362800659*^9}, {
   3.8096059598110523`*^9, 3.8096059608313103`*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"33b09c93-140b-49da-a968-77434677ab6f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ps0", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"V", "[", "cbar", "]"}], "-", "cbar", "+", "comutil"}], ",", 
        
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ps", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"V", "[", "cbar", "]"}], "-", "cbar", "+", "comutil"}], ",", 
        
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.790691292760449*^9, {3.790694897979122*^9, 3.790694898146762*^9}, {
   3.8094346355012903`*^9, 3.809434636804727*^9}, {3.809603635568959*^9, 
   3.809603640876725*^9}, {3.809652248582201*^9, 3.8096522514192753`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"65c5bd74-8566-40c0-903e-ead4d6ee093b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"Psplus", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ParallelTable", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{"Max", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"V", "[", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", 
                  "b", "+", "comutil"}], "/.", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
                   RowBox[{"b", "\[Rule]", " ", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"cbar", "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], "]"}]}], 
                   ",", 
                   RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                  "}"}], ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                   RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
               "}"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], "]"}],
          ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", 
           RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Pmplus", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", 
            RowBox[{"Table", "[", 
             RowBox[{"j", ",", 
              RowBox[{"{", 
               RowBox[{"j", ",", "1", ",", 
                RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], "]"}], 
           "+", "1"}], ";;", 
          RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
     "]"}]}], ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.7902923591052637`*^9, 3.7902923760533943`*^9}, {
   3.790292840949624*^9, 3.790292847709807*^9}, {3.7902938388183107`*^9, 
   3.790293841138197*^9}, {3.7902943736355133`*^9, 3.79029438197653*^9}, {
   3.790300297777218*^9, 3.790300299268703*^9}, 3.7903013714964027`*^9, {
   3.7903022372730017`*^9, 3.7903023163429213`*^9}, {3.790350398077986*^9, 
   3.790350401652185*^9}, 3.790384392050507*^9, 3.790427810035101*^9, {
   3.790428084195004*^9, 3.79042808764847*^9}, {3.790691021798647*^9, 
   3.790691025786817*^9}, {3.790691057283338*^9, 3.7906910602625227`*^9}, {
   3.790694894517632*^9, 3.790694895390374*^9}, 3.7906949527365637`*^9, 
   3.809434652005361*^9, {3.809434840018733*^9, 3.809434844133706*^9}, 
   3.809435720033692*^9, {3.809435964924739*^9, 3.8094359673579617`*^9}, 
   3.809603655854671*^9},
 CellLabel->"In[47]:=",ExpressionUUID->"f14cb26c-b0a4-4ec4-8fcb-3d797a85367f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.402836`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.790694965450655*^9, 3.79069929874218*^9, 
  3.7907007430573378`*^9, 3.790705467273114*^9, 3.793556771282173*^9, 
  3.809371361612958*^9, 3.809445239792657*^9, 3.809536511820725*^9, 
  3.809561860575755*^9, 3.809606007169585*^9, 3.8096060639724483`*^9, 
  3.809606775812891*^9, 3.8096144079903383`*^9, 3.809652262494348*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"44c9a3b5-45ff-4867-8d72-09619f6d4253"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"n", "=", "1"}], ";", "\[IndentingNewLine]", 
   RowBox[{"While", "[", 
    RowBox[{
     RowBox[{"n", "<", "25"}], ",", 
     RowBox[{
      RowBox[{"Ps", "=", 
       RowBox[{"ParallelTable", "[", 
        RowBox[{
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{"Psplus", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"Pmplus", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", 
           RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Psplus", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ParallelTable", "[", 
           RowBox[{
            RowBox[{"Max", "[", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"V", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", 
                    "b", "+", "comutil"}], "/.", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
                    RowBox[{"b", "\[Rule]", " ", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"cbar", "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                    "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "}"}], ".", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
                 "}"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "1", ",", 
              RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Pmplus", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{
              RowBox[{"Length", "[", 
               RowBox[{"Table", "[", 
                RowBox[{"j", ",", 
                 RowBox[{"{", 
                  RowBox[{"j", ",", "1", ",", 
                   RowBox[{"wupper0", "/", "grid"}]}], "}"}]}], "]"}], "]"}], 
              "+", "1"}], ";;", 
             RowBox[{"Length", "[", "wealth", "]"}]}], "]"}], "]"}]}], "}"}], 
        "]"}]}], ";", 
      RowBox[{"n", "++"}]}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.790291698683403*^9, 3.790291732605658*^9}, {
   3.790291807061018*^9, 3.790291808039125*^9}, {3.790294628503587*^9, 
   3.790294632959364*^9}, {3.790294807040344*^9, 3.790294807297001*^9}, {
   3.790294873467369*^9, 3.790294874222109*^9}, {3.790300207105283*^9, 
   3.790300213139163*^9}, {3.7903003091910458`*^9, 3.790300311718348*^9}, {
   3.790300581481765*^9, 3.790300593236622*^9}, {3.790300747682727*^9, 
   3.790300747843422*^9}, {3.790301383123796*^9, 3.790301387796661*^9}, 
   3.790427814351844*^9, {3.790427987607747*^9, 3.790428014606225*^9}, {
   3.790428132237278*^9, 3.790428145324356*^9}, 3.790429234869788*^9, {
   3.790691305206751*^9, 3.790691305619194*^9}, {3.790694982085087*^9, 
   3.790695027508307*^9}, {3.8094346653039303`*^9, 3.809434666982478*^9}, {
   3.809434856596868*^9, 3.809434860737919*^9}, 3.809435720042108*^9, {
   3.8094359735184927`*^9, 3.809435975459149*^9}, 3.809603665237626*^9, {
   3.809606061622058*^9, 3.809606061973207*^9}, {3.809606281616644*^9, 
   3.8096062824959383`*^9}, {3.80960693850891*^9, 3.809606938950172*^9}, 
   3.809614410040147*^9, 3.80965226233418*^9, 3.809652402575532*^9},
 CellLabel->"In[54]:=",ExpressionUUID->"f867681c-b13f-480b-90e4-aa3308443177"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"22.862898`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.790695192021036*^9, 3.790699522349567*^9, 
  3.790700907021687*^9, 3.790705631680621*^9, 3.793557444711092*^9, 
  3.809371415307639*^9, 3.8094454267174063`*^9, 3.809536944389326*^9, 
  3.8095622518378363`*^9, 3.8096061826102333`*^9, 3.809606375073251*^9, 
  3.80960689153757*^9, 3.8096069660635223`*^9, 3.809607004101091*^9, 
  3.809614509845985*^9, 3.809614647820897*^9, 3.8096149637393703`*^9, 
  3.809652284002592*^9, 3.80965239565839*^9, 3.809652636512261*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"45114305-6432-482e-91a1-3d43f7755b7e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Psplus", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"Psplus", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"Pmplus", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.790697975970335*^9, 3.790697982451309*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"661ca62c-fca0-40bf-b0f6-8fd07a9140a6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{"Psplus", "-", "Ps"}], "]"}], ",", 
   RowBox[{"Min", "[", 
    RowBox[{"Psplus", "-", "Ps"}], "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.809606099167699*^9, 3.8096061057670803`*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"d8112ef4-b946-4baa-9223-6d3e01e486f0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3.1750708096300873`*^-6", ",", "0.`"}], "}"}]], "Output",
 CellChangeTimes->{3.8096061837595863`*^9, 3.809606375206345*^9, 
  3.809606891669766*^9, 3.809606966224036*^9, 3.809607004263695*^9, 
  3.809614510003886*^9, 3.809614647997922*^9, 3.8096149638336163`*^9, 
  3.809652284267201*^9, 3.809652395907898*^9, 3.8096526389640837`*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"685feda8-3c94-4f66-b3ff-a4247e7798dc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "we", " ", "want", " ", "to", " ", "define", " ", "a", " ", "point", " ", 
   "call", " ", 
   RowBox[{"selection", ":", " ", 
    RowBox[{"this", " ", "is", " ", "our", " ", "wstar"}]}]}]}]], "Input",Expr\
essionUUID->"851fac8c-b614-4114-b149-8bc8dd5f0292"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Pmplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "80"}], "]"}], "]"}], ",", 
     RowBox[{"Psplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "80"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.79070570873641*^9, 3.790705768263157*^9}, {
  3.809371442949802*^9, 3.8093714471892776`*^9}, {3.809532063455776*^9, 
  3.809532067686206*^9}, {3.809615933891721*^9, 3.809615953126746*^9}, {
  3.809652683473255*^9, 3.809652703017939*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"35aef88b-2d3c-48fc-a484-deb91447faf2"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.009166666666666668], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw1ywlME2YYxvGKDjXskGmrVOekqHQWKyJqN5E+2kIpLfYCjSLGA0VRwmYW
EHakY0OCBzGEWK8QjyoWNxSRQy3YAGUhI4hHHdkUBVHw2KIiCgnUsfi+X/Ll
y+/75wncmG7e7CMQCIwj9//3/Xmh/Ofzvlv3o3Yq6QPDFa9/TKzaTx4HmdZR
t21pEXkC2tqL1CExh8iT4NUGLthQc5Q8BSJnySdr+ovJ0/BhbUef4uZx8gz0
y92zxg6fIEuA1cI3/qNPkWdCva4gfsMb9mwIw2ZNfeuxk6XIHap2jCo5TZ6D
04XDIbb0M+QQTLHGjV44t4Qsx8nH/fv0XexQrK8aLx7af5Y8H2suXO9wKhzk
MMh9TYHZf7EXoKX37xZ3Zik5HOPu5DyA/znyQoh2G+SX7OxF6H7WWJcy/1fy
YoTPlWkDrrAV2GP494gz8jfyl5ha43sjq579FRpzbUdy1WXkJWjoCV3sU8+O
QIHqZe/DiPPkpSi7Z3uaVcGOhJ/wU0vrxAtkJZQZ3vpHejaQWHbSc+oXshW4
Ipefkzm5L4PqWqPI9Ir7MgRkxmZLgsupL0db53c70hLJ1uVo2X7N21zAXQX1
Wm9kg4u7CqUVPXfbX3JX43mqXeWWXKQ+4rCge/1msiAKmSXTo9NzuEdB2rSx
KaCcezRWz7Gdd3dwj0ao0NF3zK+CugZRW75d+ZGCbNWgTzJRFZPMPQY5033F
4gPcY7CtNS1v8lXuWvi0bHob/oi7FsN5wq7Bjy9Rj4V43bN4tYJsjYVm0w3P
i/XcdWjtuvNwcz53HbbUDvjpyrnrIXo6oKlt565H8R+uIcc77nFoet2bKppd
ST0OGtlZ2aCOLFiB3p+yu29/w30F8ooON5pt3A24KNnzYKuTuwE/p5TtEndy
NyIpudIy7YOq94YRdzMuN7RKyVYj7Krf05L0ZJcRX7uiF3nSyQITzLLLCdWF
vDehzVPrDq7kvQmTgvZmJPzJexOkW9/Zgwd5b0ZwwgFps7ia9maUHlyySxpB
tpqRYu/MkiaRXWbolEHNT34gCyxIHVP5OLmY9xYkreo5s6+O9xaMTxxIze/g
/Uj/vrvT4OV9PL6YF+i+/1mN8j/48XgY
       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.009166666666666668], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw1yw1MzHEcx/GbIk3moUNS0YPuVDqKQpf7XM91PVz/u7TRaSzVzsOVra5M
HKUHEt2ibA1rLcqy9ESc63q0HmZR1hBpi0sb02RCHrL+39/222+v33sf+4Mq
5tACDocjnbv/3/nzRXTTWvDGadE9EfsBRcHt1sAk8mJMpeW8disjLwe3YWqZ
UUfmYl9h+fNnI2QrTG5rG3g/Q7ZBXCZv3eDKetYb0O9nMapyITugtVM9fE5M
dsL6Xjc39R6yM7RpEfL9SjIft64Myh5lkV3gK9M1mxST3aArKsrtrCC7I1Eh
H9A3kLdAbdKxWdhJ3ope/fbzOUNkD3w9KJRox8meeLM3wK5/mrwN/RfuOLaY
NLDeDu+8T0cOrCR7Qb7pWEn8BrI3bFdJs33dyTuQohNyZ33IO5EujrcqDyXv
QnvNt1i7WLIPOtYPa7MTyEJYtovuyY6TfcFM6j29NeTduNGRdpopIotgtqI/
MbmcDCjaRlIVNaw1QHdt3lmPB9TFkB/Wp0x0URcjzdJuiWaQuh+OhWWt+fmO
uh8Ky1Sy2M/U/TFkYRDYz1L3R19+oHHKvJHtAWhUfxH+WsNaE4D3D3N6v2+k
HohX51QuQ57UA2E8NepVLKYehD8HCg2CKOpBqK4MvlQXRz0YZguPXN2ppB4M
bnj1RG4G9RAUdeUXP8qlHgKTVIu8pyXUQ1G7t77RUEE9FKpXx39p66iHwcE+
0SNITz0MVZNxvNd91CWYFeSi9CV1CW7Fm6pbjdTDsXzp7pjf36iH46KZqWit
aRPbI9A9PaFc7cxaE4Fg19uuPyTUIzFx5sT4UCr1SOSVXOtkSqlHod7h/Ltk
HfUoZCfdzbAeoy6FIqFJZrOwed6QYiS9peMpn7VGikr/J0cV4awNUqQYgrxe
qFhzosG4tsTc19I+GgMvHnfxmmgfDa7jhfSYYdpHg5/8t5L3g/YMeDGX+T3W
99k9g5qrPhl8IWsNg6TKsUy+grWBgUTk2PMxizVHBqVp04eE67SXQRFrrCrU
014G830zyoK3tJ/rJ8fHov7QXo5NAvuuUdsHon8OGXN0
       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.009166666666666668], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.009166666666666668], AbsoluteThickness[
      1.6]}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.009166666666666668], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.009166666666666668], AbsoluteThickness[
      1.6]}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 80.}, {0, 0.09420584261641508}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.790705720466425*^9, 3.7907057314367447`*^9}, 
   3.790705768687446*^9, 3.7935574464163713`*^9, 3.809371415594249*^9, 
   3.809371447571642*^9, 3.8094464960877447`*^9, 3.809536944581828*^9, 
   3.8095622538815804`*^9, 3.8096064533248377`*^9, 3.809607044473127*^9, 
   3.809614964001288*^9, {3.809615937564117*^9, 3.8096159535013037`*^9}, {
   3.809652687339616*^9, 3.8096527033917627`*^9}},
 CellLabel->"Out[58]=",ExpressionUUID->"0714e811-39ca-456a-8d57-42c420deeba3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{"Position", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Psplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ">", 
         RowBox[{"Pmplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}], ",", 
      "True"}], "]"}], "]"}], ",", 
   RowBox[{"Length", "[", 
    RowBox[{"Position", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Psplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ">", 
         RowBox[{"Pmplus", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}], ",", 
      "True"}], "]"}], "]"}]}], "}"}], "\[IndentingNewLine]", 
 RowBox[{"wsel", "=", 
  RowBox[{"Max", "[", 
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Psplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ">", 
        RowBox[{"Pmplus", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "Pmplus", "]"}]}], "}"}]}], "]"}], ",", 
     "True"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{
     RowBox[{"Ps", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}], "-", 
     RowBox[{"Psplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"Min", "[", 
    RowBox[{
     RowBox[{"Ps", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}], "-", 
     RowBox[{"Psplus", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}]}], "]"}]}], "}"}]}], "Input",\

 CellChangeTimes->{{3.790695626152471*^9, 3.790695685348521*^9}, {
  3.7906957449373493`*^9, 3.7906957451007433`*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"8614033b-6335-4a6e-a285-0848a3025e51"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"57", ",", "57"}], "}"}]], "Output",
 CellChangeTimes->{3.79069574575457*^9, 3.790697987114794*^9, 
  3.7906980209935703`*^9, 3.7906995229748507`*^9, 3.790700907390746*^9, 
  3.790705679568021*^9, 3.793557447865514*^9, 3.80937141571624*^9, 
  3.809446501570673*^9, 3.809536944673502*^9, 3.809562254786974*^9, 
  3.809606464273055*^9, 3.809607047469558*^9, 3.809614964094408*^9, 
  3.809652727676072*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"c320160f-5d56-48a0-84fe-6818b1b498a6"],

Cell[BoxData["57"], "Output",
 CellChangeTimes->{3.79069574575457*^9, 3.790697987114794*^9, 
  3.7906980209935703`*^9, 3.7906995229748507`*^9, 3.790700907390746*^9, 
  3.790705679568021*^9, 3.793557447865514*^9, 3.80937141571624*^9, 
  3.809446501570673*^9, 3.809536944673502*^9, 3.809562254786974*^9, 
  3.809606464273055*^9, 3.809607047469558*^9, 3.809614964094408*^9, 
  3.8096527276812277`*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"31251953-ef73-49c5-b2ee-0147b70b41bc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.`", ",", 
   RowBox[{"-", "3.1750708096300873`*^-6"}]}], "}"}]], "Output",
 CellChangeTimes->{3.79069574575457*^9, 3.790697987114794*^9, 
  3.7906980209935703`*^9, 3.7906995229748507`*^9, 3.790700907390746*^9, 
  3.790705679568021*^9, 3.793557447865514*^9, 3.80937141571624*^9, 
  3.809446501570673*^9, 3.809536944673502*^9, 3.809562254786974*^9, 
  3.809606464273055*^9, 3.809607047469558*^9, 3.809614964094408*^9, 
  3.809652727685063*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"3b3e2743-dcc3-4ca8-a4e4-7a86332f8cce"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"wsel", "=", "57"}], ";"}]], "Input",
 CellChangeTimes->{{3.809616181803062*^9, 3.809616185736642*^9}, {
  3.8096527398780947`*^9, 3.809652740526577*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"48ecaacf-605d-4052-a87e-b3994562af73"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Psplus", ",", "Pmplus"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7906954529920263`*^9, 3.7906954713772573`*^9}, {
   3.7906980275339937`*^9, 3.790698030555904*^9}, 3.809371403572493*^9},
 CellLabel->"In[64]:=",ExpressionUUID->"5c3ed7d2-06aa-4f77-832c-e194c3fcb2b4"],

Cell[BoxData[
 GraphicsBox[{{}, {{
     {RGBColor[1, 0, 0], PointSize[0.0055000000000000005`], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw11Xk41Wkfx/FjrVBpZYSIoihFSMiHUJaiY1+OfT3Hck6KVFNnVJRiYsiM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       "]]}, 
     {RGBColor[0, 0, 1], PointSize[0.0055000000000000005`], AbsoluteThickness[
      1.6], PointBox[CompressedData["
1:eJw1z3tYzHkfxvGpFCqE7SCkFKIkHQilW03pRDWdz9O5ZjrMyBPFw2xWEbXY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       "]]}}, {
     {RGBColor[1, 0, 0], PointSize[0.0055000000000000005`], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.0055000000000000005`], AbsoluteThickness[
      1.6]}, {}, {}, {}}, {
     {RGBColor[1, 0, 0], PointSize[0.0055000000000000005`], AbsoluteThickness[
      1.6]}, 
     {RGBColor[0, 0, 1], PointSize[0.0055000000000000005`], AbsoluteThickness[
      1.6]}, {}, {}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 289.}, {0, 0.15713862418314412`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.790695456680875*^9, 3.790695471884989*^9}, 
   3.790695759364958*^9, {3.790697988452263*^9, 3.790698030948621*^9}, 
   3.790699523165707*^9, 3.790700907599592*^9, 3.7907058270571957`*^9, 
   3.793557448858302*^9, 3.8093714158747883`*^9, 3.809446504284341*^9, 
   3.809536944836142*^9, 3.809562256031726*^9, 3.8096064690844603`*^9, 
   3.809607049242568*^9, 3.8096149643619337`*^9, 3.809652746968041*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"d1863cb7-e333-4e7d-abc4-13357388beda"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Pmplus"], "Input",
 CellChangeTimes->{{3.7907007688781357`*^9, 3.790700771118456*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"58102155-5b6b-4e90-979b-62f7023a05d7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.009975821483607709`", ",", "0.020481508894274573`", ",", 
   "0.025730114232520696`", ",", "0.029670240845517525`", ",", 
   "0.03301891954790502`", ",", "0.036181197208073404`", ",", 
   "0.03879079843921161`", ",", "0.041059839035541223`", ",", 
   "0.04305163172082599`", ",", "0.044898222491914885`", ",", 
   "0.046596795625391284`", ",", "0.04818763507314581`", ",", 
   "0.049707636601664607`", ",", "0.051149928870435867`", ",", 
   "0.05252206113340846`", ",", "0.05383191942823966`", ",", 
   "0.055124668947817215`", ",", "0.05635218260748269`", ",", 
   "0.057550198895330223`", ",", "0.05871330895477432`", ",", 
   "0.059829321614013484`", ",", "0.060894737783609085`", ",", 
   "0.061931965638609796`", ",", "0.06293951336337794`", ",", 
   "0.06394460298343002`", ",", "0.06492906107524511`", ",", 
   "0.06588107096296932`", ",", "0.06680958057622766`", ",", 
   "0.06770691258599641`", ",", "0.06858865225776527`", ",", 
   "0.0694546919649626`", ",", "0.07030202171024769`", ",", 
   "0.07114486369025343`", ",", "0.0719629401379924`", ",", 
   "0.07276501587324029`", ",", "0.07355832199856423`", ",", 
   "0.0743318115455699`", ",", "0.07508792956036218`", ",", 
   "0.07583444205189091`", ",", "0.07657617094802367`", ",", 
   "0.07730789032519914`", ",", "0.0780253735990342`", ",", 
   "0.07873134084580091`", ",", "0.07942046618680122`", ",", 
   "0.08010135251017093`", ",", "0.08077625139072028`", ",", 
   "0.08144752667822572`", ",", "0.08210863895575105`", ",", 
   "0.08275439506378787`", ",", "0.08339325332002262`", ",", 
   "0.08402655134220247`", ",", "0.08464718491512839`", ",", 
   "0.08526761624890195`", ",", "0.08587904471151796`", ",", 
   "0.08648199014291236`", ",", "0.08707901715367372`", ",", 
   "0.08766659319198673`", ",", "0.08824579468965302`", ",", 
   "0.08882346633431143`", ",", "0.08939491520073396`", ",", 
   "0.08996148881794422`", ",", "0.0905203908461217`", ",", 
   "0.09106994720510128`", ",", "0.09161481208603829`", ",", 
   "0.09215737315654426`", ",", "0.09269805818666803`", ",", 
   "0.09322956412134033`", ",", "0.09375505728415487`", ",", 
   "0.09427634783882607`", ",", "0.09479109492051674`", ",", 
   "0.0953042619400116`", ",", "0.09581322269923002`", ",", 
   "0.09631610161914052`", ",", "0.09681544325146346`", ",", 
   "0.09730860943675072`", ",", "0.09779669791845225`", ",", 
   "0.09828477199779942`", ",", "0.09876720062895265`", ",", 
   "0.09924697758848762`", ",", "0.0997207147344118`", ",", 
   "0.10018869463672321`", ",", "0.10065505730512501`", ",", 
   "0.10112078601331878`", ",", "0.10158169719490337`", ",", 
   "0.10203723353807356`", ",", "0.10248903952877103`", ",", 
   "0.10293805271973153`", ",", "0.10338535582061958`", ",", 
   "0.10382867106246438`", ",", "0.10426821531539121`", ",", 
   "0.10470472121523748`", ",", "0.10513743411199758`", ",", 
   "0.10556783942720543`", ",", "0.1059964174933889`", ",", 
   "0.10642104331956631`", ",", "0.10684337406136009`", ",", 
   "0.10726165140872247`", ",", "0.10767694055643913`", ",", 
   "0.10809091070050691`", ",", "0.10850308522593868`", ",", 
   "0.10891162635186052`", ",", "0.10931576537030505`", ",", 
   "0.10971799043545014`", ",", "0.11011965236220776`", ",", 
   "0.11051883915163467`", ",", "0.1109141842031135`", ",", 
   "0.11130667740309412`", ",", "0.11169699579995471`", ",", 
   "0.11208628996968649`", ",", "0.11247336273395496`", ",", 
   "0.11285698418249623`", ",", "0.11323850005325126`", ",", 
   "0.11361739507795461`", ",", "0.11399539813254804`", ",", 
   "0.11437079909535952`", ",", "0.11474423056152425`", ",", 
   "0.11511543715486489`", ",", "0.11548309827134058`", ",", 
   "0.11585073915843207`", ",", "0.11621626618494879`", ",", 
   "0.11658023445491676`", ",", "0.11694050643271026`", ",", 
   "0.11729887450245152`", ",", "0.11765696137409226`", ",", 
   "0.11801330680482591`", ",", "0.11836676776752289`", ",", 
   "0.11871784753596279`", ",", "0.11906739939616545`", ",", 
   "0.11941664051862394`", ",", "0.11976353830248944`", ",", 
   "0.12010809054211743`", ",", "0.12045082332886775`", ",", 
   "0.12079184355686963`", ",", "0.12113238323346825`", ",", 
   "0.1214705444061264`", ",", "0.12180696860127929`", ",", 
   "0.12214134458568796`", ",", "0.12247469849959973`", ",", 
   "0.12280651585639493`", ",", "0.12313705137728514`", ",", 
   "0.1234656769141022`", ",", "0.12379185941082876`", ",", 
   "0.12411778059199886`", ",", "0.12444247674170482`", ",", 
   "0.12476558135675503`", ",", "0.12508583308533724`", ",", 
   "0.12540528800134948`", ",", "0.12572455348748898`", ",", 
   "0.12604201157257627`", ",", "0.12635707484632555`", ",", 
   "0.1266710915155359`", ",", "0.12698421871129112`", ",", 
   "0.1272960775449329`", ",", "0.12760623517550446`", ",", 
   "0.1279148913696473`", ",", "0.12822205259820516`", ",", 
   "0.12852898875594773`", ",", "0.12883415211600763`", ",", 
   "0.1291377337261376`", ",", "0.1294400527349689`", ",", 
   "0.12974157654049542`", ",", "0.1300417049392814`", ",", 
   "0.13034059559628175`", ",", "0.13063825262577766`", ",", 
   "0.13093443846102257`", ",", "0.13122991255047375`", ",", 
   "0.13152431133959386`", ",", "0.13181727070013832`", ",", 
   "0.1321083924099007`", ",", "0.13239946385077817`", ",", 
   "0.132689536877456`", ",", "0.13297806031808274`", ",", 
   "0.13326472960194863`", ",", "0.13355103838791887`", ",", 
   "0.13383692057313332`", ",", "0.13412123912197857`", ",", 
   "0.13440378625274138`", ",", "0.13468556972442325`", ",", 
   "0.13496729668276256`", ",", "0.13524744844393666`", ",", 
   "0.13552607383137044`", ",", "0.1358038692858452`", ",", 
   "0.13608122759043184`", ",", "0.13635722866409727`", ",", 
   "0.13663211213130444`", ",", "0.1369060198295779`", ",", 
   "0.13717920661957872`", ",", "0.13745132981050961`", ",", 
   "0.13772254694231073`", ",", "0.13799251236703736`", ",", 
   "0.1382617103863213`", ",", "0.13853024990742718`", ",", 
   "0.13879788601901707`", ",", "0.1390640621668025`", ",", 
   "0.13932944119394308`", ",", "0.13959441099618575`", ",", 
   "0.1398585036701192`", ",", "0.14012124807273468`", ",", 
   "0.14038296617339574`", ",", "0.1406444089538993`", ",", 
   "0.14090497548938485`", ",", "0.14116442249751412`", ",", 
   "0.14142262712546072`", ",", "0.14168071915105634`", ",", 
   "0.1419379363098041`", ",", "0.14219396882912855`", ",", 
   "0.14244879779764213`", ",", "0.14270362292362768`", ",", 
   "0.14295769035348532`", ",", "0.14321041759427844`", ",", 
   "0.1434621367783177`", ",", "0.14371371912018618`", ",", 
   "0.14396462975620952`", ",", "0.14421415194295223`", ",", 
   "0.14446292019093288`", ",", "0.14471137692224947`", ",", 
   "0.14495914244296232`", ",", "0.14520553907313646`", ",", 
   "0.14545140466749276`", ",", "0.14569684946809536`", ",", 
   "0.1459415378481267`", ",", "0.14618506978805146`", ",", 
   "0.14642803395836457`", ",", "0.1466705737797731`", ",", 
   "0.14691219415668066`", ",", "0.14715304109799718`", ",", 
   "0.14739310574946132`", ",", "0.14763284135953664`", ",", 
   "0.14787152667686781`", ",", "0.14810974646881345`", ",", 
   "0.148346868612877`", ",", "0.14858389508507036`", ",", 
   "0.14881997279673426`", ",", "0.1490554649903782`", ",", 
   "0.149289872144309`", ",", "0.1495241094770661`", ",", 
   "0.1497576662046928`", ",", "0.14999050159553773`", ",", 
   "0.15022237439468933`", ",", "0.15045396189600457`", ",", 
   "0.15068498218262566`", ",", "0.1509150336792051`", ",", 
   "0.15114445259073298`", ",", "0.15137359446076473`", ",", 
   "0.15160210876362984`", ",", "0.1518295679581744`", ",", 
   "0.1520566092791464`", ",", "0.1522832976007286`", ",", 
   "0.15250930848083977`", ",", "0.15273433165475983`", ",", 
   "0.15295906780857907`", ",", "0.15318338128634276`", ",", 
   "0.15340686714234067`", ",", "0.15362945724900492`", ",", 
   "0.15385195705527946`", ",", "0.15407392525954383`", ",", 
   "0.15429503803690436`", ",", "0.1545153669576147`", ",", 
   "0.15473564627135702`", ",", "0.15495528467924521`", ",", 
   "0.15517402691369295`", ",", "0.15539224727815287`", ",", 
   "0.15561032944399353`", ",", "0.15582764980219244`", ",", 
   "0.15604408698983702`", ",", "0.15626025820063882`", ",", 
   "0.15647621014534396`", ",", "0.15669123121390885`", ",", 
   "0.15690558621871023`", ",", "0.15711976494058288`", ",", 
   "0.15733342116297264`", ",", "0.15754622473397106`", ",", 
   "0.15775852278092356`", ",", "0.15797076311420488`", ",", 
   "0.15818225969805358`", ",", "0.15839302025190963`", ",", 
   "0.1586033738921378`", ",", "0.1588134998297962`", ",", 
   "0.15902282620017189`", ",", "0.1592316208947892`", ",", 
   "0.15944013727974715`", ",", "0.15964816529197356`", ",", 
   "0.15985553953203638`", ",", "0.16006226597743403`", ",", 
   "0.16026898100475676`", ",", "0.16047495078362717`", ",", 
   "0.1606804363114473`", ",", "0.16088541813629684`", ",", 
   "0.1610900696789689`"}], "}"}]], "Output",
 CellChangeTimes->{3.80953694492666*^9, 3.809562256988863*^9, 
  3.8096064738725367`*^9, 3.809607052574354*^9, 3.809614964511979*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"327c33d1-b9d4-4df4-bfa2-b885fff0268a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Psplus"], "Input",
 CellChangeTimes->{{3.790700772909801*^9, 3.7907007737573433`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"a0b145eb-cd27-4d5a-80b2-253395a1bdea"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.0665`", ",", "0.06798206261786306`", ",", "0.06872825965225339`", ",", 
   "0.0692886747289772`", ",", "0.06977569000132304`", ",", 
   "0.07020412775564791`", ",", "0.07059974110550143`", ",", 
   "0.07096003718857985`", ",", "0.07131229887433486`", ",", 
   "0.07163185909738744`", ",", "0.07193555410545674`", ",", 
   "0.07223101421876398`", ",", "0.0725252457744547`", ",", 
   "0.07279613766746257`", ",", "0.07305519663019808`", ",", 
   "0.07330680958967926`", ",", "0.07355526327387021`", ",", 
   "0.0738002237016067`", ",", "0.07404781092587194`", ",", 
   "0.07427556153156373`", ",", "0.07449921521540835`", ",", 
   "0.07471272825038017`", ",", "0.0749243207538552`", ",", 
   "0.07513404363702292`", ",", "0.07534194560071747`", ",", 
   "0.07554807326747962`", ",", "0.07575247130364375`", ",", 
   "0.07596324040765294`", ",", "0.07617516530346194`", ",", 
   "0.07639041530434419`", ",", "0.0766053439111297`", ",", 
   "0.07681831388322764`", ",", "0.0770293778111216`", ",", 
   "0.07723858597311778`", ",", "0.0774459864752098`", ",", 
   "0.07765162538024992`", ",", "0.07785554682740975`", ",", 
   "0.0780659429147364`", ",", "0.07827674766807317`", ",", 
   "0.07849092710281874`", ",", "0.07870434469507932`", ",", 
   "0.07891584430719636`", ",", "0.07912547673867786`", ",", 
   "0.07933329058540292`", ",", "0.07953933237117163`", ",", 
   "0.07974586412821703`", ",", "0.07996409588058412`", ",", 
   "0.08018085768778446`", ",", "0.08039561078152606`", ",", 
   "0.08060840999164993`", ",", "0.08081930769808719`", ",", 
   "0.08102835398142763`", ",", "0.08123559676179556`", ",", 
   "0.08144517255112754`", ",", "0.081661192471414`", ",", 
   "0.08187850314248046`", ",", "0.08209378994436474`", ",", 
   "0.08261242017848067`", ",", "0.08319051090090311`", ",", 
   "0.08376818254556151`", ",", "0.0843402605037956`", ",", 
   "0.08490615350650435`", ",", "0.08546605535812372`", ",", 
   "0.08601548236528474`", ",", "0.08656017568997804`", ",", 
   "0.08710273676048402`", ",", "0.08764393401247772`", ",", 
   "0.08817621081213403`", ",", "0.08870171144174965`", ",", 
   "0.08922323364380375`", ",", "0.08973930147422549`", ",", 
   "0.09025246849372036`", ",", "0.09076168952341371`", ",", 
   "0.09126522994633178`", ",", "0.09176503334606172`", ",", 
   "0.0922606528520348`", ",", "0.09275130343243405`", ",", 
   "0.09323939191413556`", ",", "0.0937242437835137`", ",", 
   "0.09420584261641508`", ",", "0.0946832287355838`", ",", 
   "0.09515443249566873`", ",", "0.09562079516407054`", ",", 
   "0.09608711411356041`", ",", "0.09655187240855506`", ",", 
   "0.09701038345908936`", ",", "0.09746442166914068`", ",", 
   "0.09791490859406524`", ",", "0.09836229007343461`", ",", 
   "0.09880959317432267`", ",", "0.09925175553050425`", ",", 
   "0.09969006578705833`", ",", "0.10012570082989905`", ",", 
   "0.10055711601682124`", ",", "0.1009875213320291`", ",", 
   "0.10141541728016507`", ",", "0.1018406498426528`", ",", 
   "0.10226359193602466`", ",", "0.10268325685212361`", ",", 
   "0.1030989126189929`", ",", "0.10351420176670956`", ",", 
   "0.1039264950109539`", ",", "0.10433677805986452`", ",", 
   "0.10474273722471895`", ",", "0.10514515037111734`", ",", 
   "0.10554681229787496`", ",", "0.10594796796851494`", ",", 
   "0.10634483322271018`", ",", "0.10673874738093478`", ",", 
   "0.10713001286516602`", ",", "0.10751930703489779`", ",", 
   "0.10790811785418038`", ",", "0.10829348127726529`", ",", 
   "0.10867613324412433`", ",", "0.10905671515482385`", ",", 
   "0.10943471820941729`", ",", "0.10981219702672539`", ",", 
   "0.11018652018342495`", ",", "0.11055918729359343`", ",", 
   "0.11092942959874842`", ",", "0.11129853194004256`", ",", 
   "0.11166617282713405`", ",", "0.11203251479667842`", ",", 
   "0.11239723360619543`", ",", "0.11275978935185045`", ",", 
   "0.11311940328467507`", ",", "0.1134774901563158`", ",", 
   "0.11383460859664024`", ",", "0.11419036834980964`", ",", 
   "0.11454302106272886`", ",", "0.11489341479958931`", ",", 
   "0.1152426559220478`", ",", "0.11559173786779928`", ",", 
   "0.11593793543777295`", ",", "0.1162818616484716`", ",", 
   "0.11662433573563533`", ",", "0.11696535596363722`", ",", 
   "0.11730545781565724`", ",", "0.11764335057710557`", ",", 
   "0.11797948630848251`", ",", "0.11831362652672144`", ",", 
   "0.11864698044063321`", ",", "0.11897895401918591`", ",", 
   "0.11930920108081654`", ",", "0.1196376663426882`", ",", 
   "0.11996393718279531`", ",", "0.12029011967952188`", ",", 
   "0.12061448115371787`", ",", "0.12093768485629944`", ",", 
   "0.12126078307189288`", ",", "0.12158242633798892`", ",", 
   "0.12190188125400114`", ",", "0.12222124623965784`", ",", 
   "0.1225395127404569`", ",", "0.12285591778702631`", ",", 
   "0.12317043928974132`", ",", "0.12348356648549652`", ",", 
   "0.12379640275334095`", ",", "0.1241078236870683`", ",", 
   "0.12441732244820003`", ",", "0.1247252760967178`", ",", 
   "0.1250324373252757`", ",", "0.12533902643700467`", ",", 
   "0.1256437299198531`", ",", "0.12594699910521048`", ",", 
   "0.12624883495036734`", ",", "0.12655035875589388`", ",", 
   "0.12685049929102926`", ",", "0.1271489909765932`", ",", 
   "0.12744644742332756`", ",", "0.12774263325857244`", ",", 
   "0.1280383678359764`", ",", "0.1283323082904758`", ",", 
   "0.1286255482367894`", ",", "0.12891684518686725`", ",", 
   "0.1292079668966296`", ",", "0.12949782012567854`", ",", 
   "0.12978679473443638`", ",", "0.13007376881952842`", ",", 
   "0.13036007760549867`", ",", "0.1306458768540109`", ",", 
   "0.130930887606095`", ",", "0.13121662969646056`", ",", 
   "0.13150149362624475`", ",", "0.1317845017009874`", ",", 
   "0.13206656748030482`", ",", "0.13234829443864413`", ",", 
   "0.13262905841901118`", ",", "0.13290833948912145`", ",", 
   "0.1331866810242633`", ",", "0.13346403932884993`", ",", 
   "0.13374086248098338`", ",", "0.13401643101884894`", ",", 
   "0.13429108738073867`", ",", "0.13456434153255478`", ",", 
   "0.1348375283225556`", ",", "0.1351094287995209`", ",", 
   "0.13538041779461443`", ",", "0.13565024260583763`", ",", 
   "0.13591944062512157`", ",", "0.13618785630326644`", ",", 
   "0.13645536209419398`", ",", "0.13672163575879867`", ",", 
   "0.13698701478593922`", ",", "0.1372520328863951`", ",", 
   "0.13751626295440045`", ",", "0.13777909923855813`", ",", 
   "0.13804088717289903`", ",", "0.13830260527356011`", ",", 
   "0.13856355225819242`", ",", "0.13882305530467112`", ",", 
   "0.13908177426720475`", ",", "0.13933997889515135`", ",", 
   "0.13959765498163346`", ",", "0.13985390743035667`", ",", 
   "0.14010960759920654`", ",", "0.14036443656772013`", ",", 
   "0.14061891241980132`", ",", "0.14087441360007383`", ",", 
   "0.14112967619270056`", ",", "0.14138415206284594`", ",", 
   "0.1416374252694556`", ",", "0.14189010797518403`", ",", 
   "0.1421423493894489`", ",", "0.14239363454841472`", ",", 
   "0.14264411536179558`", ",", "0.14289378257533042`", ",", 
   "0.14314310760980875`", ",", "0.1433913403206571`", ",", 
   "0.1436390888930127`", ",", "0.14388569589017197`", ",", 
   "0.1441322034212531`", ",", "0.14437772423372727`", ",", 
   "0.144622636099339`", ",", "0.14486641953942703`", ",", 
   "0.1451100262611697`", ",", "0.14535292524004212`", ",", 
   "0.14559507400325783`", ",", "0.1458362217143755`", ",", 
   "0.14607707269975795`", ",", "0.14631733376627282`", ",", 
   "0.14655658724442178`", ",", "0.14679518291241073`", ",", 
   "0.14703349044299807`", ",", "0.14727114528519603`", ",", 
   "0.1475077028361155`", ",", "0.1477438258099264`", ",", 
   "0.14797958164222288`", ",", "0.14821463292600584`", ",", 
   "0.1484486570207663`", ",", "0.1486823826207383`", ",", 
   "0.14891566862447903`", ",", "0.14914809389384223`", ",", 
   "0.14937958758516368`", ",", "0.1496109873836892`", ",", 
   "0.14984183428389902`", ",", "0.15007179155395317`", ",", 
   "0.1503009336314919`", ",", "0.1505300241029478`", ",", 
   "0.1507584480337767`", ",", "0.15098593994258805`", ",", 
   "0.15121288912162636`", ",", "0.1514396945696595`", ",", 
   "0.15166570773325258`", ",", "0.15189080240070243`", ",", 
   "0.15211562045993635`", ",", "0.15234021047617302`", ",", 
   "0.1525638323764919`", ",", "0.1527867615780912`", ",", 
   "0.15300950744883876`", ",", "0.15323170991283022`", ",", 
   "0.15345302558740315`", ",", "0.1536738155466206`", ",", 
   "0.15389454549323317`", ",", "0.1541145019222812`", ",", 
   "0.15433369289174192`", ",", "0.15455246067757922`", ",", 
   "0.1547709916344044`", ",", "0.15498869102945123`", ",", 
   "0.15520583750439498`", ",", "0.15542269454475124`", ",", 
   "0.155639043659527`", ",", "0.15585471286648825`", ",", 
   "0.1560697083697018`", ",", "0.156284691980698`", ",", 
   "0.1564989005428643`", ",", "0.15671260548927035`", ",", 
   "0.15692578658711387`", ",", "0.15713862418314412`"}], "}"}]], "Output",
 CellChangeTimes->{3.809652720732111*^9, 3.809652752224915*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"c654b2bf-548d-4456-a7a2-35a0d37f511a"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"step", " ", 
     RowBox[{"five", ":", " ", 
      RowBox[{"wealth", " ", "dynamics"}], ":", " ", 
      RowBox[{"find", " ", 
       RowBox[{"{", 
        RowBox[{"c", ",", "b", ",", "p", ",", "w"}], "}"}], " ", "for", " ", 
       "each", " ", "point", " ", "below", " ", "wsel"}]}]}], ";"}]}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.7906957669377193`*^9, 3.790695774354546*^9}, {
  3.790695897336707*^9, 
  3.790695931819006*^9}},ExpressionUUID->"56c2eacc-6b0d-42c7-8642-\
562ef0e011cc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"priceupdate", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Position", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"V", "[", 
               RowBox[{
                RowBox[{"wealth", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", "b", 
              "+", "comutil"}], "/.", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"wealth", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
               RowBox[{"b", "\[Rule]", " ", 
                RowBox[{"Min", "[", 
                 RowBox[{
                  RowBox[{"cbar", "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], "]"}]}], 
               ",", 
               RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"N", "[", 
                   RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"N", "[", 
                   RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                  RowBox[{"wealth", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
              "}"}], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Ps", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"IntegerPart", "[", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
               RowBox[{"Ps", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"IntegerPart", "[", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
           "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], ",", 
       RowBox[{"Max", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "-", "dl"}], ",", "dl"}], "}"}], ".", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"V", "[", 
                RowBox[{
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "+", "b"}], "]"}], "-", "b",
                "+", "comutil"}], "/.", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"wealth", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "<", "cbar"}], ",", 
                RowBox[{"b", "\[Rule]", " ", 
                 RowBox[{"Min", "[", 
                  RowBox[{
                   RowBox[{"cbar", "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                   RowBox[{
                    RowBox[{"dl", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", "dl"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Ps", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"Pmplus", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "/", "grid"}], 
                    "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], "]"}]}], 
                ",", 
                RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                   RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
                 "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}], ",", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}], "-", 
                   RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}], 
               "}"}], ".", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Ps", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "1"}], "]"}], "]"}], ",", 
                RowBox[{"Ps", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"R", "[", 
                    RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}], "/", 
                    "grid"}], "]"}], "+", "2"}], "]"}], "]"}]}], "}"}]}]}], 
            "}"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "j"}], "}"}]}], "]"}], "]"}]}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.7906963596840277`*^9, 3.790696396959145*^9}, {
  3.79069643691535*^9, 3.7906964582552967`*^9}, {3.790696523378304*^9, 
  3.7906965297066803`*^9}, {3.7906969063309193`*^9, 3.7906969089981623`*^9}, {
  3.7906998593367233`*^9, 3.7906998597443323`*^9}, {3.809446574443636*^9, 
  3.809446587446656*^9}, {3.809603708582451*^9, 3.80960371502186*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"ceab0e76-cdb5-4cdf-9169-45d06a025f2c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "2", ",", "3", 
   ",", "4", ",", "5", ",", "6", ",", "7", ",", "7", ",", "8", ",", "8", ",", 
   "9", ",", "10", ",", "11", ",", "12", ",", "13", ",", "14", ",", "15", ",",
    "15", ",", "16", ",", "16", ",", "17", ",", "18", ",", "19", ",", "20", 
   ",", "21", ",", "21", ",", "21", ",", "22", ",", "23", ",", "24", ",", 
   "25", ",", "26", ",", "27", ",", "27", ",", "27", ",", "28", ",", "29"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7906964600481033`*^9, 3.790699524586775*^9, 3.7906996869346533`*^9, 
   3.790699875446425*^9, 3.790700909608382*^9, {3.790705884013982*^9, 
   3.790705900605051*^9}, 3.793557453315463*^9, 3.8094465910361757`*^9, 
   3.809536949751823*^9, 3.80956226268027*^9, 3.809606478590498*^9, 
   3.809607060244585*^9, 3.8096149915298357`*^9, 3.809616191766766*^9, 
   3.809652756445907*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"4493cdfc-d80f-4934-be67-49de6b209196"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"wealthupdate", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"wealth", "[", 
        RowBox[{"[", "j", "]"}], "]"}], "-", 
       RowBox[{"wealth", "[", 
        RowBox[{"[", 
         RowBox[{"priceupdate", "[", 
          RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.79069653990622*^9, 3.79069654178439*^9}, {
  3.790696602690116*^9, 3.7906966304028053`*^9}, {3.790696667573452*^9, 
  3.7906967322741413`*^9}, {3.790697246570896*^9, 3.790697252384426*^9}, {
  3.7906980858805227`*^9, 3.79069809289713*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"2f1b96b7-9fb8-4699-aaa7-4b09f1b3c713"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.0014996251873831135`", ",", "0.002998501498127304`", ",", 
   "0.004496630053027584`", ",", "0.005994011970083424`", ",", 
   "0.007490648364513408`", ",", "0.008986540348759675`", ",", 
   "0.010481689032503905`", ",", "0.011976095522672203`", ",", 
   "0.013469760923443985`", ",", "0.014962686336267073`", ",", 
   "0.016454872859860803`", ",", "0.01794632159023024`", ",", 
   "0.019437033620671507`", ",", "0.0209270100417851`", ",", 
   "0.022416251941483`", ",", "0.023904760404996228`", ",", 
   "0.02539253651488993`", ",", "0.02687958135106472`", ",", 
   "0.028365895990773105`", ",", "0.029851481508623046`", ",", 
   "0.029851481508623046`", ",", "0.029851481508623046`", ",", 
   "0.029851481508623046`", ",", "0.029851481508623046`", ",", 
   "0.029851481508623046`", ",", "0.029851481508623046`", ",", 
   "0.03133633897659038`", ",", "0.03133633897659038`", ",", 
   "0.032820469464026836`", ",", "0.032820469464026836`", ",", 
   "0.032820469464026836`", ",", "0.032820469464026836`", ",", 
   "0.032820469464026836`", ",", "0.032820469464026836`", ",", 
   "0.032820469464026836`", ",", "0.032820469464026836`", ",", 
   "0.03430387403766799`", ",", "0.03430387403766799`", ",", 
   "0.03578655376164397`", ",", "0.03578655376164397`", ",", 
   "0.03578655376164397`", ",", "0.03578655376164397`", ",", 
   "0.03578655376164397`", ",", "0.03578655376164397`", ",", 
   "0.03726850969748785`", ",", "0.038749742904144124`", ",", 
   "0.038749742904144124`", ",", "0.038749742904144124`", ",", 
   "0.038749742904144124`", ",", "0.038749742904144124`", ",", 
   "0.038749742904144124`", ",", "0.038749742904144124`", ",", 
   "0.04023025443797579`", ",", "0.04171004535277811`", ",", 
   "0.04171004535277811`", ",", "0.04171004535277811`"}], "}"}]], "Output",
 CellChangeTimes->{{3.790698086512678*^9, 3.790698093132338*^9}, 
   3.790699525027277*^9, 3.790699882956406*^9, 3.790700909720096*^9, {
   3.790705885852035*^9, 3.790705902280305*^9}, 3.7935574539582663`*^9, 
   3.809446603221793*^9, 3.809536949883871*^9, 3.8095622637830667`*^9, 
   3.809606480305401*^9, 3.8096070616621943`*^9, 3.8096149916282663`*^9, 
   3.8096161921899147`*^9, 3.8096527570687513`*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"cc4f49e4-ecee-4b04-873e-da323353194f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"wealthupdate", ",", 
     RowBox[{"wealth", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "wsel"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<wealth tomorrow\>\"", ",", "\"\<wealth today\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7906966368221292`*^9, 3.790696639152897*^9}, {
  3.7906967351068583`*^9, 3.790696788038828*^9}, {3.790697568516992*^9, 
  3.790697581448818*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"13c6b9a3-2cc5-4937-87ca-a89a7ac80c3c"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxdzFsoA2AUwPHjlpUaD1MePCCJDbnNdeyMMTNqlrTyoiErpLyQ0JfLXBY2
IszkMm/y5n1SXiSFQorYgxJazQPlweRIO6e+vn7f/+skW3pNHeEAUBI8P/fv
+NUQOgjmg9pHp5neJQgSX5nRYSXHIRw3+qVdfWQZgjylOWt2gJyAcB61PrY/
Qk5EGC+Knu4cJSchHJ0NdfdPkFMQai6bXmxT5NTgf+WBZNlOTkN4PTk69MyR
01F8KC7sNw6yHCFOo5loXSBnIrheKxqeFsnZKBLf7nw9S+QcFNpAvv59mZwb
3LdlHB5cIeehaF/UCVgj56P4alKYbC5yAcK8VRqIcZOVCHptRJtzg1zIXMRc
zFzCXMpcxqxCsGRIG2M2yeXMFSgmP5XXp39WM2OoBTNoWGeGStaZoQq9Lapw
nWOLOjNo0fscP+Q2bVNnhmrWmaGGdWbQoZjx7N3Kdqjr0HsP7rArMtSGWjCD
nnVmqGOdGQwIj+XNsase6gZEn/UhsmWXen2oxb+/AVog608=
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        PointBox[CompressedData["
1:eJxV0VtIVFEUxvGNiIiI+CBiKKEiYlnesnTyMmvUcZxxwjQIiR5EEiRERSTy
ghylMm9paZrXvDTW6CAiESLig/ggCCK9RESIhIToQxIRakKemf+LG4bDb75z
1t5r7YjSqqIyL6WU4eynPz3rl1GdX/LPefj5Vult/vfFJThQjpseLtf2luMg
8mocIg1Bc5ad+locxvuPcbjU7UUn+roacSTfazhK0rYLugYqW3A09Z7gGFmy
+nvFtj7Dl6n/HF8Rw8f1Rytv23Ec+3XiBFm8+HS/cPEFTmT/HpwkI2vh8zXl
L/E1zvMKJ8u3I/eG+Drn68M3JDT+e5RP82ucwnn7carce+CuiA2c/w2+KUOD
7oXT6GcIp8vXzb93fjiGcQb9jeBMueB9N+Dqwig20u8YFin2FPRYE/ofJzeJ
PaXNVLKLNRPzmCDPkoNCvSLWspjPJHm2dFT8PHEeYi2beU2R50hsa/BZC1jL
YX7vyM2yMWH+9PsUa2bm6SDPFX1aId7T5LnMFyuL+H2Zqs7we09uYd5Y5cmM
3m7gB/I85o+VVWx6uWAnuZX7wMom7nGHzZDbuB+s8kWf3lbkLHk+94WVXS7d
7179E+Mit3N/LuN/5qUApQ==
         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotRange -> {{0., 57.}, {0, 0.056}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"wealth tomorrow\"", "\"wealth today\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.790696754805057*^9, 3.790696788753085*^9}, 
   3.790697253401207*^9, 3.790697581880879*^9, 3.790699525442193*^9, 
   3.7906998845151167`*^9, 3.790700909901127*^9, 3.790705903027952*^9, 
   3.7935574552606792`*^9, 3.809446606904867*^9, 3.809536950114443*^9, 
   3.809562264937531*^9, {3.809606481344747*^9, 3.8096064835756483`*^9}, 
   3.809607062524807*^9, 3.80961499188958*^9, 3.809616193745399*^9, 
   3.809652758474193*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"6c50b7b2-5abc-4663-994d-db97eb175bad"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"bupdate", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"b", "/.", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"wealth", "[", 
         RowBox[{"[", 
          RowBox[{"priceupdate", "[", 
           RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}], "<", "cbar"}], ",", 
       RowBox[{"b", "\[Rule]", " ", 
        RowBox[{"Min", "[", 
         RowBox[{
          RowBox[{"cbar", "-", 
           RowBox[{"wealth", "[", 
            RowBox[{"[", 
             RowBox[{"priceupdate", "[", 
              RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], ",", 
          RowBox[{
           RowBox[{"dl", "/", 
            RowBox[{"(", 
             RowBox[{"1", "-", "dl"}], ")"}]}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Psplus", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"IntegerPart", "[", 
                 RowBox[{
                  RowBox[{"R", "[", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                  "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}], "-", 
             RowBox[{"Pmplus", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"IntegerPart", "[", 
                 RowBox[{
                  RowBox[{"R", "[", 
                   RowBox[{
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "-", 
                    RowBox[{"wealth", "[", 
                    RowBox[{"[", 
                    RowBox[{"priceupdate", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}]}], "]"}], 
                  "/", "grid"}], "]"}], "+", "1"}], "]"}], "]"}]}], ")"}]}]}],
          "]"}]}], ",", 
       RowBox[{"b", "\[Rule]", "0"}]}], " ", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"pupdate", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"wealth", "[", 
     RowBox[{"[", 
      RowBox[{"priceupdate", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"cupdate", "=", 
  RowBox[{"pupdate", "+", "bupdate"}]}]}], "Input",
 CellChangeTimes->{{3.7906968669458714`*^9, 3.790696870379212*^9}, {
  3.790697009470319*^9, 3.7906970483686743`*^9}, {3.790697597329472*^9, 
  3.790697612134595*^9}, {3.790698078543375*^9, 3.7906980808121567`*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"e40ca569-4c5e-4052-9fc2-e2090f0a9163"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", "0.05703598116445335`", ",", 
   "0.054352801655775496`", ",", "0.054352801655775496`", ",", 
   "0.054352801655775496`", ",", "0.054352801655775496`", ",", 
   "0.054352801655775496`", ",", "0.054352801655775496`", ",", 
   "0.054352801655775496`", ",", "0.04917755371597832`", ",", 
   "0.04917755371597832`", ",", "0.04663249044641371`", ",", 
   "0.04663249044641371`", ",", "0.04663249044641371`", ",", 
   "0.04663249044641371`", ",", "0.04663249044641371`", ",", 
   "0.04663249044641371`", ",", "0.04663249044641371`", ",", 
   "0.04663249044641371`", ",", "0.04177035468314272`", ",", 
   "0.04177035468314272`", ",", "0.039401213643609156`", ",", 
   "0.039401213643609156`", ",", "0.039401213643609156`", ",", 
   "0.039401213643609156`", ",", "0.039401213643609156`", ",", 
   "0.039401213643609156`", ",", "0.03487347136866337`", ",", 
   "0.03272081386906406`", ",", "0.03272081386906406`", ",", 
   "0.03272081386906406`", ",", "0.03272081386906406`", ",", 
   "0.03272081386906406`", ",", "0.03272081386906406`", ",", 
   "0.03272081386906406`", ",", "0.028503877465595517`", ",", 
   "0.02645227714990578`", ",", "0.02645227714990578`", ",", 
   "0.02645227714990578`"}], "}"}]], "Output",
 CellChangeTimes->{3.7906980974751883`*^9, 3.790699525753295*^9, 
  3.7906998861287937`*^9, 3.790700910039572*^9, 3.7907059049261217`*^9, 
  3.7935574604675217`*^9, 3.8094466413765163`*^9, 3.809536950348824*^9, 
  3.8095622666813173`*^9, 3.809606484747129*^9, 3.80960706416658*^9, 
  3.809614992007791*^9, 3.8096161952263603`*^9, 3.8096527629714413`*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"fdfae0bc-9e1b-4ad6-9f8c-0c2f4e8a15aa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   FractionBox["1", "1000"], ",", 
   FractionBox["1", "500"], ",", 
   FractionBox["3", "1000"], ",", 
   FractionBox["1", "250"], ",", 
   FractionBox["1", "200"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["3", "500"], ",", 
   FractionBox["7", "1000"], ",", 
   FractionBox["7", "1000"], ",", 
   FractionBox["1", "125"], ",", 
   FractionBox["9", "1000"], ",", 
   FractionBox["1", "100"], ",", 
   FractionBox["11", "1000"], ",", 
   FractionBox["3", "250"], ",", 
   FractionBox["13", "1000"], ",", 
   FractionBox["7", "500"], ",", 
   FractionBox["7", "500"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["3", "200"], ",", 
   FractionBox["2", "125"], ",", 
   FractionBox["17", "1000"], ",", 
   FractionBox["9", "500"], ",", 
   FractionBox["19", "1000"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["1", "50"], ",", 
   FractionBox["21", "1000"], ",", 
   FractionBox["11", "500"], ",", 
   FractionBox["23", "1000"], ",", 
   FractionBox["3", "125"], ",", 
   FractionBox["1", "40"], ",", 
   FractionBox["13", "500"], ",", 
   FractionBox["13", "500"], ",", 
   FractionBox["13", "500"], ",", 
   FractionBox["27", "1000"], ",", 
   FractionBox["7", "250"]}], "}"}]], "Output",
 CellChangeTimes->{3.7906980974751883`*^9, 3.790699525753295*^9, 
  3.7906998861287937`*^9, 3.790700910039572*^9, 3.7907059049261217`*^9, 
  3.7935574604675217`*^9, 3.8094466413765163`*^9, 3.809536950348824*^9, 
  3.8095622666813173`*^9, 3.809606484747129*^9, 3.80960706416658*^9, 
  3.809614992007791*^9, 3.8096161952263603`*^9, 3.809652762976499*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"52ec854f-a8c4-46b9-aa15-223149571daa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", 
   FractionBox["1", "16"], ",", "0.05703598116445335`", ",", 
   "0.054352801655775496`", ",", "0.055352801655775496`", ",", 
   "0.0563528016557755`", ",", "0.0573528016557755`", ",", 
   "0.0583528016557755`", ",", "0.05935280165577549`", ",", 
   "0.060352801655775494`", ",", "0.055177553715978316`", ",", 
   "0.056177553715978316`", ",", "0.05363249044641371`", ",", 
   "0.05463249044641371`", ",", "0.05563249044641371`", ",", 
   "0.05663249044641371`", ",", "0.057632490446413706`", ",", 
   "0.05863249044641371`", ",", "0.05963249044641371`", ",", 
   "0.06063249044641371`", ",", "0.05577035468314272`", ",", 
   "0.05677035468314272`", ",", "0.054401213643609156`", ",", 
   "0.05540121364360916`", ",", "0.05640121364360916`", ",", 
   "0.05740121364360916`", ",", "0.05840121364360916`", ",", 
   "0.05940121364360916`", ",", "0.05487347136866337`", ",", 
   "0.05272081386906406`", ",", "0.05372081386906406`", ",", 
   "0.05472081386906406`", ",", "0.05572081386906406`", ",", 
   "0.05672081386906406`", ",", "0.05772081386906406`", ",", 
   "0.058720813869064054`", ",", "0.05450387746559551`", ",", 
   "0.052452277149905774`", ",", "0.053452277149905775`", ",", 
   "0.054452277149905776`"}], "}"}]], "Output",
 CellChangeTimes->{3.7906980974751883`*^9, 3.790699525753295*^9, 
  3.7906998861287937`*^9, 3.790700910039572*^9, 3.7907059049261217`*^9, 
  3.7935574604675217`*^9, 3.8094466413765163`*^9, 3.809536950348824*^9, 
  3.8095622666813173`*^9, 3.809606484747129*^9, 3.80960706416658*^9, 
  3.809614992007791*^9, 3.8096161952263603`*^9, 3.809652762984147*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"ad8403e9-3894-4e44-9bfb-bd4587b61dba"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"bupdate", ",", "pupdate", ",", "cupdate", ",", 
     RowBox[{"Table", "[", 
      RowBox[{"cbar", ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green", ",", "Orange"}], "}"}]}], ",", 
   
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<b: favors\>\"", ",", "\"\<upfront payment\>\"", ",", 
      "\"\<consumption\>\"", ",", "\"\<cbar\>\""}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.790697160892262*^9, 3.790697212891251*^9}, {
  3.7906976997663517`*^9, 3.790697722625543*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"80c828b9-3957-4141-b384-bbd0096c5d07"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]], 
        PointBox[CompressedData["
1:eJxdyUEowwEUx/GX00qrHaQdkElLGv0ZY4w9thkmh50cNe3s4u5/0M67Uagp
0lorZydHxWFKEpdxcBIrF0e0V/p/X71+ffqGCtv5YoeIxH//b9vXSrb3wlbU
ax8cgLvgINwD98MD8CAchofgYTgCj8IOPAaPw1F4Qh+f97/uonXzpFZ2erdC
9zVzDJ6Cp+E4PAPPwgkNHDRebkeq5jl4Xje/by5jzXNzElavXVgW0GFZRIcl
pc3Xo9J74cw6LGltpTs3ipFT67Bk0GFZQoclq+6ev/T5dGI9q77qR/76qmJ9
2WsXlhV0WFbRYclpeTf40OccW8+p8+bPrHcfWl/z2v33D+cDzDw=
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]], 
        PointBox[CompressedData["
1:eJxd0EsoRFEcx/HTLDQLC4tZKNLQNAlhvMfg/uc9d4y8dlaaqGkWSJO80iGv
hLwfY8rKQkkWFpNkZWFlYSdJspINK5EF7vw253/qdvv0vd3/OacwOtjVbxJC
OP+e/3dmvWtCXaTSzJzDbGHOZc5ntjIXMduY7czFzCXMZczlzJXMDuYq5mrm
GuZa5jr6Of64a4t24F7r4V64gb6n4peJzRjsRB+CG2nCchp8Hk/ALnw/Cjcx
N9PYq91hPpmEW5g1/F/CRK6n9pXdgZmMJWHeLLqbLvRsU+nCPLob8xbRPeQ8
vxm5OlxC92DeMrpXtfRSumDurTO9iu5TLX3Y3xq6n1LX1rPh2Dq6H/vdQA/Q
w5exIfQA9r+FHlQtmUWI8ioebVnT2+ghnHcHXaeePmMiuo7z76GHKblvLPQw
7iOJ3qpaMosI3d9+dr8cHaBHcF8p7ReCQrK8
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 1, 0]], 
        PointBox[CompressedData["
1:eJxTTMoPSmViYGCwBGIQDQEf7CH0BijN4IDK50DjC6DxRdD4Emh8GTS+Ahpf
CY2vgsZXQ+NroPG10Pg6aHw9NL4BGt8QjW+ExjdG45s43Lg9/fNF47VQvqnD
ghLZZMUrq6F8M4cPjFsvGoevgfLNHRz6fRzcbsH4Fg4TZJ6si4iF6bd0eLCy
Wjb7AYxv5aBvLtxTm7wOyrd2qD+y6lf/MxjfxuH989hKaweYebYO9qVfn/se
hvHtHPqvfjiwvRTmHnuH+0kd+qd+wPgODvof5OfdqYaqb3BwqK/dzvP+H0y/
o8M5Lv9qxiaoexocHeRmPHspzAqz38khT7UuQq0Dym9wcti3SfS4Bfd6qLyz
g93cZ5Pe9cLMd3bo06pjZBSE+c/FYV7Pm0uVt6DuaXBxeCfZ4tgTC7Pf1cFu
ufSGeQ9g+l0d+kw2y21Mhul3c7h30Kv38DOY+9wc9Pwf/b6aCXOfu8O+viea
CRIw/e4ObpuPfrP4twoq7+EwzSE21bsRZr+Hw9OzXy7HssDs93Qwje5xKmiH
6fd0aH2hvLGJC2a/l8PV0t3yU3th9ns5qDAH9y0XgNnv7fBkZsGyd89h5ns7
mPi+jmW7DbPfx6HlVtMZiTiYvI/DlXQpa+2Hq+0Bj/XN3g==
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0.5, 0]], 
        PointBox[CompressedData["
1:eJxdyUuqAQAUx+GTkaGBgYEBknSTvK/X9X4zsgRlbAt3SZZmCYiS79Tp39cv
f7ocz4mI6D3+ua+7jV97fW9Mvp3EKZzGGZzFOVzARVzCZfyDK7iKa7iOG7iJ
W7iNO/gXd3EP9/EAD/EfHuExnnz7H8eUjmNGxzGn41jQcSzpOFZ0HGs6jg0d
x5aOY0fHsafjONA/vgP7h1j5
         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 1, 0]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[
         1, 0.5, 0]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{
       
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[1, 0, 0]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 0, 1]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[0, 1, 0]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         AbsoluteThickness[1.6], 
         RGBColor[
         1, 0.5, 0]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, \
{{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0., 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotRange -> {{0., 57.}, {0, 0.0625}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"b: favors\"", "\"upfront payment\"", "\"consumption\"", "\"cbar\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 1, 0]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 1, 0]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0.5, 0]], {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0.5, 0]], 
                    PointBox[
                    NCache[{
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}]}, {
                    Scaled[{0.5, 0.5}]}]]}}}, AspectRatio -> Full, 
                    ImageSize -> {10, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 1, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0.6666666666666666, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "1", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 1, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 1, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0.5, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.6666666666666666, 0.33333333333333337`, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.5`", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0.5, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0.5, 0], Editable -> False, Selectable -> 
                    False]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False", ",", "False", ",", "False"}], 
               "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7906971769372177`*^9, 3.790697213242311*^9, 3.790697614158963*^9, {
   3.79069771634208*^9, 3.7906977230950193`*^9}, 3.790698101350609*^9, 
   3.790699528062234*^9, 3.79069988875954*^9, 3.7907009102087317`*^9, 
   3.7907059079532537`*^9, 3.793557461309134*^9, 3.809446645603264*^9, 
   3.80953695051453*^9, 3.8095622678386183`*^9, 3.809606486776751*^9, 
   3.809607066137805*^9, 3.8096149921929493`*^9, 3.8096161969396973`*^9, 
   3.809652764791512*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"5e360421-2610-48bb-9e45-89ff765d073e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "cbar", "]"}]], "Input",
 CellChangeTimes->{{3.809446811253914*^9, 3.809446816614814*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"0beb09af-d0af-414d-a093-e47c64caada0"],

Cell[BoxData["0.0625`"], "Output",
 CellChangeTimes->{{3.809446813851171*^9, 3.809446816873487*^9}, 
   3.809536950604507*^9, 3.8095622688886347`*^9, 3.8096064885803137`*^9, 
   3.809607068046925*^9, 3.8096149922990723`*^9, 3.809616198704975*^9, 
   3.80965276608223*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"269a5f3b-03bd-4ab6-b8ca-8e700d79ad21"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"wtre", "=", 
  RowBox[{"Max", "[", 
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"wealthupdate", "[", 
         RowBox[{"[", "j", "]"}], "]"}], ">", 
        RowBox[{"wealth", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "wsel"}], "}"}]}], "]"}], ",", "True"}], 
    "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7906978093068447`*^9, 3.790697866022339*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"519ef737-d9f2-4bdd-97b7-a87b3d048eb0"],

Cell[BoxData["33"], "Output",
 CellChangeTimes->{{3.790697852118373*^9, 3.790697866377658*^9}, 
   3.790698107172027*^9, 3.790699528162341*^9, 3.790699890820394*^9, 
   3.790700910305622*^9, 3.790705913788178*^9, 3.793557461968622*^9, 
   3.8094468765468283`*^9, 3.809536950692685*^9, 3.809562269787496*^9, 
   3.809606489285887*^9, 3.8096070689769697`*^9, 3.809614992384384*^9, 
   3.8096161993421392`*^9, 3.809652766782137*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"38f764a2-b797-4398-83ea-2478c6ddcad5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"wealth", "[", 
       RowBox[{"[", "wtre", "]"}], "]"}], ",", 
      RowBox[{"wealthupdate", "[", 
       RowBox[{"[", "wtre", "]"}], "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"N", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"wealth", "[", 
       RowBox[{"[", 
        RowBox[{"wtre", "+", "1"}], "]"}], "]"}], ",", 
      RowBox[{"wealthupdate", "[", 
       RowBox[{"[", 
        RowBox[{"wtre", "+", "1"}], "]"}], "]"}]}], "}"}], "]"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{{3.790697880661343*^9, 3.7906979475603123`*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"48d8946d-e1ec-4032-b4c1-c0ca2a15469b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.032`", ",", "0.032820469464026836`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.033`", ",", "0.032820469464026836`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7906979121729918`*^9, 3.790697947968478*^9}, 
   3.790698108518051*^9, 3.790699528265058*^9, 3.790699892208305*^9, 
   3.790700910396008*^9, 3.7907059167032223`*^9, 3.793557462570526*^9, 
   3.809446878676713*^9, 3.809536950780542*^9, 3.8095622706859207`*^9, 
   3.809606490712631*^9, 3.809607070048346*^9, 3.809614992645753*^9, 
   3.809616200707823*^9, 3.809652777832673*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"8f3038a6-1c83-48c8-bd50-4b0716134056"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"wealth", "[", 
   RowBox[{"[", "wsel", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7907022569517593`*^9, 3.790702261431757*^9}, {
  3.790705941583578*^9, 3.7907059435208263`*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"be36acf7-136d-4fb0-9705-377ade8f3c20"],

Cell[BoxData["0.056`"], "Output",
 CellChangeTimes->{3.7907022617287073`*^9, 3.7907059438671722`*^9, 
  3.793557463162917*^9, 3.809446880078639*^9, 3.809536950867347*^9, 
  3.809562271586486*^9, 3.8096064917041597`*^9, 3.809607070971468*^9, 
  3.809614992737609*^9, 3.809616202399849*^9, 3.809652778536222*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"4f5c8bea-8e4b-42b3-aa34-ad0c66a2517a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"++", 
  RowBox[{"++", 
   RowBox[{"++", 
    RowBox[{"++", 
     RowBox[{"++", 
      RowBox[{"++", 
       RowBox[{"++", 
        RowBox[{"++", 
         RowBox[{"++", 
          RowBox[{"++", 
           RowBox[{"++", "++"}]}]}]}]}]}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.809532156862578*^9, 
  3.809532159960782*^9}},ExpressionUUID->"893402fa-3475-4445-a89c-\
3ab24432f7ae"]
},
WindowSize->{1240, 689},
WindowMargins->{{4, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 3530, 155, 79, "Input",ExpressionUUID->"a5fb538c-a1f8-4030-b7d2-6bedee2a6c28"],
Cell[4091, 177, 197, 3, 30, "Input",ExpressionUUID->"699830d5-6925-4ec6-9174-203923e79938"],
Cell[4291, 182, 2743, 72, 136, "Input",ExpressionUUID->"3a98d8f7-e29c-4836-abde-74a490b17858"],
Cell[CellGroupData[{
Cell[7059, 258, 1933, 46, 73, "Input",ExpressionUUID->"a2203157-81f3-425a-b940-ce6e262344f8"],
Cell[8995, 306, 1369, 38, 62, "Output",ExpressionUUID->"a14efc76-973a-4d08-a84d-1fa1796607a3"]
}, Open  ]],
Cell[10379, 347, 1012, 32, 58, "Input",ExpressionUUID->"ae5e9d81-9118-4909-a237-cb514fe91101"],
Cell[11394, 381, 344, 8, 37, "Input",ExpressionUUID->"1f064d10-f4e5-4a90-ad24-3018ab445f2b"],
Cell[11741, 391, 268, 5, 30, "Input",ExpressionUUID->"ba44ed31-6cb3-485a-ae2a-f065ea1334d0"],
Cell[CellGroupData[{
Cell[12034, 400, 2353, 59, 136, "Input",ExpressionUUID->"7810b179-e993-4573-af75-04ca1155c57f"],
Cell[14390, 461, 852, 19, 34, "Output",ExpressionUUID->"728872c4-97cc-46f7-8f52-58fe5daa6cbe"]
}, Open  ]],
Cell[15257, 483, 556, 13, 30, "Input",ExpressionUUID->"92de61ab-1227-46bb-bfa8-cdab0f3a900d"],
Cell[CellGroupData[{
Cell[15838, 500, 239, 4, 30, "Input",ExpressionUUID->"d984d3b4-c4ac-4cf7-ac6c-ba2228e2be04"],
Cell[16080, 506, 1733, 51, 65, "Output",ExpressionUUID->"35ce10fe-30d2-4f88-a526-3455b933942f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17850, 562, 265, 5, 30, "Input",ExpressionUUID->"b0cbe692-0017-4386-8e71-c5ac5375fbce"],
Cell[18118, 569, 306, 6, 34, "Output",ExpressionUUID->"44c76faf-7a17-44e0-9177-01dbc21517d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18461, 580, 654, 16, 30, "Input",ExpressionUUID->"b99a9842-6009-4729-af4b-6408953a7a8e"],
Cell[19118, 598, 9010, 174, 242, "Output",ExpressionUUID->"63cab138-3efc-4759-984b-7775998eb58c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28165, 777, 400, 9, 30, "Input",ExpressionUUID->"87c8bd22-1aca-4dcf-a496-4363546d599a"],
Cell[28568, 788, 352, 7, 34, "Output",ExpressionUUID->"1dc4ff9a-689c-4506-a708-84026e6e5bdb"]
}, Open  ]],
Cell[28935, 798, 391, 8, 44, "Input",ExpressionUUID->"fc5e71f6-0078-4fa3-af55-5eb67653815c"],
Cell[29329, 808, 2149, 51, 73, "Input",ExpressionUUID->"01448aa7-a346-47cb-86a1-db4a91437e6d"],
Cell[31481, 861, 1274, 33, 52, "Input",ExpressionUUID->"e8c3285f-5839-43b0-a0b6-091a1f84e9bd"],
Cell[32758, 896, 491, 13, 30, "Input",ExpressionUUID->"8ab0dd04-4583-40f0-97af-aa57efd58b29"],
Cell[33252, 911, 7560, 183, 262, "Input",ExpressionUUID->"040b7f7c-6d0f-4be7-bfa0-51139f528ac7"],
Cell[CellGroupData[{
Cell[40837, 1098, 433, 10, 30, "Input",ExpressionUUID->"f436cf76-0473-423f-90cb-cc0715c7067b"],
Cell[41273, 1110, 43317, 731, 242, "Output",ExpressionUUID->"f6316368-45a4-4359-8a7c-ee108b5477a3"]
}, Open  ]],
Cell[84605, 1844, 8655, 199, 325, "Input",ExpressionUUID->"8aa15423-9995-4da8-b8ba-3fd4e6ba26e9"],
Cell[93263, 2045, 196, 3, 30, "Input",ExpressionUUID->"430098f3-239d-4f2f-9db3-c9b836a3ba04"],
Cell[CellGroupData[{
Cell[93484, 2052, 518, 12, 30, "Input",ExpressionUUID->"6f517c0b-e28d-44a1-a418-47d7b165687a"],
Cell[94005, 2066, 848, 14, 37, "Output",ExpressionUUID->"9a23b31e-f6f1-4d4c-9f5c-706845454145"]
}, Open  ]],
Cell[94868, 2083, 179, 2, 30, "Input",ExpressionUUID->"80bcfac4-03ff-4070-8507-c833c2b8a42b"],
Cell[95050, 2087, 33543, 531, 3706, "Input",ExpressionUUID->"138db477-c5e3-4fd7-ad06-c217515e3852"],
Cell[CellGroupData[{
Cell[128618, 2622, 213, 3, 30, "Input",ExpressionUUID->"45c29506-631a-47e1-8790-f6a82b5c6aae"],
Cell[128834, 2627, 15132, 264, 242, "Output",ExpressionUUID->"a4de462a-46c0-4259-a060-04ebc60a5316"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144003, 2896, 431, 10, 30, "Input",ExpressionUUID->"a83d8f74-8e58-4da4-be4b-367450b0506d"],
Cell[144437, 2908, 22994, 395, 244, "Output",ExpressionUUID->"f47829fa-9423-4548-afda-f54d0737734a"]
}, Open  ]],
Cell[167446, 3306, 160, 3, 30, "Input",ExpressionUUID->"7fd809fa-5c1d-4c62-82f9-7f8e51ede5e3"],
Cell[167609, 3311, 179, 2, 30, "Input",ExpressionUUID->"cba0fe2f-5832-4a24-b98e-2f63b2a8c565"],
Cell[167791, 3315, 33545, 531, 3706, "Input",ExpressionUUID->"f9034f18-5f3f-49c7-a6e9-9c14b02aaa66"],
Cell[201339, 3848, 1872, 56, 30, "Input",ExpressionUUID->"b0ffdbf7-9cae-4373-a59e-2d70c1ea93b2"],
Cell[203214, 3906, 544, 15, 121, "Input",ExpressionUUID->"66431010-4b87-45a9-baf4-73f6b3b50d95"],
Cell[203761, 3923, 1842, 49, 94, "Input",ExpressionUUID->"6b18e6ac-223f-4d54-b3bf-65d6aa38d325"],
Cell[205606, 3974, 1260, 37, 52, "Input",ExpressionUUID->"247c8082-9506-46f4-b1ed-ab99b80359c3"],
Cell[CellGroupData[{
Cell[206891, 4015, 8525, 198, 262, "Input",ExpressionUUID->"4f7ce9da-7516-4c6c-99cd-a5d71702af0d"],
Cell[215419, 4215, 726, 11, 34, "Output",ExpressionUUID->"070e0de2-2fe2-4051-9610-e469c169c43c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[216182, 4231, 9887, 225, 325, "Input",ExpressionUUID->"5a4747ee-5599-4c1e-b122-c4dfc591b181"],
Cell[226072, 4458, 716, 11, 34, "Output",ExpressionUUID->"c3fbe84a-7fd2-4d4b-bd6a-17e0e2ac512d"]
}, Open  ]],
Cell[226803, 4472, 512, 15, 30, "Input",ExpressionUUID->"9028e8d1-97b7-4965-a359-9d592cc9e05b"],
Cell[CellGroupData[{
Cell[227340, 4491, 275, 7, 30, "Input",ExpressionUUID->"1111ae9d-0564-430e-ada3-03bd43e12ad3"],
Cell[227618, 4500, 600, 10, 37, "Output",ExpressionUUID->"b644a9d9-3c9c-4df0-af20-c75e4c1b2ed1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[228255, 4515, 179, 2, 30, "Input",ExpressionUUID->"d4f7cad6-a3af-44ea-a788-b19206322423"],
Cell[228437, 4519, 24834, 405, 1253, "Output",ExpressionUUID->"253d2a63-6044-40b4-82ab-c317c8015b31"]
}, Open  ]],
Cell[CellGroupData[{
Cell[253308, 4929, 585, 16, 30, "Input",ExpressionUUID->"8878e4c7-cad8-411e-9ef8-27ab3387de28"],
Cell[253896, 4947, 15374, 318, 244, "Output",ExpressionUUID->"5379e9c2-93c9-47f2-9139-883383f733c7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[269307, 5270, 179, 2, 30, "Input",ExpressionUUID->"7f5954d2-4e44-460f-a6d1-2287a1270110"],
Cell[269489, 5274, 24832, 405, 1253, "Output",ExpressionUUID->"1410d842-373e-4573-84f5-1bd43190f429"]
}, Open  ]],
Cell[CellGroupData[{
Cell[294358, 5684, 671, 18, 30, "Input",ExpressionUUID->"55bbc03d-4698-4fdf-b882-5f8d491bcf28"],
Cell[295032, 5704, 430, 11, 24, "Message",ExpressionUUID->"26915acf-2d89-4e14-bd42-b7f11a624f2e"],
Cell[295465, 5717, 2630, 40, 59, "Message",ExpressionUUID->"aa4f8848-abea-4111-8d03-949e243a9807"],
Cell[298098, 5759, 2630, 40, 59, "Message",ExpressionUUID->"919520dc-dc56-41e4-ac3a-1b90d6657645"],
Cell[300731, 5801, 2630, 40, 59, "Message",ExpressionUUID->"49115fa9-9bdc-4049-bdf0-14f2b53126aa"],
Cell[303364, 5843, 443, 10, 24, "Message",ExpressionUUID->"f799f7a8-3b27-4aa1-b5a8-daf0e614e5b6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[303844, 5858, 258, 5, 30, "Input",ExpressionUUID->"833d3ca0-d064-4029-b6ea-286962c51d7d"],
Cell[304105, 5865, 203, 3, 34, "Output",ExpressionUUID->"bd5bb981-2812-4ea7-b400-994c22122cc7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304345, 5873, 207, 3, 30, "Input",ExpressionUUID->"9025f046-a818-417a-91e5-ce54e2e15812"],
Cell[304555, 5878, 203, 3, 34, "Output",ExpressionUUID->"d71ca93f-9eaa-48c2-afd2-c7de3f9fc461"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304795, 5886, 437, 11, 30, "Input",ExpressionUUID->"a4d3fe9f-a0e6-4824-9986-4467a57b6d4f"],
Cell[305235, 5899, 282, 6, 34, "Output",ExpressionUUID->"19531344-ab6d-4fcd-8746-f15032ded5da"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305554, 5910, 213, 3, 30, "Input",ExpressionUUID->"d41f34a7-0199-48d0-aab5-7ba7111250ea"],
Cell[305770, 5915, 11974, 212, 242, "Output",ExpressionUUID->"247e0f93-3027-41ab-b565-7f0cf7cb47a3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[317781, 6132, 712, 19, 30, "Input",ExpressionUUID->"67c4fb02-6b6c-4e7a-8c4b-59e796ebe10a"],
Cell[318496, 6153, 12613, 270, 244, "Output",ExpressionUUID->"f791cfda-047b-468c-9ccf-3456634a6218"]
}, Open  ]],
Cell[331124, 6426, 156, 3, 30, "Input",ExpressionUUID->"74d412a5-7c7b-449c-be4e-994c6d5bcc42"],
Cell[331283, 6431, 1870, 56, 30, "Input",ExpressionUUID->"43f2a3a0-599a-42ed-a627-20538acb3a49"],
Cell[333156, 6489, 331, 9, 44, "Input",ExpressionUUID->"28218224-af5c-431f-b844-a8369a41517a"],
Cell[333490, 6500, 1799, 47, 94, "Input",ExpressionUUID->"33b09c93-140b-49da-a968-77434677ab6f"],
Cell[335292, 6549, 1324, 37, 52, "Input",ExpressionUUID->"65c5bd74-8566-40c0-903e-ead4d6ee093b"],
Cell[CellGroupData[{
Cell[336641, 6590, 10181, 236, 346, "Input",ExpressionUUID->"f14cb26c-b0a4-4ec4-8fcb-3d797a85367f"],
Cell[346825, 6828, 508, 8, 34, "Output",ExpressionUUID->"44c9a3b5-45ff-4867-8d72-09619f6d4253"]
}, Open  ]],
Cell[CellGroupData[{
Cell[347370, 6841, 11272, 257, 388, "Input",ExpressionUUID->"f867681c-b13f-480b-90e4-aa3308443177"],
Cell[358645, 7100, 650, 10, 34, "Output",ExpressionUUID->"45114305-6432-482e-91a1-3d43f7755b7e"]
}, Open  ]],
Cell[359310, 7113, 578, 16, 30, "Input",ExpressionUUID->"661ca62c-fca0-40bf-b0f6-8fd07a9140a6"],
Cell[CellGroupData[{
Cell[359913, 7133, 343, 8, 30, "Input",ExpressionUUID->"d8112ef4-b946-4baa-9223-6d3e01e486f0"],
Cell[360259, 7143, 453, 7, 37, "Output",ExpressionUUID->"685feda8-3c94-4f66-b3ff-a4247e7798dc"]
}, Open  ]],
Cell[360727, 7153, 306, 7, 30, "Input",ExpressionUUID->"851fac8c-b614-4114-b149-8bc8dd5f0292"],
Cell[CellGroupData[{
Cell[361058, 7164, 752, 18, 30, "Input",ExpressionUUID->"35aef88b-2d3c-48fc-a484-deb91447faf2"],
Cell[361813, 7184, 4361, 89, 242, "Output",ExpressionUUID->"0714e811-39ca-456a-8d57-42c420deeba3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[366211, 7278, 2235, 67, 94, "Input",ExpressionUUID->"8614033b-6335-4a6e-a285-0848a3025e51"],
Cell[368449, 7347, 521, 9, 34, "Output",ExpressionUUID->"c320160f-5d56-48a0-84fe-6818b1b498a6"],
Cell[368973, 7358, 477, 7, 34, "Output",ExpressionUUID->"31251953-ef73-49c5-b2ee-0147b70b41bc"],
Cell[369453, 7367, 562, 10, 37, "Output",ExpressionUUID->"3b3e2743-dcc3-4ca8-a4e4-7a86332f8cce"]
}, Open  ]],
Cell[370030, 7380, 267, 5, 30, "Input",ExpressionUUID->"48ecaacf-605d-4052-a87e-b3994562af73"],
Cell[CellGroupData[{
Cell[370322, 7389, 465, 10, 30, "Input",ExpressionUUID->"5c3ed7d2-06aa-4f77-832c-e194c3fcb2b4"],
Cell[370790, 7401, 9705, 177, 242, "Output",ExpressionUUID->"d1863cb7-e333-4e7d-abc4-13357388beda"]
}, Open  ]],
Cell[CellGroupData[{
Cell[380532, 7583, 179, 2, 30, "Input",ExpressionUUID->"58102155-5b6b-4e90-979b-62f7023a05d7"],
Cell[380714, 7587, 9194, 150, 476, "Output",ExpressionUUID->"327c33d1-b9d4-4df4-bfa2-b885fff0268a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[389945, 7742, 179, 2, 30, "Input",ExpressionUUID->"a0b145eb-cd27-4d5a-80b2-253395a1bdea"],
Cell[390127, 7746, 9070, 148, 476, "Output",ExpressionUUID->"c654b2bf-548d-4456-a7a2-35a0d37f511a"]
}, Open  ]],
Cell[399212, 7897, 572, 15, 44, "Input",ExpressionUUID->"56c2eacc-6b0d-42c7-8642-562ef0e011cc"],
Cell[CellGroupData[{
Cell[399809, 7916, 17114, 409, 577, "Input",ExpressionUUID->"ceab0e76-cdb5-4cdf-9169-45d06a025f2c"],
Cell[416926, 8327, 1166, 19, 56, "Output",ExpressionUUID->"4493cdfc-d80f-4934-be67-49de6b209196"]
}, Open  ]],
Cell[CellGroupData[{
Cell[418129, 8351, 819, 19, 30, "Input",ExpressionUUID->"2f1b96b7-9fb8-4699-aaa7-4b09f1b3c713"],
Cell[418951, 8372, 2321, 37, 119, "Output",ExpressionUUID->"cc4f49e4-ecee-4b04-873e-da323353194f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[421309, 8414, 624, 15, 30, "Input",ExpressionUUID->"13c6b9a3-2cc5-4937-87ca-a89a7ac80c3c"],
Cell[421936, 8431, 14165, 297, 244, "Output",ExpressionUUID->"6c50b7b2-5abc-4663-994d-db97eb175bad"]
}, Open  ]],
Cell[CellGroupData[{
Cell[436138, 8733, 2874, 74, 178, "Input",ExpressionUUID->"e40ca569-4c5e-4052-9fc2-e2090f0a9163"],
Cell[439015, 8809, 2306, 46, 121, "Output",ExpressionUUID->"fdfae0bc-9e1b-4ad6-9f8c-0c2f4e8a15aa"],
Cell[441324, 8857, 1949, 47, 90, "Output",ExpressionUUID->"52ec854f-a8c4-46b9-aa15-223149571daa"],
Cell[443276, 8906, 2298, 46, 121, "Output",ExpressionUUID->"ad8403e9-3894-4e44-9bfb-bd4587b61dba"]
}, Open  ]],
Cell[CellGroupData[{
Cell[445611, 8957, 832, 21, 52, "Input",ExpressionUUID->"80c828b9-3957-4141-b384-bbd0096c5d07"],
Cell[446446, 8980, 22331, 479, 244, "Output",ExpressionUUID->"5e360421-2610-48bb-9e45-89ff765d073e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[468814, 9464, 202, 3, 30, "Input",ExpressionUUID->"0beb09af-d0af-414d-a093-e47c64caada0"],
Cell[469019, 9469, 350, 5, 34, "Output",ExpressionUUID->"269a5f3b-03bd-4ab6-b8ca-8e700d79ad21"]
}, Open  ]],
Cell[CellGroupData[{
Cell[469406, 9479, 602, 16, 30, "Input",ExpressionUUID->"519ef737-d9f2-4bdd-97b7-a87b3d048eb0"],
Cell[470011, 9497, 508, 7, 34, "Output",ExpressionUUID->"38f764a2-b797-4398-83ea-2478c6ddcad5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[470556, 9509, 724, 21, 30, "Input",ExpressionUUID->"48d8946d-e1ec-4032-b4c1-c0ca2a15469b"],
Cell[471283, 9532, 703, 14, 34, "Output",ExpressionUUID->"8f3038a6-1c83-48c8-bd50-4b0716134056"]
}, Open  ]],
Cell[CellGroupData[{
Cell[472023, 9551, 312, 6, 30, "Input",ExpressionUUID->"be36acf7-136d-4fb0-9705-377ade8f3c20"],
Cell[472338, 9559, 389, 5, 34, "Output",ExpressionUUID->"4f5c8bea-8e4b-42b3-aa34-ad0c66a2517a"]
}, Open  ]],
Cell[472742, 9567, 407, 14, 30, "Input",ExpressionUUID->"893402fa-3475-4445-a89c-3ab24432f7ae"]
}
]
*)

