(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     34060,        784]
NotebookOptionsPosition[     32003,        751]
NotebookOutlinePosition[     32393,        768]
CellTagsIndexPosition[     32350,        765]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{" ", 
   RowBox[{"read", " ", "me", " ", "first"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.864739303027049*^9, 3.864739306871954*^9}, 
   3.864743620365336*^9},ExpressionUUID->"b6b5d0ba-1243-43f6-b567-\
2945fe8c3c4e"],

Cell[BoxData[
 StyleBox[
  RowBox[{"Part", " ", 
   RowBox[{"I", ":", " ", 
    RowBox[{"notation", " ", "for", " ", "the", " ", 
     RowBox[{"simulation", ".", " "}]}]}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.864739307624126*^9, 3.8647393197617826`*^9}},
 FontSize->16,ExpressionUUID->"05cf4f0f-1dcd-4761-b961-10d17a111d24"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"[", "1.", "]"}], "dl", " ", "is", " ", "the", " ", "discount", 
   " ", "factor", " ", "delta"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "2.", "]"}], 
    RowBox[{"V", "[", "c", "]"}], " ", "is", " ", "the", " ", "consumption", 
    " ", "utility", " ", "function", " ", 
    RowBox[{"U", "[", "c", "]"}], " ", "in", " ", "the", " ", "community"}], 
   ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"[", "3.", "]"}], 
   RowBox[{"Vm", "[", "c", "]"}], " ", "is", " ", "the", " ", "consumption", 
   " ", "utility", " ", "function", " ", 
   RowBox[{"U_hat", "[", "c", "]"}], " ", "in", " ", "the", " ", "city"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"[", "4.", "]"}], 
   RowBox[{"R", "[", "w", "]"}], " ", "is", " ", "the", " ", "investment", 
   " ", "return", " ", "function", " ", 
   RowBox[{"R", "[", "w", "]"}], " ", "in", " ", "both", " ", "the", " ", 
   "community", " ", "and", " ", "city"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"[", "5.", "]"}], "wbar", " ", "is", " ", "the", " ", "wealth", 
   " ", "level", " ", "where", " ", "the", " ", "marginal", " ", "return", 
   " ", "to", " ", "investment", " ", "becomes", " ", "constant"}], ",", " ", 
  
  RowBox[{"that", " ", "is"}], ",", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"R", "'"}], "[", "w", "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "delta"}], " ", "for", " ", "any", " ", "w"}], 
     "\[GreaterEqual]", " ", 
     RowBox[{"wbar", " ", "and", " ", 
      RowBox[{
       RowBox[{"R", "'"}], "[", "w", "]"}]}], ">", 
     RowBox[{
      RowBox[{"1", "/", "delta"}], " ", "for", " ", "w"}], "<", "wbar"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"[", "6.", "]"}], "cbar", " ", "is", " ", "the", " ", 
    "consumption", " ", "level", " ", "where", " ", "the", " ", "marginal", 
    " ", "utility", " ", "from", " ", "consumption", " ", 
    RowBox[{
     RowBox[{"U", "'"}], "[", "c", "]"}], " ", "equals", " ", "1"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "7.", "]"}], 
    RowBox[{"Rcons", "[", "w", "]"}], " ", "is", " ", "the", " ", "linear", 
    " ", "investment", " ", "return", " ", "function", " ", "such", " ", 
    "that", " ", 
    RowBox[{"Rcons", "[", "w", "]"}]}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", "w", "]"}], " ", "for", " ", "w"}], "\[GreaterEqual]", 
    " ", "wbar"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"[", "8.", "]"}], "what", " ", "is", " ", "the", " ", "wealth", 
     " ", "level", " ", "such", " ", "that", " ", 
     RowBox[{"R", "[", 
      RowBox[{"wbar", "-", "cbar"}], "]"}]}], "=", "wbar"}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "which", " ", "means", " ", "that", " ", "the", " ", "constant", " ", 
      "consumption", " ", "sequence", " ", 
      RowBox[{"{", 
       RowBox[{"c0", ",", "c1", ",", 
        RowBox[{"c2", "..."}]}], "}"}]}], "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"cbar", ",", "cbar", ",", 
        RowBox[{"cbar", "..."}]}], "}"}], " ", "is", " ", "feasible", " ", 
      "if", " ", "the", " ", 
      RowBox[{"household", "'"}], "s", " ", "initial", " ", "wealth", " ", 
      "is", " ", "wbar"}]}], ";"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"[", "9.", "]"}], "the", " ", "wealth", " ", "level", " ", 
   "\"\<w=wthreshold\>\"", " ", "and", " ", "an", " ", "associate", " ", 
   "consumption", " ", 
   RowBox[{"c", "[", "w", "]"}], " ", "solves", " ", "the", " ", "following", 
   " ", "system", " ", "of", " ", 
   RowBox[{"equations", ":", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"w", "-", 
          RowBox[{"c", "[", "w", "]"}]}], "\[Equal]", "wbar"}], ",", 
        RowBox[{
         RowBox[{"R", "[", 
          RowBox[{"w", "-", 
           RowBox[{"c", "[", "w", "]"}]}], "]"}], "\[Equal]", "w"}]}], "}"}], 
      ".", " ", "As"}], " ", "a", " ", "result"}]}]}], ",", " ", 
  RowBox[{
   RowBox[{"if", " ", "the", " ", "household", " ", "has", " ", "w"}], ">", 
   "wthreshold"}], ",", " ", 
  RowBox[{
  "it", " ", "will", " ", "move", " ", "to", " ", "the", " ", "city"}], ",", 
  " ", 
  RowBox[{
  "choose", " ", "a", " ", "constant", " ", "consumption", " ", "sequence"}], 
  ",", " ", 
  RowBox[{
   RowBox[{
   "and", " ", "its", " ", "consumption", " ", "level", " ", "is", " ", 
    "above", " ", "cbar"}], ";"}]}]}], "Input",
 CellChangeTimes->{{3.8647393231871023`*^9, 3.864739398599297*^9}, {
   3.864739453947152*^9, 3.864739556407298*^9}, 3.8647396565847263`*^9, {
   3.864739953306481*^9, 3.864740016894415*^9}, {3.864740071053322*^9, 
   3.864740088939608*^9}, {3.864740129570881*^9, 3.864740181037353*^9}, 
   3.864740306208391*^9, {3.86474056838349*^9, 3.864740590764103*^9}, {
   3.8647406512538548`*^9, 3.864740812538898*^9}, {3.8647411167407*^9, 
   3.864741173765748*^9}},ExpressionUUID->"877a480a-2749-4483-abbc-\
a61033e47c66"],

Cell[BoxData[
 StyleBox[
  RowBox[{"Part", " ", 
   RowBox[{"II", ":", " ", 
    RowBox[{"the", " ", "code", " ", "for", " ", "the", " ", "market", "  ", 
     RowBox[{"(", 
      RowBox[{
      "this", " ", "is", " ", "step", " ", "three", " ", "in", " ", "the", 
       " ", "simulation", " ", "nb", " ", "file"}], ")"}]}]}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.864741252983439*^9, 3.864741263136129*^9}, {
  3.864741942241016*^9, 3.864741951303062*^9}, {3.86474331390783*^9, 
  3.864743316586855*^9}},
 FontSize->16,ExpressionUUID->"ee5486e6-2253-45cc-bead-f67ebba5ab8b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "1.", "]"}], " ", "we", " ", "look", " ", "at", " ", "the", 
    " ", "wealth", " ", "level", " ", "from", " ", "zero", " ", "to", " ", 
    "wupper"}], "=", 
   RowBox[{"R", "[", 
    RowBox[{"R", "[", "wthreshold", "]"}], "]"}]}], ",", " ", 
  RowBox[{
   RowBox[{"and", " ", "use", " ", "the", " ", "grid", " ", "of", " ", 
    RowBox[{"1", "/", "2000"}]}], ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "2.", "]"}], " ", "for", " ", "each", " ", "wealth", " ", 
    "level", " ", "w"}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "calculate", " ", "the", " ", "consumption", " ", 
      RowBox[{"c", "[", "w", "]"}], " ", "such", " ", "that", " ", 
      RowBox[{"R", "[", 
       RowBox[{"w", "-", 
        RowBox[{"c", "[", "w", "]"}]}], "]"}]}], "\[Equal]", " ", "w"}], 
    ";"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"[", "3.", "]"}], "We", " ", "start", " ", "from", " ", "the", 
     " ", "value", " ", "function", " ", 
     RowBox[{"Pi_hat", "[", "w", "]"}]}], "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"U_hat", "[", 
        RowBox[{"c", "[", "w", "]"}], "]"}], ".", " ", "This"}], " ", "is", 
      " ", "the", " ", "value", " ", "function", " ", "if", " ", "the", " ", 
      "household", " ", "with", " ", "initial", " ", "wealth", " ", "w", " ", 
      "chooses", " ", "the", " ", "constant", " ", "consumption", " ", 
      "sequence", " ", 
      RowBox[{"{", 
       RowBox[{"c0", ",", "c1", ",", 
        RowBox[{"c2", "..."}]}], "}"}]}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"c", "[", "w", "]"}], ",", 
         RowBox[{"c", "[", "w", "]"}], ",", 
         RowBox[{
          RowBox[{"c", "[", "w", "]"}], "..."}]}], "}"}], ".", " ", "We"}], 
      " ", "use", " ", "Pm", " ", "to", " ", "denote", " ", "the", " ", 
      "current", " ", "value", " ", "function"}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"[", "4.", "]"}], " ", "We", " ", "start", " ", "from", " ", "the",
    " ", "value", " ", "function", " ", "Pm", " ", "and", " ", "generate", 
   " ", "a", " ", "new", " ", "value", " ", "function", " ", "Pmplus", " ", 
   "assuming", " ", "that", " ", "the", " ", "household", " ", "chooses", " ",
    "the", " ", "optimal", " ", "consumption", " ", "and", " ", "investment", 
   " ", "given", " ", "the", " ", "continuation", " ", "value", " ", 
   "function", " ", "Pm"}], ";", " ", 
  RowBox[{
  "We", " ", "then", " ", "let", " ", "Pm", " ", "equal", " ", "the", " ", 
   "newly", " ", "generated", " ", "value", " ", "function", " ", 
   RowBox[{"Pmplus", "."}]}]}]}], "Input",
 CellChangeTimes->{{3.864741333748652*^9, 3.864741367128605*^9}, {
  3.864741504238319*^9, 
  3.864741790125841*^9}},ExpressionUUID->"f5a32443-6e1b-45fc-a7c9-\
94ccdc647f52"],

Cell[BoxData[
 RowBox[{
  RowBox[{"[", "5.", "]"}], " ", "We", " ", "repeat", " ", "the", " ", 
  "operation", " ", 
  RowBox[{"in", " ", "[", "4.", "]"}], " ", "until", " ", "the", " ", 
  "difference", " ", "between", " ", "Pm", " ", "and", " ", "Pmplus", " ", 
  "is", " ", "sufficiently", " ", "small", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"i", ".", "e", "."}], ",", " ", 
    RowBox[{
    "in", " ", "the", " ", "\"\<no commitment benchmark.nb\>\"", " ", 
     "file"}], ",", " ", 
    RowBox[{
    "the", " ", "difference", " ", "is", " ", "at", " ", "most", " ", 
     "5.961374595171362*^-6"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.864741367990803*^9, 3.864741436900908*^9}, {
  3.864741477419622*^9, 3.864741502893674*^9}, {3.864741547537691*^9, 
  3.864741553542457*^9}, {3.864741644026417*^9, 3.8647416490632277`*^9}, {
  3.864741749739245*^9, 3.864741753708292*^9}, {3.864741791908876*^9, 
  3.864741852008327*^9}, {3.86474938243568*^9, 
  3.864749389783461*^9}},ExpressionUUID->"f74bdc8c-9070-47e5-b5c2-\
95a0ef142528"],

Cell[BoxData[
 StyleBox[
  RowBox[{"Part", " ", 
   RowBox[{"III", ":", " ", 
    RowBox[{"the", " ", "code", " ", "for", " ", "the", " ", "community", 
     RowBox[{"(", 
      RowBox[{
      "this", " ", "is", " ", "step", " ", "four", " ", "in", " ", "the", " ",
        "simulation", " ", "nb", " ", "file"}], ")"}]}]}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.864741854822967*^9, 3.864741861701253*^9}, {
  3.8647419560077553`*^9, 3.864741958698926*^9}, {3.864743320506093*^9, 
  3.864743322147243*^9}},
 FontSize->16,ExpressionUUID->"6b81b906-e0f7-43c3-830a-376d90267041"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"[", "1.", "]"}], " ", "for", " ", "a", " ", "household", " ", 
   "in", " ", "the", " ", "community"}], ",", " ", 
  RowBox[{
  "since", " ", "the", " ", "marginal", " ", "cost", " ", "of", " ", 
   "returning", " ", "favor", " ", "is", " ", "equal", " ", "to", " ", "1"}], 
  ",", " ", 
  RowBox[{
  "the", " ", "household", " ", "would", " ", "like", " ", "to", " ", 
   "choose", " ", "the", " ", "favor", " ", "level", " ", "to", " ", 
   "complement", " ", "its", " ", "consumption", " ", "up", " ", "to", " ", 
   "cbar", " ", "or", " ", "to", " ", "choose", " ", "the", " ", "maximal", 
   " ", "favor", " ", "level", " ", "that", " ", "is", " ", "allowed", " ", 
   "by", " ", "the", " ", "dynamic", " ", "enforcement", " ", 
   RowBox[{"constraint", ".", " ", "As"}], " ", "a", " ", "result"}], ",", 
  " ", 
  RowBox[{
  "if", " ", "monetary", " ", "payment", " ", "for", " ", "consumption", " ", 
   "is", " ", "equal", " ", "to", " ", 
   RowBox[{"wealth", "[", "i", "]"}]}], ",", " ", 
  RowBox[{
   RowBox[{
   "then", " ", "the", " ", "favor", " ", "level", " ", "is", " ", "the", " ",
     "minimal", " ", "of", " ", "cbar"}], "-", 
   RowBox[{
    RowBox[{"wealth", "[", "i", "]"}], " ", "or", " ", "the", " ", "level", 
    " ", "that", " ", "is", " ", "allowed", " ", "by", " ", "the", " ", 
    "dynamic", " ", "enforcement", " ", 
    RowBox[{"constraint", "."}]}]}]}]], "Input",
 CellChangeTimes->{{3.8647419617633343`*^9, 3.864741987573832*^9}, {
  3.864742190721305*^9, 
  3.8647423771596937`*^9}},ExpressionUUID->"016ab044-0e4a-408f-b1a5-\
a9b870761c4e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"[", "2.", "]"}], " ", "Once", " ", "we", " ", "pin", " ", "down", 
   " ", "the", " ", "favor", " ", "level", " ", "according", " ", 
   RowBox[{"to", " ", "[", "1.", "]"}]}], ",", " ", 
  RowBox[{
  "the", " ", "remaining", " ", "iteration", " ", "operation", " ", "is", " ",
    "the", " ", "same", " ", "as", " ", "Part", " ", 
   RowBox[{"II", ".", " "}]}]}]], "Input",
 CellChangeTimes->{{3.864742353656451*^9, 
  3.86474238585716*^9}},ExpressionUUID->"0ee00be7-d90c-46d3-87b9-\
b766454fa59e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"[", "3.", "]"}], " ", "the", " ", "wealth", " ", "level", " ", 
  "\"\<wsel\>\"", " ", "is", " ", "the", " ", "selection", " ", "wealth", " ",
   "level", " ", "at", " ", "which", " ", "the", " ", "household", " ", 
  "moves", " ", "to", " ", "the", " ", 
  RowBox[{"city", ".", " "}]}]], "Input",
 CellChangeTimes->{{3.864743806248747*^9, 
  3.864743830193618*^9}},ExpressionUUID->"9b6de822-5ca5-4a29-adba-\
fba88241848a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"[", "4.", "]"}], " ", "the", " ", "wealth", " ", "level", " ", 
  "\"\<wtre\>\"", " ", "is", " ", "where", " ", "the", " ", "wealth", " ", 
  "level", " ", "converges", " ", "to", " ", "in", " ", "the", " ", 
  RowBox[{"community", ".", " "}]}]], "Input",
 CellChangeTimes->{{3.8647438323510427`*^9, 
  3.864743873830887*^9}},ExpressionUUID->"e2b87bad-0462-43b0-8fa3-\
2bf5600294d4"],

Cell[BoxData[
 StyleBox[
  RowBox[{"Part", " ", 
   RowBox[{"IV", ":", " ", 
    RowBox[{
    "the", " ", "mapping", " ", "between", " ", "the", " ", "simulation", " ",
      "files", " ", "and", " ", "the", " ", "figures", " ", "in", " ", "the", 
     " ", 
     RowBox[{"paper", ".", " "}]}]}]}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.864742423547613*^9, 3.8647424434166718`*^9}, {
  3.86475130358077*^9, 3.864751304793498*^9}},
 FontSize->16,ExpressionUUID->"081258b9-6672-45af-8661-93fa1cf64b87"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "1.", "]"}], " ", "[", 
    RowBox[{"Benchmark", " ", 
     RowBox[{"case", ":", " ", 
      RowBox[{
      "Figure", " ", "1", " ", "to", " ", "Figure", " ", "3", " ", "in", " ", 
       "the", " ", "paper"}]}]}], "]"}], "the", " ", 
   "\"\<no commitment benchmark.nb\>\"", " ", "file", " ", "corresponds", " ",
    "to", " ", "Figure", " ", "1"}], ",", " ", 
  RowBox[{"Figure", " ", "2"}], ",", " ", 
  RowBox[{
   RowBox[{"Figure", " ", "3", " ", "in", " ", "the", " ", 
    RowBox[{"paper", ".", "  ", "The"}], " ", "left", " ", "panel", " ", "of",
     " ", "Figure", " ", "1", "is", " ", "given", " ", "by", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<consumecity\>\"", " ", 
       RowBox[{"(", 
        RowBox[{
        "for", " ", "consumption", " ", "in", " ", "the", " ", "city"}], 
        ")"}]}], ",", " ", 
      RowBox[{"\"\<Pmplus\>\"", " ", 
       RowBox[{"(", 
        RowBox[{
        "for", " ", "value", " ", "function", " ", "in", " ", "the", " ", 
         "city"}], ")"}]}]}], "}"}]}], ";", " ", 
   RowBox[{
   "the", " ", "right", " ", "panel", " ", "of", " ", "Figure", " ", "1", " ",
     "is", " ", "given", " ", "by", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<wealthseqvalue\>\"", " ", 
       RowBox[{"(", 
        RowBox[{
        "for", " ", "the", " ", "wealth", " ", "sequence", " ", "in", " ", 
         "the", " ", "city"}], ")"}]}], ",", " ", 
      RowBox[{"\"\<consumeseqvalue\>\"", " ", 
       RowBox[{"(", 
        RowBox[{
        "for", " ", "the", " ", "consumption", " ", "sequence", " ", "in", 
         " ", "the", " ", "city"}], ")"}]}]}], "}"}]}], ";", " ", 
   RowBox[{"Figure", " ", "2", " ", "is", " ", "given", " ", "by", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<Pmplus\>\"", " ", 
       RowBox[{"(", 
        RowBox[{
        "for", " ", "the", " ", "value", " ", "function", " ", "in", " ", 
         "the", " ", "city"}], ")"}]}], ",", 
      RowBox[{"\"\<Psplus\>\"", " ", 
       RowBox[{"(", 
        RowBox[{
        "for", " ", "the", " ", "value", " ", "function", " ", "in", " ", 
         "the", " ", "community"}], ")"}]}]}], "}"}]}], ";"}], " "}]], "Input",\

 CellChangeTimes->{{3.864742584517214*^9, 3.864742633528481*^9}, {
  3.8647431004645777`*^9, 3.864743128033654*^9}, {3.864743179577674*^9, 
  3.864743291330051*^9}, {3.864743367160328*^9, 3.86474336745219*^9}, {
  3.864749394431926*^9, 3.864749394742949*^9}, {3.864753846089108*^9, 
  3.864753853582539*^9}, {3.8647693542062817`*^9, 3.864769355360118*^9}, {
  3.864810594351513*^9, 
  3.8648106224884768`*^9}},ExpressionUUID->"974ded5c-cfdb-4da8-8564-\
43b2ac69cb10"],

Cell[BoxData[
 RowBox[{"Lastly", ",", " ", 
  RowBox[{
  "Figure", " ", "3", " ", "is", " ", "the", " ", "investment", " ", "level", 
   " ", "both", " ", "in", " ", "the", " ", "city", " ", "and", " ", "in", 
   " ", "the", " ", 
   RowBox[{"community", ".", " ", "For"}], " ", "the", " ", "investment", " ",
    "in", " ", "the", " ", "city"}], ",", " ", 
  RowBox[{
  "the", " ", "investment", " ", "level", " ", "is", " ", "current", " ", 
   "wealth", " ", "level", " ", "minus", " ", "the", " ", "consumption", " ", 
   "level", " ", "given", " ", "by", " ", 
   RowBox[{"\"\<consumecity\>\"", ".", " ", "For"}], " ", "the", " ", 
   "investment", " ", "in", " ", "the", " ", "community"}], ",", " ", 
  RowBox[{
  "the", " ", "investment", " ", "level", " ", "is", " ", "current", " ", 
   "wealth", " ", "level", " ", "minus", " ", "the", " ", "payment", " ", 
   "level", " ", "given", " ", "by", " ", 
   RowBox[{"\"\<priceupdate\>\"", ".", " "}]}]}]], "Input",
 CellChangeTimes->{{3.864743461738743*^9, 3.864743498939486*^9}, {
  3.864743534315104*^9, 3.864743554570903*^9}, {3.864743585335232*^9, 
  3.864743608098886*^9}, {3.8647438807056417`*^9, 
  3.8647438875148373`*^9}},ExpressionUUID->"c83b9c5f-3aa6-41fc-b63b-\
98fad66b54d6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"[", "2.", "]"}], "[", 
   RowBox[{
    RowBox[{
    "better", " ", "consumption", " ", "utility", " ", "function", " ", "in", 
     " ", "the", " ", "city"}], ",", " ", 
    RowBox[{"Figure", " ", "4", " ", "in", " ", "the", " ", "paper"}]}], 
   "]"}], " ", "The", " ", "value", " ", "function", " ", "for", " ", 
  "higher", " ", 
  RowBox[{"U_hat", "[", "c", "]"}], " ", "is", " ", "given", " ", "by", " ", 
  "\"\<Psplus\>\"", " ", "in", " ", "the", " ", 
  RowBox[{
  "\"\<better consumption utility function in city.nb\>\"", ".", " ", "The"}],
   " ", "value", " ", "function", " ", "for", " ", "lower", " ", 
  RowBox[{"U_hat", "[", "c", "]"}], " ", "is", " ", "given", " ", "by", " ", 
  "\"\<Psplus\>\"", " ", "in", " ", "the", " ", 
  RowBox[{"\"\<no commitment benchmark.nb\>\"", ".", " "}]}]], "Input",
 CellChangeTimes->{{3.8648104820215473`*^9, 3.864810482089574*^9}, {
  3.864810630484068*^9, 
  3.864810639739633*^9}},ExpressionUUID->"db0b17cc-da7a-42c7-9029-\
5d3cd6b1d625"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"[", "3.", "]"}], "[", 
   RowBox[{
    RowBox[{"better", " ", "investment", " ", "return", " ", "function"}], 
    ",", " ", 
    RowBox[{"Figure", " ", "5", " ", "in", " ", "the", " ", "paper"}]}], 
   "]"}], " ", "The", " ", "value", " ", "function", " ", "for", " ", 
  "higher", " ", 
  RowBox[{"R", "[", "w", "]"}], " ", "is", " ", "given", " ", "by", " ", 
  "\"\<Psplus\>\"", " ", "in", " ", "the", " ", 
  RowBox[{"\"\<better investment.nb\>\"", ".", " ", "The"}], " ", "value", 
  " ", "function", " ", "for", " ", "lower", " ", 
  RowBox[{"R", "[", "w", "]"}], " ", "is", " ", "given", " ", "by", " ", 
  "\"\<Psplus\>\"", " ", "in", " ", "the", " ", 
  RowBox[{"\"\<no commitment benchmark.nb\>\"", ".", " "}]}]], "Input",
 CellChangeTimes->{{3.864810265661021*^9, 3.864810348623193*^9}, 
   3.864810484219445*^9, {3.86481064315032*^9, 
   3.864810650234915*^9}},ExpressionUUID->"bd45b451-c9da-4ac2-8499-\
78e7a6266180"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "4.", "]"}], " ", "[", 
    RowBox[{"commitment", " ", "to", " ", "community", " ", 
     RowBox[{"benefit", ":", " ", 
      RowBox[{"Figure", " ", "6", " ", "in", " ", "the", " ", "paper"}]}]}], 
    "]"}], "the", " ", "\"\<community benefit 1 over 512.nb\>\"", " ", "and", 
   " ", "\"\<community benefit 1 over 128.nb\>\"", " ", "correspond", " ", 
   "to", " ", "panel", " ", "II", " ", "and", " ", "panel", " ", "II", " ", 
   "of", " ", "Figure", " ", "6.", " ", "The", " ", "community", " ", 
   "benefit", " ", "B", " ", "is", " ", 
   RowBox[{"1", "/", "512"}], " ", "and", " ", 
   RowBox[{"1", "/", "128"}]}], ",", " ", 
  RowBox[{
  "respecitively", " ", "for", " ", "panel", " ", "II", " ", "and", " ", 
   "panel", " ", 
   RowBox[{"III", ".", " ", "The"}], " ", "only", " ", "change", " ", 
   "relative", " ", "to", " ", "the", " ", 
   "\"\<no commitment benchmark.nb\>\"", " ", "is", " ", "that", " ", "we", 
   " ", "add", " ", "B", " ", "to", " ", "the", " ", "dynamic", " ", 
   "enforcement", " ", "constraint", " ", "in", " ", "step", " ", "four", " ",
    "of", " ", "the", " ", 
   RowBox[{"simulation", ".", " ", "As"}], " ", "a", " ", "result"}], ",", 
  " ", 
  RowBox[{
  "the", " ", "household", " ", "either", " ", "uses", " ", "favor", " ", 
   "to", " ", "complement", " ", "its", " ", "consumption", " ", "up", " ", 
   "to", " ", "cbar", " ", "or", " ", "choose", " ", "the", " ", "maximal", 
   " ", "favor", " ", "level", " ", "that", " ", "is", " ", "allowed", " ", 
   "by", " ", "the", " ", "dynamic", " ", "enforcement", " ", "constraint", 
   " ", "plus", " ", 
   RowBox[{"B", ".", " ", "In"}], " ", "both", " ", "panels"}], ",", " ", 
  RowBox[{
  "the", " ", "wealth", " ", "next", " ", "period", " ", "is", " ", "given", 
   " ", "by", " ", "\"\<wealthupdate\>\"", " ", "in", " ", "the", " ", 
   "simulation", " ", 
   RowBox[{"files", ".", " "}]}]}]], "Input",
 CellChangeTimes->{{3.8647435577448997`*^9, 3.86474355860207*^9}, 
   3.864743890392275*^9, {3.864748797030497*^9, 3.864748880924021*^9}, {
   3.864749037885035*^9, 3.8647491771880703`*^9}, {3.864749256605424*^9, 
   3.864749276803328*^9}, {3.864749398335775*^9, 3.864749464458881*^9}, {
   3.86474985823923*^9, 3.864749864492526*^9}, {3.864749983119384*^9, 
   3.8647499946105413`*^9}, {3.864753861569766*^9, 3.8647538745228643`*^9}, 
   3.864769359118887*^9, 3.86481048609415*^9, {3.864810529519033*^9, 
   3.864810543215561*^9}},ExpressionUUID->"970e251a-63e4-437e-bdff-\
6e9ff7d48513"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "5.", "]"}], " ", "[", 
    RowBox[{
     RowBox[{"place", "-", 
      RowBox[{"based", " ", "policy"}]}], ",", " ", 
     RowBox[{"Figure", " ", "7", " ", "in", " ", "the", " ", "paper"}]}], 
    "]"}], " ", "If", " ", "the", " ", "household", " ", "stays", " ", "in", 
   " ", "the", " ", "community"}], ",", " ", 
  RowBox[{
   RowBox[{
   "it", " ", "gets", " ", "an", " ", "additional", " ", "utility", " ", 
    "B"}], "=", 
   RowBox[{
    RowBox[{"1", "/", "250."}], " ", "The", " ", "simulation", " ", "file", 
    " ", "is", " ", 
    RowBox[{"\"\<place based utility 1 over 250.nb\>\"", ".", " ", "This"}], 
    " ", "corresponds", " ", "to", " ", "Figure", " ", "7", " ", "in", " ", 
    "the", " ", 
    RowBox[{"paper", ".", " ", "If"}], " ", "a", " ", "household", " ", 
    "reneges", " ", "on", " ", "promised", " ", "favors"}]}], ",", " ", 
  RowBox[{
   RowBox[{
   "it", " ", "can", " ", "either", " ", "move", " ", "to", " ", "the", " ", 
    "city", " ", "or", " ", "it", " ", "can", " ", "stay", " ", "in", " ", 
    "the", " ", "community", " ", "in", " ", "order", " ", "to", " ", "get", 
    " ", "the", " ", "place"}], "-", 
   RowBox[{"based", " ", 
    RowBox[{"utility", ".", " ", "In"}], " ", "the", " ", "benchmark", " ", 
    "case"}]}], ",", " ", 
  RowBox[{"the", " ", "second", " ", "option", " ", 
   RowBox[{"won", "'"}], "t", " ", "be", " ", 
   RowBox[{"profitable", ".", " ", "In"}], " ", "the", " ", "simulation", " ",
    "file"}], ",", " ", 
  RowBox[{"step", " ", 
   RowBox[{"three", ".", "half"}], " ", "is", " ", "designed", " ", "to", " ",
    "take", " ", "care", " ", "of", " ", "the", " ", "second", " ", 
   "option"}], ",", " ", 
  RowBox[{
   RowBox[{
   "so", " ", "we", " ", "can", " ", "get", " ", "the", " ", "value", " ", 
    "function", " ", "if", " ", "the", " ", "household", " ", "reneges", " ", 
    "on", " ", "its", " ", "promised", " ", 
    RowBox[{"favor", ".", " ", "The"}], " ", "value", " ", "function", " ", 
    "for", " ", "the", " ", "place"}], "-", 
   RowBox[{
   "based", " ", "policy", " ", "case", " ", "is", " ", "given", " ", "by", 
    " ", "\"\<Psplus\>\"", " ", "in", " ", 
    RowBox[{"\"\<place based utility 1 over 250.nb\>\"", ".", " ", "The"}], 
    " ", "value", " ", "function", " ", "for", " ", "the", " ", "baseline", 
    " ", "is", " ", "given", " ", "by", " ", "\"\<Psplus\>\"", " ", "in", 
    " ", "\"\<no commitment benchmark.nb\>\"", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
       "Note", " ", "that", " ", "this", " ", "file", " ", "is", " ", "using",
         " ", "grid"}], "=", 
       RowBox[{"1", "/", "1000"}]}], ",", " ", 
      RowBox[{
       RowBox[{
       "while", " ", "the", " ", "benchmark", " ", "case", " ", "used", " ", 
        "grid"}], "=", 
       RowBox[{"1", "/", "2000."}]}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8647504998960333`*^9, 3.86475050111683*^9}, 
   3.864750861590075*^9, {3.864752097612843*^9, 3.86475220795286*^9}, {
   3.86475231564408*^9, 3.8647524171706543`*^9}, {3.8647537213195047`*^9, 
   3.864753762207287*^9}, {3.864753802284253*^9, 3.8647538048236217`*^9}, 
   3.864769364995851*^9, 3.864810488552381*^9, {3.8648107175867*^9, 
   3.864810766338965*^9}},ExpressionUUID->"e7ddcdcf-a5b6-4a57-b73c-\
195a255fea6a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"[", "6.", "]"}], "[", 
    RowBox[{
     RowBox[{"stochastic", " ", "return", " ", "to", " ", "investment"}], ",",
      " ", 
     RowBox[{
     "Figure", " ", "8", " ", "and", " ", "Figure", " ", "9", " ", "in", " ", 
      "the", " ", "paper"}]}], "]"}], " ", "Given", " ", "the", " ", 
   "investment", " ", "return", " ", "function", " ", 
   RowBox[{"R", "[", "w", "]"}], " ", "in", " ", "the", " ", 
   "\"\<no commitment benchmark.nb\>\""}], ",", " ", 
  RowBox[{
   RowBox[{
   "we", " ", "assume", " ", "that", " ", "with", " ", "probability", " ", 
    RowBox[{"1", "/", "2"}], " ", "the", " ", "return", " ", "is", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "x"}], ")"}], 
    RowBox[{"R", "[", "w", "]"}], " ", "and", " ", "with", " ", "probability",
     " ", 
    RowBox[{"1", "/", "2"}], " ", "the", " ", "return", " ", "is", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "x"}], ")"}], 
    RowBox[{
     RowBox[{"R", "[", "w", "]"}], ".", " ", 
     "\"\<stochastic return 15 percent.nb\>\""}], " ", "corresponds", " ", 
    "to", " ", "the", " ", "case", " ", "that", " ", "x"}], "=", ".15"}], ",",
   " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "and", " ", "\"\<stochastic return 40 percent\>\"", " ", "corresponds", 
     " ", "to", " ", "the", " ", "case", " ", "that", " ", "x"}], "=", 
    RowBox[{
     RowBox[{".40", ".", " ", "The"}], " ", "left", " ", "panel", " ", "of", 
     " ", "each", " ", "picture", " ", "is", " ", "given", " ", "by", " ", 
     "the", " ", 
     RowBox[{"code", ":", " ", 
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"wealthupdate", ",", 
          RowBox[{"wealth", "[", 
           RowBox[{"[", 
            RowBox[{"1", ";;", "wsel"}], "]"}], "]"}], ",", 
          RowBox[{"shocka", " ", "wealthupdate"}], ",", 
          RowBox[{"shockb", " ", "wealthupdate"}]}], "}"}], ",", 
        RowBox[{"PlotLegends", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<expected wealth tomorrow\>\"", ",", "\"\<wealth today\>\"", 
           ",", "\"\<wealth tomorrow highest\>\"", ",", 
           "\"\<wealth tomorrow lowest\>\""}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}]}]}], ";", " ", 
   RowBox[{
   "The", " ", "right", " ", "panel", " ", "the", " ", "investment", " ", 
    "level", " ", "both", " ", "in", " ", "the", " ", "city", " ", "and", " ",
     "in", " ", "the", " ", 
    RowBox[{"community", ".", " ", "For"}], " ", "the", " ", "investment", 
    " ", "in", " ", "the", " ", "city"}]}], ",", " ", 
  RowBox[{
  "the", " ", "investment", " ", "level", " ", "is", " ", "current", " ", 
   "wealth", " ", "level", " ", "minus", " ", "the", " ", "consumption", " ", 
   "level", " ", "given", " ", "by", " ", 
   RowBox[{"\"\<consumecity\>\"", ".", " ", "For"}], " ", "the", " ", 
   "investment", " ", "in", " ", "the", " ", "community"}], ",", " ", 
  RowBox[{
  "the", " ", "investment", " ", "level", " ", "is", " ", "current", " ", 
   "wealth", " ", "level", " ", "minus", " ", "the", " ", "payment", " ", 
   "level", " ", "given", " ", "by", " ", 
   RowBox[{"\"\<priceupdate\>\"", ".", "  ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Note", " ", "that"}], ",", " ", 
      RowBox[{
      "for", " ", "the", " ", "simulation", " ", "in", " ", "the", " ", 
       "city"}], ",", " ", 
      RowBox[{
      "we", " ", "make", " ", "the", " ", "assumption", " ", "that", " ", 
       "when", " ", "the", " ", "wealth", " ", "is", " ", "very", " ", "high",
        " ", "the", " ", "shock", " ", 
       RowBox[{"doesn", "'"}], "t", " ", "occur", " ", "any", " ", "more"}], 
      ",", " ", 
      RowBox[{
      "in", " ", "order", " ", "to", " ", "get", " ", "the", " ", "value", 
       " ", "function", " ", "for", " ", "very", " ", "high", " ", "wealth", 
       " ", 
       RowBox[{"levels", ".", " ", "Given"}], " ", "that", " ", "this", " ", 
       "assumption", " ", "is", " ", "made", " ", "only", " ", "for", " ", 
       "very", " ", "high", " ", "wealth", " ", "level"}], ",", " ", 
      RowBox[{"we", " ", "expect", " ", "that", " ", "this", " ", 
       RowBox[{"won", "'"}], "t", " ", "affect", " ", "the", " ", "dynamics", 
       " ", "in", " ", "the", " ", 
       RowBox[{"community", "."}]}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8647492781652718`*^9, 3.864749278323835*^9}, {
   3.864749487235544*^9, 3.86474948733781*^9}, {3.864749867135553*^9, 
   3.864749872631357*^9}, {3.864750000757818*^9, 3.864750097821946*^9}, {
   3.864750453054431*^9, 3.864750498484981*^9}, {3.864750771965413*^9, 
   3.864750781458538*^9}, {3.8647509899115963`*^9, 3.8647510910709887`*^9}, {
   3.864751136194207*^9, 3.864751140460272*^9}, {3.864753819537867*^9, 
   3.864753824485546*^9}, 3.864769362103993*^9, 
   3.8648104916401157`*^9},ExpressionUUID->"94841627-8604-499b-b58f-\
4b312bfbbde5"]
},
WindowSize->{1229, 673},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 259, 6, 30, "Input",ExpressionUUID->"b6b5d0ba-1243-43f6-b567-2945fe8c3c4e"],
Cell[820, 28, 339, 8, 37, "Input",ExpressionUUID->"05cf4f0f-1dcd-4761-b961-10d17a111d24"],
Cell[1162, 38, 5191, 132, 304, "Input",ExpressionUUID->"877a480a-2749-4483-abbc-a61033e47c66"],
Cell[6356, 172, 589, 13, 37, "Input",ExpressionUUID->"ee5486e6-2253-45cc-bead-f67ebba5ab8b"],
Cell[6948, 187, 2978, 71, 178, "Input",ExpressionUUID->"f5a32443-6e1b-45fc-a7c9-94ccdc647f52"],
Cell[9929, 260, 1047, 22, 52, "Input",ExpressionUUID->"f74bdc8c-9070-47e5-b5c2-95a0ef142528"],
Cell[10979, 284, 589, 13, 37, "Input",ExpressionUUID->"6b81b906-e0f7-43c3-830a-376d90267041"],
Cell[11571, 299, 1626, 34, 94, "Input",ExpressionUUID->"016ab044-0e4a-408f-b1a5-a9b870761c4e"],
Cell[13200, 335, 545, 12, 30, "Input",ExpressionUUID->"0ee00be7-d90c-46d3-87b9-b766454fa59e"],
Cell[13748, 349, 458, 9, 30, "Input",ExpressionUUID->"9b6de822-5ca5-4a29-adba-fba88241848a"],
Cell[14209, 360, 418, 8, 30, "Input",ExpressionUUID->"e2b87bad-0462-43b0-8fa3-2bf5600294d4"],
Cell[14630, 370, 511, 12, 37, "Input",ExpressionUUID->"081258b9-6672-45af-8661-93fa1cf64b87"],
Cell[15144, 384, 2708, 65, 115, "Input",ExpressionUUID->"974ded5c-cfdb-4da8-8564-43b2ac69cb10"],
Cell[17855, 451, 1245, 23, 73, "Input",ExpressionUUID->"c83b9c5f-3aa6-41fc-b63b-98fad66b54d6"],
Cell[19103, 476, 1038, 22, 73, "Input",ExpressionUUID->"db0b17cc-da7a-42c7-9029-5d3cd6b1d625"],
Cell[20144, 500, 978, 20, 52, "Input",ExpressionUUID->"bd45b451-c9da-4ac2-8499-78e7a6266180"],
Cell[21125, 522, 2563, 47, 157, "Input",ExpressionUUID->"970e251a-63e4-437e-bdff-6e9ff7d48513"],
Cell[23691, 571, 3360, 72, 178, "Input",ExpressionUUID->"e7ddcdcf-a5b6-4a57-b73c-195a255fea6a"],
Cell[27054, 645, 4945, 104, 262, "Input",ExpressionUUID->"94841627-8604-499b-b58f-4b312bfbbde5"]
}
]
*)

